<?php

add_action( 'admin_init', 'joomlaskin_options_init' );
add_action( 'admin_menu', 'joomlaskin_options_add_page' );

/**
 * Init plugin options to white list our options
 */
function joomlaskin_options_init(){
	register_setting( 'joomlaskin_options', 'joomlaskin_theme_options', 'joomlaskin_options_validate' );
}

/**
 * Load up the menu page
 */
function joomlaskin_options_add_page() {
	add_theme_page( __( 'Theme Options', 'italyhotels' ), __( 'Theme Options', 'italyhotels' ), 'edit_theme_options', 'theme_options', 'joomlaskin_options_do_page' );
}

/**
 * Create arrays for our select and radio options
 */


$select_robots = array(
	'0' => array(
		'value' =>	'0',
		'label' => __( 'index,follow' )
	),
	'1' => array(
		'value' =>	'1',
		'label' => __( 'noindex,follow' )
	),
    '2' => array(
		'value' =>	'2',
		'label' => __( 'index,nofollow' )
	),
    '3' => array(
		'value' =>	'3',
		'label' => __( 'noindex,nofollow' )
	),
    '4' => array(
		'value' =>	'4',
		'label' => __( 'noarchive' )
	),
    '5' => array(
		'value' =>	'5',
		'label' => __( 'noodp' )
	)
);

$select_options = array(
	'0' => array(
		'value' =>	'0',
		'label' => __( 'Yes slider' )
	),
	'1' => array(
		'value' =>	'1',
		'label' => __( 'No slider' )
	)
);

$select_activelink = array(
	'0' => array(
		'value' =>	'0',
		'label' => __( 'No' )
	),
	'1' => array(
		'value' =>	'1',
		'label' => __( 'Yes' )
	)
);

/**
 * Create the options page
 */
function joomlaskin_options_do_page() {
	global $select_options, $select_robots, $select_activelink;

	if ( ! isset( $_REQUEST['updated'] ) )
		$_REQUEST['updated'] = false;

	?>
	<div class="wrap">
		<?php screen_icon(); echo "<h2>" . get_current_theme() . __( ' Theme Options', 'italyhotels' ) . "</h2>"; ?>

		<?php if ( false !== $_REQUEST['updated'] ) : ?>
		<div class="updated fade"><p><strong><?php _e( 'Options saved', 'italyhotels' ); ?></strong></p></div>
		<?php endif; ?>

		<form method="post" action="options.php">
			<?php settings_fields( 'joomlaskin_options' ); ?>
			<?php $options = get_option( 'joomlaskin_theme_options' ); ?>

			<table class="form-table">

				<?php
				/**
				 * A sample checkbox option
				 */
				?>

				<?php
				/**
				 * A sample text input option
				 */
				?>
                <tr valign="top"><th scope="row"><?php _e( 'add your text and publish "Add your hotel button"' ); ?></th>
					<td>
						<select name="joomlaskin_theme_options[activelink]">
							<?php
								$selected = $options['activelink'];
								$p = '';
								$r = '';

								foreach ( $select_activelink as $option ) {
									$label = $option['label'];
									if ( $selected == $option['value'] ) // Make default first in list
										$p = "\n\t<option style=\"padding-right: 10px;\" selected='selected' value='" . esc_attr( $option['value'] ) . "'>$label</option>";
									else
										$r .= "\n\t<option style=\"padding-right: 10px;\" value='" . esc_attr( $option['value'] ) . "'>$label</option>";
								}
								echo $p . $r;
							?>
						</select>
						<label class="description" for="joomlaskin_theme_options[activelink]"><?php _e( 'add your text and publish "Add your hotel button"' ); ?></label>
					</td>
				</tr>
                <tr valign="top"><th scope="row"><?php _e( 'add your text', 'italyhotels' ); ?></th>
					<td>
						<input id="joomlaskin_theme_options[addyourtext]" class="regular-text" type="text" name="joomlaskin_theme_options[addyourtext]" value="<?php esc_attr_e( $options['addyourtext'] ); ?>" />
						<label class="description" for="joomlaskin_theme_options[addyourtext]"><?php _e( 'add your text', 'italyhotels' ); ?></label>
					</td>
				</tr>
				<tr valign="top"><th scope="row"><?php _e( 'Facebook', 'italyhotels' ); ?></th>
					<td>
						<input id="joomlaskin_theme_options[facebook]" class="regular-text" type="text" name="joomlaskin_theme_options[facebook]" value="<?php esc_attr_e( $options['facebook'] ); ?>" />
						<label class="description" for="joomlaskin_theme_options[facebook]"><?php _e( 'Facebook', 'italyhotels' ); ?></label>
					</td>
				</tr>

                <tr valign="top"><th scope="row"><?php _e( 'Twitter', 'italyhotels' ); ?></th>
					<td>
						<input id="joomlaskin_theme_options[twitter]" class="regular-text" type="text" name="joomlaskin_theme_options[twitter]" value="<?php esc_attr_e( $options['twitter'] ); ?>" />
						<label class="description" for="joomlaskin_theme_options[twitter]"><?php _e( 'Twitter', 'italyhotels' ); ?></label>
					</td>
				</tr>

                <tr valign="top"><th scope="row"><?php _e( 'Rss', 'italyhotels' ); ?></th>
					<td>
						<input id="joomlaskin_theme_options[rsslogo]" class="regular-text" type="text" name="joomlaskin_theme_options[rsslogo]" value="<?php esc_attr_e( $options['rsslogo'] ); ?>" />
						<label class="description" for="joomlaskin_theme_options[rsslogo]"><?php _e( 'Rss' ); ?></label>
					</td>
				</tr>

                <tr valign="top"><th scope="row"><?php _e( 'Footer Copyright', 'italyhotels' ); ?></th>
					<td>
						<textarea id="joomlaskin_theme_options[copyrighttxt]" class="large-text" cols="50" rows="10" name="joomlaskin_theme_options[copyrighttxt]"><?php echo stripslashes( $options['copyrighttxt'] ); ?></textarea>
						<label class="description" for="joomlaskin_theme_options[copyrighttxt]"><?php _e( 'Footer Copyright' ); ?></label>
					</td>
				</tr>

                <tr valign="top"><th scope="row"><?php _e( 'Footer Code', 'italyhotels' ); ?></th>
					<td>
						<textarea id="joomlaskin_theme_options[sometextarea]" class="large-text" cols="50" rows="10" name="joomlaskin_theme_options[sometextarea]"><?php echo stripslashes( $options['sometextarea'] ); ?></textarea>
						<label class="description" for="joomlaskin_theme_options[sometextarea]"><?php _e( 'Footer code', 'italyhotels' ); ?></label>
					</td>
				</tr>

				<?php
				/**
				 * A sample textarea option
				 */
				?>
                <tr valign="top"><th scope="row"></th>
					<td>
						<h1>Seo</h1>
					</td>
				</tr>
                <tr valign="top"><th scope="row"><?php _e( 'Title Default', 'italyhotels' ); ?></th>
					<td>
						<input id="joomlaskin_theme_options[titledefault]" class="regular-text" type="text" name="joomlaskin_theme_options[titledefault]" value="<?php esc_attr_e( $options['titledefault'] ); ?>" />
						<label class="description" for="joomlaskin_theme_options[titledefault]"><?php _e( 'Title' ); ?></label>
					</td>
				</tr>
                <tr valign="top"><th scope="row"><?php _e( 'Keyword default', 'italyhotels' ); ?></th>
					<td>
						<input id="joomlaskin_theme_options[keyworddefault]" class="regular-text" type="text" name="joomlaskin_theme_options[keyworddefault]" value="<?php esc_attr_e( $options['keyworddefault'] ); ?>" />
						<label class="description" for="joomlaskin_theme_options[keyworddefault]"><?php _e( 'Keyword' ); ?></label>
					</td>
				</tr>
                <tr valign="top"><th scope="row"><?php _e( 'Description', 'italyhotels' ); ?></th>
					<td>
						<textarea id="joomlaskin_theme_options[descriptiondefault]" class="large-text" cols="50" rows="10" name="joomlaskin_theme_options[descriptiondefault]"><?php echo stripslashes( $options['descriptiondefault'] ); ?></textarea>
						<label class="description" for="joomlaskin_theme_options[descriptiondefault]"><?php _e( 'Description' ); ?></label>
					</td>
				</tr>
                <tr valign="top"><th scope="row"><?php _e( 'Robots', 'italyhotels' ); ?></th>
					<td>
						<select name="joomlaskin_theme_options[robot1]">
							<?php
								$selected = $options['robot1'];
								$p = '';
								$r = '';

								foreach ( $select_robots as $option ) {
									$label = $option['label'];
									if ( $selected == $option['value'] ) // Make default first in list
										$p = "\n\t<option style=\"padding-right: 10px;\" selected='selected' value='" . esc_attr( $option['value'] ) . "'>$label</option>";
									else
										$r .= "\n\t<option style=\"padding-right: 10px;\" value='" . esc_attr( $option['value'] ) . "'>$label</option>";
								}
								echo $p . $r;
							?>
						</select>
						<label class="description" for="joomlaskin_theme_options[robot1]"><?php _e( 'Robots', 'italyhotels' ); ?></label>
					</td>
				</tr>
			</table>

			<p class="submit">
				<input type="submit" class="button-primary" value="<?php _e( 'Save Options', 'italyhotels' ); ?>" />
                <input type="submit" class="button-highlighted" name="<?php echo $options; ?>[reset]" value="<?php _e('Reset Settings', 'italyhotels'); ?>" />
			</p>
		</form>
	</div>
	<?php
}

/**
 * Sanitize and validate input. Accepts an array, return a sanitized array.
 */
function joomlaskin_options_validate( $input ) {
	global $select_options, $select_robots, $select_activelink;

	// Our checkbox value is either 0 or 1

	// Say our text option must be safe text with no HTML tags
	$input['addyourtext'] = wp_filter_nohtml_kses( $input['addyourtext'] );
    $input['twitter'] = wp_filter_nohtml_kses( $input['twitter'] );
    $input['rsslogo'] = wp_filter_nohtml_kses( $input['rsslogo'] );
    $input['rsslogo'] = wp_filter_nohtml_kses( $input['rsslogo'] );

	// Our select option must actually be in our array of select options
    if ( ! array_key_exists( $input['robot1'], $select_robots ) )
		$input['robot1'] = null;

    if ( ! array_key_exists( $input['layouthome'], $select_options ) )
		$input['layouthome'] = null;

    if ( ! array_key_exists( $input['activelink'], $select_activelink ) )
		$input['activelink'] = null;

	// Our radio option must actually be in our array of radio options

	// Say our textarea option must be safe text with the allowed tags for posts
	$input['sometextarea'] = $input['sometextarea'];
    $input['copyrighttxt'] = $input['copyrighttxt'];

    $input['titledefault'] = wp_filter_post_kses( $input['titledefault'] );
    $input['keyworddefault'] = wp_filter_post_kses( $input['keyworddefault'] );
    $input['descriptiondefault'] = wp_filter_post_kses( $input['descriptiondefault'] );

	return $input;
}