<?php
//============================================================+
// File name   : example_001.php
// Begin       : 2008-03-04
// Last Update : 2010-08-14
//
// Description : Example 001 for TCPDF class
//               Default Header and Footer
//
// Author: Nicola Asuni
//
// (c) Copyright:
//               Nicola Asuni
//               Tecnick.com s.r.l.
//               Via Della Pace, 11
//               09044 Quartucciu (CA)
//               ITALY
//               www.tecnick.com
//               info@tecnick.com
//============================================================+

/**
 * Creates an example PDF TEST document using TCPDF
 * @package com.tecnick.tcpdf
 * @abstract TCPDF - Example: Default Header and Footer
 * @author Nicola Asuni
 * @since 2008-03-04
 */
include_once('../../../../../wp-load.php');
require_once('config/lang/ita.php');
require_once('tcpdf.php');

global $wpdb;

// create new PDF document
$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

// set document information
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('Wp Booking');
$pdf->SetTitle('Invoice Nr. '.$_GET['invoice']);
$pdf->SetSubject('Invoice Nr. '.$_GET['invoice']);
$pdf->SetKeywords('Invoice Nr. '.$_GET['invoice']);

// set default header data
$pdf->SetHeaderData(PDF_HEADER_LOGO, PDF_HEADER_LOGO_WIDTH, PDF_HEADER_TITLE.$_GET['invoice'], PDF_HEADER_STRING);

// set header and footer fonts
$pdf->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
$pdf->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));

// set default monospaced font
$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

//set margins
$pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
$pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
$pdf->SetFooterMargin(PDF_MARGIN_FOOTER);

//set auto page breaks
$pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);

//set image scale factor
$pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);

//set some language-dependent strings
$pdf->setLanguageArray($l);

// ---------------------------------------------------------

// set default font subsetting mode
$pdf->setFontSubsetting(true);

// Set font
// dejavusans is a UTF-8 Unicode font, if you only need to
// print standard ASCII chars, you can use core fonts like
// helvetica or times to reduce file size.
$pdf->SetFont('dejavusans', '', 14, '', true);

// Add a page
// This method has several options, check the source code documentation for more information.
$pdf->AddPage();

// Set some content to print
$html = "
<table align=\"center\" width=\"100%\">
  <tr>
    <td>Invoice Nr. ".$_GET['invoice']." </td>
  </tr>
</table><br />
<div></div><br />
            ";

            if ($_GET['invoice']) {
            $where = " WHERE invoice = ".$_GET['invoice']."";
            }
            $table_name = $wpdb->prefix . "booking_bookings";
            $table_name2 = $wpdb->prefix . "booking_bookingRooms";
            $result = mysql_query("SELECT ". $table_name .".*, ". $table_name2 .".* FROM ". $table_name ." LEFT JOIN ". $table_name2 ." ON ". $table_name .".id = ". $table_name2 .".booking_id ".$where." ORDER BY ". $table_name .".id ASC") or die(mysql_error());

            if ($result){

    $html .= "<div class='headprivatowrap'>";

    $html .= "";

            while($row = mysql_fetch_array( $result )) {

$paids = array('0' => 'No', '1' => 'Yes', '2' =>'Deposit');

switch ($row['is_paid']) {
    case 0:
        $deposit_name = "No";
        break;
    case 1:
        $deposit_name = "Yes";
        break;
    case 2:
        $deposit_name = "Deposit";
        break;
}

switch ($row['payment_instrument']) {
    case 1:
        $payment_name = "Cash";
        break;
    case 2:
        $payment_name = "Paypal";
        break;
    case 3:
        $payment_name = "Moneybookers";
        break;
    case 5:
        $payment_name = "Google Checkout";
        break;
   case 6:
        $payment_name = "Authorize";
        break;
}

    $html .= "
    <table align=\"left\" width=\"100%\">
    <h2>personal information</h2>
     <tr>
     <td></td>
     <td></td>
   </tr>
    <tr>
     <td>title</td>
     <td>".$row['title']."</td>
   </tr>
   <tr>
     <td>firstname</td>
     <td>".$row['firstname']."</td>
   </tr>
   <tr>
     <td>lastname</td>
     <td>".$row['lastname']."</td>
   </tr>
   <tr>
     <td>Email</td>
     <td>".$row['email']."</td>
   </tr>
   <tr>
     <td>company</td>
     <td>".$row['company']."</td>
   </tr>
   <tr>
     <td>address</td>
     <td>".$row['address']."</td>
   </tr>
   <tr>
     <td>city</td>
     <td>".$row['city']."</td>
   </tr>
   <tr>
     <td>country</td>
     <td>".$row['country_id']."</td>
   </tr>
   <tr>
     <td>zip code</td>
     <td>".$row['zip_code']."</td>
   </tr>
   <tr>
     <td>phone</td>
     <td>".$row['phone']."</td>
   </tr>
   <tr>
     <td>fax</td>
     <td>".$row['fax']."</td>
   </tr>
   <tr>
     <td>note</td>
     <td>".$row['note']."</td>
   </tr>
   </table>
   <table align=\"left\" width=\"100%\">
   <h2>Payments</h2>
   <tr>
     <td></td>
     <td></td>
   </tr>
   <tr>
     <td>Type Payment</td>
     <td>".$payment_name."</td>
   </tr>
   <tr>
     <td>Total</td>
     <td>".$row['amount']."</td>
   </tr>
   <tr>";
   if ($settings['wpbooking_depositactive']) {
   $html .="
     <td>Deposit</td>
     <td>".$row['caparra']."</td>
   </tr>
   <tr>";
   }
   $html .="
     <td>Paid</td>
     <td>".$deposit_name."</td>
   </tr>
   <tr>
     <td>Date Payment</td>
     <td>".$row['trans_date']."</td>
   </tr>
   </table>
   <table align=\"left\" width=\"100%\">
   <h2>Reservation</h2>
   <tr>
     <td></td>
     <td></td>
   </tr>
   <tr>
     <td>Reservation number</td>
     <td>".$row['reservation_number']."</td>
   </tr>
   <tr>
     <td>Room</td>
     <td>".wpbooking_show_palazzinaid($row['room_id'])."</td>
   </tr>
   <tr>
     <td>Date Arrival</td>
     <td>".$row['arrival_date']."</td>
   </tr>
   <tr>
     <td>Date Leaving</td>
     <td>".$row['leaving_date']."</td>
   </tr>
   <tr>
     <td>Adults</td>
     <td>".$row['adults_number']."</td>
   </tr>
 </table>
    ";

            }
    $html .= "";
    $html .= "</div>";

            }

            $html .="
";

// Print text using writeHTMLCell()
$pdf->writeHTMLCell($w=0, $h=0, $x='', $y='', $html, $border=0, $ln=1, $fill=0, $reseth=true, $align='', $autopadding=true);

// ---------------------------------------------------------

    $settings = get_wpbooking_options();
    $dir = ABSPATH.$settings['galleries_rootfolder'];
    $url = get_bloginfo('url')."/".$settings['galleries_rootfolder']."/";
// Close and output PDF document
// This method has several options, check the source code documentation for more information.
$pdf->Output($dir.'/invoice_'.$_GET['id'].'.pdf', 'I');

//============================================================+
// END OF FILE
//============================================================+
