<?php
/*
Plugin Name: Js MultiHotel Widget
Author URI: http://www.joomlaskin.it/
Plugin URI: http://www.joomlaskin.it/#js-agentnews-widget
Description: Display certain link category as boxnews in sidebar
Version: 1.0.0
Author: Joomlaskin

Copyright 2007-2010  Joomlaskin.it  (email : info@joomlaskin.it)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

class Jseci1 extends WP_Widget
{
	/**
	 * Plugin Version
	 *
	 * @var string
	 */
	var $version = '1.0.0';

	/**
	 * path to the plugin
	 *
	 * @var string
	 */
	var $plugin_url;


	/**
	 * Class Constructor
	 *
	 * @param none
	 * @return void
	 */
	function __construct()
	{
		if ( !defined( 'WP_CONTENT_URL' ) )
			define( 'WP_CONTENT_URL', get_option( 'siteurl' ) . '/wp-content' );
		if ( !defined( 'WP_PLUGIN_URL' ) )
			define( 'WP_PLUGIN_URL', WP_CONTENT_URL. '/plugins' );

		register_activation_hook(__FILE__, array(&$this, 'install'));
		//register_uninstall_hook(__FILE__, array(&$this, 'uninstall'));

		// Load Textdomain
		//load_plugin_textdomain( 'js-agentnews', false, basename(__FILE__, '.php').'/languages' );

		$this->plugin_url = WP_PLUGIN_URL.'/'.basename(__FILE__, '.php');

		//add_action( 'admin_head', array(&$this, 'addHeaderCode') );
		add_action( 'wp_head', array(&$this, 'addHeaderCode') );
		add_filter( 'widget_links_args', array($this, 'widget_links_args') );

        //if ( function_exists( 'add_theme_support' ) ) { // Added in 2.9
	    //add_theme_support( 'post-thumbnails' );
	    //set_post_thumbnail_size( 50, 50, true ); // Normal post thumbnails
	    //add_image_size( 'single-post-thumbnail', 400, 9999 ); // Permalink thumbnail size
        //}


		$widget_ops = array('classname' => 'js_eci1_widget', 'description' => __('Display Hotel Search', 'js-booking') );
		parent::__construct('js-booking', __('js Hotel Search', 'js-booking'), $widget_ops);
	}
	function Jseci1()
	{
		$this->__construct();
	}


	/**
	 * displays js box Widget
	 *
	 * Usually this function is invoked by the Wordpress widget system.
	 * However it can also be called manually via js_eci1_widget_display().
	 *
	 * @param array $args display arguments
	 * @param array $instance Settings for particular instance
	 * @return void
	 */
	function widget( $args, $instance )
	{
		$defaults = array(
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget' => '</div>',
			'before_title' => '<h2 class="widgettitle">',
			'after_title' => '</h2>',
			'number' => $this->number,
		);

		$args = array_merge( $defaults, $args );
		extract( $args, EXTR_SKIP );

        global $post;

        $title = $instance['title'];
        echo $before_widget;
        echo $before_title.$title.$after_title;
            ?>


<div class="containersearch">
 <div id="bookingsearch">
  <h2><?php _e('Search availability', 'wpbooking'); ?></h2>
 <div class="formbooking">
 <form name="agentform" id="agentform" action="<?php echo get_bloginfo('url'); ?>/index.php?search_action=searchadv" method="get">
    <fieldset>
    <div class="formRow">
    &nbsp;<label for="checkin" id="checkin_label"></label>
    <input type="text" name="checkin" id="checkin" class="textField" value="" />
    &nbsp;<?php _e('Checkin', 'wpbooking'); ?>
    </div>
    <div class="formRow"><br />
    &nbsp;<label for="checkout" id="checkout_label"></label>
    <input type="text" name="checkout" id="checkout" class="textField" />
    &nbsp;<?php _e('Checkout', 'wpbooking'); ?>
     </div>
     <div class="formRow"><br />
    &nbsp;<label for="adults_search" id="adults"></label>
    <input type="text" name="adults" id="adults_search" class="textField" value="" />
    &nbsp;<?php _e('Adults', 'wpbooking'); ?>
    </div>
    <div class="formRow"><br />
    &nbsp;<label for="childs_search" id="childs"></label>
    <input type="text" name="childs" id="childs_search" class="textField" value="" />
    &nbsp;<?php _e('Children', 'wpbooking'); ?>
    </div>
	</fieldset>
    <input type="hidden" name="btn" id="btn" value="btn" />
    <input type="hidden" name="search_action" id="searchadv" value="searchadv" />
    <div class="formRow"> <br />
	&nbsp;&nbsp;<input type="submit" name="submit" value="Submit" id="submit" class="buttonwidget" />
    </div>
</form>
<div id="results"></div>
</div>
		</div>
        </div>

        <div class="hr"></div>
            <?php
    echo $after_widget;
    }


	/**
	 * save instance settings
	 *
	 * @param array $new_instance
	 * @param array $old_instance
	 * @return array
	 */
	function update( $new_instance, $old_instance )
	{
		return $new_instance;
	}


	/**
	 * displays control panel for the widget
	 *
	 * @param array $args
	 * @return void
	*/
	function form( $instance )
	{

		echo '<div class="links_news_control">';

	    echo '<div id="box_tab">
        <label for="'. $this->get_field_id('title'). '">Title:</label>
        <input type="text" name="'. $this->get_field_name('title').'" id="'. $this->get_field_id('title').' " value="'. $instance['title'].'" size="20">
        </div>';

        echo '</div>';

		return;
	}





	/**
	 * display pages as dropdown list
	 *
	 * @param string $term name of term
	 * @param string $name field name
	 * @param int $selected ID of selected category
	 * @return select element of pages
	 */

    function pages1( $term, $name, $selected )
	{
		$pages1 = get_pages('sort_column=post_date&sort_order=desc');

		if ( empty($pages1) )
			return;

		$out = '<select size="1" name="'.$this->get_field_name($name).'" id="'.$this->get_field_id($name).'">';
		foreach ( $pages1 as $page1 ) {
			$pageid = $page1->ID;
			$name = $page1->post_title;
			$checked = ( $selected == $pageid ) ? ' selected="selected"' : '';
			$out .= '<option value="'.$pageid.'"'.$checked.'> '. $name. '</option>';
		}
		$out .= '</select>';

		return $out;
	}



	/**
	 * install plugin
	 *
	 * @param none
	 * @return void
	 */
	function install()
	{
		$options = array();
		$options['version'] = $this->version;

		add_option( 'js_eci1_widget', $options, 'js Booking Search Widget Options', 'yes' );

		return;
	}


	/**
	 * uninstall js box box Widget
	 *
	 * @param none
	 * @return void
	 */
	function uninstall()
	{
		delete_option( 'js_eci1_widget' );
	}


	/**
	 * adds code to Wordpress head
	 *
	 * @param none
	 * @return void
	 */
	function addHeaderCode()
	{
?>
<?php
	}


	/**
	 * redefine Links Widget Arguments to exclude chosen link category
	 *
	 * @param $args
	 * @return array
	 */
	 function widget_links_args( $args )
	 {
		$options = get_option('widget_js-news');
		unset($options['version']);
		$excludes = array();
		foreach ( (array)$options AS $option )
			$excludes[] = $option['category'];

		$exclude = implode(',', $excludes);
		$args['exclude_category'] = $exclude;
		return $args;
	 }
}
// Run Jseci1
function js_eci1_widget_init() {
	register_widget("Jseci1");
}
add_action('widgets_init', 'js_eci1_widget_init');


/**
 * Wrapper function to display js slide Widget statically
 *
 * @param array $args basic arguments including before_widget, after_widget, before_title, after_title and number
 * @param array $instance settings for this instance. See list below for parameters
 *
 * This function can be used to display js news Widget in a Non-widgetized Theme.
 * Below is a list of needed arguments passed as an assoziative Array in $instance
 *
 * - category: ID of Link category to display
 * - widget_title: Widget title, if left empty no title will be displayed
 * - fade: Fade effect, see http://malsup.com/jquery/cycle/begin.html for a list of available effects
 * - time: Time in seconds between images
 * - width: width in px of the news
 * - height: height in px  of the news
 * - order: 0 for sequential, 1 for random ordering of images
 */
function js_eci1_widget_display( $args = array(), $instance = array() ) {
	Jseci1::widget( $args, $instance );
}


class Jseci3 extends WP_Widget
{
	/**
	 * Plugin Version
	 *
	 * @var string
	 */
	var $version = '1.0.0';

	/**
	 * path to the plugin
	 *
	 * @var string
	 */
	var $plugin_url;


	/**
	 * Class Constructor
	 *
	 * @param none
	 * @return void
	 */
	function __construct()
	{
		if ( !defined( 'WP_CONTENT_URL' ) )
			define( 'WP_CONTENT_URL', get_option( 'siteurl' ) . '/wp-content' );
		if ( !defined( 'WP_PLUGIN_URL' ) )
			define( 'WP_PLUGIN_URL', WP_CONTENT_URL. '/plugins' );

		register_activation_hook(__FILE__, array(&$this, 'install'));
		//register_uninstall_hook(__FILE__, array(&$this, 'uninstall'));

		// Load Textdomain
		//load_plugin_textdomain( 'js-agentnews', false, basename(__FILE__, '.php').'/languages' );

		$this->plugin_url = WP_PLUGIN_URL.'/'.basename(__FILE__, '.php');

		//add_action( 'admin_head', array(&$this, 'addHeaderCode') );
		add_action( 'wp_head', array(&$this, 'addHeaderCode') );
		add_filter( 'widget_links_args', array($this, 'widget_links_args') );

        //if ( function_exists( 'add_theme_support' ) ) { // Added in 2.9
	    //add_theme_support( 'post-thumbnails' );
	    //set_post_thumbnail_size( 50, 50, true ); // Normal post thumbnails
	    //add_image_size( 'single-post-thumbnail', 400, 9999 ); // Permalink thumbnail size
        //}


		$widget_ops = array('classname' => 'js_eci3_widget', 'description' => __('Display Hotel availability', 'js-hotel-calendar') );
		parent::__construct('js-hotel-calendar', __('js Hotel availability', 'js-hotel-calendar'), $widget_ops);
	}
	function Jseci3()
	{
		$this->__construct();
	}


	/**
	 * displays js box Widget
	 *
	 * Usually this function is invoked by the Wordpress widget system.
	 * However it can also be called manually via js_eci3_widget_display().
	 *
	 * @param array $args display arguments
	 * @param array $instance Settings for particular instance
	 * @return void
	 */
	function widget( $args, $instance )
	{
		$defaults = array(
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget' => '</div>',
			'before_title' => '<h3 class="widgettitle">',
			'after_title' => '</h3>',
			'number' => $this->number,
		);

		$args = array_merge( $defaults, $args );
		extract( $args, EXTR_SKIP );

        global $post, $wp, $wpdb;

        $settings = get_wpbooking_options();
        if ( $settings['wpbooking_jquery_noconflict'] == 1 ) { $jquery = 'jQuery'; } else { $jquery = '$'; }

$title = $instance['title'];
//echo $before_widget;
//echo $before_title.$title.$after_title;

$rooms = @$_REQUEST['rooms'];
$controller = @$_REQUEST['controller'];
if ($wp->query_vars['post_type'] == "roomscustom") {


echo $before_widget;
echo "<div class=\"roomcalendar\">";
echo $before_title.$title.$after_title;

$table_name2 = $wpdb->prefix . "booking_calendar";

if ($rooms) {

$result = $rooms;

} else if ($_REQUEST['lang']) {

$string = '[room id="(.*?)" rooms="(.*?)"]';
preg_match( $string, $post->post_content, $matches);

$result = $matches[2];

} else {

$result = wpbooking_QueryRoomId($post->ID);

}

            ?>
<script type="text/javascript">
 <?php echo $jquery ?>(document).ready(function(){
	<?php echo $jquery ?>('.prevDate').click(function(){
		<?php echo $jquery ?>('.contentCalendar').load(this.href);

		return false;
	});

	//Enlve 29 et 30 du mois de fvrier
	if( <?php echo $jquery ?>('.moisAnnee').text().substr(0,2) == '02'){
		<?php echo $jquery ?>('a[rel="1298934000"]').remove(); 	//29
		<?php echo $jquery ?>('a[rel="1299020400"]').remove(); 	//30
	}





 });
</script>
    <div class="date">
        <div class="contentCalendar">
        <?php $timestamp=time();  ?>
         <?php
				$debutMois=mktime('0','0','0',date('m',$timestamp),1,date('Y',$timestamp));
				$finMois=mktime('0','0','0',date('m',$timestamp),date('t',$timestamp),date('Y',$timestamp));
				$debutNext=mktime('0','0','0',(date('m',$timestamp))+1,1,date('Y',$timestamp));
				$debutPrev=mktime('0','0','0',(date('m',$timestamp))-1,1,date('Y',$timestamp));
				?>
        	<div class="moisAnnee"><a href="<?php echo WPBOOKING_PLUGIN_URL ?>/includes/refreshDate.php?d=<?= $debutPrev; ?>&roomid=<?= $result; ?>" class="prevDate" style="float:left"><img src="<?php echo WPBOOKING_PLUGIN_URL ?>/images/prev.png" alt="" /></a>  <?= date('M - Y',$timestamp); ?> <a href="<?php echo WPBOOKING_PLUGIN_URL ?>/includes/refreshDate.php?d=<?= $debutNext; ?>&roomid=<?= $result; ?>" class="prevDate" style="float:right"><img src="<?php echo WPBOOKING_PLUGIN_URL ?>/images/next.png" alt="" /></a></div>
            <div class="navCalendar">
            </div>
            <div style="clear:both"></div>
            <div class="jourCalendar">
            	<span><?php _e('Mon', 'wpbooking'); ?></span>
                <span><?php _e('Tue', 'wpbooking'); ?></span>
                <span><?php _e('Wed', 'wpbooking'); ?></span>
                <span><?php _e('Thu', 'wpbooking'); ?></span>
                <span><?php _e('Fri', 'wpbooking'); ?></span>
                <span><?php _e('Sat', 'wpbooking'); ?></span>
                <span><?php _e('Sun', 'wpbooking'); ?></span>
            </div>
            <div class="selectJour">
                <?php

				 for($i=1; $i<date('N',$debutMois); $i++){ echo '<span class="videSpan">&nbsp;</span>'; }
				  $limite = date("t", mktime('0','0','0',date('m',$timestamp),$i,date('Y',$timestamp)) );
				 for($i=1; $i< $limite +1 ; $i++){
			     	 if(mktime('0','0','0',date('m',$timestamp),$i+1,date('Y',$timestamp))<time()
					 /* || date('N', mktime('0','0','0',date('m',$timestamp),$i,date('Y',$timestamp)) */){
					 	echo '<span class="videSpan"><del>'.$i.'</del></span>';
					 }else{
					    $fixdate = mktime('0','0','0',date('m',$timestamp),$i,date('Y',$timestamp));
                        $convertdate = date('Y-m-d',$fixdate);
                        if (wpbooking_QueryGetAvv($result,$convertdate)) {
                          $css = wpbooking_QueryGetAvv($result,$convertdate);
                        } else {
                          $css = "unavailable";
                        }
						echo '<a href="#" class="'.$css.'" rel="'.mktime('0','0','0',date('m',$timestamp),$i,date('Y',$timestamp)).'"';
						echo '>'.$i.'</a>';
				     }
				 } ?>
                <div class="clear"></div>
           </div>
        </div>
    </div>
        <div class="clear"></div>
        <div class="hr"></div>
            <?php
      echo "</div>";
    }
    //echo "</div>";


    if ($wp->query_vars['post_type'] == "roomscustom") {
    echo $after_widget;
    }
    }


	/**
	 * save instance settings
	 *
	 * @param array $new_instance
	 * @param array $old_instance
	 * @return array
	 */
	function update( $new_instance, $old_instance )
	{
		return $new_instance;
	}


	/**
	 * displays control panel for the widget
	 *
	 * @param array $args
	 * @return void
	*/
	function form( $instance )
	{

		echo '<div class="links_news_control">';

	    echo '<div id="box_tab">
        <label for="'. $this->get_field_id('title'). '">Title:</label>
        <input type="text" name="'. $this->get_field_name('title').'" id="'. $this->get_field_id('title').' " value="'. $instance['title'].'" size="20">
        </div>';

        echo '</div>';

		return;
	}





	/**
	 * display pages as dropdown list
	 *
	 * @param string $term name of term
	 * @param string $name field name
	 * @param int $selected ID of selected category
	 * @return select element of pages
	 */

    function pages1( $term, $name, $selected )
	{
		$pages1 = get_pages('sort_column=post_date&sort_order=desc');

		if ( empty($pages1) )
			return;

		$out = '<select size="1" name="'.$this->get_field_name($name).'" id="'.$this->get_field_id($name).'">';
		foreach ( $pages1 as $page1 ) {
			$pageid = $page1->ID;
			$name = $page1->post_title;
			$checked = ( $selected == $pageid ) ? ' selected="selected"' : '';
			$out .= '<option value="'.$pageid.'"'.$checked.'> '. $name. '</option>';
		}
		$out .= '</select>';

		return $out;
	}



	/**
	 * install plugin
	 *
	 * @param none
	 * @return void
	 */
	function install()
	{
		$options = array();
		$options['version'] = $this->version;

		add_option( 'js_eci3_widget', $options, 'js Booking availability Options', 'yes' );

		return;
	}


	/**
	 * uninstall js box box Widget
	 *
	 * @param none
	 * @return void
	 */
	function uninstall()
	{
		delete_option( 'js_eci3_widget' );
	}


	/**
	 * adds code to Wordpress head
	 *
	 * @param none
	 * @return void
	 */
	function addHeaderCode()
	{
?>

<?php
	}


	/**
	 * redefine Links Widget Arguments to exclude chosen link category
	 *
	 * @param $args
	 * @return array
	 */
	 function widget_links_args( $args )
	 {
		$options = get_option('widget_js-news');
		unset($options['version']);
		$excludes = array();
		foreach ( (array)$options AS $option )
			$excludes[] = $option['category'];

		$exclude = implode(',', $excludes);
		$args['exclude_category'] = $exclude;
		return $args;
	 }
}
// Run Jseci3
function js_eci3_widget_init() {
	register_widget("Jseci3");
}
add_action('widgets_init', 'js_eci3_widget_init');


/**
 * Wrapper function to display js slide Widget statically
 *
 * @param array $args basic arguments including before_widget, after_widget, before_title, after_title and number
 * @param array $instance settings for this instance. See list below for parameters
 *
 * This function can be used to display js news Widget in a Non-widgetized Theme.
 * Below is a list of needed arguments passed as an assoziative Array in $instance
 *
 * - category: ID of Link category to display
 * - widget_title: Widget title, if left empty no title will be displayed
 * - fade: Fade effect, see http://malsup.com/jquery/cycle/begin.html for a list of available effects
 * - time: Time in seconds between images
 * - width: width in px of the news
 * - height: height in px  of the news
 * - order: 0 for sequential, 1 for random ordering of images
 */
function js_eci3_widget_display( $args = array(), $instance = array() ) {
	Jseci3::widget( $args, $instance );
}

class Jseci5 extends WP_Widget
{
	/**
	 * Plugin Version
	 *
	 * @var string
	 */
	var $version = '1.0.0';

	/**
	 * path to the plugin
	 *
	 * @var string
	 */
	var $plugin_url;


	/**
	 * Class Constructor
	 *
	 * @param none
	 * @return void
	 */
	function __construct()
	{
		if ( !defined( 'WP_CONTENT_URL' ) )
			define( 'WP_CONTENT_URL', get_option( 'siteurl' ) . '/wp-content' );
		if ( !defined( 'WP_PLUGIN_URL' ) )
			define( 'WP_PLUGIN_URL', WP_CONTENT_URL. '/plugins' );

		register_activation_hook(__FILE__, array(&$this, 'install'));
		//register_uninstall_hook(__FILE__, array(&$this, 'uninstall'));

		// Load Textdomain
		//load_plugin_textdomain( 'js-agentnews', false, basename(__FILE__, '.php').'/languages' );

		$this->plugin_url = WP_PLUGIN_URL.'/'.basename(__FILE__, '.php');

		//add_action( 'admin_head', array(&$this, 'addHeaderCode') );
		add_action( 'wp_head', array(&$this, 'addHeaderCode') );
		add_filter( 'widget_links_args', array($this, 'widget_links_args') );

        //if ( function_exists( 'add_theme_support' ) ) { // Added in 2.9
	    //add_theme_support( 'post-thumbnails' );
	    //set_post_thumbnail_size( 50, 50, true ); // Normal post thumbnails
	    //add_image_size( 'single-post-thumbnail', 400, 9999 ); // Permalink thumbnail size
        //}


		$widget_ops = array('classname' => 'js_eci5_widget', 'description' => __('Display Hotel Search advanced', 'js-booking-search') );
		parent::__construct('js-booking-search', __('js Hotel advanced Search', 'js-booking'), $widget_ops);
	}
	function Jseci5()
	{
		$this->__construct();
	}


	/**
	 * displays js box Widget
	 *
	 * Usually this function is invoked by the Wordpress widget system.
	 * However it can also be called manually via js_eci5_widget_display().
	 *
	 * @param array $args display arguments
	 * @param array $instance Settings for particular instance
	 * @return void
	 */
	function widget( $args, $instance )
	{
		$defaults = array(
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget' => '</div>',
			'before_title' => '<h2 class="widgettitle">',
			'after_title' => '</h2>',
			'number' => $this->number,
		);

		$args = array_merge( $defaults, $args );
		extract( $args, EXTR_SKIP );

        global $post;

        if ( get_option('permalink_structure') != '' ) { $suffix = '?'; } else { $suffix = '&'; }

        $title = $instance['title'];
        $pagesearch = $instance['pagesearchadv'];
        echo $before_widget;
        echo $before_title.$title.$after_title;
        $locs = wpbooking_show_city();
        $countrsy = wpbooking_show_country();
        $stars = array('1','2','3','4','5');
            ?>


<div class="containersearch">
 <div id="advancedsearch">
 <h3><?php _e('Advanced search', 'wpbooking'); ?> </h3>
 <div class="formbooking">
 <form name="agentform" id="agentform" action="<?php echo get_permalink($pagesearch).$suffix ?>controller=searchadv" method="get">
    <fieldset>
    <div class="formRow">
    &nbsp;<label for="country" id="country_label"></label>
    <select id="country" name="country">
    <?php
    echo '<option value="">Select</option>';
    foreach ($countrsy as $country) {
    echo '<option value="'. $country['id'] .'">'.$country['country'].'</option>';
    }
     ?>
    </select>
    &nbsp;<?php _e('Country', 'wpbooking'); ?>
    </div>
    <div class="formRow"><br />
    &nbsp;<label for="city" id="city_label"></label>
    <select id="city_search" name="city">
    <?php
    echo '<option value="">Select</option>';
    foreach ($locs as $loc) {
    echo '<option value="'. $loc['id'] .'">'.$loc['city'].'</option>';
    }
     ?>
    </select>
    &nbsp;<?php _e('City', 'wpbooking'); ?>
    </div>
    <div class="formRow"><br />
    &nbsp;<label for="stars" id="stars_label"></label>
    <select id="stars" name="stars">
    <?php
    echo '<option value="">Select</option>';
    foreach ($stars as $star) {
    echo '<option value="'. $star .'">'.$star.'</option>';
    }
     ?>
    </select>
    &nbsp;<?php _e('Stars', 'wpbooking'); ?>
    </div>
    <div class="formRow"><br />
    &nbsp;<label for="adults_search" id="adults_label"></label>
    <input type="text" name="adults" id="adults_search" class="textField" value="" />
    &nbsp;<?php _e('Adults', 'wpbooking'); ?>
    </div>
    <div class="formRow"><br />
    &nbsp;<label for="childs_search" id="childs_label"></label>
    <input type="text" name="childs" id="childs_search" class="textField" value="" />
    &nbsp;<?php _e('Children', 'wpbooking'); ?>
    </div>
    <div class="formRow"><br />
    &nbsp;<label for="checkin" id="checkin_label"></label>
    <input type="text" name="checkin" id="checkin" class="textField" value="" />
    &nbsp;<?php _e('Checkin', 'wpbooking'); ?>
    </div>
    <div class="formRow"><br />
    &nbsp;<label for="checkout" id="checkout_label"></label>
    <input type="text" name="checkout" id="checkout" class="textField" />
    &nbsp;<?php _e('Checkout', 'wpbooking'); ?>
     </div>
	</fieldset>
    <input type="hidden" name="btn" id="btn" value="btn" />
    <input type="hidden" name="controller" id="searchadv" value="searchadv" />
    <div class="formRow"> <br />
	&nbsp;&nbsp;<input type="submit" name="submit" value="<?php _e('Search', 'wpbooking'); ?> " id="submit" class="searchregionbutton" />
    </div>
</form>
<div id="results"></div>
</div>
		</div>
        </div>

        <div class="hr"></div>
            <?php
    echo $after_widget;
    }


	/**
	 * save instance settings
	 *
	 * @param array $new_instance
	 * @param array $old_instance
	 * @return array
	 */
	function update( $new_instance, $old_instance )
	{
		return $new_instance;
	}


	/**
	 * displays control panel for the widget
	 *
	 * @param array $args
	 * @return void
	*/
	function form( $instance )
	{

		echo '<div class="links_news_control">';

	    echo '<div id="box_tab">
        <label for="'. $this->get_field_id('title'). '">Title:</label>
        <p><input type="text" name="'. $this->get_field_name('title').'" id="'. $this->get_field_id('title').' " value="'. $instance['title'].'" size="20"></p>
        </div>';
        echo '<div id="box_'.$this->get_field_id('pagesearchadv').'">';
		echo '<label for="'.$this->get_field_id('pagesearchadv').'">'.__( 'Page', 'wpbooking' ).'</label><p> '.$this->pages1( 'pagesearchadv', $instance['pagesearchadv']).'</p>';
		echo '</div>';

        echo '</div>';

		return;
	}





	/**
	 * display pages as dropdown list
	 *
	 * @param string $term name of term
	 * @param string $name field name
	 * @param int $selected ID of selected category
	 * @return select element of pages
	 */

    function pages1( $name, $selected )
	{
		$pages1 = get_pages('sort_column=post_date&sort_order=desc');

		if ( empty($pages1) )
			return;

		$out = '<select size="1" name="'.$this->get_field_name($name).'" id="'.$this->get_field_id($name).'">';
		foreach ( $pages1 as $page1 ) {
			$pageid = $page1->ID;
			$name = $page1->post_title;
			$checked = ( $selected == $pageid ) ? ' selected="selected"' : '';
			$out .= '<option value="'.$pageid.'"'.$checked.'> '. $name. '</option>';
		}
		$out .= '</select>';

		return $out;
	}



	/**
	 * install plugin
	 *
	 * @param none
	 * @return void
	 */
	function install()
	{
		$options = array();
		$options['version'] = $this->version;

		add_option( 'js_eci5_widget', $options, 'js Booking Search advanced Widget Options', 'yes' );

		return;
	}


	/**
	 * uninstall js box box Widget
	 *
	 * @param none
	 * @return void
	 */
	function uninstall()
	{
		delete_option( 'js_eci5_widget' );
	}


	/**
	 * adds code to Wordpress head
	 *
	 * @param none
	 * @return void
	 */
	function addHeaderCode()
	{

    $settings = get_wpbooking_options();
    if ( $settings['wpbooking_jquery_noconflict'] == 1 ) { $jquery = 'jQuery'; } else { $jquery = '$'; }
?>
<script language="JavaScript" type="text/javascript">
/*<![CDATA[*/
<?php echo $jquery ?>(document).ready(function(){
		<?php echo $jquery ?>('#advancedsearch #country').change(function(){
			// alert('edit');
			var country_id = <?php echo $jquery ?>('#advancedsearch #country').val();
            //alert(cat);
			<?php echo $jquery ?>.ajax({
			   type: "POST",
			   url: "<?php echo WPBOOKING_PLUGIN_URL ?>/includes/search_city.php",
			   data: ({country_id:country_id}),
			   success: function(response){
			     // alert( "Data: " + response );
			     <?php echo $jquery ?>("#city_search").html(response);
			   }
			 });
		});
        	});

/*]]>*/
</script>
<?php
	}


	/**
	 * redefine Links Widget Arguments to exclude chosen link category
	 *
	 * @param $args
	 * @return array
	 */
	 function widget_links_args( $args )
	 {
		$options = get_option('widget_js-news');
		unset($options['version']);
		$excludes = array();
		foreach ( (array)$options AS $option )
			$excludes[] = $option['category'];

		$exclude = implode(',', $excludes);
		$args['exclude_category'] = $exclude;
		return $args;
	 }
}
// Run Jseci5
function js_eci5_widget_init() {
	register_widget("Jseci5");
}
add_action('widgets_init', 'js_eci5_widget_init');


/**
 * Wrapper function to display js slide Widget statically
 *
 * @param array $args basic arguments including before_widget, after_widget, before_title, after_title and number
 * @param array $instance settings for this instance. See list below for parameters
 *
 * This function can be used to display js news Widget in a Non-widgetized Theme.
 * Below is a list of needed arguments passed as an assoziative Array in $instance
 *
 * - category: ID of Link category to display
 * - widget_title: Widget title, if left empty no title will be displayed
 * - fade: Fade effect, see http://malsup.com/jquery/cycle/begin.html for a list of available effects
 * - time: Time in seconds between images
 * - width: width in px of the news
 * - height: height in px  of the news
 * - order: 0 for sequential, 1 for random ordering of images
 */
function js_eci5_widget_display( $args = array(), $instance = array() ) {
	Jseci5::widget( $args, $instance );
}

class Jseci6 extends WP_Widget
{
	/**
	 * Plugin Version
	 *
	 * @var string
	 */
	var $version = '1.0.0';

	/**
	 * path to the plugin
	 *
	 * @var string
	 */
	var $plugin_url;


	/**
	 * Class Constructor
	 *
	 * @param none
	 * @return void
	 */
	function __construct()
	{
		if ( !defined( 'WP_CONTENT_URL' ) )
			define( 'WP_CONTENT_URL', get_option( 'siteurl' ) . '/wp-content' );
		if ( !defined( 'WP_PLUGIN_URL' ) )
			define( 'WP_PLUGIN_URL', WP_CONTENT_URL. '/plugins' );

		register_activation_hook(__FILE__, array(&$this, 'install'));
		//register_uninstall_hook(__FILE__, array(&$this, 'uninstall'));

		// Load Textdomain
		//load_plugin_textdomain( 'js-agentnews', false, basename(__FILE__, '.php').'/languages' );

		$this->plugin_url = WP_PLUGIN_URL.'/'.basename(__FILE__, '.php');

		//add_action( 'admin_head', array(&$this, 'addHeaderCode') );
		add_action( 'wp_head', array(&$this, 'addHeaderCode') );
		add_filter( 'widget_links_args', array($this, 'widget_links_args') );

        //if ( function_exists( 'add_theme_support' ) ) { // Added in 2.9
	    //add_theme_support( 'post-thumbnails' );
	    //set_post_thumbnail_size( 50, 50, true ); // Normal post thumbnails
	    //add_image_size( 'single-post-thumbnail', 400, 9999 ); // Permalink thumbnail size
        //}


		$widget_ops = array('classname' => 'js_eci6_widget', 'description' => __('Display Hotel Admin link', 'js-bookingadmin') );
		parent::__construct('js-bookingadmin', __('Js Hotel Admin', 'js-bookingadmin'), $widget_ops);
	}
	function Jseci6()
	{
		$this->__construct();
	}


	/**
	 * displays js box Widget
	 *
	 * Usually this function is invoked by the Wordpress widget system.
	 * However it can also be called manually via js_eci6_widget_display().
	 *
	 * @param array $args display arguments
	 * @param array $instance Settings for particular instance
	 * @return void
	 */
	function widget( $args, $instance )
	{
		$defaults = array(
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget' => '</div>',
			'before_title' => '<h2 class="widgettitle">',
			'after_title' => '</h2>',
			'number' => $this->number,
		);

		$args = array_merge( $defaults, $args );
		extract( $args, EXTR_SKIP );

        global $post;

        $title = $instance['title'];
        $image = $instance['linkimage'];

        echo $before_widget;
        //echo $before_title.$title.$after_title;
            ?>
<div class="containersearch">
<?php
if( current_user_can('organize_agent') || current_user_can('administrator')) {
?>
<a href="<?php echo WPBOOKING_PLUGIN_URL ?>/frontend/frontend_manage.php?page=booking_hotel" class="linkadmin" onclick="newWindow(this.href, 'popup', 1000, 1000, 1, 1, 0, 0, 0, 1, 0); return false;" target="_blank"><font color="#000000"><?php _e('Add a new Hotel', 'wpbooking'); ?></font></a>
<?php } else if ( is_user_logged_in() ) {
?>
<a href="<?php echo WPBOOKING_PLUGIN_URL ?>/user/frontend_manage.php?page=mybooking" class="linkadmin" onclick="newWindow(this.href, 'popup', 1000, 1000, 1, 1, 0, 0, 0, 1, 0); return false;" target="_blank"><font color="#000000"><?php _e('Manage Reservation', 'wpbooking'); ?></font></a>
<?php
?>
<?php } else {
?>
<a href="<?php echo site_url(); ?>/?page_id=278" class="linkadmin"><font color="#000000"><?php _e('Register', 'wpbooking'); ?></font></a>
<?php }
?>
        </div>

        <div class="hr"></div>
            <?php
    echo $after_widget;

    }


	/**
	 * save instance settings
	 *
	 * @param array $new_instance
	 * @param array $old_instance
	 * @return array
	 */
	function update( $new_instance, $old_instance )
	{
		return $new_instance;
	}


	/**
	 * displays control panel for the widget
	 *
	 * @param array $args
	 * @return void
	*/
	function form( $instance )
	{

		echo '<div class="links_news_control">';

	    echo '<div id="box_tab">
        <label for="'. $this->get_field_id('title'). '">Title:</label><br />
        <input type="text" name="'. $this->get_field_name('title').'" id="'. $this->get_field_id('title').' " value="'. $instance['title'].'" size="20">
        </div>
        <div id="box_tab">
        <label for="'. $this->get_field_id('linkimage'). '">Url Image:</label><br />
        <input type="text" name="'. $this->get_field_name('linkimage').'" id="'. $this->get_field_id('linkimage').' " value="'. $instance['linkimage'].'" size="20">
        </div>';

        echo '</div>';

		return;
	}





	/**
	 * display pages as dropdown list
	 *
	 * @param string $term name of term
	 * @param string $name field name
	 * @param int $selected ID of selected category
	 * @return select element of pages
	 */

    function pages1( $term, $name, $selected )
	{
		$pages1 = get_pages('sort_column=post_date&sort_order=desc');

		if ( empty($pages1) )
			return;

		$out = '<select size="1" name="'.$this->get_field_name($name).'" id="'.$this->get_field_id($name).'">';
		foreach ( $pages1 as $page1 ) {
			$pageid = $page1->ID;
			$name = $page1->post_title;
			$checked = ( $selected == $pageid ) ? ' selected="selected"' : '';
			$out .= '<option value="'.$pageid.'"'.$checked.'> '. $name. '</option>';
		}
		$out .= '</select>';

		return $out;
	}



	/**
	 * install plugin
	 *
	 * @param none
	 * @return void
	 */
	function install()
	{
		$options = array();
		$options['version'] = $this->version;

		add_option( 'js_eci6_widget', $options, 'js Restaurant Widget Options', 'yes' );

		return;
	}


	/**
	 * uninstall js box box Widget
	 *
	 * @param none
	 * @return void
	 */
	function uninstall()
	{
		delete_option( 'js_eci6_widget' );
	}


	/**
	 * adds code to Wordpress head
	 *
	 * @param none
	 * @return void
	 */
	function addHeaderCode()
	{
?>

<?php
	}


	/**
	 * redefine Links Widget Arguments to exclude chosen link category
	 *
	 * @param $args
	 * @return array
	 */
	 function widget_links_args( $args )
	 {
		$options = get_option('widget_js-news');
		unset($options['version']);
		$excludes = array();
		foreach ( (array)$options AS $option )
			$excludes[] = $option['category'];

		$exclude = implode(',', $excludes);
		$args['exclude_category'] = $exclude;
		return $args;
	 }
}
// Run Jseci6
function js_eci6_widget_init() {
	register_widget("Jseci6");
}
add_action('widgets_init', 'js_eci6_widget_init');


/**
 * Wrapper function to display js slide Widget statically
 *
 * @param array $args basic arguments including before_widget, after_widget, before_title, after_title and number
 * @param array $instance settings for this instance. See list below for parameters
 *
 * This function can be used to display js news Widget in a Non-widgetized Theme.
 * Below is a list of needed arguments passed as an assoziative Array in $instance
 *
 * - category: ID of Link category to display
 * - widget_title: Widget title, if left empty no title will be displayed
 * - fade: Fade effect, see http://malsup.com/jquery/cycle/begin.html for a list of available effects
 * - time: Time in seconds between images
 * - width: width in px of the news
 * - height: height in px  of the news
 * - order: 0 for sequential, 1 for random ordering of images
 */
function js_eci6_widget_display( $args = array(), $instance = array() ) {
	Jseci6::widget( $args, $instance );
}

class Jseci7 extends WP_Widget
{
	/**
	 * Plugin Version
	 *
	 * @var string
	 */
	var $version = '1.0.0';

	/**
	 * path to the plugin
	 *
	 * @var string
	 */
	var $plugin_url;


	/**
	 * Class Constructor
	 *
	 * @param none
	 * @return void
	 */
	function __construct()
	{
		if ( !defined( 'WP_CONTENT_URL' ) )
			define( 'WP_CONTENT_URL', get_option( 'siteurl' ) . '/wp-content' );
		if ( !defined( 'WP_PLUGIN_URL' ) )
			define( 'WP_PLUGIN_URL', WP_CONTENT_URL. '/plugins' );

		register_activation_hook(__FILE__, array(&$this, 'install'));
		//register_uninstall_hook(__FILE__, array(&$this, 'uninstall'));

		// Load Textdomain
		//load_plugin_textdomain( 'js-agentnews', false, basename(__FILE__, '.php').'/languages' );

		$this->plugin_url = WP_PLUGIN_URL.'/'.basename(__FILE__, '.php');

		//add_action( 'admin_head', array(&$this, 'addHeaderCode') );
		add_action( 'wp_head', array(&$this, 'addHeaderCode') );
		add_filter( 'widget_links_args', array($this, 'widget_links_args') );

        //if ( function_exists( 'add_theme_support' ) ) { // Added in 2.9
	    //add_theme_support( 'post-thumbnails' );
	    //set_post_thumbnail_size( 50, 50, true ); // Normal post thumbnails
	    //add_image_size( 'single-post-thumbnail', 400, 9999 ); // Permalink thumbnail size
        //}


		$widget_ops = array('classname' => 'Jseci7_widget', 'description' => __('Display Hotel Search by Country', 'js-bookingcountry') );
		parent::__construct('js-bookingcountry', __('js Hotel Search by Country', 'js-bookingcountry'), $widget_ops);
	}
	function Jseci7()
	{
		$this->__construct();
	}


	/**
	 * displays js box Widget
	 *
	 * Usually this function is invoked by the Wordpress widget system.
	 * However it can also be called manually via Jseci7_widget_display().
	 *
	 * @param array $args display arguments
	 * @param array $instance Settings for particular instance
	 * @return void
	 */
	function widget( $args, $instance )
	{
		$defaults = array(
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget' => '</div>',
			'before_title' => '<h2 class="widgettitle">',
			'after_title' => '</h2>',
			'number' => $this->number,
		);

		$args = array_merge( $defaults, $args );
		extract( $args, EXTR_SKIP );

        global $post;

        if ( get_option('permalink_structure') != '' ) { $suffix = '?'; } else { $suffix = '&'; }

        $title = $instance['title'];
        $pagesearch = $instance['pagesearch'];
        echo $before_widget;
        echo $before_title.$title.$after_title;

        $countrsy = wpbooking_show_country();
            ?>


<div class="countrysearch">
 <div id="bookingsearch">
  <h3><?php _e('Search by Country', 'wpbooking'); ?></h3>
 <div class="formbooking">
 <form name="agentform" id="agentform" action="<?php echo get_permalink($pagesearch).$suffix ?>controller=search" method="post">
    <fieldset>
    <div class="formRow">
    &nbsp;<label for="country" id="country_label"></label>
    <select id="country" name="country">
    <option value="">Select</option>
    <?php
    foreach ($countrsy as $country) {
    echo '<option value="'. $country['id'] .'">'.$country['country'].'</option>';
    }
     ?>
    </select>
    &nbsp;
    </div>
	</fieldset>
    <input type="hidden" name="btn" id="btn" value="btn" />
    <input type="hidden" name="controller" id="searchadv" value="search" />
    <div class="formRow"> <br />
	&nbsp;&nbsp;<input type="submit" name="submit" value="Search" id="submit" class="searchregionbutton" />
    </div>
</form>
<div id="results"></div>
</div>
		</div>
        </div>

        <div class="hr"></div>
            <?php
    echo $after_widget;
    }


	/**
	 * save instance settings
	 *
	 * @param array $new_instance
	 * @param array $old_instance
	 * @return array
	 */
	function update( $new_instance, $old_instance )
	{
		return $new_instance;
	}


	/**
	 * displays control panel for the widget
	 *
	 * @param array $args
	 * @return void
	*/
	function form( $instance )
	{

		echo '<div class="links_news_control">';

	    echo '<div id="box_tab">
        <label for="'. $this->get_field_id('title'). '">'.__( 'Title', 'wpbooking' ).':</label>
        <p><input type="text" name="'. $this->get_field_name('title').'" id="'. $this->get_field_id('title').' " value="'. $instance['title'].'" size="20"></p>
        </div>';
        echo '<div id="box_'.$this->get_field_id('pagesearch').'">';
		echo '<label for="'.$this->get_field_id('pagesearch').'">'.__( 'Page', 'wpbooking' ).'</label><p> '.$this->pages1( 'pagesearch', $instance['pagesearch']).'</p>';
		echo '</div>';

        echo '</div>';

		return;
	}





	/**
	 * display pages as dropdown list
	 *
	 * @param string $term name of term
	 * @param string $name field name
	 * @param int $selected ID of selected category
	 * @return select element of pages
	 */

    function pages1( $name, $selected )
	{
		$pages1 = get_pages('sort_column=post_date&sort_order=desc');

		if ( empty($pages1) )
			return;

		$out = '<select size="1" name="'.$this->get_field_name($name).'" id="'.$this->get_field_id($name).'">';
		foreach ( $pages1 as $page1 ) {
			$pageid = $page1->ID;
			$name = $page1->post_title;
			$checked = ( $selected == $pageid ) ? ' selected="selected"' : '';
			$out .= '<option value="'.$pageid.'"'.$checked.'> '. $name. '</option>';
		}
		$out .= '</select>';

		return $out;
	}



	/**
	 * install plugin
	 *
	 * @param none
	 * @return void
	 */
	function install()
	{
		$options = array();
		$options['version'] = $this->version;

		add_option( 'Jseci7_widget', $options, 'js Booking Search Widget Options', 'yes' );

		return;
	}


	/**
	 * uninstall js box box Widget
	 *
	 * @param none
	 * @return void
	 */
	function uninstall()
	{
		delete_option( 'Jseci7_widget' );
	}


	/**
	 * adds code to Wordpress head
	 *
	 * @param none
	 * @return void
	 */
	function addHeaderCode()
	{
?>
<?php
	}


	/**
	 * redefine Links Widget Arguments to exclude chosen link category
	 *
	 * @param $args
	 * @return array
	 */
	 function widget_links_args( $args )
	 {
		$options = get_option('widget_js-news');
		unset($options['version']);
		$excludes = array();
		foreach ( (array)$options AS $option )
			$excludes[] = $option['category'];

		$exclude = implode(',', $excludes);
		$args['exclude_category'] = $exclude;
		return $args;
	 }
}
// Run Jseci7
function Jseci7_widget_init() {
	register_widget("Jseci7");
}
add_action('widgets_init', 'Jseci7_widget_init');


/**
 * Wrapper function to display js slide Widget statically
 *
 * @param array $args basic arguments including before_widget, after_widget, before_title, after_title and number
 * @param array $instance settings for this instance. See list below for parameters
 *
 * This function can be used to display js news Widget in a Non-widgetized Theme.
 * Below is a list of needed arguments passed as an assoziative Array in $instance
 *
 * - category: ID of Link category to display
 * - widget_title: Widget title, if left empty no title will be displayed
 * - fade: Fade effect, see http://malsup.com/jquery/cycle/begin.html for a list of available effects
 * - time: Time in seconds between images
 * - width: width in px of the news
 * - height: height in px  of the news
 * - order: 0 for sequential, 1 for random ordering of images
 */
function Jseci7_widget_display( $args = array(), $instance = array() ) {
	Jseci7::widget( $args, $instance );
}

class Jseci8 extends WP_Widget
{
	/**
	 * Plugin Version
	 *
	 * @var string
	 */
	var $version = '1.0.0';

	/**
	 * path to the plugin
	 *
	 * @var string
	 */
	var $plugin_url;


	/**
	 * Class Constructor
	 *
	 * @param none
	 * @return void
	 */
	function __construct()
	{
		if ( !defined( 'WP_CONTENT_URL' ) )
			define( 'WP_CONTENT_URL', get_option( 'siteurl' ) . '/wp-content' );
		if ( !defined( 'WP_PLUGIN_URL' ) )
			define( 'WP_PLUGIN_URL', WP_CONTENT_URL. '/plugins' );

		register_activation_hook(__FILE__, array(&$this, 'install'));
		//register_uninstall_hook(__FILE__, array(&$this, 'uninstall'));

		// Load Textdomain
		//load_plugin_textdomain( 'js-agentnews', false, basename(__FILE__, '.php').'/languages' );

		$this->plugin_url = WP_PLUGIN_URL.'/'.basename(__FILE__, '.php');

		//add_action( 'admin_head', array(&$this, 'addHeaderCode') );
		add_action( 'wp_head', array(&$this, 'addHeaderCode') );
		add_filter( 'widget_links_args', array($this, 'widget_links_args') );

        //if ( function_exists( 'add_theme_support' ) ) { // Added in 2.9
	    //add_theme_support( 'post-thumbnails' );
	    //set_post_thumbnail_size( 50, 50, true ); // Normal post thumbnails
	    //add_image_size( 'single-post-thumbnail', 400, 9999 ); // Permalink thumbnail size
        //}


		$widget_ops = array('classname' => 'Jseci8_widget', 'description' => __('Display Hotel Login', 'js-bookinglogin') );
		parent::__construct('js-bookinglogin', __('js Hotel Login', 'js-bookinglogin'), $widget_ops);
	}
	function Jseci8()
	{
		$this->__construct();
	}


	/**
	 * displays js box Widget
	 *
	 * Usually this function is invoked by the Wordpress widget system.
	 * However it can also be called manually via Jseci8_widget_display().
	 *
	 * @param array $args display arguments
	 * @param array $instance Settings for particular instance
	 * @return void
	 */
	function widget( $args, $instance )
	{
		$defaults = array(
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget' => '</div>',
			'before_title' => '<h2 class="widgettitle">',
			'after_title' => '</h2>',
			'number' => $this->number,
		);

		$args = array_merge( $defaults, $args );
		extract( $args, EXTR_SKIP );

        global $post, $current_user;
        get_currentuserinfo();

        if ( get_option('permalink_structure') != '' ) { $suffix = '?'; } else { $suffix = '&'; }

        $title = $instance['title'];
        $pagesearch = $instance['pagesearch'];

        $checkPost = $instance['cat_post'];
		$checkPages = $instance['cat_page'];
        $blogpage = $instance['inhome'] ? '1' : '0';

        //if ( !is_home() && !is_single()) {

        if (
        $blogpage != 0 && is_home() // ----------------------------------- On the blog page only.
		|| ($checkPost !=0 && is_single($checkPost)) // ---------------- Selected categories only.
		//|| ($checkCats !=0 && is_single() && in_category($checkCats)) // - Single posts in selected categories only.
		|| ($checkPages !=0 && is_page($checkPages)) // ------------------ Selected pages only.
		|| ($checkPages == 0 && $checkPages == 0 && $blogpage == 0 &&
			(is_single()
			|| is_category()
			|| is_page()
			|| is_home()))  // -------------------------------------------- All single posts, pages & categories.

         ) {

        echo $before_widget;
        echo $before_title.$title.$after_title;
            ?>

<div class="containerlogin">
<?php if (!(is_user_logged_in())){ ?>
<h3><?php _e('Login', 'wpbooking') ?></h3>
<form action="<?php echo get_bloginfo('siteurl'); ?>/wp-login.php" method="post">
<input type="text" name="log" id="log" value="<?php echo wp_specialchars(stripslashes($user_login), 1) ?>" size="20" />
<input type="password" name="pwd" id="pwd" size="20" />
<input type="submit" name="submit" value="Login" class="buttonlogin" />
    <div class="rem">
       <label for="rememberme"><input name="rememberme" id="rememberme" type="checkbox" checked="checked" value="forever" /><br /><?php _e('Remember me', 'wpbooking') ?></label>
       <input type="hidden" name="redirect_to" value="<?php echo $_SERVER['REQUEST_URI']; ?>" />
    </div>
</form>
<div class="reg">
<a href="<?php echo get_permalink($pagesearch) ?>"><?php _e('Register', 'wpbooking') ?></a></div>
<div class="rec">
<a href="<?php echo get_bloginfo('siteurl'); ?>/wp-login.php?action=lostpassword"><?php _e('Recover password', 'wpbooking') ?></a></div>
<?php } else { ?>
<h3><?php _e('logout', 'wpbooking') ?></h3>
<div class="welcome-login"><?php _e('Hi', 'wpbooking') ?> <?php echo $current_user->user_login ?></div>
<div class="manage-login">
<?php echo LinksManageLogin(); ?>
<?php
if( current_user_can('administrator')) {
?>
<a href="<?php echo get_bloginfo('siteurl'); ?>/wp-admin/">admin</a>
<?php }
?>
<a href="<?php echo wp_logout_url(home_url()); ?>"><?php _e('logout', 'wpbooking') ?></a><br />
</div>
<?php }?>
</div>

            <?php
    echo $after_widget;
    }
    }


	/**
	 * save instance settings
	 *
	 * @param array $new_instance
	 * @param array $old_instance
	 * @return array
	 */
	function update( $new_instance, $old_instance )
	{
		return $new_instance;
	}


	/**
	 * displays control panel for the widget
	 *
	 * @param array $args
	 * @return void
	*/
	function form( $instance )
	{

		echo '<div class="links_news_control">';

	    echo '<div id="box_tab">
        <label for="'. $this->get_field_id('title'). '">'.__( 'Title', 'wpbooking' ).':</label>
        <p><input type="text" name="'. $this->get_field_name('title').'" id="'. $this->get_field_id('title').' " value="'. $instance['title'].'" size="20"></p>
        </div>';
        echo '<div id="box_'.$this->get_field_id('pagesearch').'">';
		echo '<label for="'.$this->get_field_id('pagesearch').'">'.__( 'Register Page', 'wpbooking' ).'</label><p> '.$this->pages1( 'pagesearch', $instance['pagesearch']).'</p>';
		echo '</div>';
        if(@$instance['inhome']==1){ $checked = 'checked="checked"'; }
        if(@$instance['inpages']==1){ $checked1 = 'checked="checked"'; }
        if(@$instance['inpost']==1){ $checked2 = 'checked="checked"'; }
        echo '<div id="box_tab"><br />
        <label for="'. $this->get_field_id('title'). '">&nbsp;'.__( 'Associates', 'wpbooking' ).'</label><br />
        <input type="checkbox" name="'. $this->get_field_name('inhome').'" id="'. $this->get_field_id('inhome').'" '.$checked.' value="1" /> Home
        </div>';
        $args = array(
        'depth' => 0,
        'child_of' => 0,
        'selected' => $instance['cat_page'],
        'echo' => 1,
        'name' => $this->get_field_name('cat_page'),
        'id' =>   'cat_page',
        'class' =>   'cat_page',
        'show_option_none' => 'Select Page',
        );
        echo '<div id="box_'.$this->get_field_id('cat_page').'"><br />';
		echo '<p><div style="width:150px;"><label for="'.$this->get_field_id('cat_page').'">&nbsp;'.__( 'Pages', 'wpbooking' ).'</label></div><div> ';
        wp_dropdown_pages( $args );
        echo '</div></p>';
		echo '</div>';

        echo '<div id="box_'.$this->get_field_id('cat_post').'">';
		echo '<p><div style="width:150px;"><label for="'.$this->get_field_id('cat_post').'">&nbsp;'.__( 'Post', 'wpbooking' ).'</label></div><div>'.$this->app_post( 'cat_post', $instance['cat_post']).'</div></p>';
		echo '</div>';

        echo '</div>';

		return;
	}





	/**
	 * display pages as dropdown list
	 *
	 * @param string $term name of term
	 * @param string $name field name
	 * @param int $selected ID of selected category
	 * @return select element of pages
	 */

    function pages1( $name, $selected )
	{
		$pages1 = get_pages('sort_column=post_date&sort_order=desc');

		if ( empty($pages1) )
			return;

		$out = '<select size="1" name="'.$this->get_field_name($name).'" id="'.$this->get_field_id($name).'">';
		foreach ( $pages1 as $page1 ) {
			$pageid = $page1->ID;
			$name = $page1->post_title;
			$checked = ( $selected == $pageid ) ? ' selected="selected"' : '';
			$out .= '<option value="'.$pageid.'"'.$checked.'> '. $name. '</option>';
		}
		$out .= '</select>';

		return $out;
	}

    function app_post( $name, $selected )
	{
	    $args = array( 'orderby' => 'post_date',);
		$myposts = get_posts( $args );

		$out = '<select size="1" name="'.$this->get_field_name($name).'" id="'.$this->get_field_id($name).'" style="width:150px;">';
        $out .= '<option value="0">Select Post</option>';
		foreach( $myposts as $post ) :	setup_postdata($post);
			$pageid = $post->ID;
			$name = $post->post_title;
			$checked = ( $selected == $pageid ) ? ' selected="selected"' : '';
			$out .= '<option value="'.$pageid.'"'.$checked.'> '. $name. '</option>';
		endforeach;
		$out .= '</select>';

		return $out;
	}



	/**
	 * install plugin
	 *
	 * @param none
	 * @return void
	 */
	function install()
	{
		$options = array();
		$options['version'] = $this->version;

		add_option( 'Jseci8_widget', $options, 'js Booking Search Widget Options', 'yes' );

		return;
	}


	/**
	 * uninstall js box box Widget
	 *
	 * @param none
	 * @return void
	 */
	function uninstall()
	{
		delete_option( 'Jseci8_widget' );
	}


	/**
	 * adds code to Wordpress head
	 *
	 * @param none
	 * @return void
	 */
	function addHeaderCode()
	{
?>
<?php
	}


	/**
	 * redefine Links Widget Arguments to exclude chosen link category
	 *
	 * @param $args
	 * @return array
	 */
	 function widget_links_args( $args )
	 {
		$options = get_option('widget_js-news');
		unset($options['version']);
		$excludes = array();
		foreach ( (array)$options AS $option )
			$excludes[] = $option['category'];

		$exclude = implode(',', $excludes);
		$args['exclude_category'] = $exclude;
		return $args;
	 }
}
// Run Jseci8
function Jseci8_widget_init() {
	register_widget("Jseci8");
}
add_action('widgets_init', 'Jseci8_widget_init');


/**
 * Wrapper function to display js slide Widget statically
 *
 * @param array $args basic arguments including before_widget, after_widget, before_title, after_title and number
 * @param array $instance settings for this instance. See list below for parameters
 *
 * This function can be used to display js news Widget in a Non-widgetized Theme.
 * Below is a list of needed arguments passed as an assoziative Array in $instance
 *
 * - category: ID of Link category to display
 * - widget_title: Widget title, if left empty no title will be displayed
 * - fade: Fade effect, see http://malsup.com/jquery/cycle/begin.html for a list of available effects
 * - time: Time in seconds between images
 * - width: width in px of the news
 * - height: height in px  of the news
 * - order: 0 for sequential, 1 for random ordering of images
 */
function Jseci8_widget_display( $args = array(), $instance = array() ) {
	Jseci8::widget( $args, $instance );
}

?>
