<?php
/*
Plugin Name: Js-Multihotel
Plugin URI: http://www.joomlaskin.it
Description: Wordpress booking online Manage your Hotel, Bed and Breakfast or Motel directly in Wordpress!.
Version: 2.2.1
Author: Joomlaskin
Author URI: http://www.joomlaskin.it/
*/


if ( ! defined( 'WPBOOKING_PLUGIN_DIR' ) ) 	define( 'WPBOOKING_PLUGIN_DIR', WP_PLUGIN_DIR . '/' . plugin_basename( dirname( __FILE__ ) ) );
if ( ! defined( 'WPBOOKING_PLUGIN_URL' ) )  define( 'WPBOOKING_PLUGIN_URL', WP_PLUGIN_URL . '/js-multihotel');

require_once WPBOOKING_PLUGIN_DIR. '/includes/functions.php';
require_once WPBOOKING_PLUGIN_DIR. '/admin/wpbooking_admin.php';
require_once WPBOOKING_PLUGIN_DIR. '/includes/widget.php';

/**
 * includes user panel
 */
require_once WPBOOKING_PLUGIN_DIR. '/user/frontend_class.php';
require_once WPBOOKING_PLUGIN_DIR. '/frontend/frontend_class.php';

$active_theme = ABSPATH.'/wp-content/themes/italyhotels/index.php';
if (!file_exists($active_theme)) {
require_once WPBOOKING_PLUGIN_DIR. '/api.php';
}


function booking_userpanell() {
  global $current_user;
if( current_user_can('subscriber')) {
require_once WPBOOKING_PLUGIN_DIR. '/user/wpbooking_user.php';
}
}
add_action('init','booking_userpanell');

/**
 * includes funtctions frontend management user
 */
/*if ( !is_admin() ) {
require_once WPBOOKING_PLUGIN_DIR. '/frontend/frontend_class.php';
}*/

add_action('init', 'booking_load_translation_file');
function booking_load_translation_file() {
	// relative path to WP_PLUGIN_DIR where the translation files will sit:
	$plugin_path = plugin_basename( dirname( __FILE__ ) .'/languages' );
	load_plugin_textdomain( 'wpbooking', '', $plugin_path );
}


$wpbooking_options = get_wpbooking_options();

//wp_enqueue_script('jquery');

add_action('init','wpbooking_ini');

add_action('wp_head', 'wpbooking_head');

add_action('admin_menu', 'wpbooking_add_pages');

add_action('admin_head', 'wpbooking_admin_register_head');

//add_action("wp_head", "wpbooking_add_head" );
//add_filter("the_content","wpbooking_insert");

register_activation_hook(__FILE__,'wpbooking_activate');
register_deactivation_hook(__FILE__,'wpbooking_deactivate');

$path_to_php_file_pluginjs = "js-multihotel/js-multihotel.php";
add_action("deactivate_" . $path_to_php_file_pluginjs, "wpbooking_deactivate");
add_action("activate_" . $path_to_php_file_pluginjs,  "wpbooking_activate");

function wpbooking_activate()
{

	global $wpdb;

$table_name = $wpdb->prefix . "booking_availability";

$sql = "CREATE TABLE " . $table_name . " (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(255) NOT NULL,
  `camera` varchar(255) NOT NULL,
  `fascia1` date DEFAULT NULL,
  `fascia2` date DEFAULT NULL,
  `availability` varchar(255) NOT NULL,
  `hotel_id` tinyint(11) NOT NULL,
  `user_id` varchar(255) NOT NULL,
  `hotelid` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
	);";

require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
dbDelta($sql);

$table_name2 = $wpdb->prefix . "booking_bookingRooms";

$sql2 = "CREATE TABLE " . $table_name2 . " (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `booking_id` int(11) NOT NULL,
  `room_id` int(11) NOT NULL,
  `arrival_date` date DEFAULT NULL,
  `leaving_date` date DEFAULT NULL,
  `adults_number` tinyint(3) DEFAULT NULL,
  PRIMARY KEY (`id`)
	);";

require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
dbDelta($sql2);

$table_name3 = $wpdb->prefix . "booking_bookings";

$sql3 = "CREATE TABLE " . $table_name3 . " (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `hotel_id` int(11) DEFAULT NULL,
  `amount` decimal(10,2) NOT NULL,
  `booking_time` datetime DEFAULT NULL,
  `is_canceled` tinyint(1) DEFAULT '0',
  `title` varchar(10) DEFAULT NULL,
  `firstname` varchar(100) DEFAULT NULL,
  `lastname` varchar(100) DEFAULT NULL,
  `email` varchar(100) DEFAULT NULL,
  `company` varchar(100) DEFAULT NULL,
  `address` varchar(256) DEFAULT NULL,
  `city` varchar(100) DEFAULT NULL,
  `country_id` varchar(255) DEFAULT NULL,
  `zip_code` varchar(30) DEFAULT NULL,
  `phone` varchar(50) DEFAULT NULL,
  `fax` varchar(50) DEFAULT NULL,
  `comments` text,
  `cc_type` varchar(100) DEFAULT NULL,
  `cc_number` varchar(30) DEFAULT NULL,
  `cc_name` varchar(256) DEFAULT NULL,
  `cc_month` varchar(2) DEFAULT NULL,
  `cc_year` varchar(4) DEFAULT NULL,
  `cvc` varchar(10) DEFAULT NULL,
  `is_paid` varchar(255) DEFAULT '0',
  `trans_id` varchar(255) DEFAULT NULL,
  `trans_date` datetime DEFAULT NULL,
  `payment_instrument` varchar(255) DEFAULT NULL,
  `caparra` decimal(10,2) DEFAULT NULL,
  `reservation_number` varchar(255) NOT NULL,
  `invoice` varchar(255) NOT NULL,
  `user_id` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
	);";

require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
dbDelta($sql3);

$table_name4 = $wpdb->prefix . "booking_city";

$sql4 = "CREATE TABLE " . $table_name4 . " (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `city` text NOT NULL,
  `country` int(11) NOT NULL,
  PRIMARY KEY (`id`)
	);";

require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
dbDelta($sql4);

$table_name5 = $wpdb->prefix . "booking_coupon";

$sql5 = "CREATE TABLE " . $table_name5 . " (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `coupon` varchar(255) NOT NULL,
  `name` text NOT NULL,
  `sconto` varchar(255) NOT NULL,
  `user_id` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
	);";

require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
dbDelta($sql5);

$table_name6 = $wpdb->prefix . "booking_hotel";

$sql6 = "CREATE TABLE " . $table_name6 . " (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `localita` varchar(255) NOT NULL,
  `tipoabitazione` varchar(255) NOT NULL,
  `postid` text NOT NULL,
  `longitudine` varchar(255) NOT NULL,
  `latitudine` varchar(255) NOT NULL,
  `indirizzo` text NOT NULL,
  `gallery` text NOT NULL,
  `brochure` text NOT NULL,
  `user_id` varchar(255) NOT NULL,
  `address_hotel` text NOT NULL,
  `zipcode` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `paypal` varchar(255) NOT NULL,
  `paypalactive` tinyint(1) NOT NULL,
  `description_hotel` text NOT NULL,
  `is_agent` tinyint(1) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `country` tinyint(11) NOT NULL,
  `stars` tinyint(1) NOT NULL,
  `image_room` text NOT NULL,
  `metatitle` text NOT NULL,
  `metatdesc` text NOT NULL,
  `metakeywords` text NOT NULL,
  `featured` tinyint(1) NOT NULL DEFAULT '0',
  `hits` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
	);";

require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
dbDelta($sql6);

$table_name7 = $wpdb->prefix . "booking_hoteltemp";

$sql7 = "CREATE TABLE " . $table_name7 . " (
  `id` tinyint(11) NOT NULL AUTO_INCREMENT,
  `name` text NOT NULL,
  PRIMARY KEY (`id`)
	);";

require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
dbDelta($sql7);

$table_name8 = $wpdb->prefix . "booking_price";

$sql8 = "CREATE TABLE " . $table_name8 . " (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `offerta` text NOT NULL,
  `seasons_id` tinyint(11) NOT NULL,
  `room_id` tinyint(11) NOT NULL,
  `contenuto` text NOT NULL,
  `prezzo` varchar(255) NOT NULL,
  `hotel_id` tinyint(11) NOT NULL,
  `user_id` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
	);";

require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
dbDelta($sql8);

$table_name9 = $wpdb->prefix . "booking_rooms";

$sql9 = "CREATE TABLE " . $table_name9 . " (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(255) NOT NULL,
  `hotel_id` tinyint(11) NOT NULL,
  `image_room` text NOT NULL,
  `description` text NOT NULL,
  `maxoccupants` varchar(255) NOT NULL,
  `maxchilds` varchar(255) NOT NULL,
  `price` decimal(10,2) NOT NULL,
  `servicesdesc` text NOT NULL,
  `services` text NOT NULL,
  `urlid` varchar(255) NOT NULL,
  `userid` varchar(255) NOT NULL,
  `metatitle` text NOT NULL,
  `metatdesc` text NOT NULL,
  `metakeywords` text NOT NULL,
  `room_number` int(11) NOT NULL,
  PRIMARY KEY (`id`)
	);";

require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
dbDelta($sql9);

$table_name10 = $wpdb->prefix . "booking_roomtemp";

$sql10 = "CREATE TABLE " . $table_name10 . " (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
	);";

require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
dbDelta($sql10);

$table_name11 = $wpdb->prefix . "booking_seasons";

$sql11 = "CREATE TABLE " . $table_name11 . " (
  `id` tinyint(11) NOT NULL AUTO_INCREMENT,
  `tipo` varchar(255) NOT NULL,
  `abbreviazione` varchar(255) NOT NULL,
  `date_from` date NOT NULL,
  `date_to` date NOT NULL,
  `user_id` varchar(255) NOT NULL,
  `room_id` int(11) NOT NULL,
  `prezzo` decimal(10,2) NOT NULL,
  PRIMARY KEY (`id`)
	);";

require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
dbDelta($sql11);

$table_name12 = $wpdb->prefix . "booking_services";

$sql12 = "CREATE TABLE " . $table_name12 . " (
  `id` tinyint(11) NOT NULL AUTO_INCREMENT,
  `services` text NOT NULL,
  PRIMARY KEY (`id`)
	);";

require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
dbDelta($sql12);

/*$my_post = array(
'ID' => '',
'post_title' => 'List Rooms',
'post_content' => '[complesso id="1"]',
'post_date' => '',
'post_status' => 'publish',
'post_type' => 'reservation',
'post_author' => 1,
//'post_category' => array($cats),
);

$post_id = wp_insert_post($my_post);

$table_name_insert = $wpdb->prefix . "booking_hotel";

$hotel_name = "List Rooms";
$hotel_loc = "1";

$rows_affected = $wpdb->insert( $table_name_insert, array( 'name' => $hotel_name, 'localita' => $hotel_loc, 'postid' => $post_id ) );

$table_name_insert1 = $wpdb->prefix . "booking_city";

$hotel_city = "City";

$rows_affected1 = $wpdb->insert( $table_name_insert1, array( 'city' => $hotel_city ) );*/

$table_name14 = $wpdb->prefix . "booking_calendar";

$sql14 = "CREATE TABLE " . $table_name14 . " (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `caldate` date NOT NULL,
  `status` varchar(255) NOT NULL,
  `id_availability` varchar(255) NOT NULL,
  `id_camera` varchar(255) NULL,
  `reservation` tinyint(11) NOT NULL DEFAULT '0',
  `id_booking` varchar(255) NOT NULL,
  `book_number` int(11) NOT NULL,
  PRIMARY KEY (`id`)
	);";

require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
dbDelta($sql14);

$table_name15 = $wpdb->prefix . "booking_country";

$sql15 = "CREATE TABLE " . $table_name15 . " (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `country` text NOT NULL,
  PRIMARY KEY (`id`)
	);";

require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
dbDelta($sql15);

add_option("galleries_rootfolder","wp-content/uploads");
add_option("thb_width","200");
add_option("thb_height","160");
add_option("wpbooking_uninstall","1");
add_option("image_width","330");
add_option("image_height","250");
add_option("wpbooking_paypal","paypal@email.com");
add_option("wpbooking_paypal_active","1");
add_option("wpbooking_jquery","1");
add_option("wpbooking_jquery_location","1");
add_option("wpbooking_jquery_noconflict","1");
add_option("wpbooking_jquery_custom","");
add_option("wpbooking_cash_active","1");
add_option("wpbooking_customemail","");
add_option("wpbooking_invoice","Text");
add_option("wpbooking_pageid","Text");
add_option("wpbooking_valute","USD");
add_option("wpbooking_catinit","1");
add_option("wpbooking_indirizzo","1");
add_option("wpbooking_cap","1");
add_option("wpbooking_citta","1");
add_option("wpbooking_provincia","1");
add_option("wpbooking_nazione","1");
add_option("wpbooking_telefono","1");

add_option("wpbooking_authorize_active","1");
add_option("wpbooking_authorize_id","");
add_option("wpbooking_authorize_key","");
add_option("wpbooking_authorize_md5","");
add_option("wpbooking_authorize_test","1");

add_option("wpbooking_google_active","1");
add_option("wpbooking_google_id","");
add_option("wpbooking_google_key","");
add_option("wpbooking_google_md5","");
add_option("wpbooking_google_test","1");

add_option("wpbooking_moneybookers","moneybookers@email.com");
add_option("wpbooking_moneybookers_active","1");
add_option("wpbooking_deposit","");
add_option("wpbooking_depositactive","0");
add_option("wpbooking_currency","$");
add_option("wpbooking_invheader","Invoice Number");
add_option("wpbooking_invstr","By Js-Multihotel");
add_option("wpbooking_csstype","0");
add_option("wpbooking_csscustom","");
add_option("wpbooking_customcontact","");
add_option("wpbooking_confirmcontact","");
add_option("wpbooking_tax","");
add_option("wpbooking_cleaning","");
add_option("wpbooking_capcha","false");
add_option("wpbooking_reminder","2");
add_option("wpbooking_reminderemail","");
add_option("wpbooking_smtpactive","");
add_option("wpbooking_host","");
add_option("wpbooking_port","");
add_option("wpbooking_smtpuser","");
add_option("wpbooking_smtppass","");
add_option("wpbooking_formatdate","");
add_option("wpbooking_menupostype","0");
//add_option("version", "3.0");
//update_option("version", "3.0");
add_option("wpbooking_db_version", "2.2.1");

$wpdb->query($sql);

update_option("wpbooking_db_version", "2.2.1");

if (!is_dir(ABSPATH."wp-content/cache/")) {

mkdir(ABSPATH."wp-content/cache/", 0755);
}

}


function wpbooking_deactivate()
{

//delete_option('wpbooking_invstr');
//delete_option("wpbooking_customemail");

}

// [bartag foo="foo-value"]
function wpbooking_func( $atts ) {
	extract( shortcode_atts( array(
		'id' => '',
		'other' => '',
	), $atts ) );

switch (@$_REQUEST['controller']) {
	case 'start': echo wpbooking_page($id);        break ;
    case 'dettails': echo wpbooking_dettails();        break ;
    case 'bookings': echo wpbooking_bookforms();        break ;
    case 'reservation': echo wpbooking_reserve();        break ;
    case 'done': echo wpbooking_done();        break ;
    case 'cancel': echo wpbooking_cancel();        break ;
    default:  echo wpbooking_page($id);        break;
	}

    //$output = $id;

	//return $output;
}
add_shortcode( 'hotel', 'wpbooking_func' );

function wpbooking_shortcode( $atts ) {
	extract( shortcode_atts( array(
		'id' => '',
		'rooms' => '',
	), $atts ) );

switch (@$_REQUEST['controller']) {
    case 'dettails': echo wpbooking_dettails_rooms($id, $rooms);        break ;
    case 'bookings': echo wpbooking_bookforms();        break ;
    case 'reservation': echo wpbooking_reserve();        break ;
    case 'done': echo wpbooking_done();        break ;
    case 'cancel': echo wpbooking_cancel();        break ;
    default:  echo wpbooking_dettails_rooms($id, $rooms);        break;
	}

    //$output = $id;

	//return $output;
}
add_shortcode( 'room', 'wpbooking_shortcode' );

function wpbooking_page( $id ) {

global $wpdb, $post;

$settings = get_wpbooking_options();
$dir = ABSPATH.$settings['galleries_rootfolder'];
$url = get_bloginfo('url')."/".$settings['galleries_rootfolder']."/";

if ( is_single() ) {

include(WPBOOKING_PLUGIN_DIR.'/includes/pagination.class.php');

    if ($id) {
    $where = " WHERE hotel_id = ".$id."";
    }
    $table_name = $wpdb->prefix . "booking_rooms";
    $items = mysql_num_rows(mysql_query("SELECT * FROM ". $table_name ." ".$where."")); // number of total rows in the database
    if($items > 0) {
    $pag = new pagination;
    $pag->items($items);
    $pag->limit(10); // Limit entries per page
    $pag->target("".get_permalink($post->ID)."");
    $pag->currentPage(isset($_GET['paging'])); // Gets and validates the current page
    $pag->calculate(); // Calculates what to show
    $pag->parameterName('paging');
    $pag->adjacents(1); //No. of page away from the current page
    if(!isset($_GET['paging'])) {
    $pag->page = 1;
    } else {
    $pag->page = $_GET['paging'];
    }
//Query for limit paging
    $limit = "LIMIT " . ($pag->page - 1) * $pag->limit . ", " . $pag->limit;
} else {
  echo "";
  }
}
    //$output = "<div class='listwrap'>";
    $output = "";
     if ( !is_single() ) {
    //if ( !is_single() ) {
      //$output .= "<div class='roomintro'>";
     // }

     $output .= "<div class='infohotel'>
      ".wpbooking_IdCountry(wpbooking_HotelCountry($id))." -
      ".wpbooking_IdCity(wpbooking_HotelCity($id))." -
      ".TitleStarsList($post->ID)."
      </div>";

    $output .= '<div class="infocontainer">';

    if ( wpbooking_brochure($id) ) {
    $output .="<div class='brochure'><a href='".$url.wpbooking_brochure($id)."' target=\"_blank\" class=\"buttonpdf\">".__('Hotel Brochure', 'wpbooking')."</a></div>";
    }
    //$output .="<div class='check_popup'><a href='".WPBOOKING_PLUGIN_URL."/popup_ajax.php?step=ceck&amp;hotel_id=".$id."' target=\"_blank\" class=\"buttoninfo\">".__('Check availability', 'wpbooking')."</a></div>";
    //$output .="<div class='map_seasons'><a href='".WPBOOKING_PLUGIN_URL."/popup_ajax.php?step=seasons&amp;hotel_id=".$id."' target=\"_blank\" class=\"buttoninfo\">".__('Seasonal price', 'wpbooking')."</a></div>";
    $output .="<div class='map_popup'><a href='".WPBOOKING_PLUGIN_URL."/popup_ajax.php?step=map&amp;hotel_id=".$id."' target=\"_blank\" class=\"buttoninfo\">".__('Map View', 'wpbooking')."</a></div>";
    $output .="<div class='contact_popup'><a href='".WPBOOKING_PLUGIN_URL."/popup_ajax.php?step=contact&amp;hotel_id=".$id."' target=\"_blank\" class=\"buttoninfo\">".__('Contact', 'wpbooking')."</a></div>";

    $output .="</div>";

    $hotel_row = wpbooking_queryHotel($id);
    if ($hotel_row){
      foreach($hotel_row as $r){
      if ( !is_single() ) {
      $filename = ABSPATH.'/wp-content/themes/italyhotels/index.php';
        if (file_exists($filename)) {
      $output .= "<div class='bookintro'> <a href='".get_permalink($r['postid'])."' class='more-linkbook'><img src='".WPBOOKING_PLUGIN_URL."/images/bookintro.png' alt='' /></a>";
      $output .= "<a href='".get_permalink($r['postid'])."' class='more-linkbook'><img src='".WPBOOKING_PLUGIN_URL."/images/readintro.png' alt='' /></a></div>";
      } else {
      $output .= "<div class='bookintro'> <a href='".get_permalink($r['postid'])."' class='more-linkbook'>".__('Book Now', 'wpbooking')."</a>";
      $output .= "<a href='".get_permalink($r['postid'])."' class='more-linkbook'>".__('Read More', 'wpbooking')."</a></div>";
      }
      }
      $output .= "<p>";
      if ( !is_single() ) {
      $output .= wpbooking_LinkGallery($r['image_room']) .trim_descriptions(350,$r['description_hotel'])."</p>";
      } else {
      $output .= wpbooking_LinkGallery($r['image_room']) .$r['description_hotel']."</p>";
      }
      }
    }

    //if ( !is_single() ) {
      //$output .= "</div><div class='roomintrosep'></div>";
      //}
      }

    $i=0;
    $complesso = wpbooking_query($id);

if ( is_single() ) {

wpbooking_CountVisit($id);

$output .= "<div class='infohotel'>
      ".wpbooking_IdCountry(wpbooking_HotelCountry($id))." -
      ".wpbooking_IdCity(wpbooking_HotelCity($id))." -
      ".TitleStarsList($post->ID)."
      </div>";

if ($complesso){
      foreach($complesso as $c){

      $output .= wpbooking_LinkGallery($c['image_room']) .$c['description_hotel']."</p>";

        $palazzina = wpbooking_query1($id, $limit);
        if ($palazzina){

        //$output .= "<h2>".__('List Rooms', 'wpbooking')."</h2>";

        foreach($palazzina as $p){

      if ( get_option('permalink_structure') != '' ) { $suffix = '?'; } else { $suffix = '&'; }
      $output .= "<div class='roomintro'>";
      $output .= "<h2 class='roomtitle'><a href='".get_permalink($p['urlid']).$suffix."controller=dettails&rooms=".$p['id']."'>".$p['nome']."</a></h2>";
      $filename = ABSPATH.'/wp-content/themes/italyhotels/index.php';
        if (file_exists($filename)) {
      $output .= "<div class='bookintro'><a href='".get_permalink($p['urlid']).$suffix."controller=dettails&rooms=".$p['id']."' class='more-linkbook'><img src='".WPBOOKING_PLUGIN_URL."/images/bookintro.png' alt='' /></a>
      <div class='more-price' id='show_".$p['id']."'><img src='".WPBOOKING_PLUGIN_URL."/images/price.png' alt='' /></div>";
       } else {
      $output .= "<div class='bookintro'><a href='".get_permalink($p['urlid']).$suffix."controller=dettails&rooms=".$p['id']."' class='more-linkbook'>".__('Book Now', 'wpbooking')."</a>
      <div class='more-price' id='show_".$p['id']."'>".__('Price', 'wpbooking')."</div>";
      }
      $output .= "</div>";
      $output .= "<p>".$p['description']."</p>";
      $output .= '<div class="pricehidden">'.ShowSeasonRoom($p['id']).'</div>';
      //$output .= "<p> <a href='".get_permalink($p['urlid']).$suffix."controller=dettails&rooms=".$p['id']."' class='more-link'>".__('Check availability', 'wpbooking')."</a></p>";
      $output .= "</div><div class='roomintrosep'></div>";

$output .= "";
//$output .= "</div>";
    }
if($items > 1) {
 $output .= $pag->show();
 }
    }
    }
    }
    }
	return $output;
}

function wpbooking_dettails() {

global $post;

    $settings = get_wpbooking_options();
    $dir = ABSPATH.$settings['galleries_rootfolder'];
    $url = get_bloginfo('url')."/".$settings['galleries_rootfolder']."/";

    if ( $settings['wpbooking_jquery_noconflict'] == 1 ) { $jquery = 'jQuery'; } else { $jquery = '$'; }

    $id = $_REQUEST['id'];
    $rooms = $_REQUEST['rooms'];
    $output = "";

    $output .= "<div id='roomswrap'>";

    $i=0;

      //$output .= "<h2>".__('Room detail', 'wpbooking')."</h2>";


$intro = wpbooking_queryDettails($rooms);
      if ($intro){

        foreach($intro as $a){

if (data_serialized($a['services']) === false) { $cssclass = "-full"; } else { $cssclass = ""; }

if (data_serialized($a['services']) === true) {
$output .= "<div class=\"roomsservices\">";
$output .= "<h3>".__('Room Facilities', 'wpbooking')."</h3>";
$i=0;
//if ($a['services']) {
$output .= "<ul>";
$services=unserialize($a['services']);
foreach ($services as $service  => $value) {
if ($i%2 == 0) { $css = "1"; } else { $css = "2"; }
$output .= "<li>".wpbooking_QueryServices($value)."</li>";
$i++;
}
$output .= "</ul>";
//}
$output .= "</div>";
}
$output .= "<div class=\"roomsdetails".$cssclass."\">";
//$output .= "<h3>".__('Room Facilities', 'wpbooking')."</h3>";
$output .= add_rel_gallery($a['description'], $a['image_room']);
$output .= wpbooking_BookingGallery($a['image_room']);
$output .= "<br /><br />
<div class='wrapavailability'>
<form action=\"\" method=\"post\" id=\"cart-ajax\">
<input name='date_from' id='date_from' type='text' value='".__('Checkin', 'wpbooking')."' onblur=\"if(this.value=='') this.value='".__('Checkin', 'wpbooking')."';\" onfocus=\"if(this.value=='".__('Checkin', 'wpbooking')."') this.value='';\" />
&nbsp;&nbsp;<input name='date_to' id='date_to' type='text' value='".__('Checkout', 'wpbooking')."' onblur=\"if(this.value=='') this.value='".__('Checkout', 'wpbooking')."';\" onfocus=\"if(this.value=='".__('Checkout', 'wpbooking')."') this.value='';\" />
&nbsp;&nbsp;<input name='adults' id='adults' type='text' value='".__('Adults', 'wpbooking')."' onblur=\"if(this.value=='') this.value='".__('Adults', 'wpbooking')."';\" onfocus=\"if(this.value=='".__('Adults', 'wpbooking')."') this.value='';\" />
&nbsp;&nbsp;&nbsp;<input name='childs' id='childs' type='text' value='".__('Children', 'wpbooking')."' onblur=\"if(this.value=='') this.value='".__('Children', 'wpbooking')."';\" onfocus=\"if(this.value=='".__('Children', 'wpbooking')."') this.value='';\" />
&nbsp;&nbsp;&nbsp;<div class='wrapbutton'><input type=\"submit\" name=\"Booking\" value=\"".__('Book', 'wpbooking')."\" id=\"calbutton\" /></div>
</form></div>";
$output .= "
<div id=\"result\"></div>
<script>
".$jquery."(\"form#cart-ajax\").submit(function(){
  ".$jquery.".post(\"".WPBOOKING_PLUGIN_URL."/cart-ajax.php\",{
        date_from: ".$jquery."(\"input[name=date_from]\").val(),
        date_to: ".$jquery."(\"input[name=date_to]\").val(),
        adults: ".$jquery."(\"input[name=adults]\").val(),
        childs: ".$jquery."(\"input[name=childs]\").val(),
        rooms: \"".$rooms."\",
        hotel: \"".$a['hotel_id']."\",
        postid: \"".$post->ID."\",
        action: \"add\"
      },
      function( data ) {
      ".$jquery."( \"#result\" ).html( data );
  });
  return false;
});
</script>
";
$output .= "</div>";
 }
  }
$output .= "<div class='roomsclear'></div>";
$output .= "</div>";

	return $output;
}

function wpbooking_dettails_rooms($id, $rooms) {

global $post;

    $settings = get_wpbooking_options();
    $dir = ABSPATH.$settings['galleries_rootfolder'];
    $url = get_bloginfo('url')."/".$settings['galleries_rootfolder']."/";

    if ( $settings['wpbooking_jquery_noconflict'] == 1 ) { $jquery = 'jQuery'; } else { $jquery = '$'; }

    //$id = $_REQUEST['id'];
//    $rooms = $_REQUEST['rooms'];
    $output = "";

    $output .= "<div id='roomswrap'>";

    $i=0;

      //$output .= "<h2>".__('Room detail', 'wpbooking')."</h2>";


$intro = wpbooking_queryDettails($rooms);
      if ($intro){

        foreach($intro as $a){

if (data_serialized($a['services']) === false) { $cssclass = "-full"; } else { $cssclass = ""; }

if (data_serialized($a['services']) === true) {
$output .= "<div class=\"roomsservices\">";
$output .= "<h3>".__('Room Facilities', 'wpbooking')."</h3>";
$i=0;
//if ($a['services']) {
$output .= "<ul>";
$services=unserialize($a['services']);
foreach ($services as $service  => $value) {
if ($i%2 == 0) { $css = "1"; } else { $css = "2"; }
$output .= "<li>".wpbooking_QueryServices($value)."</li>";
$i++;
}
$output .= "</ul>";
//}
$output .= "</div>";
}
$output .= "<div class=\"roomsdetails".$cssclass."\">";
$output .= add_rel_gallery($a['description'], $a['image_room']);
$output .= wpbooking_BookingGallery($a['image_room']);
$output .= "<br /><br />
<div class='wrapavailability'>
<form action=\"\" method=\"post\" id=\"cart-ajax\">
<input name='date_from' id='date_from' type='text' value='".__('Checkin', 'wpbooking')."' onblur=\"if(this.value=='') this.value='".__('Checkin', 'wpbooking')."';\" onfocus=\"if(this.value=='".__('Checkin', 'wpbooking')."') this.value='';\" />
&nbsp;&nbsp;<input name='date_to' id='date_to' type='text' value='".__('Checkout', 'wpbooking')."' onblur=\"if(this.value=='') this.value='".__('Checkout', 'wpbooking')."';\" onfocus=\"if(this.value=='".__('Checkout', 'wpbooking')."') this.value='';\" />
&nbsp;&nbsp;<input name='adults' id='adults' type='text' value='".__('Adults', 'wpbooking')."' onblur=\"if(this.value=='') this.value='".__('Adults', 'wpbooking')."';\" onfocus=\"if(this.value=='".__('Adults', 'wpbooking')."') this.value='';\" />
&nbsp;&nbsp;&nbsp;<input name='childs' id='childs' type='text' value='".__('Children', 'wpbooking')."' onblur=\"if(this.value=='') this.value='".__('Children', 'wpbooking')."';\" onfocus=\"if(this.value=='".__('Children', 'wpbooking')."') this.value='';\" />
&nbsp;&nbsp;&nbsp;<div class='wrapbutton'><input type=\"submit\" name=\"Booking\" value=\"Check\" id=\"calbutton\" /></div>
</form></div>";
$output .= "
<div id=\"result\"></div>
<script>
".$jquery."(\"form#cart-ajax\").submit(function(){
  ".$jquery.".post(\"".WPBOOKING_PLUGIN_URL."/cart-ajax.php\",{
        date_from: ".$jquery."(\"input[name=date_from]\").val(),
        date_to: ".$jquery."(\"input[name=date_to]\").val(),
        adults: ".$jquery."(\"input[name=adults]\").val(),
        childs: ".$jquery."(\"input[name=childs]\").val(),
        rooms: \"".$rooms."\",
        hotel: \"".$a['hotel_id']."\",
        postid: \"".$post->ID."\",
        action: \"add\"
      },
      function( data ) {
      ".$jquery."( \"#result\" ).html( data );
  });
  return false;
});
</script>
";
$output .= "</div>";
 }
  }
$output .= "<div class='roomsclear'></div>";
$output .= "</div>";

	return $output;
}

function wpbooking_bookforms() {

global $post;

    $settings = get_wpbooking_options();
    $dir = ABSPATH.$settings['galleries_rootfolder'];
    $url = get_bloginfo('url')."/".$settings['galleries_rootfolder']."/";

$rooms = $_REQUEST['rooms'];
$hotel = $_REQUEST['hotel'];
$checkin = $_REQUEST['checkin'];
$checkout = $_REQUEST['checkout'];
$adults = $_REQUEST['adults'];
$childs = $_REQUEST['childs'];
$price = $_REQUEST['price'];
$nights = $_REQUEST['nights'];
$single_prices = $_REQUEST['single_prices'];
$sconto = $_REQUEST['sconto'];
$deposit = @$_REQUEST['deposit'];
$coupons = wpbooking_QueryCoupon($sconto);
$namecoupons = wpbooking_QueryCouponName($sconto);
if ($namecoupons) {
$nomesconto = "<li>".__('Type Discount', 'wpbooking').": ".$namecoupons."<br /</li>";
}
if ($coupons) {
$sconto_output = "<li>".__('Discount', 'wpbooking').": ".$coupons." ".$settings['wpbooking_currency']."<br /></li>";
$calculate_price = $price-$coupons;
$sconto_output = "<li>".__('Total Discount', 'wpbooking').": ".$calculate_price." ".$settings['wpbooking_currency']."<br /</li>";
} else {
$calculate_price = $price;
}

    $output = "<h2 class='sumamrytitle'>".__('Reservation summary', 'wpbooking')."</h2>";

if ( get_option('permalink_structure') != '' ) { $suffix = '?'; } else { $suffix = '&'; }

if ($price){

                $output .= "<li>".__('Room', 'wpbooking').": ".wpbooking_show_palazzinaid($rooms)."<br /></li>";
                $output .= "<li>".__('Arrival', 'wpbooking').": ".$checkin."<br /></li>";
                $output .= "<li>".__('Departure', 'wpbooking').": ".$checkout."<br /></li>";
                $output .= "<li>".__('Adults', 'wpbooking').": ".$adults."<br /></li>";
                $output .= "<li>".__('Childs', 'wpbooking').": ".$childs."<br /></li>";
                $output .= "<li>".__('Night', 'wpbooking').": ". $nights."<br /></li>";
                $output .= "<li>".__('Price per night', 'wpbooking').": ".$settings['wpbooking_currency']." ".$single_prices."<br /></li>";
                $output .= "<li>".__('Total', 'wpbooking').": ".$settings['wpbooking_currency']." ".$price."<br /></li>";
                if ($settings['wpbooking_depositactive']) {
                $output .= "<li>".__('Deposit', 'wpbooking').": ".$settings['wpbooking_currency']." ".$deposit."<br /></li>";
                }
                $output .= @$nomesconto;
                $output .= @$sconto_output;
                if ($settings['wpbooking_depositactive'] && $coupons) {
                $savings_percentage = (($calculate_price/100) *$settings['wpbooking_deposit']);
                $output .= "<li>".__('Deposit Discount', 'wpbooking').": ".$settings['wpbooking_currency']." ".$savings_percentage."<br /></li>";
                }
                $output .= "<h2 class='sumamrytitle'>".__('Personal information', 'wpbooking')."</h2>";
                $output .= "<form name=\"bookforms\" id=\"bookforms\" action=\"".get_permalink($post->ID).$suffix."controller=reservation\" method=\"POST\">
                <input type=\"hidden\" name=\"checkin\" value=\"".$checkin."\" />
                <input type=\"hidden\" name=\"checkout\" value=\"".$checkout."\" />
                <input type=\"hidden\" name=\"adults\" value=\"".$adults."\" />
                <input type=\"hidden\" name=\"childs\" value=\"".$childs."\" />
                <input type=\"hidden\" name=\"nights\" value=\"".$nights."\" />
                <input type=\"hidden\" name=\"price\" value=\"".$calculate_price."\" />
                <input type=\"hidden\" name=\"hotel\" value=\"".$hotel."\" />
                <input type=\"hidden\" name=\"rooms\" value=\"".$rooms."\" />
                <input type=\"hidden\" name=\"single_prices\" value=\"".$single_prices."\" />
                <div class='formwrap'>
                <div class='formleft'>
                <p>
                <input name=\"firstname\" id=\"firstname\" value=\"\" size=\"22\" tabindex=\"2\" type=\"text\" class=\"required\">
                <label for=\"firstname\">
                <small>".__('firstname', 'wpbooking')." (".__('required', 'wpbooking').")</small>
                </label>
                </p>
                <p>
                <input name=\"lastname\" id=\"lastname\" value=\"\" size=\"22\" tabindex=\"2\" type=\"text\" class=\"required\">
                <label for=\"lastname\">
                <small>".__('lastname', 'wpbooking')." (".__('required', 'wpbooking').")</small>
                </label>
                </p>
                <p>
                <input name=\"email\" id=\"email\" value=\"\" size=\"22\" tabindex=\"2\" type=\"text\" class=\"required email\">
                <label for=\"email\">
                <small>".__('Email', 'wpbooking')." (".__('required', 'wpbooking').")</small>
                </label>
                </p>
                <p>
                <input name=\"address\" id=\"address\" value=\"\" size=\"22\" tabindex=\"2\" type=\"text\" class=\"required\">
                <label for=\"address\">
                <small>".__('address', 'wpbooking')." (".__('required', 'wpbooking').")</small>
                </label>
                </p>
                </div>
                <div class='formright'>
                <p>
                <input name=\"city\" id=\"city\" value=\"\" size=\"22\" tabindex=\"2\" type=\"text\" class=\"required\">
                <label for=\"city\">
                <small>".__('city', 'wpbooking')." (".__('required', 'wpbooking').")</small>
                </label>
                </p>
                <p>
                <input name=\"country_id\" id=\"country_id\" value=\"\" size=\"22\" tabindex=\"2\" type=\"text\" class=\"required\">
                <label for=\"country_id\">
                <small>".__('country', 'wpbooking')." (".__('required', 'wpbooking').")</small>
                </label>
                </p>
                <p>
                <input name=\"zip_code\" id=\"zip_code\" value=\"\" size=\"22\" tabindex=\"2\" type=\"text\" class=\"required\">
                <label for=\"zip_code\">
                <small>".__('zip code', 'wpbooking')." (".__('required', 'wpbooking').")</small>
                </label>
                </p>
                <p>
                <input name=\"phone\" id=\"phone\" value=\"\" size=\"22\" tabindex=\"2\" type=\"text\" class=\"required\">
                <label for=\"phone\">
                <small>".__('phone', 'wpbooking')." (".__('required', 'wpbooking').")</small>
                </label>
                </p>
                </div>
                </div>
                <p>
                <small>".__('Note', 'wpbooking')." </small>
               </p>
               <p>
               <textarea name=\"comments\" id=\"comments\" tabindex=\"4\">
               </textarea>
               </p><div class='roomsclear'></div>
               <div class=\"checkoutrow\">
     <div class=\"leftcheck\">".__('Choice your payment type', 'wpbooking')."</div><br />";
     if (wpbooking_HotelUserId($hotel) == 1) {
     if ($settings["wpbooking_cash_active"] == 1) {
     $output .= "<div class=\"paypalbutton\"><input type=\"radio\" name=\"typepag\" value=\"1\" />".__('Cash', 'wpbooking')."</div>";
     }
      if ($settings["wpbooking_paypal_active"] == 1 && wpbooking_PaypalAgetActive($hotel) == 1) {
     $output .= "<div class=\"paypalbutton\"><input type=\"radio\" name=\"typepag\" value=\"2\" />".__('Paypal', 'wpbooking')."</div>";
     }
     } else {
     if ($settings["wpbooking_cash_active"] == 1) {
     $output .= "<div class=\"paypalbutton\"><input type=\"radio\" name=\"typepag\" value=\"1\" />".__('Cash', 'wpbooking')."</div>";
     }
      if ($settings["wpbooking_paypal_active"] == 1) {
     $output .= "<div class=\"paypalbutton\"><input type=\"radio\" name=\"typepag\" value=\"2\" />".__('Paypal', 'wpbooking')."</div>";
     }
     if ($settings["wpbooking_authorize_active"] == 1) {
     $output .= "<div class=\"paypalbutton\"><input type=\"radio\" name=\"typepag\" value=\"3\" />".__('authorize.net', 'wpbooking')."
     </div>";
      }
     if ($settings["wpbooking_google_active"] == 1) {
     $output .= "<div class=\"paypalbutton\"><input type=\"radio\" name=\"typepag\" value=\"5\" />".__('Google Checkout', 'wpbooking')."
     </div>";
      }
     if ($settings["wpbooking_moneybookers_active"] == 1) {
     $output .= "<div class=\"paypalbutton\"><input type=\"radio\" name=\"typepag\" value=\"6\" />".__('Moneybookers', 'wpbooking')."
     </div>";
      }
      }
   $output .= "</div>";
   if ($settings["wpbooking_capcha"] == 'true') {
                $output .= "<p>
                <input name=\"captcha_code\" id=\"captcha_code\" value=\"\" size=\"22\" tabindex=\"2\" type=\"text\" class=\"required\">
                <img id=\"captcha\" src=\"".WPBOOKING_PLUGIN_URL."/securimage/securimage_show.php\" alt=\"CAPTCHA Image\" />
                <label for=\"phone\">
                <small>".__('Captcha', 'wpbooking')." (".__('required', 'wpbooking').")</small>
                </label>
                </p>";
                }
                $output .= "<input type=\"submit\" name=\"Book\" value=\"Book\" id=\"calbutton\" />
                </form>

                ";

    }

	return $output;
}

function wpbooking_reserve() {

global $post, $wpdb;

    $settings = get_wpbooking_options();
    $dir = ABSPATH.$settings['galleries_rootfolder'];
    $url = get_bloginfo('url')."/".$settings['galleries_rootfolder']."/";

    include_once WPBOOKING_PLUGIN_DIR . '/securimage/securimage.php';

    $securimage = new Securimage();


$rooms = $_REQUEST['rooms'];
$hotel = $_REQUEST['hotel'];
$checkin = $_REQUEST['checkin'];
$checkout = $_REQUEST['checkout'];
$adults = $_REQUEST['adults'];
$childs = $_REQUEST['childs'];
$price = $_REQUEST['price'];
$nights = $_REQUEST['nights'];
$single_prices = $_REQUEST['single_prices'];
$title = $_REQUEST['title'];
$firstname = $_REQUEST['firstname'];
$lastname = $_REQUEST['lastname'];
$email = $_REQUEST['email'];
$company = $_REQUEST['company'];
$address = $_REQUEST['address'];
$city = $_REQUEST['city'];
$country_id = $_REQUEST['country_id'];
$zip_code = $_REQUEST['zip_code'];
$phone = $_REQUEST['phone'];
$fax = $_REQUEST['fax'];
$comments = $_REQUEST['comments'];
$typepag = $_REQUEST['typepag'];
$captcha_code = $_REQUEST['captcha_code'];
$user_id = wpbooking_AgentId($rooms);
$active_capcha = $settings["wpbooking_capcha"];
if ($active_capcha == 'true'){
$var_capcha = true;
} else {
$var_capcha = false;
}

if ($securimage->check($captcha_code) == $var_capcha) {

switch ($typepag) {
    case 1:
        $payment = "Cash";
        $includepay = "payments/cash/button.php";
        break;
    case 2:
        $payment = "Paypal";
        $includepay = "payments/paypal/button.php";
        break;
    case 3:
        $payment = "authorize.net";
        $includepay = "payments/authorize/authorize.php";
        break;
    case 5:
        $payment = "Google Checkout";
        $includepay = "payments/phpGCheckout/google-checkout.php";
        break;
   case 6:
        $payment = "Moneybookers";
        $includepay = "payments/moneybookers/moneybookers.php";
        break;
}

$booknumber = RandomGenerator("0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ");

    $output = "<h2>".__('Booking Confirmation No.', 'wpbooking')." ".$booknumber."</h2>";


if ($price){

                $output .= "<li>".__('Room', 'wpbooking').": ".wpbooking_show_palazzinaid($rooms)."<br /></li>";
                $output .= "<li>".__('Arrival', 'wpbooking').": ".$checkin."<br /></li>";
                $output .= "<li>".__('Departure', 'wpbooking').": ".$checkout."<br /></li>";
                $output .= "<li>".__('Adults', 'wpbooking').": ".$adults."<br /></li>";
                $output .= "<li>".__('Child', 'wpbooking').": ".$childs."<br /></li>";
                $output .= "<li>".__('Night', 'wpbooking').": ". $nights."<br /></li>";
                $output .= "<li>".__('Price per Night', 'wpbooking').": ".$settings['wpbooking_currency']." ".$single_prices."<br /></li>";
                $output .= "<li>".__('Total', 'wpbooking').": ".$price." ".$settings['wpbooking_currency']."<br /></li>";
                if ($settings['wpbooking_depositactive']) {
                $savings_percentage = (($price/100) *$settings['wpbooking_deposit']);
                $output .= "<li>".__('Deposit', 'wpbooking').": ".$settings['wpbooking_currency']." ".$savings_percentage."<br /></li>";
                }
                $invoice = RandomGenerator("0123456789");
                $output .= "<li>".__('Invoice No.', 'wpbooking').": <a href='".WPBOOKING_PLUGIN_URL."/includes/tcpdf/generatepdf.php?invoice=".$invoice."'>".$invoice."</a><br /></li>";
                $output .= "<h2>".__('Personal information', 'wpbooking')."</h2>";
                $output .= "
                <p>
                <small>".__('fristname', 'wpbooking')."</small> ".$firstname."
                </p>
                <p>
                <small>".__('lastname', 'wpbooking')."</small> ".$lastname."
                </p>
                <p>
                <small>".__('Email', 'wpbooking')."</small> ".$email."
                </p>
                <p>
                <small>".__('company', 'wpbooking')."</small> ".$company."
                </p>
                <p>
                <small>".__('address', 'wpbooking')."</small> ".$address."
                </p>
                <p>
                <small>".__('city', 'wpbooking')."</small> ".$city."
                </p>
                <p>
                <small>".__('country', 'wpbooking')."</small> ".$country_id."
                </p>
                <p>
                <small>".__('zip code', 'wpbooking')."</small> ".$zip_code."
                </p>
                <p>
                <small>".__('phone', 'wpbooking')."</small> ".$phone."
                </p>
                <p>
                <small>".__('note', 'wpbooking')."</small>
                <br /> ".$comments."
               </p>
               <div class=\"checkoutrow\">";
                $output .= "<h2>".__('Payments', 'wpbooking')."</h2>";
                $output .= "
                <p>
                <small>".__('Type Payment', 'wpbooking')."</small> ".$payment."
                </p>
                ";
                include(WPBOOKING_PLUGIN_DIR.'/'.$includepay);
                $output .= "</div>

                ";

    $table_name = $wpdb->prefix . "booking_bookings";

    $sql = "INSERT INTO ". $table_name ." (id, hotel_id, amount, booking_time, is_canceled, title, firstname, lastname, email, company, address, city, country_id, zip_code, phone, fax, comments, is_paid, payment_instrument, caparra, reservation_number, invoice, user_id) VALUES ('', '".$hotel."', '".$price."', NOW(), '0', '".$company."', '".$firstname."', '".$lastname."', '".$email."', '".$title."', '".$address."', '".$city."' , '".$country_id."' , '".$zip_code."' , '".$phone."' , '".$fax."' , '".$comments."' , '0' , '".$typepag."' , '".$savings_percentage."' , '".$booknumber."' , '".$invoice."' , '".$user_id."'    )";
    //echo $sql;
    mysql_query($sql) or die(mysql_error());

    $last_id = mysql_insert_id();

    $table_name1 = $wpdb->prefix . "booking_bookingRooms";

    $sql1 = "INSERT INTO ". $table_name1 ." (id, booking_id, room_id, arrival_date, leaving_date, adults_number) VALUES ('', '".$last_id."', '".$rooms."', '".$checkin."', '".$checkout."', '".$adults."' )";

    mysql_query($sql1) or die(mysql_error());

    $table_name2 = $wpdb->prefix . "booking_calendar";
    $rangedate = dateRange( $checkin, $checkout);
    foreach( $rangedate as $key => $value){

    $result_ceck = mysql_query("SELECT id, caldate FROM ".$table_name2." WHERE id_camera = '".$rooms."' AND caldate = '".$value."'");
    $num_rows = mysql_num_rows($result_ceck);
    if ($num_rows == 0) {

    //$sql2 = "INSERT INTO ". $table_name2 ." (id, caldate, status, id_availability, id_camera) VALUES ('', '".$value."', '".$availability."', '".$id_save."', '".$camera."' )";

    //$result1 = mysql_query($sql2);

    } else {

    $where2 = "WHERE caldate = '".$value."' AND id_camera = '".$rooms."'";
    $sql2 = "UPDATE  ".$table_name2." SET status = 'available', id_booking = '".$last_id."', reservation = '1' $where2";

    $result1 = mysql_query($sql2);
    }
    }

    if ($typepag == 1) {

    if ( get_option('permalink_structure') != '' ) { $suffix = '?'; } else { $suffix = '&'; }

            $f=$settings['wpbooking_customemail'];
            $f=str_replace("{BOOKING_ID}",$booknumber,$f);

			$details .= wpbooking_show_palazzinaid($rooms)."&nbsp;-&nbsp;&nbsp;(Adults:&nbsp;".$adults.")<br/>";
            $pdf = "<div>".__('Confirmation Link.', 'wpbooking').": <a href='".get_permalink($post->ID).$suffix."controller=done&type=email&idbooking=".$last_id."'>Click Here</a><br /></div>";

			$f=str_replace("{ARRIVAL_DATE}",$checkin,$f);
			$f=str_replace("{HOTEL}",get_bloginfo('name') ." - ". wpbooking_HotelName($hotel),$f);
			$f=str_replace("{LEAVING_DATE}",$checkout,$f);
			$f=str_replace("{NIGHT}",$nights,$f);

			$f=str_replace("{BOOKING_DETAILS}",$details,$f);
			$f=str_replace("{EMAIL}",$email,$f);
			$f=str_replace("{PAYMENT}",$payment,$f);
			$f=str_replace("{PDF}",$pdf,$f);

			$f=str_replace("{FIRSTNAME}",$firstname,$f);
			$f=str_replace("{LASTNAME}",$lastname,$f);
			$f=str_replace("{TOTAL_AMOUNT}",$price,$f);
            if ($settings['wpbooking_depositactive']) {
            $f=str_replace("{TOTAL_DEPOSIT}",$savings_percentage,$f);
            }
			$f=str_replace("{TITLE}",$title,$f);
			$f=str_replace("{COMPANY}",$company,$f);
			$f=str_replace("{ADDRESS}",$address,$f);
			$f=str_replace("{CITY}",$city,$f);
			$f=str_replace("{ZIPCODE}",$zip_code,$f);
			$f=str_replace("{COUNTRY}",$country_id,$f);
			$f=str_replace("{PHONE}",$phone,$f);
			$f=str_replace("{FAX}",$fax,$f);
			$f=str_replace("{COMMENTS}",$comments,$f);
			$f=str_replace("{CURRENCY}",$settings['wpbooking_valute'],$f);
            $subject = __('Notification reservatio.', 'wpbooking');
			MailBooking($email,$subject, $f);
            MailBooking(get_bloginfo('admin_email'),$subject, $f);
            if (wpbooking_HotelUserId($hotel) == 1) {
            MailBooking(wpbooking_AgetEmail($hotel),$subject, $f);
            }

    } else {

    $_SESSION['donebook']=$last_id;

    }

    } } else {

     $output .= "<center>Sorry, the code you entered was invalid.  <a href=\"javascript:history.go(-1)\">Go back</a> to try again.</center>";
  }

	return $output;
}

function wpbooking_done() {
@session_start();

	global $wpdb;
    $settings = get_wpbooking_options();

    $output = "";
    $output .= __('Thank you for your reservation.', 'wpbooking');

    $type = $_REQUEST['type'];
    $id_booking = $_REQUEST['idbooking'];

    if ($type == 'email') {

    $table_name3 = $wpdb->prefix . "booking_calendar";
    $where2 = "WHERE id_booking = '".$id_booking."'";
    $sql2 = "UPDATE  ".$table_name3." SET status = 'available', reservation = '1' $where2";
    $sql2_update = "UPDATE  ".$table_name3." SET book_number = book_number + 1 $where2";

    //echo $sql2;

    $result1 = mysql_query($sql2);
    $result1_update = mysql_query($sql2_update);

    $table_name = $wpdb->prefix . "booking_bookings";
    $table_name2 = $wpdb->prefix . "booking_bookingRooms";
    $where = "WHERE ". $table_name .".id = '".$id_booking."'";
    $update_pay = "UPDATE  ".$table_name." SET is_paid = '1' $where";
    $pay_update = mysql_query($update_pay);
    $sql = "SELECT ". $table_name .".*, ". $table_name2 .".* FROM ". $table_name ." LEFT JOIN ". $table_name2 ." ON ". $table_name .".id = ". $table_name2 .".booking_id ".$where." LIMIT 1";
	$fields = $wpdb->get_results( $sql,"ARRAY_A");
    //echo $sql;
    foreach($fields as $row){

            $f=$settings['wpbooking_customemail'];
            $f=str_replace("{BOOKING_ID}",$row['reservation_number'],$f);

			$details .= wpbooking_show_palazzinaid($row['room_id'])."&nbsp;-&nbsp;&nbsp;(Adults:&nbsp;".$row['adults_number'].")<br/>";
            $pdf = "<div>".__('Invoice No.', 'wpbooking').": <a href='".WPBOOKING_PLUGIN_URL."/includes/tcpdf/generatepdf.php?invoice=".$row['invoice']."'>".$row['invoice']."</a><br /></div>";

            $night = nights($row['arrival_date'],$row['leaving_date']);
            $nights = str_replace('-', '' ,$night);

    switch ($row['payment_instrument']) {
    case 1:
        $payment = "Cash";
        break;
    case 2:
        $payment = "Paypal";
        break;
    case 3:
        $payment = "authorize.net";
        break;
    case 5:
        $payment = "Google Checkout";
        break;
   case 6:
        $payment = "Moneybookers";
        break;
}

			$f=str_replace("{ARRIVAL_DATE}",$row['arrival_date'],$f);
			$f=str_replace("{HOTEL}",get_bloginfo('name') ." - ". wpbooking_HotelName($row['hotel_id']),$f);
			$f=str_replace("{LEAVING_DATE}",$row['leaving_date'],$f);
			$f=str_replace("{NIGHT}",$nights,$f);

			$f=str_replace("{BOOKING_DETAILS}",$details,$f);
			$f=str_replace("{EMAIL}",$row['email'],$f);
			$f=str_replace("{PAYMENT}",$payment,$f);
			$f=str_replace("{PDF}",$pdf,$f);

			$f=str_replace("{FIRSTNAME}",$row['firstname'],$f);
			$f=str_replace("{LASTNAME}",$row['lastname'],$f);
			$f=str_replace("{TOTAL_AMOUNT}",$row['amount'],$f);
            if ($settings['wpbooking_depositactive']) {
            $f=str_replace("{TOTAL_DEPOSIT}",$row['caparra'],$f);
            }
			$f=str_replace("{TITLE}",$row['title'],$f);
			$f=str_replace("{COMPANY}",$row['company'],$f);
			$f=str_replace("{ADDRESS}",$row['address'],$f);
			$f=str_replace("{CITY}",$row['city'],$f);
			$f=str_replace("{ZIPCODE}",$row['zip_code'],$f);
			$f=str_replace("{COUNTRY}",$row['country_id'],$f);
			$f=str_replace("{PHONE}",$row['phone'],$f);
			$f=str_replace("{FAX}",$row['fax'],$f);
			$f=str_replace("{COMMENTS}",$row['comments'],$f);
			$f=str_replace("{CURRENCY}",$settings['wpbooking_valute'],$f);
            $subject = __('Booking Confirmation.', 'wpbooking');
			MailBooking($row['email'],$subject, $f);
            MailBooking(get_bloginfo('admin_email'),$subject, $f);
            if (wpbooking_HotelUserId($row['hotel_id']) == 1) {
            MailBooking(wpbooking_AgetEmail($row['hotel_id']),$subject, $f);
            }

    }
    } else if ($_SESSION['donebook']) {

    $id_booking = $_SESSION['donebook'];
    //echo $id_booking;
    $table_name3 = $wpdb->prefix . "booking_calendar";
    $where2 = "WHERE id_booking = '".$id_booking."'";
    $sql2 = "UPDATE  ".$table_name3." SET status = 'available', reservation = '1' $where2";
    $sql2_update = "UPDATE  ".$table_name3." SET book_number = book_number + 1 $where2";

    //echo $sql2;

    $result1 = mysql_query($sql2);
    $result1_update = mysql_query($sql2_update);

    $table_name = $wpdb->prefix . "booking_bookings";
    $table_name2 = $wpdb->prefix . "booking_bookingRooms";
    $where = "WHERE ". $table_name .".id = '".$id_booking."'";
    $sql = "SELECT ". $table_name .".*, ". $table_name2 .".* FROM ". $table_name ." LEFT JOIN ". $table_name2 ." ON ". $table_name .".id = ". $table_name2 .".booking_id ".$where." LIMIT 1";
	$fields = $wpdb->get_results( $sql,"ARRAY_A");
    //echo $sql;
    foreach($fields as $row){

            $f=$settings['wpbooking_customemail'];
            $f=str_replace("{BOOKING_ID}",$row['reservation_number'],$f);

			$details .= wpbooking_show_palazzinaid($row['room_id'])."&nbsp;-&nbsp;&nbsp;(Adults:&nbsp;".$row['adults_number'].")<br/>";
            $pdf = "<div>".__('Invoice No.', 'wpbooking').": <a href='".WPBOOKING_PLUGIN_URL."/includes/tcpdf/generatepdf.php?invoice=".$row['invoice']."'>".$row['invoice']."</a><br /></div>";

            $night = nights($row['arrival_date'],$row['leaving_date']);
            $nights = str_replace('-', '' ,$night);

    switch ($row['payment_instrument']) {
    case 1:
        $payment = "Cash";
        break;
    case 2:
        $payment = "Paypal";
        break;
    case 3:
        $payment = "authorize.net";
        break;
    case 5:
        $payment = "Google Checkout";
        break;
   case 6:
        $payment = "Moneybookers";
        break;
}

			$f=str_replace("{ARRIVAL_DATE}",$row['arrival_date'],$f);
			$f=str_replace("{HOTEL}",get_bloginfo('name') ." - ". wpbooking_HotelName($row['hotel_id']),$f);
			$f=str_replace("{LEAVING_DATE}",$row['leaving_date'],$f);
			$f=str_replace("{NIGHT}",$nights,$f);

			$f=str_replace("{BOOKING_DETAILS}",$details,$f);
			$f=str_replace("{EMAIL}",$row['email'],$f);
			$f=str_replace("{PAYMENT}",$payment,$f);
			$f=str_replace("{PDF}",$pdf,$f);

			$f=str_replace("{FIRSTNAME}",$row['firstname'],$f);
			$f=str_replace("{LASTNAME}",$row['lastname'],$f);
			$f=str_replace("{TOTAL_AMOUNT}",$row['amount'],$f);
            if ($settings['wpbooking_depositactive']) {
            $f=str_replace("{TOTAL_DEPOSIT}",$row['caparra'],$f);
            }
			$f=str_replace("{TITLE}",$row['title'],$f);
			$f=str_replace("{COMPANY}",$row['company'],$f);
			$f=str_replace("{ADDRESS}",$row['address'],$f);
			$f=str_replace("{CITY}",$row['city'],$f);
			$f=str_replace("{ZIPCODE}",$row['zip_code'],$f);
			$f=str_replace("{COUNTRY}",$row['country_id'],$f);
			$f=str_replace("{PHONE}",$row['phone'],$f);
			$f=str_replace("{FAX}",$row['fax'],$f);
			$f=str_replace("{COMMENTS}",$row['comments'],$f);
			$f=str_replace("{CURRENCY}",$settings['wpbooking_valute'],$f);
            $subject = __('Booking Confirmation.', 'wpbooking');
			MailBooking($row['email'],$subject, $f);
            MailBooking(get_bloginfo('admin_email'),$subject, $f);
            if (wpbooking_HotelUserId($row['hotel_id']) == 1) {
            MailBooking(wpbooking_AgetEmail($row['hotel_id']),$subject, $f);
            }
            session_destroy();

    }
    }

    return $output;
	}

function wpbooking_cancel() {

	global $wpdb;

    $output = "";
    $output .= __('Your reservation is deleted.', 'wpbooking');

    return $output;
	}

function wpbooking_query($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_hotel";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = ".$id." ORDER BY id DESC;";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

    function wpbooking_query1($id, $limit) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_rooms";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE hotel_id = ".$id." ORDER BY id DESC ".$limit.";";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

    function wpbooking_query2($hotel, $rooms, $date_from, $date_to) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_bookings";
    $table_name2 = $wpdb->prefix . "booking_bookingRooms";
    $table_name3 = $wpdb->prefix . "booking_rooms";
    $table_name5 = $wpdb->prefix . "booking_hotel";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

if ($hotel) {
$where = " AND ".$table_name5.".id=".$hotel."";
}
if ($rooms) {
$where1 = " AND ".$table_name3.".id=".$rooms."";
}

$field_row = "SELECT ". $table_name3 .".id AS room_id,
". $table_name3 .".hotel_id AS hotelid,
". $table_name3 .".nome,
". $table_name3 .".description,
". $table_name3 .".maxoccupants,
". $table_name3 .".maxchilds,
". $table_name3 .".price AS prices,
". $table_name5 .".id AS hotel_id,
". $table_name5 .".name,
". $table_name5 .".postid

			FROM
				".$table_name3." INNER JOIN ".$table_name5." ON ".$table_name3.".hotel_id=".$table_name5.".id
			WHERE
				".$table_name3.".id NOT IN (SELECT ".$table_name2.".room_id
				FROM ".$table_name2." WHERE ".$table_name2.".room_id=room_id
                AND
				((arrival_date>='".$date_from."' AND arrival_date<='".$date_from."')
                OR
                (leaving_date>'".$date_to."' AND leaving_date<'".$date_to."')
				OR
                (arrival_date<='".$date_from."' AND leaving_date>'".$date_to."')))
				".$where."
                ".$where1."
				GROUP BY ".$table_name3.".id
				HAVING COUNT(*)>0";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

    function wpbooking_query3($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "properties_manage";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE postid = ".$id." ORDER BY id DESC;";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

    function wpbooking_query_tipiid($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "properties_tabelle";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = ".$id." ORDER BY id DESC;";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

    function wpbooking_ShowComplesso($id) {

	global $wpdb;

    $output = "";

    $complesso = wpbooking_query3($id);
    if ($complesso){
      foreach($complesso as $c){

    $output .= "<div class='header-complesso'><span class='bolder'>Complesso:</span> ".$c['name']."&nbsp;&nbsp;<span class='bolder'>Localita:</span> ".$c['localita']."</div>";

    }
    }
    return $output;
	}

     function wpbooking_ShowDettaglio($postid,$id) {

	global $wpdb;

    $output = "";

    $complesso = wpbooking_query_tipiid($id);
    if ($complesso){
      foreach($complesso as $c){

    if ($c['stato'] == "Bloccato") {
$stato = "<span id='status".$c['id']."'><img src='".WPBOOKING_PLUGIN_URL."/images/blu.png' alt='' class='statoimg' /></span><span id='statusimg".$c['id']."'></span>";
} else if($c['stato'] == "In Vendita") {
$stato = "<span id='status".$c['id']."'><img src='".WPBOOKING_PLUGIN_URL."/images/verde.png' alt='' class='statoimg' /></span><span id='statusimg".$c['id']."'></span>";
} else if($c['stato'] == "Venduto") {
$stato = "<span id='status".$c['id']."'><img src='".WPBOOKING_PLUGIN_URL."/images/rosso.png' alt='' class='statoimg' /></span><span id='statusimg".$c['id']."'></span>";
} else {
$stato = "<span id='status".$c['id']."'><img src='".WPBOOKING_PLUGIN_URL."/images/verde.png' alt='' class='statoimg' /></span><span id='statusimg".$c['id']."'></span>";
}

    $output .= "<div class='header-complesso'><span class='bolder'>Stato:</span> ".$stato."&nbsp;&nbsp;<span class='bolder'>Tipologia:</span> ".wpbooking_tiponame($c['tipologia_tabelle'])." &nbsp;&nbsp;<span class='bolder'>Fascia prezzo:</span> ".wpbooking_show_prezziid($c['prezzo'])."</div>";

    }
    }
    return $output;
	}

    function wpbooking_tiponame($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "properties_tipi";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = ".$id." ORDER BY id DESC ".$limit.";";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['abbreviazione'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

        function wpbooking_queryDettails($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_rooms";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = ".$id." ORDER BY id DESC;";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}


function wpbooking_queryall() {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_hotel";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." ORDER BY id DESC;";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

// [bartag foo="foo-value"]
function wpbooking_maps( $atts ) {
	extract( shortcode_atts( array(
		'id' => '',
		'other' => '',
	), $atts ) );

$points = wpbooking_queryall();

    $output = "
    <script src=\"http://maps.google.com/maps?file=api&amp;v=2&amp;key=ABQIAAAAwun5IrFVyPdinzPQs4hlUhRWu_0moIrFytrfLEUQbKfWdWjp_BT3wUYsKxHQuryspd04sI8ig8ZO4Q\" type=\"text/javascript\"></script>
    <script type=\"text/javascript\">
    //<![CDATA[
    function load() {
      if (GBrowserIsCompatible()) {
        var map = new GMap2(
        document.getElementById(\"map\"));
        map.addControl(new GSmallMapControl());
        map.setCenter(
        new GLatLng(41.87194, 12.567379999999957), 5);
        function createMarker(point, text, title) {
          var marker =
          new GMarker(point,{title:title});
          GEvent.addListener(
          marker, \"click\", function() {
            marker.openInfoWindowHtml(text);
          });
          return marker;
        }
";
if ($points){
        foreach ($points as $point) {

        $html = "<a href=\"".get_permalink($point['postid'])."\">Vedi ".$point['name']."</a>";

$output .= "
        var marker = createMarker( new GLatLng(".$point['longitudine'].", ".$point['latitudine']."), '".$html."', '".$point['name']."');
        map.addOverlay(marker);
        ";
        }
        }
$output .= " }
    }
    window.onload=load;
    window.onunload=GUnload;

    //]]>
    </script>
    ";
$output .= '<div id="map" style="width: 680px; height: 500px"></div>';

    //$output = $id;

	return $output;
}
add_shortcode( 'mappa', 'wpbooking_maps' );

// [bartag foo="foo-value"]
function wpbooking_maps3( $atts ) {
	extract( shortcode_atts( array(
		'id' => '',
		'other' => '',
	), $atts ) );

$points = wpbooking_queryall();

    $output = "
    <script type=\"text/javascript\" src=\"http://maps.google.com/maps/api/js?sensor=false\"></script>
    <script type=\"text/javascript\">
    function initialize() {

    // Create the map
    // No need to specify zoom and center as we fit the map further down.
    var map = new google.maps.Map(document.getElementById(\"map_canvas\"), {
      mapTypeId: google.maps.MapTypeId.ROADMAP,
      streetViewControl: false
    });
    var markers = [
";
if ($points){
        foreach ($points as $point) {

        $html = "<a href=\"".get_permalink($point['postid'])."\">Vedi ".$point['name']."</a>";

$output .= "
        { lat: ".$point['longitudine'].", lng: ".$point['latitudine'].", name: '".$html."' },
        ";
        }
        }
$output .= " ];

// Create the markers ad infowindows.
    for (index in markers) addMarker(markers[index]);
    function addMarker(data) {
      // Create the marker
      var image = \"". WPBOOKING_PLUGIN_URL ."/images/marker.png\";
      var marker = new google.maps.Marker({
        position: new google.maps.LatLng(data.lat, data.lng),
        map: map,
        title: data.name,
        icon: image
      });

// Create the infowindow with two DIV placeholders
      // One for a text string, the other for the StreetView panorama.
      var content = document.createElement(\"DIV\");
      var title = document.createElement(\"DIV\");
      title.innerHTML = data.name;
      content.appendChild(title);
      var streetview = document.createElement(\"DIV\");
      streetview.style.width = \"200px\";
      streetview.style.height = \"200px\";
      content.appendChild(streetview);
      var infowindow = new google.maps.InfoWindow({
        content: content
      });

      // Open the infowindow on marker click
      google.maps.event.addListener(marker, \"click\", function() {
        infowindow.open(map, marker);
      });

// Handle the DOM ready event to create the StreetView panorama
      // as it can only be created once the DIV inside the infowindow is loaded in the DOM.
      google.maps.event.addListenerOnce(infowindow, \"domready\", function() {
        var panorama = new google.maps.StreetViewPanorama(streetview, {
            navigationControl: false,
            enableCloseButton: false,
            addressControl: false,
            linksControl: false,
            visible: true,
            position: marker.getPosition()
        });
      });
    }

    // Zoom and center the map to fit the markers
    // This logic could be conbined with the marker creation.
    // Just keeping it separate for code clarity.
    var bounds = new google.maps.LatLngBounds();
    for (index in markers) {
      var data = markers[index];
      bounds.extend(new google.maps.LatLng(data.lat, data.lng));
    }
    map.fitBounds(bounds);
  }

    window.onload=initialize;


    //]]>
    </script>
    ";
/*$output .= '<div class="search-hotel">
<form name="agentform" id="agentform" action="'. get_bloginfo('url').'/index.php?search_action=searchmap" method="get">
';
$locs = wpbooking_show_city();
$output .= '<fieldset>';
$output .= '<label for="city"></label>
	<select id="city" name="city" style="width:150px;">';
    foreach ($locs as $loc) {
$output .= '<option value="'. $loc['id'] .'">'.$loc['city'].'</option>';
    }
$output .= '</select>';
$output .= '
<label for="checkin" id="checkin_label"></label>
<input type="text" name="checkin" id="checkin" class="textField" value=\''.__('Checkin', 'wpbooking').'\'  />
';
$output .= '
<label for="checkout" id="checkout_label"></label>
<input type="text" name="checkout" id="checkout" class="textField" value=\''.__('Checkout', 'wpbooking').'\' />
';
$output .= '<input type="hidden" name="btn" id="btn" value="btn" />
<input type="hidden" name="search_action" value="searchmap" />
<input type="submit" name="Search" value="Search" />';
$output .= '</fieldset>';
$output .= '</form></div>';*/
$output .= '<div id="map_canvas"></div>';

    //$output = $id;

	return $output;
}
add_shortcode( 'mappaV3', 'wpbooking_maps3' );

function search_request_handler() {
  //define('WP_USE_THEMES', true);
  global $wpdb,  $query_string;
  	if (!empty($_REQUEST['search_action'])) {
		switch($_REQUEST['search_action']) {
			case 'searchadv':
            ?>
            <?php

$rooms = $_REQUEST['rooms'];
$hotel = $_REQUEST['hotel'];
$checkin = $_REQUEST['checkin'];
$checkout = $_REQUEST['checkout'];
$btn = $_REQUEST['btn'];
$hotel_id=isset($hotel)?$hotel:"1";
$room_id=isset($rooms)?$rooms:"";

if ( get_option('permalink_structure') != '' ) { $suffix = '?'; } else { $suffix = '&'; }

if ($btn) {

$output = "";

    $i=0;
    $hotels = wpbooking_query($hotel_id);

if ($hotels){
      foreach($hotels as $r){
        $rows = wpbooking_query2($hotel_id,$room_id,$checkin,$checkout);
        //$output .= "<h2>".$c['proprieta']."</h2>";
        if ($rows){
          //$output .= "<h2>Hotel: <a href='".get_permalink($r['postid'])."'>".$r['name']."</a></h2>";
        foreach($rows as $row){

      $ispaid = wpbooking_ceckBook2($checkin,$checkout,$row['room_id'],$hotel_id);
      if ($ispaid == 0) {

      $output .= "<div class='roomintro'>";

      $output .= "<h2><a href='".get_permalink($r['postid'])."&controller=dettails&rooms=".$row['room_id']."'>".$row['nome']."</a></h2>";
      $output .= "<p>".$row['description']."</p>";
      $output .= "<p> <a href='".get_permalink($r['postid'])."&controller=dettails&rooms=".$row['room_id']."' class='more-linkbook'>Book <span class='meta-nav'>&rarr;</span></a></p>";

      $output .= "";
      $output .= "</div><div class='roomintrosep'></div>";

      } else {
      $output = __('No rooms found with this search, try again', 'wpbooking');
      }

$output .= "
";
    }
    }
    else {
    $output .= __('No rooms found with this search, try again', 'wpbooking');
    }
    }
    }

    /*if($tagssel) {
    $where = " AND tipologia_tabelle = ".$tagssel."";
    }*/

  //$output = "SELECT wp_properties_manage.id AS mid, wp_properties_manage.name AS mname, wp_properties_manage.postid AS url, wp_properties_tabelle.id AS tid, wp_properties_tabelle.tipologia_tabelle AS tabelle, wp_properties_palazzina.* FROM wp_properties_manage LEFT JOIN wp_properties_palazzina ON wp_properties_manage.id = wp_properties_palazzina.proprieta
                    //LEFT JOIN wp_properties_tabelle ON wp_properties_palazzina.id = wp_properties_tabelle.palazzina WHERE wp_properties_manage.localita = '".$cat."' ".$where." GROUP BY wp_properties_manage.id ORDER BY wp_properties_manage.id DESC";
  //$output = print_r($tabelle);
  $textricerca = $output;
} else {
  "";
}
$template1 = WPBOOKING_PLUGIN_DIR . '/search.php';

    if (file_exists( $template1 )) {
    include($template1);
    exit;
  }


				die();
				break;
                case 'searchmap':

$rooms = $_REQUEST['rooms'];
$hotel = $_REQUEST['hotel'];
$checkin = $_REQUEST['checkin'];
$checkout = $_REQUEST['checkout'];
$city = $_REQUEST['city'];
$country = $_REQUEST['country'];
$stars = $_REQUEST['stars'];
$adults = $_REQUEST['adults'];
$childs = $_REQUEST['childs'];
$btn = $_REQUEST['btn'];
$hotel_id=isset($hotel)?$hotel:"1";
$room_id=isset($rooms)?$rooms:"";

$settings = get_wpbooking_options();
$dir = ABSPATH.$settings['galleries_rootfolder'];
$url = get_bloginfo('url')."/".$settings['galleries_rootfolder']."/";

if ($btn) {

$output .= "";

/*$output .= '<div class="search-hotel">
<form name="agentform" id="agentform" action="'. get_bloginfo('url').'/index.php?search_action=searchmap" method="get">
';
$locs = wpbooking_show_city();
$output .= '<fieldset>';
$output .= '<label for="city"></label>
	<select id="city" name="city" style="width:150px;">';
    foreach ($locs as $loc) {
$output .= '<option value="'. $loc['id'] .'">'.$loc['city'].'</option>';
    }
$output .= '</select>';
$output .= '
<label for="checkin" id="checkin_label"></label>
<input type="text" name="checkin" id="checkin" class="textField" value=\'Checkin\' onblur=\"if(this.value==\'\') this.value=\'Checkin\';\" onfocus=\"if(this.value==\'Checkin\') this.value=\'\';\"  />
';
$output .= '
<label for="checkout" id="checkout_label"></label>
<input type="text" name="checkout" id="checkout" class="textField" value=\'Checkout\' onblur=\"if(this.value==\'\') this.value=\'Checkout\';\" onfocus=\"if(this.value==\'Checkout\') this.value=\'\';\" />
';
$output .= '<input type="hidden" name="btn" id="btn" value="btn" />
<input type="hidden" name="search_action" value="searchmap" />
<input type="submit" name="Search" value="Search" />';
$output .= '</fieldset>';
$output .= '</form></div>';*/

$output .= "<h2>".__('Search Results:', 'wpbooking')."</h2>";

    $i=0;
    $complesso = wpbooking_query_map($city, $checkin, $checkout, $country, $stars, $adults, $childs);


//$output .= "<br /><h2>".__('Placement on map:', 'wpbooking')."</h2>";

$output .= "
    <script type=\"text/javascript\" src=\"http://maps.google.com/maps/api/js?sensor=false\"></script>
    <script type=\"text/javascript\">
    function initialize() {

    // Create the map
    // No need to specify zoom and center as we fit the map further down.
    var map = new google.maps.Map(document.getElementById(\"map_canvas\"), {
      mapTypeId: google.maps.MapTypeId.ROADMAP,
      streetViewControl: false
    });
    var markers = [
";

if ($complesso){
      foreach($complesso as $c){

        $html = "<a href=\"".get_permalink($c['url'])."\">".__('View', 'wpbooking')." ".$c['namehotel']."</a>";

$output .= "
        { lat: ".$c['longitudine'].", lng: ".$c['latitudine'].", name: '".$html."' },
        ";


    }
    }

$output .= " ];

// Create the markers ad infowindows.
    for (index in markers) addMarker(markers[index]);
    function addMarker(data) {
      // Create the marker
      var image = \"". WPBOOKING_PLUGIN_URL ."/images/marker.png\";
      var marker = new google.maps.Marker({
        position: new google.maps.LatLng(data.lat, data.lng),
        map: map,
        title: data.name,
        icon: image
      });

// Create the infowindow with two DIV placeholders
      // One for a text string, the other for the StreetView panorama.
      var content = document.createElement(\"DIV\");
      var title = document.createElement(\"DIV\");
      title.innerHTML = data.name;
      content.appendChild(title);
      var streetview = document.createElement(\"DIV\");
      streetview.style.width = \"200px\";
      streetview.style.height = \"200px\";
      content.appendChild(streetview);
      var infowindow = new google.maps.InfoWindow({
        content: content
      });

      // Open the infowindow on marker click
      google.maps.event.addListener(marker, \"click\", function() {
        infowindow.open(map, marker);
      });

// Handle the DOM ready event to create the StreetView panorama
      // as it can only be created once the DIV inside the infowindow is loaded in the DOM.
      google.maps.event.addListenerOnce(infowindow, \"domready\", function() {
        var panorama = new google.maps.StreetViewPanorama(streetview, {
            navigationControl: false,
            enableCloseButton: false,
            addressControl: false,
            linksControl: false,
            visible: true,
            position: marker.getPosition()
        });
      });
    }

    // Zoom and center the map to fit the markers
    // This logic could be conbined with the marker creation.
    // Just keeping it separate for code clarity.
    var bounds = new google.maps.LatLngBounds();
    for (index in markers) {
      var data = markers[index];
      bounds.extend(new google.maps.LatLng(data.lat, data.lng));
    }
    map.fitBounds(bounds);
  }

    window.onload=initialize;


    //]]>
    </script>
    ";
$output .= '<div id="map_canvas"></div>';
$output .= "<div class='sep'></div>";

if ($complesso){

//$output .= "<div class='searchresultwrap'>";

      foreach($complesso as $c){

      if (strlen($c['namehotel']) >= 15) {

      $css = "-long";

      } else {

      $css = "";

      }

      preg_match_all('/<img [^>]*src=["|\']([^"|\']+)/i', $c['description_hotel'], $matches);
      //$src = $matches[1];
      $html = "<div class='roomintro'>";
      $html .= "<div class='post'><h2><a href='".get_permalink($c['url'])."'>".$c['namehotel']."</a></h2>";
      $html .= "<p>".$c['description_hotel']."</p>";
      $html .= "<p><a href='".get_permalink($c['url'])."' class='more-linkbook'>".__('View Hotel', 'wpbooking')."</a></p>";
      $html .= "</div></div><div class='roomintrosep'></div>";
      $output .= $html;
}
//$output .= "</div>";
}

    /*if($tagssel) {
    $where = " AND tipologia_tabelle = ".$tagssel."";
    }*/

  //$output = "SELECT wp_properties_manage.id AS mid, wp_properties_manage.name AS mname, wp_properties_manage.postid AS url, wp_properties_tabelle.id AS tid, wp_properties_tabelle.tipologia_tabelle AS tabelle, wp_properties_palazzina.* FROM wp_properties_manage LEFT JOIN wp_properties_palazzina ON wp_properties_manage.id = wp_properties_palazzina.proprieta
                    //LEFT JOIN wp_properties_tabelle ON wp_properties_palazzina.id = wp_properties_tabelle.palazzina WHERE wp_properties_manage.localita = '".$cat."' ".$where." GROUP BY wp_properties_manage.id ORDER BY wp_properties_manage.id DESC";
  //$output = print_r($tabelle);
  $textricerca = $output;
} else {
  "";
}


$templateform = WPBOOKING_PLUGIN_DIR . '/search-map.php';

    if (file_exists( $templateform )) {
    include($templateform);
    exit;
  }
                die();
				break;

case 'authorize':

include WPBOOKING_PLUGIN_DIR.'/payments/authorize/response.php';
$templateform1 = WPBOOKING_PLUGIN_DIR . '/authorize.php';

    if (file_exists( $templateform1 )) {
    include($templateform1);
    exit;
  }
                die();
				break;

                }
                }
}
add_action('init', 'search_request_handler');


function wpbooking_query_map($city, $date_from, $date_to, $country, $stars, $adults, $childs) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_bookings";
    $table_name2 = $wpdb->prefix . "booking_bookingRooms";
    $table_name3 = $wpdb->prefix . "booking_rooms";
    $table_name5 = $wpdb->prefix . "booking_hotel";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

if ($hotel) {
$where = " AND ".$table_name5.".id=".$hotel."";
}
if ($rooms) {
$where1 = " AND ".$table_name3.".id=".$rooms."";
}
if ($city) {
$where2 = " AND ".$table_name5.".localita=".$city."";
}
if ($country) {
$where3 = " AND ".$table_name5.".country=".$country."";
}
if ($stars) {
$where4 = " AND ".$table_name5.".stars=".$stars."";
}
if ($adults) {
$where5 = " AND ".$table_name3.".maxoccupants >= ".$adults."";
}
if ($childs) {
$where6 = " AND ".$table_name3.".maxchilds >= ".$childs."";
}

$field_row = "SELECT ". $table_name3 .".id AS room_id,
". $table_name3 .".hotel_id AS hotelid,
". $table_name3 .".nome,
". $table_name3 .".description,
". $table_name3 .".maxoccupants,
". $table_name3 .".maxchilds,
". $table_name3 .".price AS prices,
". $table_name5 .".id AS hotel_id,
". $table_name5 .".name AS namehotel,
". $table_name5 .".postid AS url,
". $table_name5 .".longitudine,
". $table_name5 .".latitudine,
". $table_name5 .".description_hotel

			FROM
				".$table_name3." INNER JOIN ".$table_name5." ON ".$table_name3.".hotel_id=".$table_name5.".id
			WHERE
				".$table_name3.".id NOT IN (SELECT ".$table_name2.".room_id
				FROM ".$table_name2." WHERE ".$table_name2.".room_id=room_id
                AND
				((arrival_date>='".$date_from."' AND arrival_date<='".$date_from."')
                OR
                (leaving_date>'".$date_to."' AND leaving_date<'".$date_to."')
				OR
                (arrival_date<='".$date_from."' AND leaving_date>'".$date_to."')))
				".$where."
                ".$where1."
                ".$where2."
                ".$where3."
                ".$where4."
                ".$where5."
                ".$where6."
				GROUP BY ".$table_name5.".id
				HAVING COUNT(*)>0";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

function wpbooking_query_result($localita, $tagssel, $cantierisel, $prezzo) {

	global $wpdb;

    if(!$tagssel == 0) {
    $where = " AND wp_properties_tabelle.tipologia_tabelle = ".$tagssel."";
    }

    if(!$cantierisel == 0) {
    $where1 = " AND wp_properties_manage.name = '".$cantierisel."'";
    }

    if(!$prezzo == 0) {
    $where2 = " AND wp_properties_tabelle.prezzo = '".$prezzo."'";
    }

   	$table_name = $wpdb->prefix . "properties_manage";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT wp_properties_manage.id AS mid, wp_properties_manage.name AS mname, wp_properties_manage.postid AS url, wp_properties_manage.latitudine AS latitudine, wp_properties_manage.longitudine AS longitudine, wp_properties_tabelle.id AS tid, wp_properties_tabelle.tipologia_tabelle AS tabelle, wp_properties_palazzina.* FROM wp_properties_manage LEFT JOIN wp_properties_palazzina ON wp_properties_manage.id = wp_properties_palazzina.proprieta
                    LEFT JOIN wp_properties_tabelle ON wp_properties_palazzina.id = wp_properties_tabelle.palazzina WHERE wp_properties_manage.localita = '".$localita."' ".$where." ".$where1." ".$where2." GROUP BY wp_properties_manage.id ORDER BY wp_properties_manage.id DESC";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

function wpbooking_brochure($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_hotel";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = ".$id." ORDER BY id DESC;";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['brochure'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

function getImages($dir)
  {
    $imagetypes = array("image/jpeg", "image/gif", "image/png");

    // array to hold return value
    $retval = array();

    // add trailing slash if missing
    if(substr($dir, -1) != "/") $dir .= "/";

    // full server path to directory
    $fulldir = "$dir";

    $d = @dir($fulldir) or die("getImages: Failed opening directory $dir for reading");
    while(false !== ($entry = $d->read())) {
      // skip hidden files
      if($entry[0] == ".") continue;

      // check for image files
      //if(in_array(mime_content_type("$fulldir$entry"), $imagetypes)) {
        $retval[] = array(
         "file" => "$entry",
         "size" => getimagesize("$fulldir$entry")
        );
      //}
    }
    $d->close();

    return $retval;
  }


function wpbooking_QueryServices($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_services";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = ".$id." ORDER BY id DESC;";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['services'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

function nights($date_from,$date_to) {
		return ceil((strtotime($date_from)-strtotime($date_to))/(24*60*60));
	}

function RandomGenerator($numbers) {
$validchars = $numbers;
$code  = "";
$counter   = 0;
$length = 10;

   while ($counter < $length) {
     $actChar = substr($validchars, rand(0, strlen($validchars)-1), 1);

     // All character must be different
     if (!strstr($code, $actChar)) {
        $code .= $actChar;
        $counter++;
     }
   }
		return $code;
	}

function wpbooking_QuerySeasons($room_id, $date_from, $date_to ) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_price";
    $table_name2 = $wpdb->prefix . "booking_seasons";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT
".$table_name.".prezzo,
".$table_name2.".tipo
FROM ".$table_name2."
INNER JOIN ".$table_name." ON ".$table_name.".seasons_id=".$table_name2.".id
WHERE
".$table_name.".room_id='".$room_id."' AND
((date_from <= '".$date_from."' AND date_to >= '".$date_to."')
OR
(date_from>='".$date_from."' AND date_to<='".$date_to."')
OR
(date_from>='".$date_from."' AND date_from<='".$date_to."')
OR
(date_to>='".$date_from."' AND date_to<='".$date_to."'))";
        if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

function wpbooking_PriceSeasons($room_id, $date_from, $date_to) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_price";
    $table_name2 = $wpdb->prefix . "booking_seasons";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

$field_row = "SELECT
".$table_name.".prezzo,
".$table_name2.".tipo
FROM ".$table_name2."
INNER JOIN ".$table_name." ON ".$table_name.".seasons_id=".$table_name2.".id
WHERE
".$table_name.".room_id='".$room_id."' AND
((date_from <= '".$date_from."' AND date_to >= '".$date_to."')
OR
(date_from>='".$date_from."' AND date_to<='".$date_to."')
OR
(date_from>='".$date_from."' AND date_from<='".$date_to."')
OR
(date_to>='".$date_from."' AND date_to<='".$date_to."'))
";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso = $result['prezzo'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}    

function wpbooking_QueryCoupon($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_coupon";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE coupon = '".$id."' ORDER BY id DESC;";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['sconto'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

function wpbooking_QueryCouponName($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_coupon";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE coupon = '".$id."' ORDER BY id DESC;";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['name'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

function booking_paginations( $args = false )
{
	global $wp_query, $wp_rewrite;

	if( is_single() )
	{
		paginate_comments_links(array('type' => 'plain', 'end_size' => 3, 'mid_size' => 2));
	}
	else
	{
		$current = $wp_query->query_vars['paged'] > 1 ? $wp_query->query_vars['paged'] : 1;

		$pagination = array(
			'base'		=> $wp_rewrite->using_permalinks() ? user_trailingslashit(trailingslashit(remove_query_arg('s',get_pagenum_link(1))) . 'page/%#%/', 'paged') : @add_query_arg('paged','%#%'),
			'add_args'	=> !empty($wp_query->query_vars['s']) ? array('s'=>get_query_var('s')) : '',
			'total'		=> $wp_query->max_num_pages,
			'current'	=> $current,
			'end_size'	=> 2,
			'mid_size'	=> 2,
			'type'		=> 'plain',
			'format'	=> '',
		);

		echo paginate_links( $pagination );
	}
    	}

function wpbooking_BookingGallery($id) {

	global $wpdb;

    $settings = get_wpbooking_options();
    $dir = ABSPATH.$settings['galleries_rootfolder'];
    $url = get_bloginfo('url')."/".$settings['galleries_rootfolder']."/";

    $image = explode(".", $id);

            $directory = $dir.'/'.$image[0];
            $images = getImages($directory);

    $output = "";

    $output .= "<div class=\"gallery\">";
    $i=0;
    foreach($images as $img) {

    if ($i >= 1) {

    $style = "style='display:none;'";

    } else {

    $style = "style='display:none;'";

    }

    $output .= "<a href=\"" .$url.$image[0]."/".$img['file']."\" rel=\"clearbox[gallery=".$image[0]."]\" ".$style."><img src=\"". $url.$image[0]."/".$img['file']."\" ".$style." width=\"120\" height=\"120\"/></a>"."\n";
    $i++;
    }

    $output .= "</div>";

    return $output;
	}

    function wpbooking_LinkGallery($id) {

	global $wpdb;

    $settings = get_wpbooking_options();
    $dir = ABSPATH.$settings['galleries_rootfolder'];
    $url = get_bloginfo('url')."/".$settings['galleries_rootfolder']."/";

    $image = explode(".", $id);

            $directory = $dir.'/'.$image[0];
            $images = getImages($directory);

    $output = "";

    $output .= "";
    $i=0;
    foreach($images as $img) {

    if ($i == 0) {
    $output .= "<a href='".WPBOOKING_PLUGIN_URL."/popup_ajax.php?step=gallery&amp;image=".$id."' class='buttoninfo'><img src=\"". $url.$image[0]."/".$img['file']."\" class='alignleft wp-image' width=\"110\" height=\"110\"/></a>"."\n";
    }
    $i++;
    }

    $output .= "";

    return $output;
	}

    function wpbooking_ImageSrc($id) {

	global $wpdb;

    $settings = get_wpbooking_options();
    $dir = ABSPATH.$settings['galleries_rootfolder'];
    $url = get_bloginfo('url')."/".$settings['galleries_rootfolder']."/";

    $image = explode(".", $id);

            $directory = $dir.'/'.$image[0];
            $images = getImages($directory);

    $output = "";

    $output .= "";
    $i=0;
    foreach($images as $img) {

    if ($i == 0) {
    $output .= $url.$image[0]."/".$img['file'];
    }
    $i++;
    }

    $output .= "";

    return $output;
	}

    function GalleryPopup($id) {

	global $wpdb;

    $settings = get_wpbooking_options();
    $dir = ABSPATH.$settings['galleries_rootfolder'];
    $url = get_bloginfo('url')."/".$settings['galleries_rootfolder']."/";

    if ( $settings['wpbooking_jquery_noconflict'] == 1 ) { $jquery = 'jQuery'; } else { $jquery = '$'; }

    $image = explode(".", $id);

            $directory = $dir.'/'.$image[0];
            $images = getImages($directory);

    $output = '';
    $output .= "
    <script type=\"text/javascript\">
	".$jquery."(function(){
		".$jquery."('#myGallery').galleryView();
	});
    </script>
    ";

    $output .= "<ul id='myGallery'>";
    $i=0;
    foreach($images as $img) {

    $output .= "<li><img src=\"" .$url.$image[0]."/".$img['file']."\" alt=\"".$img['file']."\" /></li>"."\n";
    $i++;
    }

    $output .= "</ul>";

    return $output;
	}

function MailBooking($mail_to, $msg_title, $message,$attachment="") {

$settings = get_wpbooking_options();
$is_stmtp = $settings['wpbooking_smtpactive'];

    require_once(WPBOOKING_PLUGIN_DIR.'/includes/PHPMailer/class.phpmailer.php');

	$mail             = new PHPMailer();

	/*$body             = $mail->getFile('contents.html');
	$body             = eregi_replace("[\]",'',$body);*/


	//$mail->AddReplyTo("meditest@meditest.be");
    if($is_stmtp == 1) {
    $mail->IsSMTP(); // telling the class to use SMTP
    $mail->Host       = $settings['wpbooking_host']; // SMTP server
    $mail->SMTPDebug  = 0;                     // enables SMTP debug information (for testing)
                                           // 1 = errors and messages
                                           // 2 = messages only
    $mail->SMTPAuth   = true;                  // enable SMTP authentication
    //$mail->Host       = "mail.yourdomain.com"; // sets the SMTP server
    $mail->Port       = $settings['wpbooking_port'];                    // set the SMTP port for the GMAIL server
    $mail->Username   = $settings['wpbooking_smtpuser']; // SMTP account username
    $mail->Password   = $settings['wpbooking_smtppass'];        // SMTP account password
    }

	$mail->From       = get_bloginfo('admin_email');
	$mail->FromName   = get_bloginfo('name');

	$mail->Subject    = $msg_title;
	$mail->AddAddress($mail_to);
	//$mail->Body       = "Hi,<br>This is the HTML BODY<br>";                      //HTML Body
	$mail->AltBody    = "To view the message, please use an HTML compatible email viewer!";
	$mail->WordWrap   = 50; // set word wrap

	$mail->MsgHTML($message);

	if ($attachment!="") {
		$mail->AddAttachment($attachment);             // attachment
	}
	$mail->IsHTML(true); // send as HTML

	$mail->Send();
}

function add_rel_gallery($content, $id)
{

	/* Find internal links */

    $image = explode(".", $id);

	//Check the page for link images direct to image (no trailing attributes)
	$string = '/<a href="(.*?).(jpg|jpeg|png|gif|bmp|ico)"><img(.*?)class="(.*?)wp-image-(.*?)" \/><\/a>/i';
	preg_match_all( $string, $content, $matches, PREG_SET_ORDER);

	//Check which attachment is referenced
	foreach ($matches as $val)
	{

		//Replace the instance with the lightbox and title(caption) references. Won't fail if caption is empty.
		$string = '<a href="' . $val[1] . '.' . $val[2] . '"><img' . $val[3] . 'class="' . $val[4] . 'wp-image-' . $val[5] . '" /></a>';
		$replace = '<a href="' . $val[1] . '.' . $val[2] . '" rel="clearbox[gallery='.$image[0].']"><img' . $val[3] . 'class="' . $val[4] . 'wp-image-' . $val[5] . '" /></a>';
		$content = str_replace( $string, $replace, $content);
	}

	return $content;
}

function wpbooking_QueryRoomId($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_rooms";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE urlid = '".$id."' ORDER BY id DESC;";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['id'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

function wpbooking_AgentId($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_rooms";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = '".$id."' ORDER BY id DESC ".$limit.";";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['userid'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

function wpbooking_HotelUserId($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_hotel";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = '".$id."' ORDER BY id DESC;";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['is_agent'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

function wpbooking_PaypalAgetActive($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_hotel";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = '".$id."' ORDER BY id DESC ".$limit.";";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['paypalactive'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

function wpbooking_PaypalAgetEmail($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_hotel";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = '".$id."' ORDER BY id DESC ".$limit.";";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['paypal'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

function wpbooking_AgetEmail($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_hotel";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = '".$id."' ORDER BY id DESC ".$limit.";";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['email'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

function wpbooking_HotelName($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_hotel";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = '".$id."' ORDER BY id DESC ".$limit.";";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['name'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

function wpbooking_queryHotel($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_hotel";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = ".$id." ORDER BY id DESC;";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

function wpbooking_HotelStars($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_hotel";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE postid = '".$id."' ORDER BY id DESC;";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['stars'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

if(!function_exists("mime_content_type"))
{
function mime_content_type($file)
{
$open_bit = finfo_open(FILEINFO_MIME_TYPE);
return finfo_file($open_bit, $file);
}
}

function TitleStars($title) {
global $post;

if ( ! is_admin() ) {
$stars = wpbooking_HotelStars($post->ID);
if ( get_post_type() == 'reservation' ) {
if ( $stars ) {
$star ="&nbsp;&nbsp;";
for ($s = 1; $s <= $stars; ++$s) {
$star .= "<img src='".WPBOOKING_PLUGIN_URL."/images/rating_on.gif' alt=\"stars\" />";
}
}
}
}

$output = str_replace("[stars]", @$star, $title);

return $output;
}

//add_filter( 'the_title', 'TitleStars' );

function dateRange( $first, $last, $step = '+1 day', $format = 'Y-m-d' ) {

	$dates = array();
	$current = strtotime( $first );
	$last = strtotime( $last );

	while( $current <= $last ) {

		$dates[] = date( $format, $current );
		$current = strtotime( $step, $current );
	}

	return $dates;
}

function wpbooking_QueryurlId($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_rooms";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = '".$id."' ORDER BY id DESC ".$limit.";";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['urlid'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

function data_serialized( $data ) {
    // if it isn't a string, it isn't serialized
    if ( !is_string( $data ) )
        return false;
    $data = trim( $data );
    if ( 'N;' == $data )
        return false;
    if ( !preg_match( '/^([adObis]):/', $data, $badions ) )
        return false;
    switch ( $badions[1] ) {
        case 'a' :
        case 'O' :
        case 's' :
            if ( preg_match( "/^{$badions[1]}:[0-9]+:.*[;}]\$/s", $data ) )
                return true;
            break;
        case 'b' :
        case 'i' :
        case 'd' :
            if ( preg_match( "/^{$badions[1]}:[0-9.E-]+;\$/", $data ) )
                return true;
            break;
    }
    return false;
}

function wpbooking_ceckBook2($date_from,$date_to,$rooms,$hotel) {

global $wpdb;

$table_name = $wpdb->prefix . "booking_bookings";
$table_name2 = $wpdb->prefix . "booking_bookingRooms";
$table_name3 = $wpdb->prefix . "booking_rooms";
$table_name5 = $wpdb->prefix . "booking_hotel";

$sql="SELECT ". $table_name .".id AS book_id,
". $table_name2 .".room_id AS roomid

			FROM
				".$table_name." INNER JOIN ".$table_name2." ON ".$table_name.".id=".$table_name2.".booking_id
			WHERE
				((arrival_date>='".$date_from."' AND arrival_date<='".$date_from."')
                OR
                (leaving_date>'".$date_to."' AND leaving_date<'".$date_to."')
				OR
                (arrival_date<='".$date_from."' AND leaving_date>'".$date_to."'))
				AND
				".$table_name.".hotel_id=".$hotel." AND ".$table_name2.".room_id =".$rooms." AND ".$table_name.".is_paid=0
				GROUP BY ".$table_name.".id
				HAVING COUNT(*)>0";

      $field_row = $sql;
      $results = mysql_query( $field_row );
      $num_rows = mysql_num_rows($results);
	  return $num_rows;

	}

// Registration Forms
add_shortcode('register', 'wpbooking_shortcoderegistration');

//this function determines which version of the registration to call
function wpbooking_shortcoderegistration($atts) {
	global $options;
	extract(shortcode_atts(array(
	'role' => 'subscriber',
	'from' => get_bloginfo('admin_email'),
	'message' => 'Thank you for registering',
	'notify' => get_bloginfo('admin_email'),
	'fb' => false,
	), $atts));
		if($role != 'admin') {
			$function = wpbooking_RegBasic($atts);
		} else {
			$function = 'You should not register admin users via a public form';
		}
	return $function;
}//End Function

function wpbooking_RegBasic($atts) {
	//Check if the user is logged in, if so he doesn't need the registration page
		if ( is_user_logged_in() ) {
			echo "You are already registered for this site!!!";
		} else {
		//Then check to see whether a form has been submitted, if so, I deal with it.
		if(isset($_POST['submit-reg'])) {
			$output = wpbooking_process_form($atts);
			return $output;
		} else {
			$data = array();
			$form = wpbooking_build_form($data, $atts);
		return $form;
	} //Close POST Condiditonal
} //Close LOGIN Conditional

} //END FUNCTION

function wpbooking_process_form($atts) {
	//security check
	if (!wp_verify_nonce($_POST['wpbooking_nonce'], 'wpbooking_nonce') ) { die('Security check'); }
	$errors = wpbooking_validate($_POST);
	if( $errors ==  true ) :
		 $message = $errors;
	endif;
	if (!$message) {
		$output = wpbooking_setup_user($atts,$_POST);
		return $output;
	} else {
		//Print the appropriate message
		if(is_array($message)) {
			$out = '';
			foreach($message as $mes) {
				$out .= '<div class="wpbooking-message error">'.$mes .'</div>';
			}
		} else {
			$out = '<div class="wpbooking-message error">'.$message .'</div>';
		}
		//rebuild the form
		$form = wpbooking_build_form($_POST,$atts);
		$output = $out . $form;
		//return shortcode output
		return $output;
	}
//END FUNCTION
}

function wpbooking_send_notifications($atts, $data, $passw) {
	$site = get_option('siteurl');
	$name = get_option('blogname');
	$user_name = $data['username'];
	$email = $data['email'];
	$notify = $atts['notify'];
	$emessage = __("Your registration was successful.".$atts['message']);
	$headers = "From: $name" . ' <' .get_option('admin_email') .'> ' ."\r\n\\";
	wp_mail($notify, "A new user registered for $name", "A new user has registered for $name.\rUsername: $user_name\r Email: $email \r",$headers);
	$emessage = $emessage . "\r\r---\r";
		if(!isset($data['password'])) {
		$emessage .= "You should login and change your password as soon as possible.\r\r";
		}
	$emessage .= "Username: $user_name\rPassword: $passw\rLogin: $site/wp-login.php";
	wp_mail($data['email'],"$name - Registration Confirmation", apply_filters('wpbooking_email_confirmation_message',$emessage,$data) , $headers);
}

function wpbooking_build_form($data,$atts) {

	$label_first = apply_filters('wpbooking_label_fname', __('First Name:', 'wpbooking') );
	$label_last = apply_filters('wpbooking_label_lname', __('Last Name:','wpbooking') );
	$label_email = apply_filters('wpbooking_label_email', __('Email Address:','wpbooking') );
	$label_confirm_email = apply_filters('wpbooking_label_confirm_email', __('Confirm Email:','wpbooking') );
	$label_username = apply_filters('wpbooking_label_username', __('Your Username:','wpbooking') );
	$label_pass = apply_filters('wpbooking_label_password', __('Choose a Password','wpbooking'));
	$label_confirm = apply_filters('wpbooking_label_confirm', __('Confirm Password','wpbooking'));

	//POST FORM
	$form = '';
    //$form .= '<div class="hotelform">';
	$form .= apply_filters('wpbooking-reg-instructions', __('Please fill out this form to sign up', 'wpbooking'));
	$form .=  '<div id="wpbooking-form">';
	//$form .=  apply_filters('wpbooking-personal-header',__('<h3 class="registration personal">Personal Info</h3>','wpbooking'));
	$form .=  '<form method="post" action="" id="wpbooking-reg">';
	$form .=  '<div class="wpbooking-field">';
	$form .=  '<label for="username" class="left">' .$label_username .' <span class="required">*</span></label>';
	$form .=  '<input type="text" name="username" class="right" value="'.$data['username'] .'" /><br/>';
	$form .=  '</div>';
	$form .=  '<div class="wpbooking-field">';
	$form .=  '<label for="fname" class="left">'.$label_first .'</label>';
	$form .=  '<input type="text" name="fname" class="right" value="'.$data['fname'] .'" /><br/>';
	$form .=  '</div>';
	$form .=  '<div class="wpbooking-field">';
	$form .=  '<label for="lname" class="left">' .$label_last .'</label>';
	$form .=  '<input type="text" name="lname" class="right" value="'.$data['lname'] .'"/><br/>';
	$form .=  '</div>';

	$form = apply_filters('wpbooking-add-personal-fields', $form);

	//$form .=  apply_filters('wpbooking-reg-email-header',__('<h3 class="registration email">Contact Info</h3>','wpbooking'));
	$form .=  '<div class="wpbooking-field email-field">';
	$form .=  '<label for="email" class="left">' .$label_email .' <span class="required">*</span></label>';
	$form .=  '<input type="text" name="email" class="right" value="'.$data['email'] .'" /><br/>';
	$form .=  '</div>';
	$form .=  '<div class="wpbooking-field email-field">';
	$form .=  '<label for="email" class="left">' .$label_confirm_email .' <span class="required">*</span></label>';
	$form .=  '<input type="text" name="email_confirm" class="right" value="'.$data['email_confirm'] .'" /><br/>';
	$form .=  '</div>';

	$form = apply_filters('wpbooking-add-contact-fields', $form);

	//optional profile fields
	$pro_fields = simplr_fields_settings_process();
	if($pro_fields) {
		foreach($pro_fields as $key => $field) {
				if($field != '') {
			$form .= '<div class="wpbooking-field"><label for="' .$key .'" class="left">'.$field .'</label><input type="text" name="'.$key .'" value="'.$data[$key] .'" class="text" /></div>';
			}
		}
	}


	if('yes' == $atts['password']) {

		$form .=  apply_filters('wpbooking-reg-password-header',__('<h3 class="registration password">Choose a password</h3>','wpbooking'));
		$form .=  '<div class="wpbooking-field">';
		$form .=  '<label for="password" class="left">' .$label_pass .'</label>';
		$form .=  '<input type="password" name="password" class="right" value="'.$data['password'] .'"/><br/>';
		$form .=  '</div>';

		$form .=  '<div class="wpbooking-field">';
		$form .=  '<label for="password-confirm" class="left">' .$label_confirm .'</label>';
		$form .=  '<input type="password" name="password_confirm" class="right" value="'.$data['password_confirm'] .'"/><br/>';
		$form .=  '</div>';
	}

	//filter for adding profile fields
	$form = apply_filters('wpbooking_add_form_fields', $form);

	//submission field
	$form .=  apply_filters('wpbooking-reg-submit', '<div class="wrapbutton"><input type="submit" name="submit-reg" value="Register" class="registerbutton"></div>');

	//wordress nonce for security
	$nonce = wp_create_nonce('wpbooking_nonce');
	$form .= '<input type="hidden" name="wpbooking_nonce" value="' .$nonce .'" />';
	$form .=  '</form>';
	$form .=  '</div>';
    //$form .=  '</div>';
	return $form;
}

function wpbooking_validate($data) {
	require_once(ABSPATH . WPINC . '/registration.php' );
	require_once(ABSPATH . WPINC . '/pluggable.php' );
	$errors = array();

	// Make sure passwords match
	if($data['password'] != $data['password_confirm']) {
		$errors[] = __('The passwords you entered do not match.', 'wpbooking');
	}

	// Validate username
	if(!$data['username']) {
		$errors[] = __("You must enter a username.",'wpbooking');
		} else {
			// check whether username is valid
			$user_test = validate_username($data['username']);
				if($user_test != true) {
						$errors[] .= __('Invalid Username.','wpbooking');
					}
			// check whether username already exists
			$user_id = username_exists( $data['username'] );
				if($user_id) {
						$errors[] .= __('This username already exists.','wpbooking');
					}
		} //end username validation


	// Validate email
	if(!$data['email']) {
		$errors[] = __("You must enter an email.",'wpbooking');
	} elseif($data['email'] !== $data['email_confirm']) {
		$errors[] = __("The emails you entered do not match.",'wpbooking');
	} else {
		$email_test = email_exists($data['email']);
		if($email_test != false) {
				$errors[] .= __('An account with this email has already been registered.','wpbooking');
			}
		if( !is_email($data['email']) ) {
				$errors[] .= __("Please enter a valid email.",'wpbooking');
			}
		} // end email validation


	//use this filter to apply custom validation rules.
	$errors = apply_filters('wpbooking_validate_form', $errors);
	return $errors;
}

function wpbooking_setup_user($atts,$data) {
	//check options
	global $options;
	$admin_email = $atts['from'];
	$emessage = $atts['message'];
	$role = $atts['role'];
		if('' == $role) { $role = 'subscriber'; }
		if('administrator' == $role) { wp_die('Do not use this form to register administrators'); }
	require_once(ABSPATH . WPINC . '/registration.php' );
	require_once(ABSPATH . WPINC . '/pluggable.php' );

	//Assign POST variables
	$user_name = $data['username'];
	$fname = $data['fname'];
	$lname = $data['lname'];
	$user_name = sanitize_user($user_name, true);
	$email = $data['email'];
	$user_url = $data['url'];


	//This part actually generates the account
	if(isset($data['password'])) {
		$passw = $data['password'];
	} else {
		$passw = wp_generate_password( 12, false );
	}

	$userdata = array(
	'user_login' => $user_name,
	'first_name' => $fname,
	'last_name' => $lname,
	'user_pass' => $passw,
	'user_email' => $email,
	'user_url' => $user_url,
	'role' => $role
	);

	// create user
	$user_id = wp_insert_user( $userdata );

	//multisite support add user to registration log and associate with current site
		if(WP_MULTISITE === true) {
			global $wpdb;
			$ip = getenv('REMOTE_ADDR');
			$site = get_current_site();
			$sid = $site->id;
			$query = $wpdb->prepare("
				INSERT INTO $wpdb->registration_log
				(ID, email, IP, blog_ID, date_registered)
				VALUES ($user_id, $email, $ip, $sid, NOW() )
				");
			$results = $wpdb->query($query);
		}

	//Process additional fields
	$pro_fields = simplr_fields_settings_process();
		if($pro_fields) {
				foreach($pro_fields as $key => $field) {
				//$key = $field;
				$val = $data[$key];
				if(isset( $val )) { add_user_meta($user_id,$key,$val); }
			}
		}

	//Save Hook for custom profile fields
	do_action('wpbooking_profile_save_meta', $user_id);

	// if password was auto generated, add flag for the user to change their auto-generated password
	if(!$data['password']) {
		$update = update_user_option($user_id, 'default_password_nag', true, true);
	}

	//notify admin of new user
	wpbooking_send_notifications($atts,$data, $passw);

	$extra = "Please check your email for confirmation.";
	$extra = apply_filters('wpbooking_extra_message', __($extra,'wpbooking') );
	$confirm = '<div class="wpbooking-message success">Your Registration was successful. '.$extra .'</div>';

	//Use this hook for multistage registrations
	do_action('wpbooking_reg_next_action', array($data, $user_id, $confirm));

	//return confirmation message.
	return apply_filters('wpbooking_reg_confirmation', $confirm);
}

//register_setting ('wpbooking_options', 'wpbooking_profile_fields', 'simplr_fields_settings_process');

function simplr_fields_settings_process() {
	$array = array('address' => 'Address', 'city' =>  'City', 'country' => 'Country', 'zip' => 'Zip Code', 'phone' => 'Phone');
	return $array;
}

function wpbooking_FeaturedHotel($limit) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_hotel";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

    $where = ' WHERE featured=1';

      $field_row = "SELECT * FROM ". $table_name ." ".$where." ORDER BY id DESC LIMIT ".$limit.";";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

function wpbooking_LastHotel($limit) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_hotel";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

    $where = '';

      $field_row = "SELECT * FROM ". $table_name ." ".$where." ORDER BY id DESC LIMIT ".$limit.";";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

function HotelMap($id) {

$settings = get_wpbooking_options();

if ( $settings['wpbooking_jquery_noconflict'] == 1 ) { $jquery = 'jQuery'; } else { $jquery = '$'; }

    $output .= "<script type=\"text/javascript\">
                ".$jquery."(document).ready(function(){
                ".$jquery."('.closepopin_multi').click(function(){
	        	".$jquery."('.popup_restaurant').fadeOut(500,function(){  ".$jquery."('.popup_restaurant').remove(); ".$jquery."('#overlay').fadeOut(500); });
                return false;
	            });
                 });
                </script>";
    $output .= '<a href="" class="closepopin_multi close_res color1_restaurant"><img src="'. WPBOOKING_PLUGIN_URL .'/images/close.png" /></a> ';
    $output .= '<iframe src="'.WPBOOKING_PLUGIN_URL.'/maps.php?id='.$id.'" frameborder="no" width="700" height="550"></iframe> ';
	return $output;

}

function HotelContact($id) {

$settings = get_wpbooking_options();
if ( $settings['wpbooking_jquery_noconflict'] == 1 ) { $jquery = 'jQuery'; } else { $jquery = '$'; }

    $output .= "<script type=\"text/javascript\">
                ".$jquery."(document).ready(function(){
                ".$jquery."('.closepopin_multi').click(function(){
	        	".$jquery."('.popup_restaurant').fadeOut(500,function(){  ".$jquery."('.popup_restaurant').remove(); ".$jquery."('#overlay').fadeOut(500); });
                return false;
	            });

    ".$jquery."(\"#contactpopup\").submit(function() {
            s = ".$jquery."(this).serialize();
			".$jquery.".ajax({
				type: \"POST\", data: s, url: '". WPBOOKING_PLUGIN_URL ."/popup_ajax.php?step=sendemail', success: function(retour) {
					".$jquery."(\".popup_restaurant\").empty().append(retour);
					".$jquery."('#contentpopup_restaurant').fadeIn();
				}
			});

			return false;
		});

  });
                </script>";
    $output .= '<a href="" class="closepopin_multi close_res color1_restaurant"><img src="'. WPBOOKING_PLUGIN_URL .'/images/close.png" /></a> ';
    $output .= '<form action="'. WPBOOKING_PLUGIN_URL .'/popup_ajax.php?step=sendemail" method="POST" id="contactpopup" name="contactpopup">';
    $output .= '<fieldset>';
    $output .= '<legend>'.__('Contacts', 'wpbooking').'</legend>';
    $output .= '<div class="contactwrap">';
    $output .= '<div class="contactleft">';
    $output .= '<label for="name">'.__('Name', 'wpbooking').': <p><input name="name" type="text" /></p></label>';
    $output .= '<label for="email">'.__('Email', 'wpbooking').': <p><input name="email" type="text" /></p></label>';
    $output .= '</div>';
    $output .= '<div class="contactright">';
    $output .= '<label for="note">'.__('Descriptions', 'wpbooking').': <p><textarea name="note"></textarea></p></label>';
    $output .= '</div>';
    $output .= '<div class="clearform"></div>';
    $output .= '<input type="hidden" name="id" value="'.$id.'" />';
    $output .= '<input id="save-all" class="button-primary savebutton" type="submit" value="'.__('Send', 'wpbooking').'" name="save"/>  ';
    $output .= '</div>';
    $output .= '</fieldset>';
    $output .= '</form>';
	return $output;

}

function ContactPopup($id) {

$settings = get_wpbooking_options();
if ( $settings['wpbooking_jquery_noconflict'] == 1 ) { $jquery = 'jQuery'; } else { $jquery = '$'; }

$name = @$_REQUEST["name"];
$email = @$_REQUEST["email"];
$note = @$_REQUEST["note"];
$email_hotel = wpbooking_HotelEmail($id);
$subject = __('Request information for hotel', 'wpbooking'). ' ' . wpbooking_show_complessoid($id);
//$html_body = __('Name', 'wpbooking').': '.$name.'<br />'.__('Email', 'wpbooking').': '.$email.'<br />'.$note;

    $output .= "<script type=\"text/javascript\">
                ".$jquery."(document).ready(function(){
                ".$jquery."(\".popup_restaurant\").css({\"width\":\"595\"});
                ".$jquery."('.closepopin_multi').click(function(){
	        	".$jquery."('.popup_restaurant').fadeOut(500,function(){  ".$jquery."('.popup_restaurant').remove(); ".$jquery."('#overlay').fadeOut(500); });
                return false;
	            });
                 });
                </script>";
    $output .= '<a href="" class="closepopin_multi close_res color1_restaurant"><img src="'. WPBOOKING_PLUGIN_URL .'/images/close.png" /></a> ';
    $output .= '<div class="confirmemail">';
    $output .= $settings['wpbooking_confirmcontact'];
    $output .= '';
    $output .= '</div> ';

    $f=$settings['wpbooking_customcontact'];
    $f=str_replace("{NAME}",$name,$f);
    $f=str_replace("{EMAIL}",$email,$f);
    $f=str_replace("{NOTE}",$note,$f);
    MailBooking($email_hotel,$subject, $f);
    MailBooking($email,$subject, $f);
	return $output;

}

function HotelCeck($id) {

$settings = get_wpbooking_options();
if ( $settings['wpbooking_jquery_noconflict'] == 1 ) { $jquery = 'jQuery'; } else { $jquery = '$'; }

    $output .= "<script type=\"text/javascript\">
                ".$jquery."(document).ready(function(){
                ".$jquery."('.closepopin_multi').click(function(){
	        	".$jquery."('.popup_restaurant').fadeOut(500,function(){  ".$jquery."('.popup_restaurant').remove(); ".$jquery."('#overlay').fadeOut(500); });
                return false;
	            });
                 });
                </script>";
    $output .= '<a href="" class="closepopin_multi close_res color1_restaurant"><img src="'. WPBOOKING_PLUGIN_URL .'/images/close.png" /></a> ';
    $output .= 'qui va la ricerca disponibilita ';
	return $output;

}

function HotelSeasons($id) {

$settings = get_wpbooking_options();
if ( $settings['wpbooking_jquery_noconflict'] == 1 ) { $jquery = 'jQuery'; } else { $jquery = '$'; }

    $output .= "<script type=\"text/javascript\">
                ".$jquery."(document).ready(function(){
                ".$jquery."('.closepopin_multi').click(function(){
	        	".$jquery."('.popup_restaurant').fadeOut(500,function(){  ".$jquery."('.popup_restaurant').remove(); ".$jquery."('#overlay').fadeOut(500); });
                return false;
	            });
                 });
                </script>";
    $output .= '<a href="" class="closepopin_multi close_res color1_restaurant"><img src="'. WPBOOKING_PLUGIN_URL .'/images/close.png" /></a> ';
    $output .= 'qui vanno le stagioni ';
	return $output;

}

function wpbooking_queryHotelMap($hotel) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_hotel";

    if ($hotel) {
    $where = " WHERE id=".$hotel."";
    }

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." ".$where." ORDER BY id DESC;";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

function wpbooking_HotelEmail($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_hotel";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = '".$id."' ORDER BY id DESC ".$limit.";";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['email'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

function wpbooking_HeaderMaps3( $limits ) {

if ($_REQUEST['controller'] == 'search') {
$country = $_REQUEST['country'];
$city = $_REQUEST['city'];
$points = wpbooking_queryRegion($country, '');
 } else {
$points = wpbooking_queryall();
}

    $output = "
    <script type=\"text/javascript\" src=\"http://maps.google.com/maps/api/js?sensor=false\"></script>
    <script type=\"text/javascript\">
    function initialize() {

    // Create the map
    // No need to specify zoom and center as we fit the map further down.
    var map = new google.maps.Map(document.getElementById(\"map_header\"), {
      mapTypeId: google.maps.MapTypeId.ROADMAP,
      streetViewControl: false
    });
    var markers = [
";
if ($points){
        foreach ($points as $point) {

        $html = "<a href=\"".get_permalink($point['postid'])."\">Vedi ".$point['name']."</a>";

$output .= "
        { lat: ".$point['longitudine'].", lng: ".$point['latitudine'].", name: '".$html."' },
        ";
        }
        }
$output .= " ];

// Create the markers ad infowindows.
    for (index in markers) addMarker(markers[index]);
    function addMarker(data) {
      // Create the marker
      var image = \"". WPBOOKING_PLUGIN_URL ."/images/marker.png\";
      var marker = new google.maps.Marker({
        position: new google.maps.LatLng(data.lat, data.lng),
        map: map,
        title: data.name,
        icon: image
      });

// Create the infowindow with two DIV placeholders
      // One for a text string, the other for the StreetView panorama.
      var content = document.createElement(\"DIV\");
      var title = document.createElement(\"DIV\");
      title.innerHTML = data.name;
      content.appendChild(title);
      var streetview = document.createElement(\"DIV\");
      streetview.style.width = \"200px\";
      streetview.style.height = \"150px\";
      content.appendChild(streetview);
      var infowindow = new google.maps.InfoWindow({
        content: content
      });

      // Open the infowindow on marker click
      google.maps.event.addListener(marker, \"click\", function() {
        infowindow.open(map, marker);
      });

// Handle the DOM ready event to create the StreetView panorama
      // as it can only be created once the DIV inside the infowindow is loaded in the DOM.
      google.maps.event.addListenerOnce(infowindow, \"domready\", function() {
        var panorama = new google.maps.StreetViewPanorama(streetview, {
            navigationControl: false,
            enableCloseButton: false,
            addressControl: false,
            linksControl: false,
            visible: true,
            position: marker.getPosition()
        });
      });
    }

    // Zoom and center the map to fit the markers
    // This logic could be conbined with the marker creation.
    // Just keeping it separate for code clarity.
    var bounds = new google.maps.LatLngBounds();
    for (index in markers) {
      var data = markers[index];
      bounds.extend(new google.maps.LatLng(data.lat, data.lng));
    }
    map.fitBounds(bounds);
  }

    window.onload=initialize;


    //]]>
    </script>
    ";
$output .= '<div id="map_header"></div>';

    //$output = $id;

	return $output;
}

/* Shortcode Search */

function wpbooking_SearchAdv( $atts ) {
	extract( shortcode_atts( array(
		'id' => '',
		'other' => '',
	), $atts ) );

if ( get_option('permalink_structure') != '' ) { $suffix = '?'; } else { $suffix = '&'; }

/*$output = '<div class="search-hotel">
<div class="wrapavailability">
<form name="agentform" id="agentform" action="'.get_permalink($post->ID).$suffix.'controller=searchadv" method="post">
';
$locs = wpbooking_show_city();
$output .= '<fieldset>';
$output .= '<p><label for="city">'.__('City', 'wpbooking').':</label>
	<select id="city" name="city">';
    foreach ($locs as $loc) {
$output .= '<option value="'. $loc['id'] .'">'.$loc['city'].'</option>';
    }
$output .= '</select></p>';
$output .= '
<p><label for="checkin" id="checkin_label">checkin:</label>
<input type="text" name="checkin" id="checkin" class="textField" value=\''.__('Checkin', 'wpbooking').'\'  /></p>
';
$output .= '
<p><label for="checkout" id="checkout_label">checkout:</label>
<input type="text" name="checkout" id="checkout" class="textField" value=\''.__('Checkout', 'wpbooking').'\' /></p>
';
$output .= '<input type="hidden" name="btn" id="btn" value="btn" />
<input type="hidden" name="controller" value="search" />
<input type="submit" name="Search" value="Search" />';
$output .= '</fieldset>';
$output .= '</form></div></div>';*/

$rooms = $_REQUEST['rooms'];
$hotel = $_REQUEST['hotel'];
$checkin = $_REQUEST['checkin'];
$checkout = $_REQUEST['checkout'];
$country = $_REQUEST['country'];
$city = $_REQUEST['city'];
$adults = $_REQUEST['adults'];
$childs = $_REQUEST['childs'];
$stars = (int)$_REQUEST['stars'];
//$btn = $_REQUEST['btn'];
//$hotel_id=isset($hotel)?$hotel:"";
$room_id=isset($rooms)?$rooms:"";
$dateday = strtotime(date('Y-n-d'));

if ($_REQUEST['controller'] == 'searchadv') {

if (strtotime($checkin) < $dateday) {
$output .= __('Check in date is not active', 'wpbooking');
} else
if (strtotime($checkout) < $dateday) {
$output .= __('Check out date is not active', 'wpbooking');
} else
if (strtotime($checkin) > strtotime($checkout)) {
$output .= __('Error! Please re-enter you dates', 'wpbooking');
} else {

//$output = "";

    $i=0;
    $hotels = wpbooking_AllHotel($country, $city, $stars);

if ($hotels){
      foreach($hotels as $r){
        $rows = wpbooking_queryRoomsSearch($r['id'],$room_id,$checkin,$checkout, $adultsm, $childs);
        $isall = wpbooking_ceckAvailabilityAll($checkin, $checkout, $r['id']);

        if ($rows && $isall >= 1){

      $output .= '<div id="post-'.$r['id'].'">';

      $output .= '<h2 class="entry-title"><a href="'.get_permalink($r['postid']).'" title="'.$r['name'].'" rel="bookmark">'.$r['name'].'</a> '.TitleStarsList($r['postid']).'</h2>';
      $output .= '<div class="entry-summary">';
      $output .= "<div class='infohotel'>
      ".wpbooking_IdCountry(wpbooking_HotelCountry($r['id']))." -
      ".wpbooking_IdCity(wpbooking_HotelCity($r['id']))."
      </div>";

      $output .= '<div class="infocontainer">';

    if ( wpbooking_brochure($r['id']) ) {
    $output .="<div class='brochure'><a href='".$url.wpbooking_brochure($r['id'])."' target=\"_blank\" class=\"buttonpdf\">".__('Hotel Brochure', 'wpbooking')."</a></div>";
    }
    //$output .="<div class='check_popup'><a href='".WPBOOKING_PLUGIN_URL."/popup_ajax.php?step=ceck&amp;hotel_id=".$id."' target=\"_blank\" class=\"buttoninfo\">".__('Check availability', 'wpbooking')."</a></div>";
    //$output .="<div class='map_seasons'><a href='".WPBOOKING_PLUGIN_URL."/popup_ajax.php?step=seasons&amp;hotel_id=".$id."' target=\"_blank\" class=\"buttoninfo\">".__('Seasonal price', 'wpbooking')."</a></div>";
    $output .="<div class='map_popup'><a href='".WPBOOKING_PLUGIN_URL."/popup_ajax.php?step=map&amp;hotel_id=".$r['id']."' target=\"_blank\" class=\"buttoninfo\">".__('Map View', 'wpbooking')."</a></div>";
    $output .="<div class='contact_popup'><a href='".WPBOOKING_PLUGIN_URL."/popup_ajax.php?step=contact&amp;hotel_id=".$r['id']."' target=\"_blank\" class=\"buttoninfo\">".__('Contact', 'wpbooking')."</a></div>";

    $output .="</div>";

    $output .= "<div class='bookintro'>";
    $output .= "<a href='".get_permalink($r['postid'])."' class='more-linkbook'><img src='".WPBOOKING_PLUGIN_URL."/images/readintro.png' alt='' /></a></div>";
    $output .= "<p>";
    $output .= wpbooking_LinkGallery($r['image_room']) .trim_descriptions(350,$r['description_hotel'])."</p>";

      $output .= "<div class='roomsclear'></div>";

      //$output .= "</div></div>";

        foreach($rows as $row){

      $ispaid = wpbooking_ceckBook2($checkin,$checkout,$row['room_id'],$r['id']);
      $isavv = wpbooking_ceckAvailability($checkin,$checkout,$row['room_id']);
      if ($ispaid == 0 && $isavv != 0) {

      $output .= "<div class='roomsearchwrap'>";

      $output .= "<div class='listroomsearch'><a href='".get_permalink($r['postid']).$suffix."controller=dettails&rooms=".$row['room_id']."'>".$row['nome']."</a>";
      $output .= "<a href='".get_permalink($r['postid']).$suffix."controller=dettails&rooms=".$row['room_id']."' class='more-linkbook'>".__('Book Now', 'wpbooking')."</a></div>";

      $output .= "";
      $output .= "</div><div class='roomintrosep'></div>";

      } else {
      $output .= __('No rooms found with this search, try again', 'wpbooking');
      }

$output .= "
";
    }
$output .= "</div></div>";
    }
    else {
    //$output .= __('No rooms found with this search, try again', 'wpbooking');
    }
    }
    }
}
} else {
  "";
}

return $output;
}

add_shortcode( 'search', 'wpbooking_SearchAdv' );


function wpbooking_SearchRegion( $atts ) {
	extract( shortcode_atts( array(
		'id' => '',
		'other' => '',
	), $atts ) );

global $wpdb;

include(WPBOOKING_PLUGIN_DIR.'/includes/pagination.class.php');

if ( get_option('permalink_structure') != '' ) { $suffix = '?'; } else { $suffix = '&'; }

$settings = get_wpbooking_options();
$dir = ABSPATH.$settings['galleries_rootfolder'];
$url = get_bloginfo('url')."/".$settings['galleries_rootfolder']."/";

$output = '<div id="content-lasthotel">';
/*$output. = '<div class="search-hotel">
<div class="wrapavailability">
<form name="agentform" id="agentform" action="'.get_permalink($post->ID).$suffix.'controller=search" method="post">
';
$locs = wpbooking_show_country();
$output .= '<fieldset>';
$output .= '<label for="country">'.__('Country', 'wpbooking').':</label>
	<select id="country" name="country">';
    foreach ($locs as $loc) {
$output .= '<option value="'. $loc['id'] .'">'.$loc['country'].'</option>';
    }
$output .= '</select>';
$output .= '<input type="hidden" name="btn" id="btn" value="btn" />
<input type="hidden" name="controller" value="search" />
<input type="submit" name="Search" value="Search" class="searchregionbutton" />';
$output .= '</fieldset>';
$output .= '</form></div></div>';*/

$country = $_REQUEST['country'];
$city = $_REQUEST['city'];


if ($_REQUEST['controller'] == 'search') {


    if ($country) {
    $where = " WHERE country = ".$country."";
    }
    $table_name = $wpdb->prefix . "booking_hotel";
    $items = mysql_num_rows(mysql_query("SELECT * FROM ". $table_name ." ".$where."")); // number of total rows in the database
    if($items > 0) {
    $pag = new pagination;
    $pag->items($items);
    $pag->limit(10); // Limit entries per page
    $pag->target("".get_permalink($post->ID).$suffix."controller=search&country=".$country);
    $pag->currentPage(isset($_GET['paging'])); // Gets and validates the current page
    $pag->calculate(); // Calculates what to show
    $pag->parameterName('paging');
    $pag->adjacents(1); //No. of page away from the current page
    if(!isset($_GET['paging'])) {
    $pag->page = 1;
    } else {
    $pag->page = $_GET['paging'];
    }
//Query for limit paging
    $limit = "LIMIT " . ($pag->page - 1) * $pag->limit . ", " . $pag->limit;
} else {
  echo "";
  }


    $i=0;
    $hotels = wpbooking_queryRegion($country, $limit);

    if ($hotels){

      foreach($hotels as $r){

      $output .= '<div id="post-'.$r['id'].'">';

      $output .= '<h2 class="entry-title"><a href="'.get_permalink($r['postid']).'" title="'.$r['name'].'" rel="bookmark">'.$r['name'].'</a> '.TitleStarsList($r['postid']).'</h2>';
      $output .= '<div class="entry-summary">';
      $output .= "<div class='infohotel'>
      ".wpbooking_IdCountry(wpbooking_HotelCountry($r['id']))." -
      ".wpbooking_IdCity(wpbooking_HotelCity($r['id']))."
      </div>";
      $output .= '<div class="infocontainer">';

    if ( wpbooking_brochure($r['id']) ) {
    $output .="<div class='brochure'><a href='".$url.wpbooking_brochure($r['id'])."' target=\"_blank\" class=\"buttonpdf\">".__('Hotel Brochure', 'wpbooking')."</a></div>";
    }
    //$output .="<div class='check_popup'><a href='".WPBOOKING_PLUGIN_URL."/popup_ajax.php?step=ceck&amp;hotel_id=".$id."' target=\"_blank\" class=\"buttoninfo\">".__('Check availability', 'wpbooking')."</a></div>";
    //$output .="<div class='map_seasons'><a href='".WPBOOKING_PLUGIN_URL."/popup_ajax.php?step=seasons&amp;hotel_id=".$id."' target=\"_blank\" class=\"buttoninfo\">".__('Seasonal price', 'wpbooking')."</a></div>";
    $output .="<div class='map_popup'><a href='".WPBOOKING_PLUGIN_URL."/popup_ajax.php?step=map&amp;hotel_id=".$r['id']."' target=\"_blank\" class=\"buttoninfo\">".__('Map View', 'wpbooking')."</a></div>";
    $output .="<div class='contact_popup'><a href='".WPBOOKING_PLUGIN_URL."/popup_ajax.php?step=contact&amp;hotel_id=".$r['id']."' target=\"_blank\" class=\"buttoninfo\">".__('Contact', 'wpbooking')."</a></div>";

    $output .="</div>";

    $output .= "<div class='bookintro'> <a href='".get_permalink($r['postid'])."' class='more-linkbook'><img src='".WPBOOKING_PLUGIN_URL."/images/bookintro.png' alt='' /></a>";
    $output .= "<a href='".get_permalink($r['postid'])."' class='more-linkbook'><img src='".WPBOOKING_PLUGIN_URL."/images/readintro.png' alt='' /></a></div>";
    $output .= "<p>";
    $output .= wpbooking_LinkGallery($r['image_room']) .trim_descriptions(350,$r['description_hotel'])."</p>";

      //$output .= "<h2>".__('Hotel', 'wpbooking').": <a href='".get_permalink($r['postid'])."'>".$r['name']."</a></h2>";

      $output .= "</div></div>";
      }
    } else {
    $output .= __('No Hotel found with this search, try again', 'wpbooking');
    }
    if($items > 1) {
     $output .= $pag->show();
 }
}

$output .= '</div>';

return $output;
}

add_shortcode( 'regionsearch', 'wpbooking_SearchRegion' );

function wpbooking_queryRegion($id, $limit) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_hotel";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE country = ".$id." ORDER BY id DESC ".$limit.";";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

function wpbooking_LowCost($id, $limit ) {

global $wpdb, $post;

$settings = get_wpbooking_options();
$dir = ABSPATH.$settings['galleries_rootfolder'];
$url = get_bloginfo('url')."/".$settings['galleries_rootfolder']."/";


        $lowcost = wpbooking_queryLowCost($id, $limit);
        if ($lowcost){

        //$output .= "<h2>".__('List Rooms', 'wpbooking')."</h2>";

        foreach($lowcost as $p){

      if ( get_option('permalink_structure') != '' ) { $suffix = '?'; } else { $suffix = '&'; }
      $output .= "<div class='roomintro'>";
      $output .= "<h2><a href='".get_permalink($p['urlid']).$suffix."controller=dettails&rooms=".$p['id']."'>".$p['nome']."</a></h2>";
      $output .= "<p><img class='lowcostimage' src='".WPBOOKING_PLUGIN_URL."/include/show_image.php?file=".urlencode(wpbooking_ImageSrc($p['image_room']))."&h=60&w=60' /></p>";
      $output .= "<p>
      <ul>
      <li>".__('Price', 'wpbooking').": ".$p['price']."</li>
      <li>".__('City', 'wpbooking').": ".wpbooking_IdCity(wpbooking_HotelCity($p['hotel_id']))."</li>
      <li>".__('Country', 'wpbooking').": ".wpbooking_IdCountry(wpbooking_HotelCountry($p['hotel_id']))."</li>
      </ul>
      </p>";
      $output .= "<p> <a href='".get_permalink($p['urlid']).$suffix."controller=dettails&rooms=".$p['id']."' class='more-linkbook'>".__('Check availability', 'wpbooking')."</a></p>";
      $output .= "</div><div class='roomintrosep'></div>";

$output .= "";
//$output .= "</div>";
    }
    }

	return $output;
}

function wpbooking_queryLowCost($id, $limit) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_rooms";

    if ($lowcost){
    $where = " WHERE hotel_id = ".$id."";
    }

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." ".$where." GROUP BY hotel_id ORDER BY price ASC LIMIT ".$limit.";";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

 function wpbooking_HotelCity($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_hotel";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = '".$id."' ORDER BY id DESC ".$limit.";";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['localita'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

 function wpbooking_HotelCountry($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_hotel";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = '".$id."' ORDER BY id DESC ".$limit.";";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['country'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

 function wpbooking_IdCity($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_city";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = '".$id."' ORDER BY id DESC ".$limit.";";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['city'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

 function wpbooking_IdCountry($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_country";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = '".$id."' ORDER BY id DESC ".$limit.";";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['country'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

 function wpbooking_CountVisit($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_hotel";
    mysql_query("UPDATE ". $table_name ." SET hits=hits+1 WHERE id = '".$id."'");


	}

function wpbooking_queryPopular($limit) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_hotel";


	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." ORDER BY hits DESC LIMIT ".$limit.";";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

if ( ! function_exists( 'trim_descriptions' ) ) :
function trim_descriptions($length, $descriptins) { // Outputs an excerpt of variable length (in characters)
global $post;
$text = $descriptins;

$text = strip_tags($text); // use ' $text = strip_tags($text,'<p><a>'); ' to keep some formats; optional

$text = substr($text,0,$length).'';
return $text.'...';
}
endif;

if ( ! function_exists( 'get_images_content' ) ) :
function get_images_content($descriptins) { // Outputs an excerpt of variable length (in characters)
global $post;

    $doc=new DOMDocument();
    $doc->loadHTML($descriptins);
    $xml=simplexml_import_dom($doc); // just to make xpath more simple
    $images=$xml->xpath('//img');
    $image_url = '';
    foreach ($images as $img) {
    $image_url .= $img['src'];
    $alt_image .= $img['alt'];
    $title_image .= $img['title'];
    }
    $image_src = $image_url;
    $alt_imagesrc = $alt_image;

return $image_src;
}
endif;

function TitleStarsList($id) {
global $post;
$stars = wpbooking_HotelStars($id);
if ( $stars ) {
$star ="&nbsp;&nbsp;";
for ($s = 1; $s <= $stars; ++$s) {
$star .= "<img src='".WPBOOKING_PLUGIN_URL."/images/rating_on.gif' alt=\"stars\" />";
}
}

$output = @$star;

return $output;
}

function wpbooking_seasonsList($room) {

	global $wpdb;

    if ($room) {
    $where = " WHERE room_id = ".$room."";
    }

   	$table_name = $wpdb->prefix . "booking_price";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." ".$where." ORDER BY id DESC ".$limit.";";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

function wpbooking_seasonsDateStart($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_seasons";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = ".$id." ORDER BY id DESC;";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['date_from'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

function wpbooking_seasonsDateEnd($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_seasons";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = ".$id." ORDER BY id DESC;";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['date_to'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

function wpbooking_MaxAdults($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_rooms";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = ".$id." ORDER BY id DESC;";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['maxoccupants'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

function wpbooking_MaxChilds($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_rooms";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = ".$id." ORDER BY id DESC;";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['maxchilds'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

function wpbooking_QueryRoomNight($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_rooms";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = '".$id."' ORDER BY id DESC;";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['min_night'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

function ShowSeasonRoom($rooms) {

$settings = get_wpbooking_options();

if ( $settings['wpbooking_jquery_noconflict'] == 1 ) { $jquery = 'jQuery'; } else { $jquery = '$'; }

$output = "";

$seasons_list = wpbooking_seasonsList($rooms);

$output .= "
<script language=\"JavaScript\" type=\"text/javascript\">
/*<![CDATA[*/
  // basic show and hide
 ".$jquery."(document).ready(function() {
   ".$jquery."('#show_".$rooms."').click( function() {
    ".$jquery."('div.showhide_".$rooms.",h1').animate({\"height\": \"toggle\"}, { duration: 1000 });
   });
 });
/*]]>*/
</script>";

if ($seasons_list){

$output .= "

<div class=\"showhide_".$rooms."\" id=\"season_list\" style=\"display:none\">
<table class='bordered-table'>
  <thead>
    <tr>
        <th>".__('Season Name', 'wpbooking')."</th>
	    <th>".__('Date start', 'wpbooking')."</th>
	    <th>".__('Date End', 'wpbooking')."</th>
	    <th>".__('Price', 'wpbooking')."</th>
    </tr>
  </thead>
<tbody>
";
foreach($seasons_list as $season){

$offerta = $season['offerta'];
$seasons_id = $season['seasons_id'];
$price_season = $season['prezzo'];
$start_season = wpbooking_seasonsDateStart($seasons_id);
$end_season = wpbooking_seasonsDateEnd($seasons_id);

$output .= "
<tr>
 <td>".$offerta."</td>
 <td>".$start_season."</td>
  <td>".$end_season."</td>
  <td>".$settings['wpbooking_currency']." ".$price_season."</td>
</tr>
";

}
$output .= "</tbody></table></div>";
} else {

$output .= "<div class=\"showhide_".$rooms."\" id=\"season_list\" style=\"display:none\">";
$output .= __('No season price', 'wpbooking');
$output .= "</div>";
}

return $output;
}

function wpbooking_AllHotel($country, $city, $stars) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_hotel";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

    if($country) {
    $where = " AND country = ".$country."";
    }

    if($city) {
    $where1 = " AND localita = ".$city."";
    }

    if($stars) {
    $where2 = " AND stars = ".$stars."";
    }

      $field_row = "SELECT * FROM ". $table_name ." WHERE published = 1 ".$where." ".$where1." ".$where2." ORDER BY id DESC;";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}


function wpbooking_queryRoomsSearch($hotel, $rooms, $date_from, $date_to, $adults, $childs) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_bookings";
    $table_name2 = $wpdb->prefix . "booking_bookingRooms";
    $table_name3 = $wpdb->prefix . "booking_rooms";
    $table_name5 = $wpdb->prefix . "booking_hotel";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

if ($hotel) {
$where = " AND ".$table_name3.".hotel_id=".$hotel."";
}
if ($rooms) {
$where1 = " AND ".$table_name3.".id=".$rooms."";
}
if ($adults) {
$where_adult = " AND ".$table_name3.".maxoccupants >= ".$adults."";
}
if ($childs) {
$where_childs = " AND ".$table_name3.".maxchilds >= ".$childs."";
}

$field_row = "SELECT ". $table_name3 .".id AS room_id,
". $table_name3 .".hotel_id AS hotelid,
". $table_name3 .".nome,
". $table_name3 .".description,
". $table_name3 .".maxoccupants,
". $table_name3 .".maxchilds,
". $table_name3 .".price AS prices

			FROM
				".$table_name3."
			WHERE
				".$table_name3.".id NOT IN (SELECT ".$table_name2.".room_id
				FROM ".$table_name2." WHERE ".$table_name2.".room_id=room_id
                AND
				((arrival_date>='".$date_from."' AND arrival_date<='".$date_from."')
                OR
                (leaving_date>'".$date_to."' AND leaving_date<'".$date_to."')
				OR
                (arrival_date<='".$date_from."' AND leaving_date>'".$date_to."')))
				".$where."
                ".$where1."
                ".$where_adult."
                ".$where_childs."
				GROUP BY ".$table_name3.".id
				HAVING COUNT(*)>0";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

/**
 * Get Calendar status
 */
function wpbooking_QueryGetAvv($id, $date) {

	global $wpdb;

    $ispaid = wpbooking_ceckBookCal($id, $date);
    $numer_max = wpbooking_NumbersMax($id);

    if ($ispaid == $numer_max) {
    return $complesso = 'booked';
    } else {

   	$table_name = $wpdb->prefix . "booking_calendar";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id_camera = '".$id."' AND caldate = '".$date."'";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        //$complesso = '';
        foreach ($results as $result) {
	    $complesso = $result['status'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}
    }

	}

function wpbooking_CalendarRoom($room_id, $max) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_calendar";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

    if($room_id) {
    $where = " AND id_camera = ".$room_id."";
    }
    if($max) {
    $where .= " AND book_number = ".$max."";
    }

      $field_row = "SELECT * FROM ". $table_name ." WHERE status != 'available' ".$where." ORDER BY id DESC;";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

function wpbooking_JqueryCall($room_id, $max) {

	global $wpdb;

    $settings = get_wpbooking_options();
    if ( $settings['wpbooking_jquery_noconflict'] == 1 ) { $jquery = 'jQuery'; } else { $jquery = '$'; }

    $list = wpbooking_CalendarRoom($room_id, $max);

    $output = "";
    $output .= "

var disabledDays = [";

$data = "";
if ( $list ) {
foreach($list as $l){

$data .= "\"".date('n-j-Y', strtotime($l['caldate']))."\"".',';

}
}
$output .= substr($data,0,-1);

$output .= "];

/* utility functions */
function nationalDays(date) {
  var m = date.getMonth(), d = date.getDate(), y = date.getFullYear();
  //console.log('Checking (raw): ' + m + '-' + d + '-' + y);
  for (i = 0; i < disabledDays.length; i++) {
    if(".$jquery.".inArray((m+1) + '-' + d + '-' + y,disabledDays) != -1 || new Date() > date) {
      //console.log('bad:  ' + (m+1) + '-' + d + '-' + y + ' / ' + disabledDays[i]);
      return [false];
    }
  }
  //console.log('good:  ' + (m+1) + '-' + d + '-' + y);
  return [true];
}

function noWeekendsOrHolidays(date) {
  return nationalDays(date);
}

    ";

    return $output;

	}

/*
@format date and time
1 - January 1, 1970 12:00:00 AM/PM  # full date and 12 hour format (default)
2 - January 1, 1970 23:00:00   # full date and 24 hour format
3 - Jan 1, 1970 12:00:00 AM/PM  #short date and 12 hour format
4 - Jan 1, 1970 24:00:00 # short date and 24 hour format
*/

function convertDate2String($inputDate,$dateFormat) {

    switch ($dateFormat) {
       case 1:
            return date('Y-m-d', strtotime($inputDate));
       break;

       case 2:
            return date('d-m-Y', strtotime($inputDate));
       break;

       case 3:
            return date('M d, Y h:i:s A', strtotime($inputDate));
       break;

       case 4:
            return date('M d, Y G:i:s', strtotime($inputDate));
       break;

       case 5:
            return date('h:i A', strtotime($inputDate));
       break;

       case 6:
            return date('H:i', strtotime($inputDate));
       break;
    }
}

function wpbooking_ceckAvailability($date_from,$date_to,$rooms) {

global $wpdb;

$table_name = $wpdb->prefix . "booking_availability";

$sql="SELECT id
			FROM
				".$table_name."
			WHERE
				((fascia1>='".$date_from."' AND fascia1<='".$date_from."')
                OR
                (fascia2 >='".$date_to."' AND fascia2 <='".$date_to."')
				OR
                (fascia1 <='".$date_from."' AND fascia2 >='".$date_to."'))
				AND
				camera =".$rooms." AND availability = 'available'
				GROUP BY id
				HAVING COUNT(*)>0";

      $field_row = $sql;
      $results = mysql_query( $field_row );
      $num_rows = mysql_num_rows($results);
	  return $num_rows;

	}

function wpbooking_ceckAvailabilityAll($date_from,$date_to,$hotelid) {

global $wpdb;

$table_name = $wpdb->prefix . "booking_availability";

$sql="SELECT id
			FROM
				".$table_name."
			WHERE
				((fascia1>='".$date_from."' AND fascia1<='".$date_from."')
                OR
                (fascia2 >='".$date_to."' AND fascia2 <='".$date_to."')
				OR
                (fascia1 <='".$date_from."' AND fascia2 >='".$date_to."'))
				AND
				hotelid =".$hotelid." AND availability = 'available'
				GROUP BY id
				HAVING COUNT(*)>0";

      $field_row = $sql;
      $results = mysql_query( $field_row );
      $num_rows = mysql_num_rows($results);
	  return $num_rows;

	}

function LinksManageLogin(){

if( current_user_can('organize_agent') || current_user_can('administrator')) {
?>
<a href="<?php echo WPBOOKING_PLUGIN_URL ?>/frontend/frontend_manage.php?page=booking_hotel" class="linkadmin" onclick="newWindow(this.href, 'popup', 1000, 1000, 1, 1, 0, 0, 0, 1, 0); return false;" target="_blank"><?php _e('Manage Hotel', 'wpbooking') ?></a>
<?php } else if ( is_user_logged_in() ) {
?>
<a href="<?php echo WPBOOKING_PLUGIN_URL ?>/user/frontend_manage.php?page=mybooking" class="linkadmin" onclick="newWindow(this.href, 'popup', 1000, 1000, 1, 1, 0, 0, 0, 1, 0); return false;" target="_blank"><?php _e('My Booking', 'wpbooking') ?></a>
<?php
?>
<?php } else {
?>
<a href="<?php echo WPBOOKING_PLUGIN_URL ?>/frontend/frontend_manage.php?page=booking_hotel" class="linkadmin" onclick="newWindow(this.href, 'popup', 1000, 1000, 1, 1, 0, 0, 0, 1, 0); return false;" target="_blank"><?php _e('Manage Hotel', 'wpbooking') ?></a>
<?php }
}

/**
 * Query mysql functions for calendar room
 */
function wpbooking_ceckBookCal($id, $date) {

global $wpdb;

        $table_name = $wpdb->prefix . "booking_calendar";

        $field_row = "SELECT * FROM ". $table_name ." WHERE id_camera = '".$id."' AND caldate = '".$date."'";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        //$complesso = '';
        foreach ($results as $result) {
	    $complesso = $result['book_number'];
	    }
	  	return $complesso;

	}

function wpbooking_NumbersMax($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_rooms";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = ".$id." ORDER BY id DESC;";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['room_number'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

function ceck_versionWP(){
// Check version.
global $wp_version;
if ( $wp_version < '3.3') {
	return true;
} else {
    return false;
}
}

function wpbooking_FolderImages($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_hotel";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = '".$id."' ORDER BY id DESC ".$limit.";";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['image_room'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

function wpbooking_AdminStep1() {

global $post;

    $settings = get_wpbooking_options();
    $dir = ABSPATH.$settings['galleries_rootfolder'];
    $url = get_bloginfo('url')."/".$settings['galleries_rootfolder']."/";

    if ( $settings['wpbooking_jquery_noconflict'] == 1 ) { $jquery = 'jQuery'; } else { $jquery = '$'; }

    //$id = $_REQUEST['id'];
//    $rooms = $_REQUEST['rooms'];
    $output = "";

    include WPBOOKING_PLUGIN_DIR. '/admin/step1.php';


	return $output;
}

function wpbooking_bookformsAdmin() {

global $post;

    $settings = get_wpbooking_options();
    $dir = ABSPATH.$settings['galleries_rootfolder'];
    $url = get_bloginfo('url')."/".$settings['galleries_rootfolder']."/";

$rooms = $_REQUEST['rooms'];
$hotel = $_REQUEST['hotel'];
$checkin = $_REQUEST['checkin'];
$checkout = $_REQUEST['checkout'];
$adults = $_REQUEST['adults'];
$childs = $_REQUEST['childs'];
$price = $_REQUEST['price'];
$nights = $_REQUEST['nights'];
$single_prices = $_REQUEST['single_prices'];
$sconto = $_REQUEST['sconto'];
$deposit = @$_REQUEST['deposit'];
$coupons = wpbooking_QueryCoupon($sconto);
$namecoupons = wpbooking_QueryCouponName($sconto);
if ($namecoupons) {
$nomesconto = "<li>".__('Type Discount', 'wpbooking').": ".$namecoupons."<br /</li>";
}
if ($coupons) {
$sconto_output = "<li>".__('Discount', 'wpbooking').": ".$coupons." ".$settings['wpbooking_currency']."<br /></li>";
$calculate_price = $price-$coupons;
$sconto_output = "<li>".__('Total Discount', 'wpbooking').": ".$calculate_price." ".$settings['wpbooking_currency']."<br /</li>";
} else {
$calculate_price = $price;
}

    $output = "<h2 class='sumamrytitle'>".__('Reservation summary', 'wpbooking')."</h2>";

if ( get_option('permalink_structure') != '' ) { $suffix = '?'; } else { $suffix = '&'; }

if ($price){


    include WPBOOKING_PLUGIN_DIR. '/admin/book_foorms.php';



    }

	return $output;
}

function wpbooking_reserveAdmin() {

global $post, $wpdb;

    $settings = get_wpbooking_options();
    $dir = ABSPATH.$settings['galleries_rootfolder'];
    $url = get_bloginfo('url')."/".$settings['galleries_rootfolder']."/";

    include_once WPBOOKING_PLUGIN_DIR . '/securimage/securimage.php';

    $securimage = new Securimage();


$rooms = $_REQUEST['rooms'];
$hotel = $_REQUEST['hotel'];
$checkin = $_REQUEST['checkin'];
$checkout = $_REQUEST['checkout'];
$adults = $_REQUEST['adults'];
$childs = $_REQUEST['childs'];
$price = $_REQUEST['price'];
$nights = $_REQUEST['nights'];
$single_prices = $_REQUEST['single_prices'];
$title = $_REQUEST['title'];
$firstname = $_REQUEST['firstname'];
$lastname = $_REQUEST['lastname'];
$email = $_REQUEST['email'];
$company = $_REQUEST['company'];
$address = $_REQUEST['address'];
$city = $_REQUEST['city'];
$country_id = $_REQUEST['country_id'];
$zip_code = $_REQUEST['zip_code'];
$phone = $_REQUEST['phone'];
$fax = $_REQUEST['fax'];
$comments = $_REQUEST['comments'];
$typepag = $_REQUEST['typepag'];
$captcha_code = $_REQUEST['captcha_code'];
$user_id = wpbooking_AgentId($rooms);
$notify = $_REQUEST["notify"];
$active_capcha = $settings["wpbooking_capcha"];
if ($active_capcha == 'true'){
$var_capcha = true;
} else {
$var_capcha = false;
}

switch ($typepag) {
    case 1:
        $payment = "Cash";
        $includepay = "payments/cash/button.php";
        break;
    case 2:
        $payment = "Paypal";
        $includepay = "payments/paypal/button.php";
        break;
    case 3:
        $payment = "authorize.net";
        $includepay = "payments/authorize/authorize.php";
        break;
    case 5:
        $payment = "Google Checkout";
        $includepay = "payments/phpGCheckout/google-checkout.php";
        break;
   case 6:
        $payment = "Moneybookers";
        $includepay = "payments/moneybookers/moneybookers.php";
        break;
}

$booknumber = RandomGenerator("0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ");

    $output = "<h2>".__('Booking Confirmation No.', 'wpbooking')." ".$booknumber."</h2>";


if ($price){

    include WPBOOKING_PLUGIN_DIR. '/admin/reserve.php';


    $table_name = $wpdb->prefix . "booking_bookings";

    $sql = "INSERT INTO ". $table_name ." (id, hotel_id, amount, booking_time, is_canceled, title, firstname, lastname, email, company, address, city, country_id, zip_code, phone, fax, comments, is_paid, payment_instrument, caparra, reservation_number, invoice, user_id) VALUES ('', '".$hotel."', '".$price."', NOW(), '0', '".$company."', '".$firstname."', '".$lastname."', '".$email."', '".$title."', '".$address."', '".$city."' , '".$country_id."' , '".$zip_code."' , '".$phone."' , '".$fax."' , '".$comments."' , '1' , '".$typepag."' , '".$savings_percentage."' , '".$booknumber."' , '".$invoice."' , '".$user_id."'    )";
    //echo $sql;
    mysql_query($sql) or die(mysql_error());

    $last_id = mysql_insert_id();

    $table_name1 = $wpdb->prefix . "booking_bookingRooms";

    $sql1 = "INSERT INTO ". $table_name1 ." (id, booking_id, room_id, arrival_date, leaving_date, adults_number) VALUES ('', '".$last_id."', '".$rooms."', '".$checkin."', '".$checkout."', '".$adults."' )";

    mysql_query($sql1) or die(mysql_error());

    $table_name2 = $wpdb->prefix . "booking_calendar";
    $rangedate = dateRange( $checkin, $checkout);
    foreach( $rangedate as $key => $value){

    $result_ceck = mysql_query("SELECT id, caldate FROM ".$table_name2." WHERE id_camera = '".$rooms."' AND caldate = '".$value."'");
    $num_rows = mysql_num_rows($result_ceck);
    if ($num_rows == 0) {

    //$sql2 = "INSERT INTO ". $table_name2 ." (id, caldate, status, id_availability, id_camera) VALUES ('', '".$value."', '".$availability."', '".$id_save."', '".$camera."' )";

    //$result1 = mysql_query($sql2);

    } else {

    $where2 = "WHERE caldate = '".$value."' AND id_camera = '".$rooms."'";
    $sql2 = "UPDATE  ".$table_name2." SET status = 'available', id_booking = '".$last_id."', reservation = '1' $where2";

    //$where2 = "WHERE id_booking = '".$id_booking."'";
    //$sql2 = "UPDATE  ".$table_name3." SET status = 'booked', reservation = '1' $where2";
    $sql2_update = "UPDATE  ".$table_name2." SET book_number = book_number + 1 $where2";

    $result1 = mysql_query($sql2);
    $result1_update = mysql_query($sql2_update);
    }
    }

    if ($notify == 1) {

    if ( get_option('permalink_structure') != '' ) { $suffix = '?'; } else { $suffix = '&'; }

            $f=$settings['wpbooking_customemail'];
            $f=str_replace("{BOOKING_ID}",$booknumber,$f);

			$details .= wpbooking_show_palazzinaid($rooms)."&nbsp;-&nbsp;&nbsp;(Adults:&nbsp;".$adults.")<br/>";
            //$pdf = "<div>".__('Confirmation Link.', 'wpbooking').": <a href='".get_permalink($post->ID).$suffix."controller=done&type=email&idbooking=".$last_id."'>Click Here</a><br /></div>";
            $pdf = "<div>".__('Invoice No.', 'wpbooking').": <a href='".WPBOOKING_PLUGIN_URL."/includes/tcpdf/generatepdf.php?invoice=".$invoice."'>".$invoice."</a><br /></div>";

			$f=str_replace("{ARRIVAL_DATE}",convertDate2String($checkin, $settings['wpbooking_formatdate']),$f);
			$f=str_replace("{HOTEL}",get_bloginfo('name') ." - ". wpbooking_HotelName($hotel),$f);
			$f=str_replace("{LEAVING_DATE}",convertDate2String($checkout, $settings['wpbooking_formatdate']),$f);
			$f=str_replace("{NIGHT}",$nights,$f);

			$f=str_replace("{BOOKING_DETAILS}",$details,$f);
			$f=str_replace("{EMAIL}",$email,$f);
			$f=str_replace("{PAYMENT}",$payment,$f);
			$f=str_replace("{PDF}",$pdf,$f);

			$f=str_replace("{FIRSTNAME}",$firstname,$f);
			$f=str_replace("{LASTNAME}",$lastname,$f);
			$f=str_replace("{TOTAL_AMOUNT}",$price,$f);
            if ($settings['wpbooking_depositactive']) {
            $f=str_replace("{TOTAL_DEPOSIT}",$savings_percentage,$f);
            }
			$f=str_replace("{TITLE}",$title,$f);
			$f=str_replace("{COMPANY}",$company,$f);
			$f=str_replace("{ADDRESS}",$address,$f);
			$f=str_replace("{CITY}",$city,$f);
			$f=str_replace("{ZIPCODE}",$zip_code,$f);
			$f=str_replace("{COUNTRY}",$country_id,$f);
			$f=str_replace("{PHONE}",$phone,$f);
			$f=str_replace("{FAX}",$fax,$f);
			$f=str_replace("{COMMENTS}",$comments,$f);
			$f=str_replace("{CURRENCY}",$settings['wpbooking_valute'],$f);
            $subject = __('Notification reservatio.', 'wpbooking');
			MailBooking($email,$subject, $f);
            MailBooking(get_bloginfo('admin_email'),$subject, $f);
            if (wpbooking_HotelUserId($hotel) == 1) {
            MailBooking(wpbooking_AgetEmail($hotel),$subject, $f);
            }

    } else {

    $_SESSION['donebook']=$last_id;

    }

    }

	return $output;
}

function wpbooking_manage_gallery($src,$w,$h){

$settings = get_wpbooking_options();

$dir = ABSPATH.$settings['galleries_rootfolder'];
$dir = str_replace('\\', '/', $dir);
$image_folder = explode(".", $src);
$url = get_bloginfo('url')."/".$settings['galleries_rootfolder']."/".$image_folder[0];
$directory = $dir.'/'.$image_folder[0];
$images = getImages($directory);
$count = count(glob($directory . "*"));

$output = "";

if (is_admin()) {
$width_img = "18%";
} else {
$width_img = "25%";
}

$output .= "
<style type='text/css'>
			#gallery-".$image_folder[0]." {
				margin: auto;
			}
			#gallery-".$image_folder[0]." .gallery-item {
				float: left;
				margin-top: 10px;
				text-align: center;
				width: ".$width_img.";
			}
			#gallery-".$image_folder[0]." img {
				border: 2px solid #cfcfcf;
			}
			#gallery-".$image_folder[0]." .gallery-caption {
				margin-left: 0;
			}
		</style>
";

$output .= "<div id='gallery-".$image_folder[0]."' class='gallery gallery-columns-3 gallery-size-thumbnail'>";

$i=0;

foreach($images as $img) {

$output .= "<dl class='gallery-item'>";
$output .= "<dt class='gallery-icon'>";
$url_image = $url."/".$img['file'];
$url_delete = $image_folder[0]."/".$img['file'];
$output .= "<img src='".WPBOOKING_PLUGIN_URL."/includes/show_image.php?file=".urlencode($url_image)."&h=".$h."&w=".$w."' class='attachment-thumbnail'/>";
$output .= "<br /><a href='".WPBOOKING_PLUGIN_URL."/includes/delete_img.php?file=".$url_delete."&path=".$image_folder[0]."' class='deleteimg'>".__('Delete', 'marketplace')."</a>";
$output .= "</dt>";
$output .= "</dl>";
if ( $count == 3 ) {
$output .= "<div style=\"clear:both;\"></div>";
}
$i++;
}

$output .= "</div>";

return $output;
}

?>