<?php
/**
 * Adding Menu
 */
function wpbooking_add_pages() {

    add_menu_page('main', 'Js MultiHotel', 'edit_plugins', 'wpbooking','');
    if (current_user_can('activate_plugins')) {
    add_submenu_page('wpbooking', __('Configuration', 'wpbooking'), __('Configuration', 'wpbooking'), 'activate_plugins', 'wpbooking', 'wpbooking_settings');
    } else {
    add_submenu_page('wpbooking', __('Information', 'wpbooking'), __('Information', 'wpbooking'), 'edit_plugins', 'wpbooking', 'wpbooking_settings');
    }
    add_submenu_page('wpbooking', __('Manage Country', 'wpbooking'), __('Manage Country', 'wpbooking'), 'activate_plugins','booking_country', 'wpbooking_country');
    add_submenu_page('wpbooking', __('Manage City', 'wpbooking'), __('Manage City', 'wpbooking'), 'activate_plugins','booking_city', 'wpbooking_city');
    add_submenu_page('wpbooking', __('Manage Services', 'wpbooking'), __('Manage Services', 'wpbooking'), 'activate_plugins','booking_services', 'wpbooking_services');
    add_submenu_page('wpbooking', __('Manage Hotels', 'wpbooking'), __('Manage Hotels', 'wpbooking'), 'edit_plugins','booking_hotel', 'wpbooking_hotel');
    add_submenu_page('wpbooking', __('Manage Rooms', 'wpbooking'), __('Manage Rooms', 'wpbooking'), 'edit_plugins','booking_rooms', 'wpbooking_rooms');
    add_submenu_page('wpbooking', __('Manage Type Seasons', 'wpbooking'), __('Manage Type Seasons', 'wpbooking'), 'edit_plugins','booking_seasons', 'wpbooking_seasons');
    //add_submenu_page('wpbooking', __('Manage Prices', 'wpbooking'), __('Manage Prices', 'wpbooking'), 'edit_plugins','booking_price', 'wpbooking_price');
    add_submenu_page('wpbooking', __('Manage Availability', 'wpbooking'), __('Manage Availability', 'wpbooking'), 'edit_plugins','booking_availability', 'wpbooking_availability');
    add_submenu_page('wpbooking', __('Manage Coupon', 'wpbooking'), __('Manage Coupon', 'wpbooking'), 'edit_plugins','booking_coupon', 'wpbooking_coupon');
    add_submenu_page('wpbooking', __('Manage Bookings', 'wpbooking'), __('Manage Bookings', 'wpbooking'), 'edit_plugins','booking_reservation', 'wpbooking_reservation');
    add_submenu_page('wpbooking', __('New Reservation', 'wpbooking'), __('New Reservation', 'wpbooking'), 'edit_plugins','booking_newreservation', 'wpbooking_newreservation');
    add_submenu_page('wpbooking', __('QuickStart', 'wpbooking'), __('QuickStart', 'wpbooking'), 'edit_plugins', 'booking_help', 'wpbooking_help');
    //add_submenu_page('wpbooking', __('Import', 'wpbooking'), __('Import', 'wpbooking'), 'edit_plugins', 'booking_import', 'wpbooking_import');
    add_submenu_page('wpbooking', __('Support', 'wpbooking'), __('Support', 'wpbooking'), 'edit_plugins', 'booking_support', 'wpbooking_support');
    /*add_submenu_page('orders', 'Js Eccomerce invoice', 'Invoice', 8, 'invoice', 'wpbooking_invoice');*/
}

if ( ceck_versionWP() ) {
add_action( 'admin_menu', 'wpbooking_admin_contextual' );

function wpbooking_admin_contextual() {

	/* Custom help message. */
	$text = '<p>' . __( 'For more information visit this links', 'wpbooking' ) . '</p>';

	/* Add documentation and support forum links. */
	//$text .= '<p><strong>' . __( 'For more information:', 'wpbooking' ) . '</strong></p>';

	$text .= '<ul>';
	$text .= '<li><a href="http://lavori.joomlaskin.it/hotel/doc/index.html">' . __( 'Documentation', 'wpbooking' ) . '</a></li>';
	$text .= '<li><a href="http://www.joomlaskin.it/forum">' . __( 'Support Forums', 'wpbooking' ) . '</a></li>';
	$text .= '</ul>';

	add_contextual_help( 'toplevel_page_wpbooking', $text );
    add_contextual_help( 'js-hotel_page_booking_services', $text );
    add_contextual_help( 'js-hotel_page_booking_rooms', $text );
    add_contextual_help( 'js-hotel_page_booking_seasons', $text );
    add_contextual_help( 'js-hotel_page_booking_price', $text );
    add_contextual_help( 'js-hotel_page_booking_availability', $text );
    add_contextual_help( 'js-hotel_page_booking_coupon', $text );
    add_contextual_help( 'js-hotel_page_booking_reservation', $text );
    add_contextual_help( 'js-hotel_page_booking_help', $text );
}
}

function wpbooking_scripts_admin() {

if (is_admin()) {
/*wp_register_script( 'jquery', APARTAMENT_PLUGIN_URL.'/lib/assets/js/jquery-1.7.2.min.js');
wp_enqueue_script( 'jquery' );*/
wp_register_script( 'multihotel-swfobject', WPBOOKING_PLUGIN_URL.'/lib/uploader/swfobject.js');
wp_enqueue_script( 'multihotel-swfobject' );
wp_register_script( 'jquery-uploadify', WPBOOKING_PLUGIN_URL.'/lib/uploader/jquery.uploadify.v2.1.4.min.js');
wp_enqueue_script( 'jquery-uploadify' );
wp_register_script( 'jquery-adminui', WPBOOKING_PLUGIN_URL.'/lib/assets/js/jquery-ui-1.9.2.custom.min.js');
wp_enqueue_script( 'jquery-adminui' );
wp_register_script( 'jquery-adminvalidate', WPBOOKING_PLUGIN_URL.'/lib/assets/jquery.validate.js');
wp_enqueue_script( 'jquery-adminvalidate' );

}
}

add_action('admin_init', 'wpbooking_scripts_admin');

function wpbooking_stylesheet_admin() {

if (is_admin()) {

wp_register_style( 'core-multihotel', WPBOOKING_PLUGIN_URL.'/admin/wpbooking_admin.css' );
wp_enqueue_style( 'core-multihotel' );
wp_register_style( 'css-uploadify', WPBOOKING_PLUGIN_URL.'/lib/uploader/uploadify.css' );
wp_enqueue_style( 'css-uploadify' );
wp_register_style( 'css-jqueyui', WPBOOKING_PLUGIN_URL.'/lib/assets/css/smoothness/jquery-ui-1.8.9.custom.css' );
wp_enqueue_style( 'css-jqueyui' );

}
}

add_action( 'admin_init', 'wpbooking_stylesheet_admin' );

function wpbooking_admin_register_head() {
    $url_style = WPBOOKING_PLUGIN_URL . '/admin/wpbooking_admin.css';
    $settings = get_wpbooking_options();

    if (@$_GET['action'] == 'new-field'){
    $userDirectory = md5(uniqid($uid.time()));
    $generate_folder = $userDirectory;
    } else if (@$_GET['action'] == 'edit'){
    $id = $_GET['id'];
    $image = explode(".", wpbooking_FolderImages($id));
    $generate_folder = $image[0];
    }

    $dir = ABSPATH.$settings['galleries_rootfolder'];
    $url = get_bloginfo('url')."/".$settings['galleries_rootfolder']."/";
?>
<?php
echo '
<script language="JavaScript" type="text/javascript">
/*<![CDATA[*/
jQuery.noConflict();
jQuery(function() {
jQuery( "#tabs" ).tabs();
jQuery(\'#date_from\').datepicker({ dateFormat: \'yy-m-d\' });
jQuery(\'#date_to\').datepicker({ dateFormat: \'yy-m-d\' });
});

/*]]>*/
</script>
';
//}
?>
<script type="text/javascript">
jQuery(document).ready(function() {
  jQuery('#custom_file_upload').uploadify({
    'uploader'  : '<?php echo WPBOOKING_PLUGIN_URL ?>/lib/uploader/uploadify.swf',
    'script'    : '<?php echo WPBOOKING_PLUGIN_URL ?>/lib/uploader/uploadify.php',
    'cancelImg' : '<?php echo WPBOOKING_PLUGIN_URL ?>/lib/uploader/cancel.png',
    'folder'    : '<?php echo $dir; ?>',
    'method'      : 'post',
    'scriptData'  : {'directory':'<?php echo $dir; ?>'},
    'multi'          : true,
  'auto'           : true,
  'fileExt'        : '*.zip',
  'fileDesc'       : 'Files (.zip)',
  'queueID'        : 'custom-queue',
  'queueSizeLimit' : 1,
  'simUploadLimit' : 1,
  'removeCompleted': false,
  'onSelectOnce'   : function(event,data) {
      jQuery('#status-message').text(data.filesSelected + ' files have been added to the queue.');
    },
  'onAllComplete'  : function(event,data) {
      jQuery('#status-message').text(data.filesUploaded + ' files uploaded, ' + data.errors + ' errors.');
    },
   'onComplete'  : function(event, ID, fileObj, response, data) {
      alert('There are ' + data.fileCount + fileObj.name + ' files remaining in the queue.');
      jQuery('#image_gallery').val(fileObj.name);
    }

  });
});

jQuery(document).ready(function() {
  jQuery('#planimetria_file_upload').uploadify({
    'uploader'  : '<?php echo WPBOOKING_PLUGIN_URL ?>/lib/uploader/uploadify.swf',
    'script'    : '<?php echo WPBOOKING_PLUGIN_URL ?>/lib/uploader/uploadify.php',
    'cancelImg' : '<?php echo WPBOOKING_PLUGIN_URL ?>/lib/uploader/cancel.png',
    'folder'    : '<?php echo $dir; ?>/<?php echo $generate_folder ?>',
    'method'      : 'post',
    'scriptData'  : {'directory':'<?php echo $dir; ?>/<?php echo $generate_folder ?>'},
    'multi'          : true,
  'auto'           : true,
  'fileExt'        : '*.jpg;*.gif;*.png',
  'fileDesc'       : 'Image Files(.JPG, .GIF, .PNG)',
  'queueID'        : 'custom-queue-planimetria',
  'queueSizeLimit' : 10,
  'simUploadLimit' : 10,
  'removeCompleted': false,
  'onSelectOnce'   : function(event,data) {
      jQuery('#status-message-planimetria').text(data.filesSelected + ' files have been added to the queue.');
    },
  'onAllComplete'  : function(event,data) {
      jQuery('#status-message-planimetria').text(data.filesUploaded + ' files uploaded, ' + data.errors + ' errors.');
    },
   'onComplete'  : function(event, ID, fileObj, response, data) {
      //alert('There are ' + data.fileCount + fileObj.name + ' files remaining in the queue.');
      jQuery('#image_room').val('<?php echo $generate_folder ?>.zip');
      jQuery('.listimages').load('<?php echo WPBOOKING_PLUGIN_URL ?>/includes/delete_img.php?path=<?php echo $generate_folder ?>');
    }

  });
});

jQuery(document).ready(function() {
  jQuery('#custom_file_upload2').uploadify({
    'uploader'  : '<?php echo WPBOOKING_PLUGIN_URL ?>/lib/uploader/uploadify.swf',
    'script'    : '<?php echo WPBOOKING_PLUGIN_URL ?>/lib/uploader/uploadifysingle.php',
    'cancelImg' : '<?php echo WPBOOKING_PLUGIN_URL ?>/lib/uploader/cancel.png',
    'folder'    : '<?php echo $dir; ?>',
    'method'      : 'post',
    'scriptData'  : {'directory':'<?php echo $dir; ?>'},
    'multi'          : true,
  'auto'           : true,
  'fileExt'        : '*.doc;*.zip;*.rar;*.pdf;*.tar',
  'fileDesc'       : 'Files(.DOC, .ZIP, .RAR, .PDF, .TAR)',
  'queueID'        : 'custom-queue1',
  'queueSizeLimit' : 1,
  'simUploadLimit' : 1,
  'removeCompleted': false,
  'onSelectOnce'   : function(event,data) {
      jQuery('#status-message2').text(data.filesSelected + ' files have been added to the queue.');
    },
  'onAllComplete'  : function(event,data) {
      jQuery('#status-message2').text(data.filesUploaded + ' files uploaded, ' + data.errors + ' errors.');
    },
   'onComplete'  : function(event, ID, fileObj, response, data) {
      //alert('There are ' + data.fileCount + fileObj.name + ' files remaining in the queue.');
      jQuery('#brochure').val(fileObj.name);
    }

  });
});

jQuery(document).ready(function() {
  jQuery('#image_file_upload').uploadify({
    'uploader'  : '<?php echo WPBOOKING_PLUGIN_URL ?>/lib/uploader/uploadify.swf',
    'script'    : '<?php echo WPBOOKING_PLUGIN_URL ?>/lib/uploader/uploadifysingle.php',
    'cancelImg' : '<?php echo WPBOOKING_PLUGIN_URL ?>/lib/uploader/cancel.png',
    'folder'    : '<?php echo $dir; ?>',
    'method'      : 'post',
    'scriptData'  : {'directory':'<?php echo $dir; ?>'},
    'multi'          : true,
  'auto'           : true,
  'fileExt'        : '*.jpg;*.gif;*.png',
  'fileDesc'       : 'Image Files(.JPG, .GIF, .PNG)',
  'queueID'        : 'custom-queue-image',
  'queueSizeLimit' : 1,
  'simUploadLimit' : 1,
  'removeCompleted': false,
  'onSelectOnce'   : function(event,data) {
      jQuery('#status-message-image').text(data.filesSelected + ' files have been added to the queue.');
    },
  'onAllComplete'  : function(event,data) {
      jQuery('#status-message-image').text(data.filesUploaded + ' files uploaded, ' + data.errors + ' errors.');
    },
   'onComplete'  : function(event, ID, fileObj, response, data) {
      //alert('There are ' + data.fileCount + fileObj.name + ' files remaining in the queue.');
      jQuery('#image').val(fileObj.name);
      jQuery('#thumbnails').append('<img src="<?php echo WPBOOKING_PLUGIN_URL ?>/includes/timthumb.php?src=<?php echo $url ?>' + fileObj.name + '&amp;h=150&amp;w=200&amp;zc=1" />');
      jQuery('#preview').css("display", "none" );
    }

  });
});

jQuery(document).ready(function(){
	jQuery('.deleteimg').click(function(){
		jQuery('.listimages').load(this.href);

		return false;
	});
    }); 

</script>
<script language="JavaScript" type="text/javascript">
/*<![CDATA[*/
var wpimpress_admin_panel;
(function(jQuery){wpimpress_admin_panel={
	init:function(){
		//admin panel
		var wpi_title;
		jQuery('#wpimpress-admin-panel .wpimpress-admin-panel-menu-link:first').addClass('visible');
		jQuery('#wpimpress-admin-panel .wpimpress-admin-panel-content-box:first').addClass('visible');
		jQuery('.wpimpress-admin-panel-menu-link').click(function(event) {
			event.preventDefault();
		});
		jQuery('.wpimpress-admin-panel-menu-link').click(function() {
			wpi_title = jQuery(this).attr("id").replace('wpimpress-admin-panel-menu-', '');
			jQuery('.wpimpress-admin-panel-menu-link').removeClass('visible');
			jQuery('#wpimpress-admin-panel-menu-' + wpi_title).addClass('visible');
			jQuery('.wpimpress-admin-panel-content-box').removeClass('visible');
			jQuery('.wpimpress-admin-panel-content-box').hide();
			jQuery('#wpimpress-admin-panel-content-' + wpi_title).fadeIn("fast");
			jQuery('.wpimpress-admin-panel-content-box').removeClass('visible');
		});
	}
};

jQuery(document).ready(function(){
	wpimpress_admin_panel.init()
})})(jQuery);
/*]]>*/
</script>
<link rel="stylesheet" type="text/css" href="<?php echo WPBOOKING_PLUGIN_URL ?>/lib/assets/css/shadowbox.css" />
<script type="text/javascript" src="<?php echo WPBOOKING_PLUGIN_URL ?>/lib/assets/shadowbox.js"></script>
<script type="text/javascript">
Shadowbox.init();
</script>
<?php
}

if ( ceck_versionWP() ) {
add_filter('admin_head', 'add_js_editor');
 function add_js_editor(){
     wp_enqueue_script('common');
     wp_print_scripts('editor');
     if (function_exists('add_thickbox')) add_thickbox();
     wp_print_scripts('media-upload');
     if (function_exists('wp_tiny_mce')) wp_tiny_mce();
     wp_enqueue_script('utils');
     do_action("admin_print_styles-post-php");
     do_action('admin_print_styles');
 }
 }

/**
 * Retrieve list of templates.
 *
 */
function wpbooking_get_templates() {

	$templates = array();

	$dir = WPBOOKING_PLUGIN_DIR."/templates/";

	$dh  = opendir($dir);
	while (false !== ($filename = readdir($dh))) {

                if (!(($filename == '.')||($filename == '..')))    $templates[] = $filename;
    }
		return $templates;

}



/**
 * Admin settings.
 *
 */
function wpbooking_settings() {
    if (current_user_can('activate_plugins')) {
	global $wpbooking_options;
	global $wpbooking_currency_codes;

	require_once WPBOOKING_PLUGIN_DIR. '/includes/formvalidator.php';

	$validator = new FormValidator();
	/*$validator->addValidation("cart_url","req","Checkout/Process Url");
	$validator->addValidation("paypal_url","req","Paypal Url");
	$validator->addValidation("paypal_email","req","Paypal E-mail");
	$validator->addValidation("paypal_email","email","The input for Email should be a valid email value");*/


	$options = $wpbooking_options;


	if( isset($_POST['Submit'])) {

        $newoptions['galleries_rootfolder'] = $_POST['galleries_rootfolder'];
        //$newoptions['thb_template'] = $_POST['thb_template'];
        $newoptions['thb_width'] = $_POST['thb_width'];
        $newoptions['thb_height'] = $_POST['thb_height'];
        $newoptions['image_width'] = $_POST['image_width'];
        $newoptions['image_height'] = $_POST['image_height'];
        $newoptions['wpbooking_paypal'] = $_POST['wpbooking_paypal'];
        $newoptions['wpbooking_paypal_active'] = $_POST['wpbooking_paypal_active'];
        $newoptions['wpbooking_cash_active'] = $_POST['wpbooking_cash_active'];
        $newoptions['wpbooking_customemail'] = $_POST['wpbooking_customemail'];
        $newoptions['wpbooking_valute'] = $_POST['wpbooking_valute'];
        $newoptions['wpbooking_authorize_active'] = $_POST['wpbooking_authorize_active'];
        $newoptions['wpbooking_authorize_id'] = $_POST['wpbooking_authorize_id'];
        $newoptions['wpbooking_authorize_key'] = $_POST['wpbooking_authorize_key'];
        $newoptions['wpbooking_authorize_md5'] = $_POST['wpbooking_authorize_md5'];
        $newoptions['wpbooking_authorize_test'] = $_POST['wpbooking_authorize_test'];
        $newoptions['wpbooking_google_active'] = $_POST['wpbooking_google_active'];
        $newoptions['wpbooking_google_id'] = $_POST['wpbooking_google_id'];
        $newoptions['wpbooking_google_key'] = $_POST['wpbooking_google_key'];
        //$newoptions['wpbooking_google_md5'] = $_POST['wpbooking_google_md5'];
        $newoptions['wpbooking_google_test'] = $_POST['wpbooking_google_test'];
        $newoptions['wpbooking_moneybookers'] = $_POST['wpbooking_moneybookers'];
        $newoptions['wpbooking_moneybookers_active'] = $_POST['wpbooking_moneybookers_active'];
        $newoptions['wpbooking_jquery'] = $_POST['wpbooking_jquery'];
        $newoptions['wpbooking_jquery_location'] = $_POST['wpbooking_jquery_location'];
        $newoptions['wpbooking_jquery_noconflict'] = $_POST['wpbooking_jquery_noconflict'];
        $newoptions['wpbooking_jquery_custom'] = $_POST['wpbooking_jquery_custom'];
        $newoptions['wpbooking_deposit'] = $_POST['wpbooking_deposit'];
        $newoptions['wpbooking_depositactive'] = $_POST['wpbooking_depositactive'];
        $newoptions['wpbooking_currency'] = $_POST['wpbooking_currency'];
        $newoptions['wpbooking_invheader'] = $_POST['wpbooking_invheader'];
        $newoptions['wpbooking_invstr'] = $_POST['wpbooking_invstr'];
        $newoptions['wpbooking_csstype'] = $_POST['wpbooking_csstype'];
        $newoptions['wpbooking_csscustom'] = $_POST['wpbooking_csscustom'];
        $newoptions['wpbooking_customcontact'] = $_POST['wpbooking_customcontact'];
        $newoptions['wpbooking_confirmcontact'] = $_POST['wpbooking_confirmcontact'];
        $newoptions['wpbooking_tax'] = $_POST['wpbooking_tax'];
        $newoptions['wpbooking_cleaning'] = $_POST['wpbooking_cleaning'];
        $newoptions['wpbooking_capcha'] = $_POST['wpbooking_capcha'];
        $newoptions['wpbooking_reminder'] = $_POST['wpbooking_reminder'];
        $newoptions['wpbooking_reminderemail'] = $_POST['wpbooking_reminderemail'];
        $newoptions['wpbooking_smtpactive'] = $_POST['wpbooking_smtpactive'];
        $newoptions['wpbooking_host'] = $_POST['wpbooking_host'];
        $newoptions['wpbooking_port'] = $_POST['wpbooking_port'];
        $newoptions['wpbooking_smtpuser'] = $_POST['wpbooking_smtpuser'];
        $newoptions['wpbooking_smtppass'] = $_POST['wpbooking_smtppass'];
        $newoptions['wpbooking_formatdate'] = $_POST['wpbooking_formatdate'];
        $newoptions['wpbooking_menupostype'] = $_POST['wpbooking_menupostype'];



		if ( $options != $newoptions ) {
			$wpbooking_options = $options = $newoptions;
			update_option('wpbooking_options', $options);
		}

		if($validator->ValidateForm()) {

			?>
			<div class="updated"><p><strong><?php _e('Options saved.', 'wpbooking' ); ?></strong></p></div>

		<?php  } else {  $options = $newoptions; ?>

			<div class="error">

				<p><strong>Please fill out the requiered fields</strong></p>
				<?php
					foreach($validator->GetErrors() as $inpname => $inp_err)
					{
					  echo "<p>$inp_err</p>\n";
					}
				?>
			</div>

        <?php  }

		}

		?>

<div class="wrap wpckt">

<form method="post" name="options" target="_self">

<div id="wpimpress-admin-panel">
	<div id="wpimpress-admin-panel-header">
		<h3>Js-MultiHotel - <?php _e('Settings', 'wpbooking'); ?></h3>

	</div>
	<div id="wpimpress-admin-panel-main">
		<div id="wpimpress-admin-panel-menu">
			<ul>
                <li class="wpimpress-admin-panel-menu-li">
					<a class="wpimpress-admin-panel-menu-link" href="#general" id="wpimpress-admin-panel-menu-general"><?php _e('General Settings', 'wpbooking'); ?></a>
				</li>
				<li class="wpimpress-admin-panel-menu-li">
					<a class="wpimpress-admin-panel-menu-link" href="#Gallery" id="wpimpress-admin-panel-menu-dashboard"><?php _e('Gallery', 'wpbooking'); ?></a>
				</li>
                <li class="wpimpress-admin-panel-menu-li">
					<a class="wpimpress-admin-panel-menu-link" href="#Paypemts" id="wpimpress-admin-panel-menu-payment"><?php _e('Payments', 'wpbooking'); ?></a>
				</li>
                <li class="wpimpress-admin-panel-menu-li">
					<a class="wpimpress-admin-panel-menu-link" href="#css" id="wpimpress-admin-panel-menu-css"><?php _e('Css', 'wpbooking'); ?></a>
				</li>
                <li class="wpimpress-admin-panel-menu-li">
					<a class="wpimpress-admin-panel-menu-link" href="#jquery" id="wpimpress-admin-panel-menu-jquery"><?php _e('Jquery', 'wpbooking'); ?></a>
				</li>
                <li class="wpimpress-admin-panel-menu-li">
					<a class="wpimpress-admin-panel-menu-link" href="#Paypemts" id="wpimpress-admin-panel-menu-invoice"><?php _e('Invoice', 'wpbooking'); ?></a>
				</li>
			</ul>
		</div>
		<div id="wpimpress-admin-panel-content">
        <div class="wpimpress-admin-panel-content-box" id="wpimpress-admin-panel-content-general">
				<h3><?php _e('Here you can setup the general settings', 'wpbooking'); ?></h3>
<table class="form-table" style="clear:none;">
					<tbody>
                        <tr valign="top">
							<th scope="row"><?php _e('Active Captcha', 'wpbooking'); ?></th>
							<td>
								<fieldset>

									<label for="wpbooking_capcha">
										<p><input name="wpbooking_capcha" type="radio" value="true" <?php if ($options['wpbooking_capcha'] == "true" ) echo 'checked' ?>  /> <strong><?php _e('Yes', 'wpbooking'); ?></strong></p>
                                        <p><input name="wpbooking_capcha" type="radio" value="false" <?php if ($options['wpbooking_capcha'] == "false" ) echo 'checked' ?> /> <strong><?php _e('No', 'wpbooking'); ?></strong></p>
										<?php _e('Active capcha (default: No)', 'wpbooking'); ?>
									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <tr valign="top">
							<th scope="row"><?php _e('Reminder Days', 'wpbooking'); ?></th>
							<td>
								<fieldset>
                                    <label for="wpbooking_reminder">
										<input type="text" name="wpbooking_reminder" id="wpbooking_reminder" value="<?php echo $options['wpbooking_reminder']; ?>" />
                                        <br /><b><?php _e('Set how many days first notify email must be send', 'wpbooking'); ?> </b>
									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <tr valign="top">
							<th scope="row"><?php _e('Custom Reminder', 'wpbooking'); ?></th>
							<td>
								<fieldset>

									<label for="wpbooking_reminderemail">
                                    <div id="poststuff">
                                    <div id="postdivrich">
                                    <?php the_editor($options['wpbooking_reminderemail'], $id = 'wpbooking_reminderemail', $prev_id = 'title', $media_buttons = true, $tab_index = 2); ?>
                                    </div>
                                    </div>

									</label><br /><br />
                                    <code><?php _e('Url Cron', 'wpbooking'); ?>: <?php echo WPBOOKING_PLUGIN_URL ?>/cron_notify.php</code>
                                    </fieldset>
							</td>
						</tr>
                        <tr valign="top">
							<th scope="row"><?php _e('Custom Email contact', 'wpbooking'); ?></th>
							<td>
								<fieldset>

									<label for="wpbooking_customcontact">
                                    <div id="poststuff">
                                    <div id="postdivrich">
                                    <?php the_editor($options['wpbooking_customcontact'], $id = 'wpbooking_customcontact', $prev_id = 'title', $media_buttons = true, $tab_index = 2); ?>
                                    </div>
                                    </div>

									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <tr valign="top">
							<th scope="row"><?php _e('Custom contact Confirm', 'wpbooking'); ?></th>
							<td>
								<fieldset>

									<label for="wpbooking_confirmcontact">
                                    <div id="poststuff">
                                    <div id="postdivrich">
                                    <?php the_editor($options['wpbooking_confirmcontact'], $id = 'wpbooking_confirmcontact', $prev_id = 'title', $media_buttons = true, $tab_index = 2); ?>
                                    </div>
                                    </div>

									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <tr valign="top">
							<th scope="row"><?php _e('Active Smtp', 'wpbooking'); ?></th>
							<td>
								<fieldset>

									<label for="wpbooking_smtpactive">
										<p><input name="wpbooking_smtpactive" type="radio" value="1" <?php if ($options['wpbooking_smtpactive'] == "1" ) echo 'checked' ?>  /> <strong><?php _e('Yes', 'wpbooking'); ?></strong></p>
                                        <p><input name="wpbooking_smtpactive" type="radio" value="0" <?php if ($options['wpbooking_smtpactive'] == "0" ) echo 'checked' ?> /> <strong><?php _e('No', 'wpbooking'); ?></strong></p>
										<?php _e('Active smtp (default: No)', 'wpbooking'); ?>
									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <tr valign="top">
							<th scope="row"><?php _e('Smtp Host', 'wpbooking'); ?></th>
							<td>
								<fieldset>
                                    <label for="wpbooking_host">
										<input type="text" name="wpbooking_host" id="wpbooking_host" value="<?php echo $options['wpbooking_host']; ?>" />
                                        <br /><b><?php _e('Smtp Host', 'wpbooking'); ?> </b>
									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <tr valign="top">
							<th scope="row"><?php _e('Smtp Port', 'wpbooking'); ?></th>
							<td>
								<fieldset>
                                    <label for="wpbooking_port">
										<input type="text" name="wpbooking_port" id="wpbooking_port" value="<?php echo $options['wpbooking_port']; ?>" />
                                        <br /><b><?php _e('Smtp Port', 'wpbooking'); ?> </b>
									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <tr valign="top">
							<th scope="row"><?php _e('Smtp Username', 'wpbooking'); ?></th>
							<td>
								<fieldset>
                                    <label for="wpbooking_smtpuser">
										<input type="text" name="wpbooking_smtpuser" id="wpbooking_smtpuser" value="<?php echo $options['wpbooking_smtpuser']; ?>" />
                                        <br /><b><?php _e('Smtp Username', 'wpbooking'); ?> </b>
									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <tr valign="top">
							<th scope="row"><?php _e('Smtp Password', 'wpbooking'); ?></th>
							<td>
								<fieldset>
                                    <label for="wpbooking_smtppass">
										<input type="text" name="wpbooking_smtppass" id="wpbooking_smtppass" value="<?php echo $options['wpbooking_smtppass']; ?>" />
                                        <br /><b><?php _e('Smtp Password', 'wpbooking'); ?> </b>
									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <tr valign="top">
							<th scope="row"><?php _e('Format Date', 'wpbooking'); ?></th>
							<td>
								<fieldset>

									<label for="wpbooking_formatdate">
										<p><input name="wpbooking_formatdate" type="radio" value="1" <?php if ($options['wpbooking_formatdate'] == "1" ) echo 'checked' ?>  /> <strong><?php _e('Y-m-d', 'wpbooking'); ?></strong></p>
                                        <p><input name="wpbooking_formatdate" type="radio" value="2" <?php if ($options['wpbooking_formatdate'] == "2" ) echo 'checked' ?> /> <strong><?php _e('d-m-Y', 'wpbooking'); ?></strong></p>
									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <tr valign="top">
							<th scope="row"><?php _e('Activate post type menu', 'wpbooking'); ?></th>
							<td>
								<fieldset>

									<label for="wpbooking_menupostype">
										<p><input name="wpbooking_menupostype" type="radio" value="1" <?php if ($options['wpbooking_menupostype'] == "1" ) echo 'checked' ?>  /> <strong><?php _e('Yes', 'wpbooking'); ?></strong></p>
                                        <p><input name="wpbooking_menupostype" type="radio" value="0" <?php if ($options['wpbooking_menupostype'] == "0" ) echo 'checked' ?> /> <strong><?php _e('No', 'wpbooking'); ?></strong></p>
										<?php _e('Activate post type menu (default: No)', 'wpbooking'); ?>
									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
					</tbody>
				</table>
			</div>
			<div class="wpimpress-admin-panel-content-box" id="wpimpress-admin-panel-content-dashboard">
			   <h3><?php _e('Here you can setup the image gallery', 'wpbooking'); ?></h3>
<table class="form-table" style="clear:none;">
					<tbody>

						<tr valign="top">
							<th scope="row"><?php _e('Path folder images', 'wpbooking'); ?></th>
							<td>
								<fieldset>

									<label for="galleries_rootfolder">
										<input type="text" name="galleries_rootfolder" id="galleries_rootfolder" value="<?php echo $options['galleries_rootfolder']; ?>" />
										<?php _e('Path folder images (default: wp-content/uploads)', 'wpbooking'); ?>
									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <tr valign="top">
							<th scope="row"><?php _e('thumb width', 'wpbooking'); ?></th>
							<td>
								<fieldset>
                                    <label for="thb_width">
										<input type="text" name="thb_width" id="thb_width" value="<?php echo $options['thb_width']; ?>" />
                                        <?php _e('Set thumbnail width', 'wpbooking'); ?>
									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <tr valign="top">
							<th scope="row"><?php _e('thumb height', 'wpbooking'); ?></th>
							<td>
								<fieldset>
                                    <label for="thb_height">
										<input type="text" name="thb_height" id="thb_height" value="<?php echo $options['thb_height']; ?>" />
                                        <?php _e('Set thumbnail height', 'wpbooking'); ?>
									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <tr valign="top">
							<th scope="row"><?php _e('image width', 'wpbooking'); ?></th>
							<td>
								<fieldset>
                                    <label for="image_width">
										<input type="text" name="image_width" id="image_width" value="<?php echo $options['image_width']; ?>" />
                                        <?php _e('Original image width', 'wpbooking'); ?>
									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <tr valign="top">
							<th scope="row"><?php _e('image height', 'wpbooking'); ?></th>
							<td>
								<fieldset>
                                    <label for="image_height">
										<input type="text" name="image_height" id="image_height" value="<?php echo $options['image_height']; ?>" />
                                        <?php _e('Original image height', 'wpbooking'); ?>
									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>

					</tbody>
				</table>
			</div>
            <div class="wpimpress-admin-panel-content-box" id="wpimpress-admin-panel-content-payment">
				<h3><?php _e('Here you can setup payment type', 'wpbooking'); ?></h3>
<table class="form-table" style="clear:none;">
					<tbody>

						<tr valign="top">
							<th scope="row"><?php _e('Email Paypal', 'wpbooking'); ?></th>
							<td>
								<fieldset>

									<label for="wpbooking_paypal">
										<input type="text" name="wpbooking_paypal" id="wpbooking_paypal" value="<?php echo $options['wpbooking_paypal']; ?>" />

									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <tr valign="top">
							<th scope="row"><?php _e('Valute', 'wpbooking'); ?></th>
							<td>
								<fieldset>

									<label for="wpbooking_valute">
										<input type="text" name="wpbooking_valute" id="wpbooking_paypal" value="<?php echo $options['wpbooking_valute']; ?>" />
                                    <?php _e('Example', 'wpbooking'); ?> (US, EUR, GB)
									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <tr valign="top">
							<th scope="row"><?php _e('Currency', 'wpbooking'); ?></th>
							<td>
								<fieldset>

									<label for="wpbooking_currency">
										<input type="text" name="wpbooking_currency" id="wpbooking_paypal" value="<?php echo $options['wpbooking_currency']; ?>" />
                                        <?php _e('Example', 'wpbooking'); ?> ($, &euro;, &pound;)
									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <tr valign="top">
							<th scope="row"><?php _e('Active Paypal', 'wpbooking'); ?></th>
							<td>
								<fieldset>
                                 <?php
                                   if ($options['wpbooking_paypal_active'] == 0) {
                                  $seletpaypal = 'No';
                                  } else {
                                  $seletpaypal = 'Yes';
                                  }
                                  ?>
									<label for="wpbooking_paypal_active">
                                    <select name="wpbooking_paypal_active" id="wpbooking_paypal_active" size="1" />
                                        <option value="<?php echo $options['wpbooking_paypal_active'] ?>"><?php echo $seletpaypal ?></option>
                                        <option value="1"><?php _e('Yes', 'wpbooking'); ?></option>
                                        <option value="0"><?php _e('No Paypal', 'wpbooking'); ?></option>
                                        </select>

									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <tr valign="top">
							<th scope="row"><?php _e('Active Cash', 'wpbooking'); ?></th>
							<td>
								<fieldset>
                                 <?php
                                  if ($options['wpbooking_cash_active'] == 0) {
                                  $seletccash = 'No';
                                  } else {
                                  $seletccash = 'Yes';
                                  }
                                  ?>
									<label for="wpbooking_cash_active">
                                    <select name="wpbooking_cash_active" id="wpbooking_cash_active" size="1" />
                                        <option value="<?php echo $options['wpbooking_cash_active'] ?>"><?php echo $seletccash ?></option>
                                        <option value="1"><?php _e('Yes', 'wpbooking'); ?></option>
                                        <option value="0"><?php _e('No', 'wpbooking'); ?></option>
                                        </select>

									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <?php
                        $authorize_file = WPBOOKING_PLUGIN_DIR . '/payments/authorize/authorize.php';
                        if (file_exists( $authorize_file )) {
                        ?>
                        <tr valign="top">
							<th scope="row"><?php _e('Active authorize.net', 'wpbooking'); ?></th>
							<td>
								<fieldset>

									<label for="wpbooking_authorize_active">
										<p><input name="wpbooking_authorize_active" type="radio" value="1" <?php if ($options['wpbooking_authorize_active'] == "1" ) echo 'checked' ?>  /> <strong><?php _e('Yes', 'wpbooking'); ?></strong></p>
                                        <p><input name="wpbooking_authorize_active" type="radio" value="0" <?php if ($options['wpbooking_authorize_active'] == "0" ) echo 'checked' ?> /> <strong><?php _e('No', 'wpbooking'); ?></strong></p>
										<?php _e('Active authorize.net (default: Yes)', 'wpbooking'); ?>
									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <tr valign="top">
							<th scope="row"><?php _e('Authorize.net Api Login ID', 'wpbooking'); ?></th>
							<td>
								<fieldset>

									<label for="wpbooking_authorize_id">
										<input type="text" name="wpbooking_authorize_id" id="wpbooking_authorize_id" value="<?php echo $options['wpbooking_authorize_id']; ?>" />

									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <tr valign="top">
							<th scope="row"><?php _e('Authorize.net Transaction Key', 'wpbooking'); ?></th>
							<td>
								<fieldset>

									<label for="wpbooking_authorize_key">
										<input type="text" name="wpbooking_authorize_key" id="wpbooking_authorize_key" value="<?php echo $options['wpbooking_authorize_key']; ?>" />

									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <tr valign="top">
							<th scope="row"><?php _e('Authorize.net Md5 Setting', 'wpbooking'); ?></th>
							<td>
								<fieldset>

									<label for="wpbooking_authorize_md5">
										<input type="text" name="wpbooking_authorize_md5" id="wpbooking_authorize_md5" value="<?php echo $options['wpbooking_authorize_md5']; ?>" />

									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <tr valign="top">
							<th scope="row"><?php _e('Mode Testing authorize.net', 'wpbooking'); ?></th>
							<td>
								<fieldset>

									<label for="wpbooking_authorize_test">
										<p><input name="wpbooking_authorize_test" type="radio" value="1" <?php if ($options['wpbooking_authorize_test'] == "1" ) echo 'checked' ?>  /> <strong><?php _e('Yes', 'wpbooking'); ?></strong></p>
                                        <p><input name="wpbooking_authorize_test" type="radio" value="0" <?php if ($options['wpbooking_authorize_test'] == "0" ) echo 'checked' ?> /> <strong><?php _e('No', 'wpbooking'); ?></strong></p>
										<?php _e('Mode Test authorize.net (default: Yes)', 'wpbooking'); ?>
									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <?php } ?>
                        <?php
                        $google_file = WPBOOKING_PLUGIN_DIR . '/payments/phpGCheckout/google-checkout.php';
                        if (file_exists( $google_file )) {
                        ?>
                        <tr valign="top">
							<th scope="row"><?php _e('Active Google Checkout', 'wpbooking'); ?></th>
							<td>
								<fieldset>

									<label for="wpbooking_google_active">
										<p><input name="wpbooking_google_active" type="radio" value="1" <?php if ($options['wpbooking_google_active'] == "1" ) echo 'checked' ?>  /> <strong><?php _e('Yes', 'wpbooking'); ?></strong></p>
                                        <p><input name="wpbooking_google_active" type="radio" value="0" <?php if ($options['wpbooking_google_active'] == "0" ) echo 'checked' ?> /> <strong><?php _e('No', 'wpbooking'); ?></strong></p>
										<?php _e('Active Google Checkout (default: Yes)', 'wpbooking'); ?>
									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <tr valign="top">
							<th scope="row"><?php _e('Merchant Id', 'wpbooking'); ?></th>
							<td>
								<fieldset>

									<label for="wpbooking_google_id">
										<input type="text" name="wpbooking_google_id" id="wpbooking_google_id" value="<?php echo $options['wpbooking_google_id']; ?>" />

									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <tr valign="top">
							<th scope="row"><?php _e('Mercant Key', 'wpbooking'); ?></th>
							<td>
								<fieldset>

									<label for="wpbooking_google_key">
										<input type="text" name="wpbooking_google_key" id="wpbooking_google_key" value="<?php echo $options['wpbooking_google_key']; ?>" />

									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <tr valign="top">
							<th scope="row"><?php _e('Sandbox Google Checkout', 'wpbooking'); ?></th>
							<td>
								<fieldset>

									<label for="wpbooking_google_test">
										<p><input name="wpbooking_google_test" type="radio" value="1" <?php if ($options['wpbooking_google_test'] == "1" ) echo 'checked' ?>  /> <strong><?php _e('Yes', 'wpbooking'); ?></strong></p>
                                        <p><input name="wpbooking_google_test" type="radio" value="0" <?php if ($options['wpbooking_google_test'] == "0" ) echo 'checked' ?> /> <strong><?php _e('No', 'wpbooking'); ?></strong></p>
										<?php _e('Sandbox Google Checkout (default: Yes)', 'wpbooking'); ?>
									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <?php } ?>
                        <?php
                        $moneybookers_file = WPBOOKING_PLUGIN_DIR . '/payments/moneybookers/moneybookers.php';
                        if (file_exists( $moneybookers_file )) {
                        ?>
                        <tr valign="top">
							<th scope="row"><?php _e('Moneybookers Email', 'wpbooking'); ?></th>
							<td>
								<fieldset>

									<label for="wpbooking_moneybookers">
										<input type="text" name="wpbooking_moneybookers" id="wpbooking_moneybookers" value="<?php echo $options['wpbooking_moneybookers']; ?>" />

									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <tr valign="top">
							<th scope="row"><?php _e('Active Moneybookers', 'wpbooking'); ?></th>
							<td>
								<fieldset>

									<label for="wpbooking_moneybookers_active">
										<p><input name="wpbooking_moneybookers_active" type="radio" value="1" <?php if ($options['wpbooking_moneybookers_active'] == "1" ) echo 'checked' ?>  /> <strong><?php _e('Yes', 'wpbooking'); ?></strong></p>
                                        <p><input name="wpbooking_moneybookers_active" type="radio" value="0" <?php if ($options['wpbooking_moneybookers_active'] == "0" ) echo 'checked' ?> /> <strong><?php _e('No', 'wpbooking'); ?></strong></p>
										<?php _e('Active Moneybookers (default: Yes)', 'wpbooking'); ?>
									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <?php } ?>
                        <tr valign="top">
							<th scope="row"><?php _e('Custom email', 'wpbooking'); ?></th>
							<td>
								<fieldset>

									<label for="wpbooking_customemail">
                                    <div id="poststuff">
                                    <div id="postdivrich">
                                    <?php the_editor($options['wpbooking_customemail'], $id = 'wpbooking_customemail', $prev_id = 'title', $media_buttons = true, $tab_index = 2); ?>
                                    </div>
                                    </div>

									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                       <tr valign="top">
							<th scope="row"><?php _e('Money deposit Active', 'wpbooking'); ?></th>
							<td>
								<fieldset>

									<label for="wpbooking_depositactive">
										<p><input name="wpbooking_depositactive" type="radio" value="1" <?php if ($options['wpbooking_depositactive'] == "1" ) echo 'checked' ?>  /> <strong><?php _e('Yes', 'wpbooking'); ?></strong></p>
                                        <p><input name="wpbooking_depositactive" type="radio" value="0" <?php if ($options['wpbooking_depositactive'] == "0" ) echo 'checked' ?> /> <strong><?php _e('No', 'wpbooking'); ?></strong></p>
										<?php _e('Money deposit Active (default: No)', 'wpbooking'); ?>
									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <tr valign="top">
							<th scope="row"><?php _e('Percentage', 'wpbooking'); ?> %</th>
							<td>
								<fieldset>

									<label for="wpbooking_deposit">
										<input type="text" name="wpbooking_deposit" id="wpbooking_deposit" value="<?php echo $options['wpbooking_deposit']; ?>" />

									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
					</tbody>
				</table>
			</div>
            <div class="wpimpress-admin-panel-content-box" id="wpimpress-admin-panel-content-css">
			<h3><?php _e('Here you can specify if the plugin must read the theme stylesheet or not, or a custom css', 'wpbooking'); ?></h3>
<table class="form-table" style="clear:none;">
					<tbody>
                        <tr valign="top">
							<th scope="row"><?php _e('Css Location', 'wpbooking'); ?></th>
							<td>
								<fieldset>

									<label for="wpbooking_csstype">
										<p><input name="wpbooking_csstype" type="radio" value="1" <?php if ($options['wpbooking_csstype'] == "1" ) echo 'checked' ?>  /> <strong><?php _e('Plugin', 'wpbooking'); ?></strong></p>
                                        <p><input name="wpbooking_csstype" type="radio" value="0" <?php if ($options['wpbooking_csstype'] == "0" ) echo 'checked' ?> /> <strong><?php _e('Core Wordpress', 'wpbooking'); ?></strong></p>
                                        <p><input name="wpbooking_csstype" type="radio" value="3" <?php if ($options['wpbooking_csstype'] == "2" ) echo 'checked' ?> /> <strong><?php _e('Custom', 'wpbooking'); ?></strong>&nbsp;&nbsp;<input type="text" name="wpbooking_csscustom" id="wpbooking_jquery_custom" value="<?php echo $options['wpbooking_jquery_custom']; ?>" />  </p>

									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
					</tbody>
				</table>
			</div>
            <div class="wpimpress-admin-panel-content-box" id="wpimpress-admin-panel-content-jquery">
		   <h3><?php _e('To avoid javascript conflict here you can specify JQuery active, path and "no conflict" mode.', 'wpbooking'); ?></h3>
<table class="form-table" style="clear:none;">
					<tbody>

                        <tr valign="top">
							<th scope="row"><?php _e('Jquery Active', 'wpbooking'); ?></th>
							<td>
								<fieldset>

									<label for="wpbooking_jquery">
										<p><input name="wpbooking_jquery" type="radio" value="1" <?php if ($options['wpbooking_jquery'] == "1" ) echo 'checked' ?>  /> <strong><?php _e('Yes', 'wpbooking'); ?></strong></p>
                                        <p><input name="wpbooking_jquery" type="radio" value="0" <?php if ($options['wpbooking_jquery'] == "0" ) echo 'checked' ?> /> <strong><?php _e('No', 'wpbooking'); ?></strong></p>
										<?php _e('Jquery Active (default: Yes)', 'wpbooking'); ?>
									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <tr valign="top">
							<th scope="row"><?php _e('Jquery Location', 'wpbooking'); ?></th>
							<td>
								<fieldset>

									<label for="wpbooking_jquery_location">
										<p><input name="wpbooking_jquery_location" type="radio" value="1" <?php if ($options['wpbooking_jquery_location'] == "1" ) echo 'checked' ?>  /> <strong><?php _e('Plugin', 'wpbooking'); ?></strong></p>
                                        <p><input name="wpbooking_jquery_location" type="radio" value="2" <?php if ($options['wpbooking_jquery_location'] == "2" ) echo 'checked' ?> /> <strong><?php _e('Google CDN', 'wpbooking'); ?></strong></p>
                                        <p><input name="wpbooking_jquery_location" type="radio" value="0" <?php if ($options['wpbooking_jquery_location'] == "0" ) echo 'checked' ?> /> <strong><?php _e('Core Wordpress', 'wpbooking'); ?></strong></p>
                                        <p><input name="wpbooking_jquery_location" type="radio" value="3" <?php if ($options['wpbooking_jquery_location'] == "3" ) echo 'checked' ?> /> <strong><?php _e('Custom', 'wpbooking'); ?></strong>&nbsp;&nbsp;<input type="text" name="wpbooking_jquery_custom" id="wpbooking_jquery_custom" value="<?php echo $options['wpbooking_jquery_custom']; ?>" />  </p>

									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <tr valign="top">
							<th scope="row"><?php _e('Jquery no conflict', 'wpbooking'); ?></th>
							<td>
								<fieldset>

									<label for="wpbooking_jquery_noconflict">
										<p><input name="wpbooking_jquery_noconflict" type="radio" value="1" <?php if ($options['wpbooking_jquery_noconflict'] == "1" ) echo 'checked' ?>  /> <strong><?php _e('Yes', 'wpbooking'); ?></strong></p>
                                        <p><input name="wpbooking_jquery_noconflict" type="radio" value="0" <?php if ($options['wpbooking_jquery_noconflict'] == "0" ) echo 'checked' ?> /> <strong><?php _e('No', 'wpbooking'); ?></strong></p>
										<?php _e('Jquery no conflict (default: Yes)', 'wpbooking'); ?>
									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>

					</tbody>
				</table>
			</div>
            <div class="wpimpress-admin-panel-content-box" id="wpimpress-admin-panel-content-invoice">
			<h3><?php _e('Here you can set up admin invoice title and string', 'wpbooking'); ?></h3>
<table class="form-table" style="clear:none;">
					<tbody>
                    <tr valign="top">
							<th scope="row"><?php _e('Header Invoice Title', 'wpbooking'); ?></th>
							<td>
								<fieldset>

									<label for="wpbooking_invheader">
										<input type="text" name="wpbooking_invheader" id="wpbooking_invheader" value="<?php echo $options['wpbooking_invheader']; ?>" />

									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>
                        <tr valign="top">
							<th scope="row"><?php _e('Header Invoice String', 'wpbooking'); ?></th>
							<td>
								<fieldset>

									<label for="wpbooking_invstr">
										<input type="text" name="wpbooking_invstr" id="wpbooking_invstr" value="<?php echo $options['wpbooking_invstr']; ?>" />

									</label><br /><br />
                                    </fieldset>
							</td>
						</tr>

					</tbody>
				</table>
			</div>
		</div>
		<div class="clear"></div>
	</div>
	<div id="wpimpress-admin-panel-footer">
<div class="submit">
<input type="submit" name="Submit" value="Update" />
</div>
	</div>
</div>
<p align="center"><?php _e('Js Multi-Hotel Version', 'wpbooking'); ?> <?php echo get_option('wpbooking_db_version'); ?></p>
</form>
</div>

<?
} else {
?>
<div class="wrap wpckt">

<h2><?php _e('Information', 'wpbooking'); ?></h2>

<table class="form-table" style="clear:none;">
<tbody>
</tbody>
qui va il testo informazioni
</table>
</div>
<?php
}
}

function wpbooking_show_fields($limit, $agents) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_hotel";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." ".$agents." ORDER BY id DESC ".$limit.";";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

function wpbooking_delete_field($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_hotel";

    $select = mysql_query("SELECT * FROM ". $table_name ." WHERE id = '".$id."';");

		$delete = "DELETE FROM ". $table_name ." WHERE id = '".$id."';";
		$results = $wpdb->query($delete);
		if($results == 1){
		  while ($ref = mysql_fetch_array( $select )) {
		    wp_delete_post($ref['postid']);
            }
			return true;
		} else {
			return __("OrderDelete Fail.");
		}

}

function wpbooking_new_field() {

	global $wpdb, $current_user;
    get_currentuserinfo();

$types = array('Attico','Bilocale','Trilocale');
$locs = wpbooking_show_city();
$countrsy = wpbooking_show_country();

$stars = array('1','2','3','4','5');

if (current_user_can('organize_agent')) {
$agent_active = 'disabled="disabled"';
} else {
$agent_active = '';
}

   	?>
<script language="JavaScript" type="text/javascript">
/*<![CDATA[*/
jQuery(document).ready(function(){
    jQuery("#formnew").validate();
  });

/*]]>*/
</script>
<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true"></script>
<script type="text/javascript">

var createMap = function() {

	searchAddress();

   	var address = document.getElementById("address").value;

	var geocoder = new google.maps.Geocoder();

	geocoder.geocode( {'address': address}, function(results,status) {
        if (status == google.maps.GeocoderStatus.OK) {

			var options = {
  				zoom: 12,
  				center: results[0].geometry.location,
  				mapTypeId: google.maps.MapTypeId.ROADMAP
			};

			var map = new google.maps.Map(document.getElementById('map'), options);

			var marker = new google.maps.Marker(
				{
  				position: results[0].geometry.location,
  				map: map,
  				title: 'Mappa'
				}
			);

			var tooltip = '<div id="tooltip">'+
				'<p>formatted_address:<br>'+
   				results[0].formatted_address+'</p>'+
				'<p>latLng:<br>'+
				results[0].geometry.location+'</p>'+
    			'</div>';

			var infowindow = new google.maps.InfoWindow({
				content: tooltip
			});

			google.maps.event.addListener(marker, 'click', function() {
  				infowindow.open(map,marker);
			});

         var latitude = results[0].geometry.location.lat();
         var longitude = results[0].geometry.location.lng();
         jQuery('#longitudine').val(latitude);
         jQuery('#latitudine').val(longitude);
         jQuery('#indirizzo').val(address);
        } else {
          alert("Problema nella ricerca dell'indirizzo: " + status);
        }
      });

}

var searchAddress = function(){
	document.getElementById("submit").onclick = function() {
		createMap();
	}
}

window.onload = createMap;
</script>
<style type="text/css">
/*<![CDATA[*/
#map { width:700px; height:300px; }
/*]]>*/
</style>
<form method="POST" id="formnew" action="?page=booking_hotel&action=save">
 <table class="widefat">
<tbody>
  <tr>
    <td width="100"><?php _e('Hotel', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="name">
	<input type="text" name="name" id="name" class="required" /> <?php _e('Hotel name (example: Welcome Inn Hotel)', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Stars', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="stars">
    <select id="stars" name="stars" style="width:150px;" class="required">
	<?php foreach ($stars as $star) {?>
	<option value="<?php echo $star ?>"><?php echo $star ?></option>
	<?php }?>
	</select>
    <?php _e('Hotel stars gradings', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Address', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="address_hotel">
	<input type="text" name="address_hotel" id="address_hotel" class="required" /> <?php _e('Write Hotel address', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Zip Code', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="zipcode">
	<input type="text" name="zipcode" id="zipcode" class="required" /> <?php _e('Write city zip code', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Country', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="country">
    <select id="country" name="country" style="width:150px;" class="required">
	<?php foreach ($countrsy as $country) {?>
	<option value="<?php echo $country['id'] ?>"><?php echo $country['country'] ?></option>
	<?php }?>
	</select>
    <?php _e('Select a country previously created', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
    <tr>
    <td width="100"><?php _e('City', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="localita">
    <select id="localita" name="localita" style="width:150px;" class="required">
	<?php foreach ($locs as $loc) {?>
	<option value="<?php echo $loc['id'] ?>"><?php echo $loc['city'] ?></option>
	<?php }?>
	</select>
    <?php _e('Select a city previously created', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Email', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="email">
	<input type="text" name="email" id="email" class="required" /> <?php _e('Write Hotel email adress', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Paypal Email', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="paypal">
	<input type="text" name="paypal" id="paypal" class="required" /> <?php _e('write Paypal email address', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Active Paypal', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="paypalactive">
	<p><input name="paypalactive" type="radio" value="1" /> <strong><?php _e('Yes', 'wpbooking'); ?></strong></p>
    <p><input name="paypalactive" type="radio" value="0" /> <strong><?php _e('No', 'wpbooking'); ?></strong></p>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Descriptions', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="description">
	<div id="poststuff">
    <div id="postdivrich">
    <?php the_editor($row['description_hotel'], $id = 'description_hotel', $prev_id = 'title', $media_buttons = true, $tab_index = 2); ?>
    </div>
    </div>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Is Agent', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="is_agent">
	<p><input name="is_agent" type="radio" value="1" <?php if (current_user_can('organize_agent') ) echo 'checked' ?> <?php echo $agent_active ?> /> <strong><?php _e('Yes', 'wpbooking'); ?></strong></p>
    <p><input name="is_agent" type="radio" value="0" <?php echo $agent_active ?> /> <strong><?php _e('No', 'wpbooking'); ?></strong></p>
    <?php if (current_user_can('organize_agent')) { ?>
    <input type="hidden" name="is_agent" value="1" />
    <?php } ?>
    </label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Published', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="published">
	<p><input name="published" type="radio" value="1" <?php echo $agent_active ?>  /> <strong><?php _e('Publish', 'wpbooking'); ?></strong></p>
    <p><input name="published" type="radio" value="0" <?php if (current_user_can('organize_agent') ) echo 'checked' ?> <?php echo $agent_active ?> /> <strong><?php _e('Pending', 'wpbooking'); ?></strong></p>
    <?php if (current_user_can('organize_agent')) { ?>
    <input type="hidden" name="published" value="0" />
    <?php } ?>
    </label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Featured', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="featured">
	<p><input name="featured" type="radio" value="1" <?php echo $agent_active ?>  /> <strong><?php _e('Yes', 'wpbooking'); ?></strong></p>
    <p><input name="featured" type="radio" value="0" <?php if (current_user_can('organize_agent') ) echo 'checked' ?> <?php echo $agent_active ?> /> <strong><?php _e('No', 'wpbooking'); ?></strong></p>
    <?php if (current_user_can('organize_agent')) { ?>
    <input type="hidden" name="featured" value="0" />
    <?php } ?>
    </label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Brochure', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="brochure">
	<input type="text" name="brochure" id="brochure" /> <?php _e('Upload a pdf Flyer', 'wpbooking'); ?>
    <div class="demo-box"><br />
    <div id="status-message2"><?php //_e('Select brochure:', 'wpbooking'); ?></div>
    <div id="custom-queue1"></div>
    <input id="custom_file_upload2" type="file" name="Filedata" />        </div><br />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Images', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="image_room">
	<input type="text" name="image_room" id="image_room" class="required" /> <?php _e('Select zip folder', 'wpbooking'); ?>
    <div class="demo-box"><br />
    <div id="status-message-planimetria"><?php //_e('Select images zip', 'wpbooking'); ?></div>
    <div id="custom-queue-planimetria"></div>
    <input id="planimetria_file_upload" type="file" name="Filedata" />        </div>
    <b><br /><?php _e('upload a zipped file with all the images that can be used as hotel gallery', 'wpbooking'); ?> </b><br />
    <br />
	</label>
    </fieldset>
    </td>
  </tr>
  <?php
  $templatetheme = ABSPATH . '/wp-content/themes/italyhotels/index.php';
  if (file_exists( $templatetheme )) {
  ?>
  <tr>
    <td width="100"><?php _e('Meta Title', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="metatitle">
	<input type="text" name="metatitle" id="metatitle" /> <?php _e('Write meta title', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Meta Descriptions', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="metatdesc">
	<input type="text" name="metatdesc" id="metatdesc" /> <?php _e('Write meta descriptions', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Meta keywrords', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="metakeywords">
	<input type="text" name="metakeywords" id="metakeywords" /> <?php _e('Write meta keywords', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <?php
  }
  ?>
    <tr>
    <td width="100"><?php _e('longitude', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="longitudine">
	<input type="text" name="longitudine" id="longitudine" class="required" /> <?php _e('Leave empty! This field are auto populated from Google maps', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('latitude', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="latitudine">
	<input type="text" name="latitudine" id="latitudine" class="required" /> <?php _e('Leave empty! This field are auto populated from Google maps', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <input type="hidden" name="indirizzo" id="indirizzo" value="" class="required" />
  <tr>
    <td width="100"></td>
    <td></td>
  </tr>
    <tr>
    <td width="100"></td>
    <td>
    <div>
    <input id="address" type="textbox" value="Viale milano 1 - Roma">
    <input id="submit" type="button" value="<?php _e('address is on the map', 'wpbooking'); ?>"> <b><?php _e('Write Hotel address and city and click on "Address is on the map" button', 'wpbooking'); ?> </b>
</div><br />
<div id="map"></div>
    </td>
  </tr>
</tbody>
</table>
<input type="hidden" name="user_id" value="<?php echo $current_user->ID ?>" />
<input id="save-all" class="button-primary savebutton" type="submit" value="Save" name="save"/>
</form>
    <?php

}

function wpbooking_edit_field($id) {

	global $wpdb;

$types = array('Attico','Bilocale','Trilocale');
$locs = wpbooking_show_city();
$countrsy = wpbooking_show_country();

$stars = array('1','2','3','4','5');

if (current_user_can('organize_agent')) {
$agent_active = 'disabled="disabled"';
} else {
$agent_active = '';
}

    $table_name = $wpdb->prefix . "booking_hotel";
    $where = "WHERE id = '".$id."'";
    $sql = "SELECT * FROM ".$table_name." ".$where." LIMIT 1";
	$fields = $wpdb->get_results( $sql,"ARRAY_A");
    foreach($fields as $row){
   	?>
<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true"></script>
<script type="text/javascript">

var createMap = function() {

	searchAddress();

   	var address = document.getElementById("address").value;

	var geocoder = new google.maps.Geocoder();

	geocoder.geocode( {'address': address}, function(results,status) {
        if (status == google.maps.GeocoderStatus.OK) {

			var options = {
  				zoom: 12,
  				center: results[0].geometry.location,
  				mapTypeId: google.maps.MapTypeId.ROADMAP
			};

			var map = new google.maps.Map(document.getElementById('map'), options);

			var marker = new google.maps.Marker(
				{
  				position: results[0].geometry.location,
  				map: map,
  				title: 'Mappa'
				}
			);

			var tooltip = '<div id="tooltip">'+
				'<p>formatted_address:<br>'+
   				results[0].formatted_address+'</p>'+
				'<p>latLng:<br>'+
				results[0].geometry.location+'</p>'+
    			'</div>';

			var infowindow = new google.maps.InfoWindow({
				content: tooltip
			});

			google.maps.event.addListener(marker, 'click', function() {
  				infowindow.open(map,marker);
			});

         var latitude = results[0].geometry.location.lat();
         var longitude = results[0].geometry.location.lng();
         jQuery('#longitudine').val(latitude);
         jQuery('#latitudine').val(longitude);
         jQuery('#indirizzo').val(address);
        } else {
          alert("Problema nella ricerca dell'indirizzo: " + status);
        }
      });

}

var searchAddress = function(){
	document.getElementById("submit").onclick = function() {
		createMap();
	}
}

window.onload = createMap;
</script>
<style type="text/css">
/*<![CDATA[*/
#map { width:700px; height:300px; }
/*]]>*/
</style>
<form method="POST" action="?page=booking_hotel&action=editsave">
 <table class="widefat">
<tbody>
  <tr>
    <td width="100"><?php _e('Hotel', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="name">
	<input type="text" name="name" id="name" value="<?php echo $row['name'] ?>" /> <?php _e('Hotel name (example: Welcome Inn Hotel)', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Stars', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="stars">
    <select id="stars" name="stars" style="width:150px;" class="required">
	<?php foreach ($stars as $star) {?>
	<option value="<?php echo $star ?>"<?php if(@$row['stars']==$star){?> selected="selected"<?php }?>><?php echo $star ?></option>
	<?php }?>
	</select>
    <?php _e('Hotel stars gradings', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Address', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="address_hotel">
	<input type="text" name="address_hotel" id="address_hotel" value="<?php echo $row['address_hotel'] ?>" /> <?php _e('Write Hotel address', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Zip Code', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="zipcode">
	<input type="text" name="zipcode" id="zipcode" value="<?php echo $row['zipcode'] ?>" /> <?php _e('Write city zip code', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
    </tr>
    <tr>
    <td width="100"><?php _e('Country', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="country">
    <select id="country" name="country" style="width:150px;" class="required">
	<?php foreach ($countrsy as $country) {?>
	<option value="<?php echo $country['id'] ?>"<?php if(@$row['country']==$country['id']){?> selected="selected"<?php }?>><?php echo $country['country'] ?></option>
	<?php }?>
	</select>
    <?php _e('Select a country previously created', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
    <tr>
    <td width="100"><?php _e('City', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="localita">
    <select id="localita" name="localita" style="width:150px;" class="required">
	<?php foreach ($locs as $loc) {?>
	<option value="<?php echo $loc['id'] ?>"<?php if(@$row['localita']==$loc['id']){?> selected="selected"<?php }?>><?php echo $loc['city'] ?></option>
	<?php }?>
	</select>
    <?php _e('Select a city previously created', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Email', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="email">
	<input type="text" name="email" id="email" value="<?php echo $row['email'] ?>" /> <?php _e('Write Hotel email adress', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Paypal Email', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="paypal">
	<input type="text" name="paypal" id="paypal" value="<?php echo $row['paypal'] ?>" /> <?php _e('write Paypal email address', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Active Paypal', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="paypalactive">
	<p><input name="paypalactive" type="radio" value="1" <?php if ($row['paypalactive'] == "1" ) echo 'checked' ?>  /> <strong><?php _e('Yes', 'wpbooking'); ?></strong></p>
    <p><input name="paypalactive" type="radio" value="0" <?php if ($row['paypalactive'] == "0" ) echo 'checked' ?> /> <strong><?php _e('No', 'wpbooking'); ?></strong></p>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Descriptions', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="description">
	<div id="poststuff">
    <div id="postdivrich">
    <?php the_editor($row['description_hotel'], $id = 'description_hotel', $prev_id = 'title', $media_buttons = true, $tab_index = 2); ?>
    </div>
    </div>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Is Agent', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="is_agent">
	<p><input name="is_agent" type="radio" value="1" <?php if ($row['is_agent'] == "1" ) echo 'checked' ?> <?php echo $agent_active ?> /> <strong><?php _e('Yes', 'wpbooking'); ?></strong></p>
    <p><input name="is_agent" type="radio" value="0" <?php if ($row['is_agent'] == "0" ) echo 'checked' ?> <?php echo $agent_active ?> /> <strong><?php _e('No', 'wpbooking'); ?></strong></p>
    <?php if (current_user_can('organize_agent')) { ?>
    <input type="hidden" name="is_agent" value="<?php echo $row['is_agent'] ?>" />
    <?php } ?>
    </label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Published', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="published">
	<p><input name="published" type="radio" value="1" <?php if ($row['published'] == "1" ) echo 'checked' ?> <?php echo $agent_active ?>  /> <strong><?php _e('Publish', 'wpbooking'); ?></strong></p>
    <p><input name="published" type="radio" value="0" <?php if ($row['published'] == "0" ) echo 'checked' ?> <?php echo $agent_active ?> /> <strong><?php _e('Pending', 'wpbooking'); ?></strong></p>
    <?php if (current_user_can('organize_agent')) { ?>
    <input type="hidden" name="published" value="<?php echo $row['published'] ?>" />
    <?php } ?>
    </label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Featured', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="featured">
	<p><input name="featured" type="radio" value="1" <?php if ($row['featured'] == "1" ) echo 'checked' ?> <?php echo $agent_active ?>  /> <strong><?php _e('Yes', 'wpbooking'); ?></strong></p>
    <p><input name="featured" type="radio" value="0" <?php if ($row['featured'] == "0" ) echo 'checked' ?> <?php echo $agent_active ?> /> <strong><?php _e('No', 'wpbooking'); ?></strong></p>
    <?php if (current_user_can('organize_agent')) { ?>
    <input type="hidden" name="featured" value="<?php echo $row['featured'] ?>" />
    <?php } ?>
    </label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Brochure', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="brochure">
	<input type="text" name="brochure" id="brochure" value="<?php echo $row['brochure'] ?>" /> <?php _e('Upload a pdf Flyer', 'wpbooking'); ?>
    <div class="demo-box"><br />
    <div id="status-message2"><?php //_e('Select brochure:', 'wpbooking'); ?></div>
    <div id="custom-queue1"></div>
    <input id="custom_file_upload2" type="file" name="Filedata" />        </div><br />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Images', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="image_room">
	<input type="text" name="image_room" id="image_room" value="<?php echo $row['image_room'] ?>" class="required" /> <?php _e('Select zip folder', 'wpbooking'); ?>
    <div class="demo-box"><br />
    <div id="status-message-planimetria"><?php //_e('Select images zip', 'wpbooking'); ?></div>
    <div id="custom-queue-planimetria"></div>
    <input id="planimetria_file_upload" type="file" name="Filedata" />        </div>
    <b><br /><?php _e('upload a zipped file with all the images that can be used as hotel gallery', 'wpbooking'); ?> </b><br />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Manage Images', 'marketplace'); ?></td>
    <td>
    <div class="listimages">
    <?php echo wpbooking_manage_gallery($row['image_room'], 100, 100); ?>
    </div>
    </td>
  </tr>
  <?php
  $templatetheme = ABSPATH . '/wp-content/themes/italyhotels/index.php';
  if (file_exists( $templatetheme )) {
  ?>
  <tr>
    <td width="100"><?php _e('Meta Title', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="metatitle">
	<input type="text" name="metatitle" id="metatitle" value="<?php echo $row['metatitle'] ?>" /> <?php _e('Write meta title', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Meta Descriptions', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="metatdesc">
	<input type="text" name="metatdesc" id="metatdesc" value="<?php echo $row['metatdesc'] ?>" /> <?php _e('Write meta descriptions', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Meta keywrords', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="metakeywords">
	<input type="text" name="metakeywords" id="metakeywords" value="<?php echo $row['metakeywords'] ?>" /> <?php _e('Write meta keywords', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <?php
  }
  ?>
  <tr>
    <td width="100"><?php _e('longitude', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="longitudine">
	<input type="text" name="longitudine" id="longitudine" value="<?php echo $row['longitudine'] ?>" class="required" /> <?php _e('Leave empty! This field are auto populated from Google maps', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('latitude', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="latitudine">
	<input type="text" name="latitudine" id="latitudine" value="<?php echo $row['latitudine'] ?>" class="required" /> <?php _e('Leave empty! This field are auto populated from Google maps', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <input type="hidden" name="indirizzo" id="indirizzo" value="<?php echo $row['indirizzo'] ?>" class="required" /> <?php _e('Leave empty! This field are auto populated from Google maps', 'wpbooking'); ?>
  <tr>
    <td width="100"></td>
    <td></td>
  </tr>
  <tr>
    <td width="100"></td>
    <td>
    <div>
    <input id="address" type="textbox" value="<?php echo $row['indirizzo'] ?>">
    <input id="submit" type="button" value="<?php _e('address is on the map', 'wpbooking'); ?>"> <b><?php _e('Write Hotel address and city and click on "Address is on the map" button', 'wpbooking'); ?> </b>
</div><br />
<div id="map"></div>
    </td>
  </tr>
</tbody>
</table><input type="hidden" name="id" value="<?php echo $row['id'] ?>" />
<input type="hidden" name="user_id" value="<?php echo $row['user_id'] ?>" />
<input type="hidden" name="postid" value="<?php echo $row['postid'] ?>" />
<input id="save-all" class="button-primary savebutton" type="submit" value="Save" name="save"/>
</form>
    <?php
}
}

function wpbooking_hotel() {
    global $wpdb, $current_user;
	global $wpbooking_options;
    get_currentuserinfo();

    if (current_user_can('organize_agent')) {
    $agents = " WHERE user_id=".$current_user->ID."";
    $agents1 = " WHERE user_id=".$current_user->ID."";
    } else {
    $agents = "";
    $agents1 = "";
    }

    include(WPBOOKING_PLUGIN_DIR.'/includes/pagination.class.php');

    $table_name = $wpdb->prefix . "booking_hotel";
    $items = mysql_num_rows(mysql_query("SELECT * FROM ". $table_name ." ".$agents1."")); // number of total rows in the database
    if($items > 0) {
    $p = new pagination;
    $p->items($items);
    $p->limit(30); // Limit entries per page
    $p->target("admin.php?page=booking_hotel");
    $p->currentPage(isset($_GET['paging'])); // Gets and validates the current page
    $p->calculate(); // Calculates what to show
    $p->parameterName('paging');
    $p->adjacents(1); //No. of page away from the current page
    if(!isset($_GET['paging'])) {
    $p->page = 1;
    } else {
    $p->page = $_GET['paging'];
    }
//Query for limit paging
    $limit = "LIMIT " . ($p->page - 1) * $p->limit . ", " . $p->limit;
} else {
  echo "";
  }

    //Bulk Delete

if ( (@$_GET['action'] == 'delete') || (@$_GET['action2'] == 'delete')){
$num = 0;
	foreach ($_GET['chk_field'] as $id => $value ){

		if (wpbooking_delete_field($id)){
			$num++;
		} else {
			echo "<div id='media-upload-error'>".wpbooking_delete_field($_GET['id'])."</div>";
			break;
		}
	}
	if ($num > 0) {
		if ($num == 1) echo "<div class='updated'><p><strong>".__('Item deleted', 'wpbooking')."</strong></p></div>";
		else echo "<div class='updated'><p><strong>".$num." ".__('Items deleted', 'wpbooking')."</strong></p></div>";
	}
}

//Delete order

if (@$_GET['action'] == 'delete-field'){

		if (wpbooking_delete_field($_GET['id'])){
			echo "<div class='updated'><p><strong>".__('Selected Items deleted', 'wpbooking')."</strong></p></div>";
		} else {
			echo "<div id='media-upload-error'>".wpbooking_delete_field($_GET['id'])."</div>";
		}

}

if (@$_GET['action'] == 'save'){

    $name = $_REQUEST['name'];
    $localita = $_REQUEST['localita'];
    $tipoabitazione = @$_REQUEST['tipoabitazione'];
    $longitudine = $_REQUEST['longitudine'];
    $latitudine = $_REQUEST['latitudine'];
    $indirizzo = $_REQUEST['indirizzo'];
    $gallery = @$_REQUEST['gallery'];
    $brochure = $_REQUEST['brochure'];
    $user_id = $_REQUEST['user_id'];
    $address_hotel = $_REQUEST['address_hotel'];
    $zipcode = $_REQUEST['zipcode'];
    $email = $_REQUEST['email'];
    $paypal = $_REQUEST['paypal'];
    $paypalactive = $_REQUEST['paypalactive'];
    $description_hotel = $_REQUEST['description_hotel'];
    $is_agent = $_REQUEST['is_agent'];
    $published = $_REQUEST['published'];
    $country = $_REQUEST['country'];
    $stars = $_REQUEST['stars'];
    $image_room = $_REQUEST['image_room'];
    $metatitle = $_REQUEST['metatitle'];
    $metatdesc = $_REQUEST['metatdesc'];
    $metakeywords = $_REQUEST['metakeywords'];
    $featured = $_REQUEST['featured'];

    /*$name = preg_replace("`[^\w]+`", "", $name);
    $name = str_replace(" ", "-", $name);
    $name = preg_replace('/[^A-Za-z0-9]/', "", $name);*/

//$id_insert = mysql_query("SELECT MAX(id) FROM ".$wpdb->prefix."booking_hotel");

//$row2 = mysql_fetch_array($id_insert, MYSQL_BOTH);

$idquery = mysql_query("SELECT id FROM ".$wpdb->prefix."booking_hoteltemp ORDER BY id DESC LIMIT 1");

$riga = mysql_fetch_array($idquery);

$complessoid = $riga['id']+1;

$my_post = array(
'ID' => '',
'post_title' => $name,
'post_content' => '[hotel id="'.$complessoid.'"]',
//'post_date' => 'Y-m-d H:i:s',
'post_status' => 'publish',
'post_type' => 'reservation',
'post_author' => $user_id,
//'post_category' => array($cats),
);

//echo $cats;

$post_id = wp_insert_post($my_post);
$cat_ids = array( 'hotel' );
wp_set_object_terms(  $post_id, $cat_ids, 'reservations' );
add_post_meta($post_id, 'Title', $metatitle, true);
add_post_meta($post_id, 'Description', $metatdesc, true);
add_post_meta($post_id, 'Keywords', $metakeywords, true);

    $table_name = $wpdb->prefix . "booking_hotel";

    $sql = "INSERT INTO ". $table_name ." (id, name, localita, tipoabitazione, postid, longitudine, latitudine, indirizzo, gallery, brochure, user_id, address_hotel, zipcode, email, paypal, paypalactive, description_hotel, is_agent, published, country, stars, image_room, metatitle, metatdesc, metakeywords, featured) VALUES ('', '".$name."', '".$localita."', '".$tipoabitazione."', '".$post_id."', '".$longitudine."', '".$latitudine."', '".$indirizzo."', '".$gallery."' , '".$brochure."', '".$user_id."', '".$address_hotel."', '".$zipcode."', '".$email."', '".$paypal."', '".$paypalactive."', '".$description_hotel."', '".$is_agent."', '".$published."', '".$country."', '".$stars."', '".$image_room."', '".$metatitle."', '".$metatdesc."', '".$metakeywords."', '".$featured."'        )";

    mysql_query($sql) or die(mysql_error());

    $table_name1 = $wpdb->prefix . "booking_hoteltemp";

    $sql1 = "INSERT INTO ". $table_name1 ." (id, name) VALUES ('', '".$name."' )";

    mysql_query($sql1) or die(mysql_error());

			echo "<div class='updated'><p><strong>".__('New Item created', 'wpbooking')."</strong></p></div>";


}

if (@$_GET['action'] == 'editsave'){

    $name = $_REQUEST['name'];
    $localita = $_REQUEST['localita'];
    $tipoabitazione = @$_REQUEST['tipoabitazione'];
    $id_save = $_REQUEST['id'];
    $longitudine = $_REQUEST['longitudine'];
    $latitudine = $_REQUEST['latitudine'];
    $indirizzo = $_REQUEST['indirizzo'];
    $gallery = @$_REQUEST['gallery'];
    $brochure = $_REQUEST['brochure'];
    $user_id = $_REQUEST['user_id'];
    $address_hotel = $_REQUEST['address_hotel'];
    $zipcode = $_REQUEST['zipcode'];
    $email = $_REQUEST['email'];
    $paypal = $_REQUEST['paypal'];
    $paypalactive = $_REQUEST['paypalactive'];
    $description_hotel = $_REQUEST['description_hotel'];
    $is_agent = $_REQUEST['is_agent'];
    $published = $_REQUEST['published'];
    $country = $_REQUEST['country'];
    $stars = $_REQUEST['stars'];
    $image_room = $_REQUEST['image_room'];
    $metatitle = $_REQUEST['metatitle'];
    $metatdesc = $_REQUEST['metatdesc'];
    $metakeywords = $_REQUEST['metakeywords'];
    $postid = $_REQUEST['postid'];
    $featured = $_REQUEST['featured'];

    /*$name = preg_replace("`[^\w]+`", "", $name);
    $name = str_replace(" ", "-", $name);
    $name = preg_replace('/[^A-Za-z0-9]/', "", $name);*/

update_post_meta($postid, 'Title', $metatitle, true);
update_post_meta($postid, 'Description', $metatdesc, true);
update_post_meta($postid, 'Keywords', $metakeywords, true);

    $table_name = $wpdb->prefix . "booking_hotel";

    $where = "WHERE id = '".$id_save."'";

    $sql = "UPDATE  ".$table_name." SET name = '".$name."', localita = '".$localita."', tipoabitazione = '".$tipoabitazione."', longitudine = '".$longitudine."', latitudine = '".$latitudine."', indirizzo = '".$indirizzo."', gallery = '".$gallery."', brochure = '".$brochure."', user_id = '".$user_id."', address_hotel = '".$address_hotel."', zipcode = '".$zipcode."', email = '".$email."', paypal = '".$paypal."', paypalactive = '".$paypalactive."', description_hotel = '".$description_hotel."', is_agent = '".$is_agent."', published = '".$published."', country = '".$country."', stars = '".$stars."', image_room = '".$image_room."', metatitle = '".$metatitle."', metatdesc = '".$metatdesc."', metakeywords = '".$metakeywords."', featured = '".$featured."' $where";

    $result = mysql_query($sql);

			echo "<div class='updated'><p><strong>".__('Item saved', 'wpbooking')."</strong></p></div>";


}

if (@$_GET['action'] == 'new-field'){
?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('New Hotel', 'wpbooking'); ?></h2>
<?php
wpbooking_new_field();

} else if (@$_GET['action'] == 'edit'){
?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('Edit Hotel', 'wpbooking'); ?></h2>
<?php
$id = $_GET['id'];
wpbooking_edit_field($id);

}

else {

    $i=0;
    $fields = wpbooking_show_fields($limit, $agents);
    if ($fields){
    ?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('Manage Hotel', 'wpbooking'); ?> <a href="?page=booking_hotel&action=new-field" class="button add-new-h2"><?php _e('Add New Hotel', 'wpbooking'); ?></a> </h2>
<form method="get" action="" id="posts-filter">
<input type="hidden" value="booking_hotel" name="page"/>
<div class="tablenav">
<div class='tablenav-pages'>
<?php
if($items > 1) {
 echo $p->show();
 }  // Echo out the list of paging. ?>
</div>
        <div class="alignleft actions">
        <select name="action">
        <option selected="selected" value="">Bulk Actions</option>
        <option value="delete">Delete</option>
        </select>
        <input type="submit" class="button-secondary action" id="doaction" name="doaction" value="Apply"/>
        </div>

        <br class="clear"/>
        </div>

<table class="widefat">
<thead>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Hotel', 'wpbooking'); ?></th>
<th><?php _e('Location', 'wpbooking'); ?></th>
<th><?php _e('Agent', 'wpbooking'); ?></th>
<th><?php _e('Status', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</thead>
<tfoot>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Hotel', 'wpbooking'); ?></th>
<th><?php _e('Location', 'wpbooking'); ?></th>
<th><?php _e('Agent', 'wpbooking'); ?></th>
<th><?php _e('Status', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</tfoot>
<tbody>
<?php foreach($fields as $f){  ?>
<tr class="<?php if ($i%2 == 0) echo "alternate";?>" id="prod-<?php echo $i;?>">
<th class="check-column" scope="row">
<input type="checkbox" value="1" id="check_<?php echo $i;?>" name="chk_field[<?php echo $f['id'] ?>]"/>
<input type="hidden" value="<?php echo $f['id'] ?>" name="id[]"/>
</th>
<td><?php echo $f['id']; ?></td>
<td><?php echo $f['name']; ?></td>
<td><?php echo wpbooking_show_cityid($f['localita']); ?></td>
<td><?php
$user_info = get_userdata($f['user_id']);
echo $user_info->user_nicename; ?></td>
<td><?php if ($f['published'] == 1) { echo "<font color='#008000'>". __('Published', 'wpbooking') . '</font>'; } else { echo "<font color='#CC0000'>". __('Pending', 'wpbooking') . '</font>'; } ?></td>
<td>
<a href="?page=booking_hotel&action=edit&id=<?php echo $f['id'] ?>"><strong><?php _e('Edit', 'wpbooking'); ?></strong></a> -
<a href="?page=booking_hotel&action=delete-field&id=<?php echo $f['id'] ?>"><?php _e('Delete', 'wpbooking'); ?></a><br />
<a href="?page=booking_rooms&idp=<?php echo $f['id'] ?>"><?php _e('Manage Rooms', 'wpbooking'); ?></a> <br />
<?php $permalink = get_permalink( $f['postid'] ); ?>
<a href="<?php echo $permalink ?>"><?php _e('View Hotel', 'wpbooking'); ?></a>
</td>
</tr>
<?php
$i++;
}
?>
</tbody>
</table>
<div class="tablenav">


		<div class="alignleft actions">
		<select name="action2">
		<option selected="selected" value="">Bulk Actions</option>
		<option value="delete">Delete</option>
		</select>
		<input type="submit" class="button-secondary action" id="doaction2" name="doaction2" value="Apply"/>
		</div>

		<br class="clear"/>
		</div>

		<input id="save-all" class="button-primary savebutton" type="submit" value="Save all changes" name="save"/>
</form>
<?php
	} else {

	?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('Manage Hotel', 'wpbooking'); ?> <a href="?page=booking_hotel&action=new-field" class="button add-new-h2"><?php _e('Add New Hotel', 'wpbooking'); ?></a> </h2>
<form method="get" action="" id="posts-filter">
<input type="hidden" value="booking_hotel" name="page"/>
<div class="tablenav">
<div class='tablenav-pages'>
<?php //echo $p->show();  // Echo out the list of paging. ?>
</div>
        <div class="alignleft actions">
        <select name="action">
        <option selected="selected" value="">Bulk Actions</option>
        <option value="delete">Delete</option>
        </select>
        <input type="submit" class="button-secondary action" id="doaction" name="doaction" value="Apply"/>
        </div>

        <br class="clear"/>
        </div>

<table class="widefat">
<thead>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Hotel', 'wpbooking'); ?></th>
<th><?php _e('Location', 'wpbooking'); ?></th>
<th><?php _e('Agent', 'wpbooking'); ?></th>
<th><?php _e('Status', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</thead>
<tfoot>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Hotel', 'wpbooking'); ?></th>
<th><?php _e('Location', 'wpbooking'); ?></th>
<th><?php _e('Agent', 'wpbooking'); ?></th>
<th><?php _e('Status', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</tfoot>
<tbody>

</tbody>
</table>
<div class="tablenav">


		<div class="alignleft actions">
		<select name="action2">
		<option selected="selected" value="">Bulk Actions</option>
		<option value="delete">Delete</option>
		</select>
		<input type="submit" class="button-secondary action" id="doaction2" name="doaction2" value="Apply"/>
		</div>

		<br class="clear"/>
		</div>

		<input id="save-all" class="button-primary savebutton" type="submit" value="Save all changes" name="save"/>
</form>
    <?php

	}
    ?>
    <?php
}

}

function wpbooking_show_complesso($where) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_hotel";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." ".$where." ORDER BY id DESC;";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

function wpbooking_show_complessoid($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_hotel";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = ".$id." ORDER BY id DESC;";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['name'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

function wpbooking_show_palazzina($limit,$where) {

	global $wpdb;

    /*if ($id) {
    $where = " WHERE hotel_id  = ".$id."";
    }*/

   	$table_name = $wpdb->prefix . "booking_rooms";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." ".$where." ORDER BY id DESC ".$limit.";";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

function wpbooking_delete_palazzina($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_rooms";

		$delete = "DELETE FROM ". $table_name ." WHERE id = '".$id."';";
		$results = $wpdb->query($delete);
		if($results == 1){
			return true;
		} else {
			return __("OrderDelete Fail.");
		}

}

function wpbooking_hotelid($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_rooms";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = ".$id." ORDER BY id DESC;";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['hotel_id'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

function wpbooking_new_palazzina() {

	global $wpdb, $current_user;
    get_currentuserinfo();
    if (current_user_can('organize_agent')) {
    $where = " WHERE user_id=".$current_user->ID."";
    } else {
    $where = "";
    }

$rows = wpbooking_show_complesso($where);
$services = wpbooking_show_services();


   	?>
<script language="JavaScript" type="text/javascript">
/*<![CDATA[*/
jQuery(document).ready(function(){
    jQuery("#formnew").validate();
  });

/*]]>*/
</script>

<form method="POST" id="formnew" action="?page=booking_rooms&action=save">
 <table class="widefat">
<tbody>
  <tr>
    <td width="100"><?php _e('Room Name', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="nome">
	<input type="text" name="nome" id="nome" class="required" /> <?php _e('Write room name or number', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Hotel', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="hotel_id"></label>
	<select id="hotel_id" name="hotel_id" style="width:135px;">
	<?php foreach ($rows as $row) {?>
	<option value="<?php echo $row['id']?>"><?php echo $row['name']?></option>
	<?php }?>
	</select>
    <?php _e('Select one Hotel previously created', 'wpbooking'); ?>
    </fieldset>
    </td>
  </tr>

  <tr>
    <td width="100"><?php _e('Descriptions', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="description">
    <b><?php _e('Important! If you want to use gallery features you MUST insert in the description field a single image that the plugin use to load Clearbox Javascript', 'wpbooking'); ?>   </b> <br />
    <div id="poststuff">
    <div id="postdivrich">
    <?php the_editor($row['description'], $id = 'description', $prev_id = 'title', $media_buttons = true, $tab_index = 2); ?>
    </div>
    </div>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Set number of rooms', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="room_number">
	<input type="text" name="room_number" id="room_number" class="required" />
    <?php _e('Set max number of rooms', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
    <tr>
    <td width="100"><?php _e('Max Adult', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="maxoccupants">
	<input type="text" name="maxoccupants" id="maxoccupants" class="required" />
    <?php _e('Set max adult for room', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
    <tr>
    <td width="100"><?php _e('Max Children', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="maxchilds">
	<input type="text" name="maxchilds" id="maxchilds" class="required" />
    <?php _e('Set max children for room', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
    <tr>
    <td width="100"><?php _e('Default Price', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="price">
	<input type="text" name="price" id="price" class="required" />
    <?php _e('Set default price for rooms (this is a default price,if you want different price for period/season you must use "season price")', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
    <tr>
    <td width="100"><?php _e('Services', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="servizio"></label>
	<div id="servizio" class="services" name="services" style="">
    <?php _e('Check services/facilities you offer for this room.', 'wpbooking'); ?> <br />
    <?php if ($services) { ?>
	<?php foreach ($services as $service) {?>
	<span class="spanservices"><input type="checkbox" name="services[]" value="<?php echo $service['id']?>" /><?php echo $service['services']?></span>
	<?php } } ?>
	</div>
    </fieldset>
    </td>
  </tr>
  <?php
  $templatetheme = ABSPATH . '/wp-content/themes/italyhotels/index.php';
  if (file_exists( $templatetheme )) {
  ?>
  <tr>
    <td width="100"><?php _e('Meta Title', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="metatitle">
	<input type="text" name="metatitle" id="metatitle" /> <?php _e('Write meta title', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Meta Descriptions', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="metatdesc">
	<input type="text" name="metatdesc" id="metatdesc" /> <?php _e('Write meta descriptions', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Meta keywrords', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="metakeywords">
	<input type="text" name="metakeywords" id="metakeywords" /> <?php _e('Write meta keywords', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <?php
  }
  ?>
  <tr>
    <td width="100"></td>
    <td></td>
  </tr>
</tbody>
</table><input type="hidden" name="user_id" value="<?php echo $current_user->ID ?>" />
<input id="save-all" class="button-primary savebutton" type="submit" value="Save" name="save"/>
</form>
    <?php

}

function wpbooking_edit_palazzina($id) {

	global $wpdb, $current_user;
    get_currentuserinfo();
    if (current_user_can('organize_agent')) {
    $where_agent = " WHERE user_id=".$current_user->ID."";
    } else {
    $where_agent = "";
    }

    $settings = get_wpbooking_options();
    $dir = ABSPATH.$settings['galleries_rootfolder'];
    $url = get_bloginfo('url')."/".$settings['galleries_rootfolder']."/";

$comps = wpbooking_show_complesso($where_agent);
$services = wpbooking_show_services();

    $table_name = $wpdb->prefix . "booking_rooms";
    $where = "WHERE id = '".$id."'";
    $sql = "SELECT * FROM ".$table_name." ".$where." LIMIT 1";
	$fields = $wpdb->get_results( $sql,"ARRAY_A");
    foreach($fields as $row){
   	?>

<form method="POST" action="?page=booking_rooms&action=editsave">
 <table class="widefat">
<tbody>
  <tr>
    <td width="100"><?php _e('Room Name', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="nome">
	<input type="text" name="nome" id="nome" value="<?php echo $row['nome'] ?>" /> <?php _e('Write room name or number', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Hotel', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="hotel_id"></label>
	<select id="hotel_id" name="hotel_id" style="width:135px;">
	<?php foreach ($comps as $comp) {?>
	<option value="<?php echo $comp['id']?>"<?php if(@$row['hotel_id']==$comp['id']){?> selected="selected"<?php }?>><?php echo $comp['name']?></option>
	<?php }?>
	</select>
    <?php _e('Select one Hotel previously created', 'wpbooking'); ?>
    </fieldset>
    </td>
  </tr>

    <tr>
    <td width="100"><?php _e('Descriptions', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="description">
    <b><?php _e('Important! If you want to use gallery features you MUST insert in the description field a single image that the plugin use to load Clearbox Javascript', 'wpbooking'); ?>   </b><br />
	<div id="poststuff">
    <div id="postdivrich">
    <?php the_editor($row['description'], $id = 'description', $prev_id = 'title', $media_buttons = true, $tab_index = 2); ?>
    </div>
    </div>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Set number of rooms', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="room_number">
	<input type="text" name="room_number" id="room_number" value="<?php echo $row['room_number'] ?>" />
    <?php _e('Set max number of rooms', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
      <tr>
    <td width="100"><?php _e('Max Adult', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="maxoccupants">
	<input type="text" name="maxoccupants" id="maxoccupants" value="<?php echo $row['maxoccupants'] ?>" />
    <?php _e('Set max adults for room', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
    <tr>
    <td width="100"><?php _e('Max Children', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="maxchilds">
	<input type="text" name="maxchilds" id="maxchilds" value="<?php echo $row['maxchilds'] ?>" />
    <?php _e('Set max children for room', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
    <tr>
    <td width="100"><?php _e('Default Price', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="price">
	<input type="text" name="price" id="price" value="<?php echo $row['price'] ?>" />
    <?php _e('Set default price for rooms (this is a default price,if you want different price for period/season you must use "season price")', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
      <tr>
    <td width="100"><?php _e('Services', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="servizio"></label>
	<div id="servizio" class="services" name="services" style="">
    <?php _e('Check services/facilities you offer for this room.', 'wpbooking'); ?> <br />
	<?php foreach ($services as $service) {?>
    <?php $servicesid=unserialize($row['services']); //echo $servicesid ?>
	<span class="spanservices"><input type="checkbox" name="services[]" value="<?php echo $service['id']?>" <?php
    for ($i = 0; $i < count($servicesid); $i++){
    if(@$service['id']==$servicesid[$i]){?> checked="checked"<?php } } ?> /><?php echo $service['services']?></span>
	<?php }?>
	</div>
    </fieldset>
    </td>
  </tr>
  <?php
  $templatetheme = ABSPATH . '/wp-content/themes/italyhotels/index.php';
  if (file_exists( $templatetheme )) {
  ?>
  <tr>
    <td width="100"><?php _e('Meta Title', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="metatitle">
	<input type="text" name="metatitle" id="metatitle" value="<?php echo $row['metatitle'] ?>" /> <?php _e('Write meta title', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Meta Descriptions', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="metatdesc">
	<input type="text" name="metatdesc" id="metatdesc" value="<?php echo $row['metatdesc'] ?>" /> <?php _e('Write meta descriptions', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Meta keywrords', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="metakeywords">
	<input type="text" name="metakeywords" id="metakeywords" value="<?php echo $row['metakeywords'] ?>" /> <?php _e('Write meta keywords', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <?php
  }
  ?>
  <tr>
    <td width="100"></td>
    <td></td>
  </tr>
</tbody>
</table><input type="hidden" name="id" value="<?php echo $row['id'] ?>" />
<input type="hidden" name="user_id" value="<?php echo $row['userid'] ?>" />
<input type="hidden" name="urlid" value="<?php echo $row['urlid'] ?>" />
<input id="save-all" class="button-primary savebutton" type="submit" value="Save" name="save"/>
</form>
    <?php
}
}

function wpbooking_rooms() {
    global $wpdb, $current_user;
	global $wpbooking_options;

    get_currentuserinfo();
    if (current_user_can('organize_agent')) {
    $agents = " AND userid=".$current_user->ID."";
    $agents1 = " WHERE userid=".$current_user->ID."";
    } else {
    $agents = "";
    $agents1 = "";
    }

    include(WPBOOKING_PLUGIN_DIR.'/includes/pagination.class.php');

    $id = @$_GET['idp'];
    if ($id) {
    $where = " WHERE hotel_id = ".$id." ".$agents."";
    } else  {
    $where = $agents1;
    }
    $table_name = $wpdb->prefix . "booking_rooms";
    $items = mysql_num_rows(mysql_query("SELECT * FROM ". $table_name ." ".$where."")); // number of total rows in the database
    if($items > 0) {
    $p = new pagination;
    $p->items($items);
    $p->limit(30); // Limit entries per page
    $p->target("admin.php?page=booking_rooms");
    $p->currentPage(isset($_GET['paging'])); // Gets and validates the current page
    $p->calculate(); // Calculates what to show
    $p->parameterName('paging');
    $p->adjacents(1); //No. of page away from the current page
    if(!isset($_GET['paging'])) {
    $p->page = 1;
    } else {
    $p->page = $_GET['paging'];
    }
//Query for limit paging
    $limit = "LIMIT " . ($p->page - 1) * $p->limit . ", " . $p->limit;
} else {
  echo "";
  }

    //Bulk Delete

if ( (@$_GET['action'] == 'delete') || (@$_GET['action2'] == 'delete')){
$num = 0;
	foreach ($_GET['chk_field'] as $id => $value ){

		if (wpbooking_delete_palazzina($id)){
			$num++;
		} else {
			echo "<div id='media-upload-error'>".wpbooking_delete_palazzina($_GET['id'])."</div>";
			break;
		}
	}
	if ($num > 0) {
		if ($num == 1) echo "<div class='updated'><p><strong>".__('Item deleted', 'wpbooking')."</strong></p></div>";
		else echo "<div class='updated'><p><strong>".$num." ".__('Items deleted', 'wpbooking')."</strong></p></div>";
	}
}

//Delete order

if (@$_GET['action'] == 'delete-field'){

		if (wpbooking_delete_palazzina($_GET['id'])){
			echo "<div class='updated'><p><strong>".__('Selected Items deleted', 'wpbooking')."</strong></p></div>";
		} else {
			echo "<div id='media-upload-error'>".wpbooking_delete_palazzina($_GET['id'])."</div>";
		}

}

if (@$_GET['action'] == 'save'){

    $nome = $_REQUEST['nome'];
    $hotel_id = $_REQUEST['hotel_id'];
    $image_room = $_REQUEST['image_room'];
    $description = $_REQUEST['description'];
    $servicesdesc = @$_REQUEST['servicesdesc'];
    $maxoccupants = $_REQUEST['maxoccupants'];
    $maxchilds = $_REQUEST['maxchilds'];
    $price = $_REQUEST['price'];
    $services=serialize($_POST['services']);
    $user_id = $_REQUEST['user_id'];
    $metatitle = $_REQUEST['metatitle'];
    $metatdesc = $_REQUEST['metatdesc'];
    $metakeywords = $_REQUEST['metakeywords'];
    $room_number = $_REQUEST['room_number'];


    /*$name = preg_replace("`[^\w]+`", "", $name);
    $name = str_replace(" ", "-", $name);
    $name = preg_replace('/[^A-Za-z0-9]/', "", $name);*/

$idquery = mysql_query("SELECT id FROM ".$wpdb->prefix."booking_roomtemp ORDER BY id DESC LIMIT 1");
$riga = mysql_fetch_array($idquery);
$complessoid = $riga['id']+1;

$my_post = array(
'ID' => '',
'post_title' => $nome,
'post_content' => '[room id="'.$hotel_id.'" rooms="'.$complessoid.'"]',
//'post_date' => 'Y-m-d H:i:s',
'post_status' => 'publish',
'post_type' => 'roomscustom',
'post_author' => $user_id,
//'post_category' => array($cats),
);
$post_id = wp_insert_post($my_post);

$hotel_name = wpbooking_show_complessoid($hotel_id);

$cat_ids = array( $hotel_name );
wp_set_object_terms(  $post_id, $cat_ids, 'roomscustoms' );
add_post_meta($post_id, 'Title', $metatitle, true);
add_post_meta($post_id, 'Description', $metatdesc, true);
add_post_meta($post_id, 'Keywords', $metakeywords, true);

    $table_name = $wpdb->prefix . "booking_rooms";

    $sql = "INSERT INTO ". $table_name ." (id, nome, hotel_id, image_room, description, maxoccupants, maxchilds, price, servicesdesc, services, urlid, userid, metatitle, metatdesc, metakeywords, room_number) VALUES ('', '".$nome."', '".$hotel_id."', '".$image_room."', '".$description."', '".$maxoccupants."', '".$maxchilds."', '".$price."', '".$servicesdesc."', '".$services."', '".$post_id."', '".$user_id."', '".$metatitle."', '".$metatdesc."', '".$metakeywords."', '".$room_number."'    )";

    mysql_query($sql) or die(mysql_error());

    $table_name1 = $wpdb->prefix . "booking_roomtemp";

    $sql1 = "INSERT INTO ". $table_name1 ." (id, name) VALUES ('', '".$nome."' )";

    mysql_query($sql1) or die(mysql_error());

			echo "<div class='updated'><p><strong>".__('New Item created', 'wpbooking')."</strong></p></div>";


}

if (@$_GET['action'] == 'editsave'){

    $nome = $_REQUEST['nome'];
    $hotel_id = $_REQUEST['hotel_id'];
    $id_save = $_REQUEST['id'];
    $image_room = $_REQUEST['image_room'];
    $description = $_REQUEST['description'];
    $servicesdesc = @$_REQUEST['servicesdesc'];
    $maxoccupants = $_REQUEST['maxoccupants'];
    $maxchilds = $_REQUEST['maxchilds'];
    $price = $_REQUEST['price'];
    $services=serialize($_POST['services']);
    $user_id = $_REQUEST['user_id'];
    $metatitle = $_REQUEST['metatitle'];
    $metatdesc = $_REQUEST['metatdesc'];
    $metakeywords = $_REQUEST['metakeywords'];
    $urlid = $_REQUEST['urlid'];
    $room_number = $_REQUEST['room_number'];

    /*$name = preg_replace("`[^\w]+`", "", $name);
    $name = str_replace(" ", "-", $name);
    $name = preg_replace('/[^A-Za-z0-9]/', "", $name);*/

update_post_meta($urlid, 'Title', $metatitle, true);
update_post_meta($urlid, 'Description', $metatdesc, true);
update_post_meta($urlid, 'Keywords', $metakeywords, true);

    $table_name = $wpdb->prefix . "booking_rooms";

    $wheresave = "WHERE id = '".$id_save."'";

    $sql = "UPDATE  ".$table_name." SET nome = '".$nome."', hotel_id = '".$hotel_id."', image_room = '".$image_room."', description = '".$description."', maxoccupants = '".$maxoccupants."', maxchilds = '".$maxchilds."', price = '".$price."', servicesdesc = '".$servicesdesc."', services = '".$services."', metatitle = '".$metatitle."', metatdesc = '".$metatdesc."', metakeywords = '".$metakeywords."', room_number = '".$room_number."'    $wheresave";

    $result = mysql_query($sql);

			echo "<div class='updated'><p><strong>".__('Item saved', 'wpbooking')."</strong></p></div>";


}

if (@$_GET['action'] == 'new-field'){
?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('New Room', 'wpbooking'); ?></h2>
<?php
wpbooking_new_palazzina();

} else if (@$_GET['action'] == 'edit'){
?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('Edit Room', 'wpbooking'); ?></h2>
<?php
$id = $_GET['id'];
wpbooking_edit_palazzina($id);

}

else {

    $i=0;
    $fields = wpbooking_show_palazzina($limit,$where);
    if ($fields){
    ?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<p><?php _e('Here you can add, edit and manage rooms (add description and gallery). They will be listed in intro and rooms details pages.', 'wpbooking'); ?> </p>
<h2><?php //_e('Manage Rooms', 'wpbooking'); ?> <a href="?page=booking_rooms&action=new-field" class="button add-new-h2"><?php _e('Add New Room', 'wpbooking'); ?></a> </h2>
<form method="get" action="" id="posts-filter">
<input type="hidden" value="booking_rooms" name="page"/>
<div class="tablenav">
<div class='tablenav-pages'>
<?php
if($items > 1) {
 echo $p->show();
 }  // Echo out the list of paging. ?>
</div>
        <div class="alignleft actions">
        <select name="action">
        <option selected="selected" value="">Bulk Actions</option>
        <option value="delete">Delete</option>
        </select>
        <input type="submit" class="button-secondary action" id="doaction" name="doaction" value="Apply"/>
        </div>

        <br class="clear"/>
        </div>

<table class="widefat">
<thead>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Name', 'wpbooking'); ?></th>
<th><?php _e('Hotel', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</thead>
<tfoot>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Name', 'wpbooking'); ?></th>
<th><?php _e('Hotel', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</tfoot>
<tbody>
<?php foreach($fields as $f){  ?>
<tr class="<?php if ($i%2 == 0) echo "alternate";?>" id="prod-<?php echo $i;?>">
<th class="check-column" scope="row">
<input type="checkbox" value="1" id="check_<?php echo $i;?>" name="chk_field[<?php echo $f['id'] ?>]"/>
<input type="hidden" value="<?php echo $f['id'] ?>" name="id[]"/>
</th>
<td><?php echo $f['id']; ?></td>
<td><?php echo $f['nome']; ?></td>
<td><?php echo wpbooking_show_complessoid($f['hotel_id']); ?></td>
<td>
<a href="?page=booking_rooms&action=edit&id=<?php echo $f['id'] ?>"><strong><?php _e('Edit', 'wpbooking'); ?></strong></a> -
<a href="?page=booking_rooms&action=delete-field&id=<?php echo $f['id'] ?>"><?php _e('Delete', 'wpbooking'); ?></a><br />
<?php $permalink = get_permalink( $f['urlid'] ); ?>
<a href="<?php echo $permalink ?>" target="_BLANK"><?php _e('View Room', 'wpbooking'); ?></a>
</td>
</tr>
<?php
$i++;
}
?>
</tbody>
</table>
<div class="tablenav">


		<div class="alignleft actions">
		<select name="action2">
		<option selected="selected" value="">Bulk Actions</option>
		<option value="delete">Delete</option>
		</select>
		<input type="submit" class="button-secondary action" id="doaction2" name="doaction2" value="Apply"/>
		</div>

		<br class="clear"/>
		</div>

		<input id="save-all" class="button-primary savebutton" type="submit" value="Save all changes" name="save"/>
</form>
<?php
	} else {

	?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<p><?php _e('Here you can add, edit and manage rooms (add description and gallery). They will be listed in intro and rooms details pages.', 'wpbooking'); ?> </p>
<h2><?php //_e('Manage Rooms', 'wpbooking'); ?> <a href="?page=booking_rooms&action=new-field" class="button add-new-h2"><?php _e('Add New Room', 'wpbooking'); ?></a> </h2>
<form method="get" action="" id="posts-filter">
<input type="hidden" value="booking_rooms" name="page"/>
<div class="tablenav">
<div class='tablenav-pages'>
<?php //echo $p->show();  // Echo out the list of paging. ?>
</div>
        <div class="alignleft actions">
        <select name="action">
        <option selected="selected" value="">Bulk Actions</option>
        <option value="delete">Delete</option>
        </select>
        <input type="submit" class="button-secondary action" id="doaction" name="doaction" value="Apply"/>
        </div>

        <br class="clear"/>
        </div>

<table class="widefat">
<thead>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Name', 'wpbooking'); ?></th>
<th><?php _e('Hotel', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</thead>
<tfoot>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Name', 'wpbooking'); ?></th>
<th><?php _e('Hotel', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</tfoot>
<tbody>

</tbody>
</table>
<div class="tablenav">


		<div class="alignleft actions">
		<select name="action2">
		<option selected="selected" value="">Bulk Actions</option>
		<option value="delete">Delete</option>
		</select>
		<input type="submit" class="button-secondary action" id="doaction2" name="doaction2" value="Apply"/>
		</div>

		<br class="clear"/>
		</div>

		<input id="save-all" class="button-primary savebutton" type="submit" value="Save all changes" name="save"/>
</form>
    <?php

	}
    ?>
    <?php
}

}

function wpbooking_show_palext($where) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_rooms";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." ".$where." ORDER BY id DESC;";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

function wpbooking_show_palazzinaid($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_rooms";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = ".$id." ORDER BY id DESC;";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['nome'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

function wpbooking_show_tabelle($where,$limit) {

	global $wpdb;

    /*if ($id) {
    $where = " WHERE palazzina = ".$id."";
    }*/

   	$table_name = $wpdb->prefix . "booking_price";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." ".$where." ORDER BY id DESC ".$limit.";";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

function wpbooking_delete_tabelle($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_price";

		$delete = "DELETE FROM ". $table_name ." WHERE id = '".$id."';";
		$results = $wpdb->query($delete);
		if($results == 1){
			return true;
		} else {
			return __("OrderDelete Fail.");
		}

}

function wpbooking_new_tabelle() {

	global $wpdb, $current_user;
    get_currentuserinfo();
    if (current_user_can('organize_agent')) {
    $agents = " WHERE user_id=".$current_user->ID."";
    $agents1 = " WHERE userid=".$current_user->ID."";
    } else {
    $agents = "";
    $agents1 = "";
    }

$settings = get_wpbooking_options();
$dir = ABSPATH.$settings['galleries_rootfolder'];
$url = get_bloginfo('url')."/".$settings['galleries_rootfolder']."/";

$rows = wpbooking_show_palext($agents1);
$tipis = wpbooking_show_tipi($agents,'');
$stato = array('In Vendita','Venduto','Bloccato');
$prezzi = wpbooking_show_prezzo($agents);

   	?>
<script language="JavaScript" type="text/javascript">
/*<![CDATA[*/
jQuery(document).ready(function(){
    jQuery("#formnew1").validate();
  });

/*]]>*/
</script>
<script type="text/javascript">

            jQuery(document).ready( function () {
                jQuery("#contenuto").addClass("mceEditor");
                if ( typeof( tinyMCE ) == "object" && typeof( tinyMCE.execCommand ) == "function" ) {
                    tinyMCE.execCommand("mceAddControl", false, "contenuto");
                }
            });
            jQuery(document).ready(function($) {
	    $('a.toggleVisual-contenuto').click(
		function() {
			tinyMCE.execCommand('mceAddControl', false, 'contenuto');
		}
	);
	$('a.toggleHTML-contenuto').click(
		function() {
			tinyMCE.execCommand('mceRemoveControl', false, 'contenuto');
		}
	);

});

</script>

<form method="POST" id="formnew" action="?page=booking_price&action=save">
 <table class="widefat">
<tbody>
  <tr>
    <td width="100"><?php _e('Label', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="offerta">
	<input type="text" name="offerta" id="offerta" class="required"/>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Room', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="room_id"></label>
	<select id="room_id" name="room_id" style="width:150px;">
	<?php foreach ($rows as $row) {?>
	<option value="<?php echo $row['id']?>"><?php echo $row['nome']?></option>
	<?php }?>
	</select>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Seasons', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="seasons_id">
	<select id="seasons_id" name="seasons_id" style="width:150px;">
	<?php foreach ($tipis as $tipi) {?>
	<option value="<?php echo $tipi['id']?>"><?php echo $tipi['tipo']?></option>
	<?php }?>
	</select>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Price', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="prezzo">
	<input type="text" name="prezzo" id="prezzo" class="required"/>
    <?php _e('insert you desired price without symbol value (for example 10.00)', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"></td>
    <td></td>
  </tr>
</tbody>
</table><input type="hidden" name="user_id" value="<?php echo $current_user->ID ?>" />
<input id="save-all" class="button-primary savebutton" type="submit" value="Save" name="save"/>
</form>
    <?php

}

function wpbooking_edit_tabelle($id) {

	global $wpdb, $current_user;
    get_currentuserinfo();
    if (current_user_can('organize_agent')) {
    $agents = " WHERE user_id=".$current_user->ID."";
    $agents1 = " WHERE userid=".$current_user->ID."";
    } else {
    $agents = "";
    $agents1 = "";
    }

$settings = get_wpbooking_options();
$dir = ABSPATH.$settings['galleries_rootfolder'];
$url = get_bloginfo('url')."/".$settings['galleries_rootfolder']."/";

$comps = wpbooking_show_palext($agents1);
$tipis = wpbooking_show_tipi($agents,'');
$stato = array('In Vendita','Venduto','Bloccato');
$prezzi = wpbooking_show_prezzo($agents);

    $table_name = $wpdb->prefix . "booking_price";
    $where = "WHERE id = '".$id."'";
    $sql = "SELECT * FROM ".$table_name." ".$where." LIMIT 1";
	$fields = $wpdb->get_results( $sql,"ARRAY_A");
    foreach($fields as $row){
   	?>
<script type="text/javascript">

            jQuery(document).ready( function () {
                jQuery("#contenuto").addClass("mceEditor");
                if ( typeof( tinyMCE ) == "object" && typeof( tinyMCE.execCommand ) == "function" ) {
                    tinyMCE.execCommand("mceAddControl", false, "contenuto");
                }
            });
            jQuery(document).ready(function($) {
	    $('a.toggleVisual-contenuto').click(
		function() {
			tinyMCE.execCommand('mceAddControl', false, 'contenuto');
		}
	);
	$('a.toggleHTML-contenuto').click(
		function() {
			tinyMCE.execCommand('mceRemoveControl', false, 'contenuto');
		}
	);

});

</script>
<form method="POST" action="?page=booking_price&action=editsave">
 <table class="widefat">
<tbody>
  <tr>
    <td width="100"><?php _e('Label', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="offerta">
	<input type="text" name="offerta" id="offerta" value="<?php echo $row['offerta'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Room', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="room_id"></label>
	<select id="room_id" name="room_id" style="width:150px;">
	<?php foreach ($comps as $comp) {?>
	<option value="<?php echo $comp['id']?>"<?php if(@$row['room_id']==$comp['id']){?> selected="selected"<?php }?>><?php echo $comp['nome']?></option>
	<?php }?>
	</select>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Seasons', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="seasons_id">
    <select id="seasons_id" name="seasons_id" style="width:150px;">
	<?php foreach ($tipis as $tipi) {?>
	<option value="<?php echo $tipi['id']?>"<?php if(@$row['seasons_id']==$tipi['id']){?> selected="selected"<?php }?>><?php echo $tipi['tipo']?></option>
	<?php }?>
	</select>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Price', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="prezzo">
	<input type="text" name="prezzo" id="prezzo" value="<?php echo $row['prezzo'] ?>" />
    <?php _e('insert you desired price without symbol value (for example 10.00)', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"></td>
    <td></td>
  </tr>
</tbody>
</table><input type="hidden" name="id" value="<?php echo $row['id'] ?>" />
<input type="hidden" name="user_id" value="<?php echo $row['user_id'] ?>" />
<input id="save-all" class="button-primary savebutton" type="submit" value="Save" name="save"/>
</form>
    <?php
}
}

function wpbooking_price() {
    global $wpdb, $current_user;
	global $wpbooking_options;
    get_currentuserinfo();

    include(WPBOOKING_PLUGIN_DIR.'/includes/pagination.class.php');

    if (current_user_can('organize_agent')) {
    $agents = " AND user_id=".$current_user->ID."";
    $agents1 = " WHERE user_id=".$current_user->ID."";
    } else {
    $agents = "";
    $agents1 = "";
    }

    $id = @$_GET['idt'];
    if ($id) {
    $where = " WHERE room_id = ".$id." ".$agents."";
    } else {
    $where = $agents1;
    }
    $table_name = $wpdb->prefix . "booking_price";
    $items = mysql_num_rows(mysql_query("SELECT * FROM ". $table_name ." ".$where."")); // number of total rows in the database
    if($items > 0) {
    $p = new pagination;
    $p->items($items);
    $p->limit(30); // Limit entries per page
    $p->target("admin.php?page=booking_price");
    $p->currentPage(isset($_GET['paging'])); // Gets and validates the current page
    $p->calculate(); // Calculates what to show
    $p->parameterName('paging');
    $p->adjacents(1); //No. of page away from the current page
    if(!isset($_GET['paging'])) {
    $p->page = 1;
    } else {
    $p->page = $_GET['paging'];
    }
//Query for limit paging
    $limit = "LIMIT " . ($p->page - 1) * $p->limit . ", " . $p->limit;
} else {
  echo "";
  }
  //echo "SELECT * FROM ". $table_name ." ".$where."";
    //Bulk Delete

if ( (@$_GET['action'] == 'delete') || (@$_GET['action2'] == 'delete')){
$num = 0;
	foreach ($_GET['chk_field'] as $id => $value ){

		if (wpbooking_delete_tabelle($id)){
			$num++;
		} else {
			echo "<div id='media-upload-error'>".wpbooking_delete_tabelle($_GET['id'])."</div>";
			break;
		}
	}
	if ($num > 0) {
		if ($num == 1) echo "<div class='updated'><p><strong>".__('Item deleted', 'wpbooking')."</strong></p></div>";
		else echo "<div class='updated'><p><strong>".$num." ".__('Items deleted', 'wpbooking')."</strong></p></div>";
	}
}

//Delete order

if (@$_GET['action'] == 'delete-field'){

		if (wpbooking_delete_palazzina($_GET['id'])){
			echo "<div class='updated'><p><strong>".__('Selected Items deleted', 'wpbooking')."</strong></p></div>";
		} else {
			echo "<div id='media-upload-error'>".wpbooking_delete_tabelle($_GET['id'])."</div>";
		}

}

if (@$_GET['action'] == 'save'){

    $offerta = $_REQUEST['offerta'];
    $room_id = $_REQUEST['room_id'];
    $seasons_id = $_REQUEST['seasons_id'];
    $prezzo = $_REQUEST['prezzo'];
    $contenuto = @$_REQUEST['contenuto'];
    $user_id = $_REQUEST['user_id'];


    /*$name = preg_replace("`[^\w]+`", "", $name);
    $name = str_replace(" ", "-", $name);
    $name = preg_replace('/[^A-Za-z0-9]/', "", $name);*/

    $table_name = $wpdb->prefix . "booking_price";
    //echo $sql;
    $sql = "INSERT INTO ". $table_name ." (id, offerta, seasons_id, room_id, contenuto, prezzo, user_id) VALUES ('', '".$offerta."','".$seasons_id."','".$room_id."','".$contenuto."','".$prezzo."','".$user_id."' )";

    mysql_query($sql) or die(mysql_error());

			echo "<div class='updated'><p><strong>".__('New Item created', 'wpbooking')."</strong></p></div>";


}

if (@$_GET['action'] == 'editsave'){

    $offerta = $_REQUEST['offerta'];
    $room_id = $_REQUEST['room_id'];
    $id_save = $_REQUEST['id'];

    $seasons_id = $_REQUEST['seasons_id'];
    $contenuto = @$_REQUEST['contenuto'];
    $prezzo = $_REQUEST['prezzo'];
    $user_id = $_REQUEST['user_id'];

    /*$name = preg_replace("`[^\w]+`", "", $name);
    $name = str_replace(" ", "-", $name);
    $name = preg_replace('/[^A-Za-z0-9]/', "", $name);*/

    $table_name = $wpdb->prefix . "booking_price";

    $wheresave = "WHERE id = '".$id_save."'";

    $sql = "UPDATE  ".$table_name." SET offerta = '".$offerta."', seasons_id = '".$seasons_id."', room_id = '".$room_id."', contenuto = '".$contenuto."', prezzo = '".$prezzo."'  $wheresave";

    $result = mysql_query($sql);

			echo "<div class='updated'><p><strong>".__('Item saved', 'wpbooking')."</strong></p></div>";

/*echo '<script type="text/javascript">
<!--
window.location = "?page=booking_price"
//-->
</script>
';*/

}

if (@$_GET['action'] == 'new-field'){
?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('New Price', 'wpbooking'); ?></h2>
<?php
wpbooking_new_tabelle();

} else if (@$_GET['action'] == 'edit'){
?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('Edit Price', 'wpbooking'); ?></h2>
<?php
$id = $_GET['id'];
wpbooking_edit_tabelle($id);

}

else {

    $i=0;
    $fields = wpbooking_show_tabelle($where,$limit);
    if ($fields){
    ?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<p><?php _e('Here you can add, edit and manage price for season.', 'wpbooking'); ?></p>
<h2><?php //_e('Manage Seasons Price', 'wpbooking'); ?> <a href="?page=booking_price&action=new-field" class="button add-new-h2"><?php _e('Add New Price', 'wpbooking'); ?></a> </h2>
<form method="get" action="" id="posts-filter">
<input type="hidden" value="booking_price" name="page"/>
<div class="tablenav">
<div class='tablenav-pages'>
<?php
if($items > 1) {
 echo $p->show();
 }  // Echo out the list of paging. ?>
</div>
        <div class="alignleft actions">
        <select name="action">
        <option selected="selected" value="">Bulk Actions</option>
        <option value="delete">Delete</option>
        </select>
        <input type="submit" class="button-secondary action" id="doaction" name="doaction" value="Apply"/>
        </div>

        <br class="clear"/>
        </div>

<table class="widefat">
<thead>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Name', 'wpbooking'); ?></th>
<th><?php _e('Rooms', 'wpbooking'); ?></th>
<th><?php _e('Seasons', 'wpbooking'); ?></th>
<th><?php _e('Price', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</thead>
<tfoot>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Name', 'wpbooking'); ?></th>
<th><?php _e('Rooms', 'wpbooking'); ?></th>
<th><?php _e('Seasons', 'wpbooking'); ?></th>
<th><?php _e('Price', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</tfoot>
<tbody>
<?php foreach($fields as $f){  ?>
<tr class="<?php if ($i%2 == 0) echo "alternate";?>" id="prod-<?php echo $i;?>">
<th class="check-column" scope="row">
<input type="checkbox" value="1" id="check_<?php echo $i;?>" name="chk_field[<?php echo $f['id'] ?>]"/>
<input type="hidden" value="<?php echo $f['id'] ?>" name="id[]"/>
</th>
<td><?php echo $f['id']; ?></td>
<td><?php echo $f['offerta']; ?></td>
<td><?php echo wpbooking_show_palazzinaid($f['room_id']); ?></td>
<td><?php echo wpbooking_show_tipiid($f['seasons_id']); ?></td>
<td><?php echo $f['prezzo']; ?></td>
<td>
<a href="?page=booking_price&action=edit&id=<?php echo $f['id'] ?>"><strong><?php _e('Edit', 'wpbooking'); ?></strong></a><br />
<a href="?page=booking_price&action=delete-field&id=<?php echo $f['id'] ?>"><?php _e('Deelete', 'wpbooking'); ?></a>
</td>
</tr>
<?php
$i++;
}
?>
</tbody>
</table>
<div class="tablenav">


		<div class="alignleft actions">
		<select name="action2">
		<option selected="selected" value="">Bulk Actions</option>
		<option value="delete">Delete</option>
		</select>
		<input type="submit" class="button-secondary action" id="doaction2" name="doaction2" value="Apply"/>
		</div>

		<br class="clear"/>
		</div>

		<input id="save-all" class="button-primary savebutton" type="submit" value="Save all changes" name="save"/>
</form>
<?php
	} else {

	?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<p><?php _e('Here you can add, edit and manage price for season.', 'wpbooking'); ?></p>
<h2><?php //_e('Manage Seasons Price', 'wpbooking'); ?> <a href="?page=booking_price&action=new-field" class="button add-new-h2"><?php _e('Add New Price', 'wpbooking'); ?></a> </h2>
<form method="get" action="" id="posts-filter">
<input type="hidden" value="booking_rooms" name="page"/>
<div class="tablenav">
<div class='tablenav-pages'>
<?php //echo $p->show();  // Echo out the list of paging. ?>
</div>
        <div class="alignleft actions">
        <select name="action">
        <option selected="selected" value="">Bulk Actions</option>
        <option value="delete">Delete</option>
        </select>
        <input type="submit" class="button-secondary action" id="doaction" name="doaction" value="Apply"/>
        </div>

        <br class="clear"/>
        </div>

<table class="widefat">
<thead>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Name', 'wpbooking'); ?></th>
<th><?php _e('Rooms', 'wpbooking'); ?></th>
<th><?php _e('Seasons', 'wpbooking'); ?></th>
<th><?php _e('Price', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</thead>
<tfoot>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Name', 'wpbooking'); ?></th>
<th><?php _e('Rooms', 'wpbooking'); ?></th>
<th><?php _e('Seasons', 'wpbooking'); ?></th>
<th><?php _e('Price', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</tfoot>
<tbody>

</tbody>
</table>
<div class="tablenav">


		<div class="alignleft actions">
		<select name="action2">
		<option selected="selected" value="">Bulk Actions</option>
		<option value="delete">Delete</option>
		</select>
		<input type="submit" class="button-secondary action" id="doaction2" name="doaction2" value="Apply"/>
		</div>

		<br class="clear"/>
		</div>

		<input id="save-all" class="button-primary savebutton" type="submit" value="Save all changes" name="save"/>
</form>
    <?php

	}
    ?>
    <?php
}

}

function wpbooking_show_tipi($where,$limit) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_seasons";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." ".$where." ORDER BY id DESC ".$limit.";";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

function wpbooking_show_tipiid($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_seasons";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = ".$id." ORDER BY id DESC;";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['tipo'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

function wpbooking_show_tipiname($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_seasons";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = ".$id." ORDER BY id DESC ".$limit.";";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['tipo'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

function wpbooking_show_tipologia($limit,$id) {

	global $wpdb;

    if ($id) {
    $where = " WHERE room_id = ".$id."";
    }

   	$table_name = $wpdb->prefix . "booking_seasons";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." ".$where." ORDER BY id DESC ".$limit.";";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

function wpbooking_delete_tipi($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_seasons";

		$delete = "DELETE FROM ". $table_name ." WHERE id = '".$id."';";
		$results = $wpdb->query($delete);
		if($results == 1){
			return true;
		} else {
			return __("OrderDelete Fail.");
		}

}

function wpbooking_new_tipologia() {

	global $wpdb, $current_user;
    get_currentuserinfo();

    if (current_user_can('organize_agent')) {
    $agents = " WHERE user_id=".$current_user->ID."";
    $agents1 = " WHERE userid=".$current_user->ID."";
    } else {
    $agents = "";
    $agents1 = "";
    }

    $comps = wpbooking_show_palext($agents1);

   	?>
<script language="JavaScript" type="text/javascript">
/*<![CDATA[*/
jQuery(document).ready(function(){
    jQuery("#formnew").validate();
  });

/*]]>*/
</script>
<form method="POST" id="formnew" action="?page=booking_seasons&action=save">
 <table class="widefat">
<tbody>
  <tr>
    <td width="100"><?php _e('Season label', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="tipo">
	<input type="text" name="tipo" id="tipo" class="required" />
	</label>
    </fieldset>
    </td>
    </tr>
    <tr>
    <td width="100"><?php _e('Room', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="room_id"></label>
	<select id="room_id" name="room_id" style="width:150px;">
	<?php foreach ($comps as $comp) {?>
	<option value="<?php echo $comp['id']?>"><?php echo $comp['nome']?></option>
	<?php }?>
	</select>
    </fieldset>
    </td>
  </tr>
      <tr>
    <td width="100"><?php _e('Date start', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="date_from">
	<input type="text" name="date_from" id="date_from" class="required" />
	</label>
    </fieldset>
    </td>
  </tr>
    <tr>
    <td width="100"><?php _e('Date end', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="date_to">
	<input type="text" name="date_to" id="date_to" class="required" />
	</label>
    </fieldset>
    </td>
  </tr>
    <tr>
    <td width="100"><?php _e('Price', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="prezzo">
	<input type="text" name="prezzo" id="prezzo" class="required" />
    <?php _e('insert you desired price without symbol value (for example 10.00)', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"></td>
    <td></td>
  </tr>
</tbody>
</table><input type="hidden" name="user_id" value="<?php echo $current_user->ID ?>" />
<input id="save-all" class="button-primary savebutton" type="submit" value="Save" name="save"/>
</form>
    <?php

}

function wpbooking_edit_tipologia($id) {

	global $wpdb, $current_user;

    get_currentuserinfo();
    if (current_user_can('organize_agent')) {
    $agents = " WHERE user_id=".$current_user->ID."";
    $agents1 = " WHERE userid=".$current_user->ID."";
    } else {
    $agents = "";
    $agents1 = "";
    }

    $comps = wpbooking_show_palext($agents1);

    $table_name = $wpdb->prefix . "booking_seasons";
    $where = "WHERE id = '".$id."'";
    $sql = "SELECT * FROM ".$table_name." ".$where." LIMIT 1";
	$fields = $wpdb->get_results( $sql,"ARRAY_A");
    foreach($fields as $row){
   	?>
<form method="POST" action="?page=booking_seasons&action=editsave">
 <table class="widefat">
<tbody>
  <tr>
    <td width="100"><?php _e('Season label', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="tipo">
	<input type="text" name="tipo" id="tipo" value="<?php echo $row['tipo'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Room', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="room_id"></label>
	<select id="room_id" name="room_id" style="width:150px;">
	<?php foreach ($comps as $comp) {?>
	<option value="<?php echo $comp['id']?>"<?php if(@$row['room_id']==$comp['id']){?> selected="selected"<?php }?>><?php echo $comp['nome']?></option>
	<?php }?>
	</select>
    </fieldset>
    </td>
  </tr>
    <tr>
    <td width="100"><?php _e('Date start', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="date_from">
	<input type="text" name="date_from" id="date_from" value="<?php echo $row['date_from'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
    <tr>
    <td width="100"><?php _e('date end', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="date_to">
	<input type="text" name="date_to" id="date_to" value="<?php echo $row['date_to'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
    <tr>
    <td width="100"><?php _e('Price', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="prezzo">
	<input type="text" name="prezzo" id="prezzo" value="<?php echo $row['prezzo'] ?>" />
    <?php _e('insert you desired price without symbol value (for example 10.00)', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"></td>
    <td></td>
  </tr>
</tbody>
</table><input type="hidden" name="id" value="<?php echo $row['id'] ?>" />
<input type="hidden" name="user_id" value="<?php echo $row['user_id'] ?>" />
<input id="save-all" class="button-primary savebutton" type="submit" value="Save" name="save"/>
</form>
    <?php
}
}

function wpbooking_seasons() {
    global $wpdb, $current_user;
	global $wpbooking_options;
    get_currentuserinfo();

    include(WPBOOKING_PLUGIN_DIR.'/includes/pagination.class.php');

    if (current_user_can('organize_agent')) {
    $agents = " AND user_id=".$current_user->ID."";
    $agents1 = " WHERE user_id=".$current_user->ID."";
    } else {
    $agents = "";
    $agents1 = "";
    }

    $id = @$_GET['idt'];
    if ($id) {
    $where = " WHERE room_id = ".$id." ".$agents."";
    } else {
    $where = $agents1;
    }
    $table_name = $wpdb->prefix . "booking_seasons";
    $items = mysql_num_rows(mysql_query("SELECT * FROM ". $table_name ." ".$where."")); // number of total rows in the database
    if($items > 0) {
    $p = new pagination;
    $p->items($items);
    $p->limit(30); // Limit entries per page
    $p->target("admin.php?page=booking_seasons");
    $p->currentPage(isset($_GET['paging'])); // Gets and validates the current page
    $p->calculate(); // Calculates what to show
    $p->parameterName('paging');
    $p->adjacents(1); //No. of page away from the current page
    if(!isset($_GET['paging'])) {
    $p->page = 1;
    } else {
    $p->page = $_GET['paging'];
    }
//Query for limit paging
    $limit = "LIMIT " . ($p->page - 1) * $p->limit . ", " . $p->limit;
} else {
  echo "";
  }
  //echo "SELECT * FROM ". $table_name ." ".$where."";
    //Bulk Delete

if ( (@$_GET['action'] == 'delete') || (@$_GET['action2'] == 'delete')){
$num = 0;
	foreach ($_GET['chk_field'] as $id => $value ){

		if (wpbooking_delete_tipi($id)){
			$num++;
		} else {
			echo "<div id='media-upload-error'>".wpbooking_delete_tipi($_GET['id'])."</div>";
			break;
		}
	}
	if ($num > 0) {
		if ($num == 1) echo "<div class='updated'><p><strong>".__('Item deleted', 'wpbooking')."</strong></p></div>";
		else echo "<div class='updated'><p><strong>".$num." ".__('Items deleted', 'wpbooking')."</strong></p></div>";
	}
}

//Delete order

if (@$_GET['action'] == 'delete-field'){

		if (wpbooking_delete_tipi($_GET['id'])){
			echo "<div class='updated'><p><strong>".__('Selected Items deleted', 'wpbooking')."</strong></p></div>";
		} else {
			echo "<div id='media-upload-error'>".wpbooking_delete_tipi($_GET['id'])."</div>";
		}

}

if (@$_GET['action'] == 'save'){

    $tipo = $_REQUEST['tipo'];
    $abbreviazione = @$_REQUEST['abbreviazione'];
    $date_from = $_REQUEST['date_from'];
    $date_to = $_REQUEST['date_to'];
    $user_id = $_REQUEST['user_id'];
    $room_id = $_REQUEST['room_id'];
    $prezzo = $_REQUEST['prezzo'];


    /*$name = preg_replace("`[^\w]+`", "", $name);
    $name = str_replace(" ", "-", $name);
    $name = preg_replace('/[^A-Za-z0-9]/', "", $name);*/

    $table_name = $wpdb->prefix . "booking_seasons";

    $sql = "INSERT INTO ". $table_name ." (id, tipo, abbreviazione, date_from, date_to, user_id, room_id, prezzo) VALUES ('', '".$tipo."', '".$abbreviazione."', '".$date_from."', '".$date_to."', '".$user_id."', '".$room_id."', '".$prezzo."' )";

    mysql_query($sql) or die(mysql_error());

    $seasons_id = mysql_insert_id();

    $table_name1 = $wpdb->prefix . "booking_price";
    //echo $sql;
    $sql1 = "INSERT INTO ". $table_name1 ." (id, offerta, seasons_id, room_id, contenuto, prezzo, user_id) VALUES ('', '".$tipo."','".$seasons_id."','".$room_id."','".$contenuto."','".$prezzo."','".$user_id."' )";

    mysql_query($sql1) or die(mysql_error());

			echo "<div class='updated'><p><strong>".__('New Item created', 'wpbooking')."</strong></p></div>";


}

if (@$_GET['action'] == 'editsave'){

    $tipo = $_REQUEST['tipo'];
    $abbreviazione = @$_REQUEST['abbreviazione'];
    $date_from = $_REQUEST['date_from'];
    $date_to = $_REQUEST['date_to'];
    $id_save = $_REQUEST['id'];
    $user_id = $_REQUEST['user_id'];
    $room_id = $_REQUEST['room_id'];
    $prezzo = $_REQUEST['prezzo'];


    /*$name = preg_replace("`[^\w]+`", "", $name);
    $name = str_replace(" ", "-", $name);
    $name = preg_replace('/[^A-Za-z0-9]/', "", $name);*/

    $table_name = $wpdb->prefix . "booking_seasons";

    $wheresave = "WHERE id = '".$id_save."'";

    $sql = "UPDATE  ".$table_name." SET tipo = '".$tipo."', abbreviazione = '".$abbreviazione."', date_from = '".$date_from."', date_to = '".$date_to."', room_id = '".$room_id."', prezzo = '".$prezzo."' $wheresave";

    $result = mysql_query($sql);

    $table_name1 = $wpdb->prefix . "booking_price";

    $wheresave1 = "WHERE seasons_id = '".$id_save."'";

    $sql1 = "UPDATE  ".$table_name1." SET offerta = '".$tipo."', seasons_id = '".$id_save."', room_id = '".$room_id."', contenuto = '".$contenuto."', prezzo = '".$prezzo."'  $wheresave";

    $result1 = mysql_query($sql1);

			echo "<div class='updated'><p><strong>".__('Item saved', 'wpbooking')."</strong></p></div>";


}

if (@$_GET['action'] == 'new-field'){
?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('New Seasons', 'wpbooking'); ?></h2>
<?php
wpbooking_new_tipologia();

} else if (@$_GET['action'] == 'edit'){
?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('Edit Seasons', 'wpbooking'); ?></h2>
<?php
$id = $_GET['id'];
wpbooking_edit_tipologia($id);

}

else {

    $i=0;
    $fields = wpbooking_show_tipi($where,$limit);
    if ($fields){
    ?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<p><?php _e('Here you can add, edit and manage season for your Hotel. Season price can be set in "Season price" men.', 'wpbooking'); ?> </p>
<h2><?php //_e('Manage Seasons', 'wpbooking'); ?><a href="?page=booking_seasons&action=new-field" class="button add-new-h2"><?php _e('Add New Season', 'wpbooking'); ?></a> </h2>
<form method="get" action="" id="posts-filter">
<input type="hidden" value="booking_seasons" name="page"/>
<div class="tablenav">
<div class='tablenav-pages'>
<?php
if($items > 1) {
 echo $p->show();
 }  // Echo out the list of paging. ?>
</div>
        <div class="alignleft actions">
        <select name="action">
        <option selected="selected" value="">Bulk Actions</option>
        <option value="delete">Delete</option>
        </select>
        <input type="submit" class="button-secondary action" id="doaction" name="doaction" value="Apply"/>
        </div>

        <br class="clear"/>
        </div>

<table class="widefat">
<thead>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Seasons', 'wpbooking'); ?></th>
<th><?php _e('Hotel', 'wpbooking'); ?></th>
<th><?php _e('Room', 'wpbooking'); ?></th>
<th><?php _e('Date start', 'wpbooking'); ?></th>
<th><?php _e('Date end', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</thead>
<tfoot>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Seasons', 'wpbooking'); ?></th>
<th><?php _e('Hotel', 'wpbooking'); ?></th>
<th><?php _e('Room', 'wpbooking'); ?></th>
<th><?php _e('Date start', 'wpbooking'); ?></th>
<th><?php _e('Date end', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</tfoot>
<tbody>
<?php foreach($fields as $f){  ?>
<tr class="<?php if ($i%2 == 0) echo "alternate";?>" id="prod-<?php echo $i;?>">
<th class="check-column" scope="row">
<input type="checkbox" value="1" id="check_<?php echo $i;?>" name="chk_field[<?php echo $f['id'] ?>]"/>
<input type="hidden" value="<?php echo $f['id'] ?>" name="id[]"/>
</th>
<td><?php echo $f['id']; ?></td>
<td><?php echo $f['tipo']; ?></td>
<td><?php echo wpbooking_show_complessoid(wpbooking_hotelid($f['room_id'])); ?></td>
<td><?php echo wpbooking_show_palazzinaid($f['room_id']); ?></td>
<td><?php echo $f['date_from']; ?></td>
<td><?php echo $f['date_to']; ?></td>
<td>
<a href="?page=booking_seasons&action=edit&id=<?php echo $f['id'] ?>"><strong><?php _e('Edit', 'wpbooking'); ?></strong></a><br />
<a href="?page=booking_seasons&action=delete-field&id=<?php echo $f['id'] ?>"><?php _e('Delete', 'wpbooking'); ?></a>
</td>
</tr>
<?php
$i++;
}
?>
</tbody>
</table>
<div class="tablenav">


		<div class="alignleft actions">
		<select name="action2">
		<option selected="selected" value="">Bulk Actions</option>
		<option value="delete">Delete</option>
		</select>
		<input type="submit" class="button-secondary action" id="doaction2" name="doaction2" value="Apply"/>
		</div>

		<br class="clear"/>
		</div>

		<input id="save-all" class="button-primary savebutton" type="submit" value="Save all changes" name="save"/>
</form>
<?php
	} else {

	?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<p><?php _e('Here you can add, edit and manage season for your Hotel. Season price can be set in "Season price" men.', 'wpbooking'); ?> </p>
<h2><?php //_e('Manage Seasons', 'wpbooking'); ?> <a href="?page=booking_seasons&action=new-field" class="button add-new-h2"><?php _e('Add New Season', 'wpbooking'); ?></a> </h2>
<form method="get" action="" id="posts-filter">
<input type="hidden" value="booking_rooms" name="page"/>
<div class="tablenav">
<div class='tablenav-pages'>
<?php //echo $p->show();  // Echo out the list of paging. ?>
</div>
        <div class="alignleft actions">
        <select name="action">
        <option selected="selected" value="">Bulk Actions</option>
        <option value="delete">Delete</option>
        </select>
        <input type="submit" class="button-secondary action" id="doaction" name="doaction" value="Apply"/>
        </div>

        <br class="clear"/>
        </div>

<table class="widefat">
<thead>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Seasons', 'wpbooking'); ?></th>
<th><?php _e('Hotel', 'wpbooking'); ?></th>
<th><?php _e('Room', 'wpbooking'); ?></th>
<th><?php _e('Date start', 'wpbooking'); ?></th>
<th><?php _e('Date end', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</thead>
<tfoot>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Seasons', 'wpbooking'); ?></th>
<th><?php _e('Hotel', 'wpbooking'); ?></th>
<th><?php _e('Room', 'wpbooking'); ?></th>
<th><?php _e('Date start', 'wpbooking'); ?></th>
<th><?php _e('Date end', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</tfoot>
<tbody>

</tbody>
</table>
<div class="tablenav">


		<div class="alignleft actions">
		<select name="action2">
		<option selected="selected" value="">Bulk Actions</option>
		<option value="delete">Delete</option>
		</select>
		<input type="submit" class="button-secondary action" id="doaction2" name="doaction2" value="Apply"/>
		</div>

		<br class="clear"/>
		</div>

		<input id="save-all" class="button-primary savebutton" type="submit" value="Save all changes" name="save"/>
</form>
    <?php

	}
    ?>
    <?php
}
}

function wpbooking_show_services() {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_services";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." ORDER BY id DESC;";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

function wpbooking_show_servicesid($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_services";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE localita = ".$id." ORDER BY id DESC ".$limit.";";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['localita'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

function wpbooking_show_localita($limit,$id) {

	global $wpdb;

    if ($id) {
    $where = " WHERE room_id = ".$id."";
    } else {
    $where = "";
    }

   	$table_name = $wpdb->prefix . "booking_services";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." ".$where." ORDER BY id DESC ".$limit.";";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

function wpbooking_delete_localita($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_services";

		$delete = "DELETE FROM ". $table_name ." WHERE id = '".$id."';";
		$results = $wpdb->query($delete);
		if($results == 1){
			return true;
		} else {
			return __("OrderDelete Fail.");
		}

}

function wpbooking_new_localita() {

	global $wpdb;

   	?>
<script language="JavaScript" type="text/javascript">
/*<![CDATA[*/
jQuery(document).ready(function(){
    jQuery("#formnew").validate();
  });

/*]]>*/
</script>
<form method="POST" id="formnew" action="?page=booking_services&action=save">
 <table class="widefat">
<tbody>
  <tr>
    <td width="100"><?php _e('Service', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="services">
	<input type="text" name="services" id="services" class="required" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"></td>
    <td></td>
  </tr>
</tbody>
</table>
<input id="save-all" class="button-primary savebutton" type="submit" value="Save" name="save"/>
</form>
    <?php

}

function wpbooking_edit_localita($id) {

	global $wpdb;

    $table_name = $wpdb->prefix . "booking_services";
    $where = "WHERE id = '".$id."'";
    $sql = "SELECT * FROM ".$table_name." ".$where." LIMIT 1";
	$fields = $wpdb->get_results( $sql,"ARRAY_A");
    foreach($fields as $row){
   	?>
<form method="POST" action="?page=booking_services&action=editsave">
 <table class="widefat">
<tbody>
  <tr>
    <td width="100"><?php _e('Service', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="services">
	<input type="text" name="services" id="services" value="<?php echo $row['services'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"></td>
    <td></td>
  </tr>
</tbody>
</table><input type="hidden" name="id" value="<?php echo $row['id'] ?>" />
<input id="save-all" class="button-primary savebutton" type="submit" value="Save" name="save"/>
</form>
    <?php
}
}

function wpbooking_services() {
    global $wpdb;
	global $wpbooking_options;

    include(WPBOOKING_PLUGIN_DIR.'/includes/pagination.class.php');

    $id = @$_GET['idt'];
    if ($id) {
    $where = " WHERE id = ".$id."";
    } else {
    $where = "";
    }
    $table_name = $wpdb->prefix . "booking_services";
    $items = mysql_num_rows(mysql_query("SELECT * FROM ". $table_name ." ".$where."")); // number of total rows in the database
    if($items > 0) {
    $p = new pagination;
    $p->items($items);
    $p->limit(30); // Limit entries per page
    $p->target("admin.php?page=booking_services");
    $p->currentPage(isset($_GET['paging'])); // Gets and validates the current page
    $p->calculate(); // Calculates what to show
    $p->parameterName('paging');
    $p->adjacents(1); //No. of page away from the current page
    if(!isset($_GET['paging'])) {
    $p->page = 1;
    } else {
    $p->page = $_GET['paging'];
    }
//Query for limit paging
    $limit = "LIMIT " . ($p->page - 1) * $p->limit . ", " . $p->limit;
} else {
  echo "";
  }
  //echo "SELECT * FROM ". $table_name ." ".$where."";
    //Bulk Delete

if ( (@$_GET['action'] == 'delete') || (@$_GET['action2'] == 'delete')){
$num = 0;
	foreach ($_GET['chk_field'] as $id => $value ){

		if (wpbooking_delete_localita($id)){
			$num++;
		} else {
			echo "<div id='media-upload-error'>".wpbooking_delete_localita($_GET['id'])."</div>";
			break;
		}
	}
	if ($num > 0) {
		if ($num == 1) echo "<div class='updated'><p><strong>".__('Item deleted', 'wpbooking')."</strong></p></div>";
		else echo "<div class='updated'><p><strong>".$num." ".__('Items deleted', 'wpbooking')."</strong></p></div>";
	}
}

//Delete order

if (@$_GET['action'] == 'delete-field'){

		if (wpbooking_delete_localita($_GET['id'])){
			echo "<div class='updated'><p><strong>".__('Selected Items deleted', 'wpbooking')."</strong></p></div>";
		} else {
			echo "<div id='media-upload-error'>".wpbooking_delete_localita($_GET['id'])."</div>";
		}

}

if (@$_GET['action'] == 'save'){

    $services = $_REQUEST['services'];
;


    /*$name = preg_replace("`[^\w]+`", "", $name);
    $name = str_replace(" ", "-", $name);
    $name = preg_replace('/[^A-Za-z0-9]/', "", $name);*/

    $table_name = $wpdb->prefix . "booking_services";

    $sql = "INSERT INTO ". $table_name ." (id, services) VALUES ('', '".$services."' )";

    mysql_query($sql) or die(mysql_error());

			echo "<div class='updated'><p><strong>".__('New Item created', 'wpbooking')."</strong></p></div>";


}

if (@$_GET['action'] == 'editsave'){

    $services = $_REQUEST['services'];
    $id_save = $_REQUEST['id'];


    /*$name = preg_replace("`[^\w]+`", "", $name);
    $name = str_replace(" ", "-", $name);
    $name = preg_replace('/[^A-Za-z0-9]/', "", $name);*/

    $table_name = $wpdb->prefix . "booking_services";

    $where = "WHERE id = '".$id_save."'";

    $sql = "UPDATE  ".$table_name." SET services = '".$services."' $where";

    $result = mysql_query($sql);

			echo "<div class='updated'><p><strong>".__('Item saved', 'wpbooking')."</strong></p></div>";


}

if (@$_GET['action'] == 'new-field'){
?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('New Service', 'wpbooking'); ?></h2>
<?php
wpbooking_new_localita();

} else if (@$_GET['action'] == 'edit'){
?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('Edit Service', 'wpbooking'); ?></h2>
<?php
$id = $_GET['id'];
wpbooking_edit_localita($id);

}

else {

    $i=0;
    $fields = wpbooking_show_localita($limit,$id);
    if ($fields){
    ?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<p><?php _e('Here you can add, edit and manage services that you wish to offer for your rooms. They will be listed in rooms details pages (left sidebar).', 'wpbooking'); ?></p>
<h2><?php //_e('Manage Services', 'wpbooking'); ?> <a href="?page=booking_services&action=new-field" class="button add-new-h2"><?php _e('Add New Service', 'wpbooking'); ?></a> </h2>
<form method="get" action="" id="posts-filter">
<input type="hidden" value="booking_services" name="page"/>
<div class="tablenav">
<div class='tablenav-pages'>
<?php
if($items > 1) {
 echo $p->show();
 }  // Echo out the list of paging. ?>
</div>
        <div class="alignleft actions">
        <select name="action">
        <option selected="selected" value="">Bulk Actions</option>
        <option value="delete">Delete</option>
        </select>
        <input type="submit" class="button-secondary action" id="doaction" name="doaction" value="Apply"/>
        </div>

        <br class="clear"/>
        </div>

<table class="widefat">
<thead>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Service', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</thead>
<tfoot>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Service', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</tfoot>
<tbody>
<?php foreach($fields as $f){  ?>
<tr class="<?php if ($i%2 == 0) echo "alternate";?>" id="prod-<?php echo $i;?>">
<th class="check-column" scope="row">
<input type="checkbox" value="1" id="check_<?php echo $i;?>" name="chk_field[<?php echo $f['id'] ?>]"/>
<input type="hidden" value="<?php echo $f['id'] ?>" name="id[]"/>
</th>
<td><?php echo $f['id']; ?></td>
<td><?php echo $f['services']; ?></td>
<td>
<a href="?page=booking_services&action=edit&id=<?php echo $f['id'] ?>"><strong><?php _e('Edit', 'wpbooking'); ?></strong></a><br />
<a href="?page=booking_services&action=delete-field&id=<?php echo $f['id'] ?>"><?php _e('Deelete', 'wpbooking'); ?></a>
</td>
</tr>
<?php
$i++;
}
?>
</tbody>
</table>
<div class="tablenav">


		<div class="alignleft actions">
		<select name="action2">
		<option selected="selected" value="">Bulk Actions</option>
		<option value="delete">Delete</option>
		</select>
		<input type="submit" class="button-secondary action" id="doaction2" name="doaction2" value="Apply"/>
		</div>

		<br class="clear"/>
		</div>

		<input id="save-all" class="button-primary savebutton" type="submit" value="Save all changes" name="save"/>
</form>
<?php
	} else {

	?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<p><?php _e('Here you can add, edit and manage services that you wish to offer for your rooms. They will be listed in rooms details pages (left sidebar).', 'wpbooking'); ?></p>
<h2><?php _//e('Manage Services', 'wpbooking'); ?> <a href="?page=booking_services&action=new-field" class="button add-new-h2"><?php _e('Add New Service', 'wpbooking'); ?></a> </h2>
<form method="get" action="" id="posts-filter">
<input type="hidden" value="booking_rooms" name="page"/>
<div class="tablenav">
<div class='tablenav-pages'>
<?php //echo $p->show();  // Echo out the list of paging. ?>
</div>
        <div class="alignleft actions">
        <select name="action">
        <option selected="selected" value="">Bulk Actions</option>
        <option value="delete">Delete</option>
        </select>
        <input type="submit" class="button-secondary action" id="doaction" name="doaction" value="Apply"/>
        </div>

        <br class="clear"/>
        </div>

<table class="widefat">
<thead>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Service', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</thead>
<tfoot>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Service', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</tfoot>
<tbody>

</tbody>
</table>
<div class="tablenav">


		<div class="alignleft actions">
		<select name="action2">
		<option selected="selected" value="">Bulk Actions</option>
		<option value="delete">Delete</option>
		</select>
		<input type="submit" class="button-secondary action" id="doaction2" name="doaction2" value="Apply"/>
		</div>

		<br class="clear"/>
		</div>

		<input id="save-all" class="button-primary savebutton" type="submit" value="Save all changes" name="save"/>
</form>
    <?php

	}
    ?>
    <?php
}
}

function wpbooking_show_prezzo($where) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_availability";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." ".$where." ORDER BY id DESC;";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

function wpbooking_show_prezziid($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_availability";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = ".$id." ORDER BY id DESC ".$limit.";";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['nome'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

function wpbooking_show_prezzi($limit,$where) {

	global $wpdb;

    /*if ($id) {
    $where = " WHERE id = ".$id."";
    }*/

   	$table_name = $wpdb->prefix . "booking_availability";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." ".$where." ORDER BY id DESC ".$limit.";";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

function wpbooking_delete_prezzi($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_availability";
    $table_name2 = $wpdb->prefix . "booking_calendar";

		$delete = "DELETE FROM ". $table_name ." WHERE id = '".$id."';";
        $delete2 = "DELETE FROM ". $table_name2 ." WHERE id_availability = '".$id."';";
		$results = $wpdb->query($delete);
        $results2 = $wpdb->query($delete2);
		if($results == 1){
			return true;
		} else {
			return __("OrderDelete Fail.");
		}

}

function wpbooking_new_prezzi() {

	global $wpdb, $current_user;
    get_currentuserinfo();
    if (current_user_can('organize_agent')) {
    $agents = " WHERE user_id=".$current_user->ID."";
    $agents1 = " WHERE userid=".$current_user->ID."";
    } else {
    $agents = "";
    $agents1 = "";
    }

    $comps = wpbooking_show_palext($agents1);

    $disps = array('available', 'unavailable', 'booked', 'reserved');

    $hotels = wpbooking_show_complesso($agents);

   	?>
<script language="JavaScript" type="text/javascript">
/*<![CDATA[*/
jQuery(document).ready(function(){
    jQuery("#formnew").validate();
  });

/*]]>*/
</script>
<script language="JavaScript" type="text/javascript">
/*<![CDATA[*/
jQuery(document).ready(function(){
		jQuery('#hotelid').change(function(){
			// alert('edit');
			var hotel = jQuery('#hotelid').val();
            <?php
            if (current_user_can('organize_agent')) {  ?>
            var userid = <?php echo $current_user->ID ?>;
            <?php } ?>
            //alert(cat);
			jQuery.ajax({
			   type: "POST",
			   url: "<?php echo WPBOOKING_PLUGIN_URL ?>/includes/search_room.php",
			   data: ({hotel:hotel <?php if (current_user_can('organize_agent')) {  ?>, userid:userid <?php } ?> }),
			   success: function(response){
			     // alert( "Data: " + response );
			     jQuery("select.camera").html(response);
			   }
			 });
		});
        	});

/*]]>*/
</script>
<form method="POST" id="formnew" action="?page=booking_availability&action=save">
 <table class="widefat">
<tbody>
  <tr>
    <td width="100"><?php _e('Name', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="nome">
	<input type="text" name="nome" id="nome" value="" class="required" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Hotel', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="hotelid"></label>
	<select id="hotelid" name="hotelid" style="width:150px;">
	<?php foreach ($hotels as $hotel) {?>
	<option value="<?php echo $hotel['id']?>"><?php echo $hotel['name']?></option>
	<?php }?>
	</select>
    </fieldset>
    </td>
  </tr>
    <tr>
    <td width="100"><?php _e('Room', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="camera"></label>
	<select id="camera" name="camera" class="camera" style="width:150px;">
	<?php foreach ($comps as $comp) {?>
	<option value="<?php echo $comp['id']?>"><?php echo $comp['nome']?></option>
	<?php }?>
	</select>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Availability', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="availability"></label>
	<select id="availability" name="availability" style="width:150px;">
	<?php foreach ($disps as $disp) {?>
	<option value="<?php echo $disp?>"><?php echo $disp?></option>
	<?php }?>
	</select>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('From', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="fascia1">
	<input type="text" name="fascia1" id="date_from" class="required" />
	</label>
    </fieldset>
    </td>
  </tr>
    <tr>
    <td width="100"><?php _e('To', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="fascia2">
	<input type="text" name="fascia2" id="date_to" class="required" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"></td>
    <td></td>
  </tr>
</tbody>
</table><input type="hidden" name="user_id" value="<?php echo $current_user->ID ?>" />
<input id="save-all" class="button-primary savebutton" type="submit" value="Save" name="save"/>
</form>
    <?php

}

function wpbooking_edit_prezzi($id) {

	global $wpdb, $current_user;
    get_currentuserinfo();
    if (current_user_can('organize_agent')) {
    $agents = " WHERE user_id=".$current_user->ID."";
    $agents1 = " WHERE userid=".$current_user->ID."";
    } else {
    $agents = "";
    $agents1 = "";
    }

    $comps = wpbooking_show_palext($agents1);
    $disps = array('available', 'unavailable', 'booked', 'reserved');
    $hotels = wpbooking_show_complesso($agents);

    $table_name = $wpdb->prefix . "booking_availability";
    $where = "WHERE id = '".$id."'";
    $sql = "SELECT * FROM ".$table_name." ".$where." LIMIT 1";
	$fields = $wpdb->get_results( $sql,"ARRAY_A");
    foreach($fields as $row){
   	?>
<script language="JavaScript" type="text/javascript">
/*<![CDATA[*/
jQuery(document).ready(function(){
		jQuery('#hotelid').change(function(){
			// alert('edit');
			var hotel = jQuery('#hotelid').val();
            <?php
            if (current_user_can('organize_agent')) {  ?>
            var userid = <?php echo $current_user->ID ?>;
            <?php } ?>
            //alert(cat);
			jQuery.ajax({
			   type: "POST",
			   url: "<?php echo WPBOOKING_PLUGIN_URL ?>/includes/search_room.php",
			   data: ({hotel:hotel <?php if (current_user_can('organize_agent')) {  ?>, userid:userid <?php } ?> }),
			   success: function(response){
			     // alert( "Data: " + response );
			     jQuery("select.camera").html(response);
			   }
			 });
		});
        	});

/*]]>*/
</script>
<form method="POST" action="?page=booking_availability&action=editsave">
 <table class="widefat">
<tbody>
  <tr>
    <td width="100"><?php _e('Name', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="nome">
	<input type="text" name="nome" id="nome" value="<?php echo $row['nome'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Hotel', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="hotelid"></label>
	<select id="hotelid" name="hotelid" style="width:150px;">
	<?php foreach ($hotels as $hotel) {?>
	<option value="<?php echo $hotel['id']?>"<?php if(@$row['hotelid']==$hotel['id']){?> selected="selected"<?php }?>><?php echo $hotel['name']?></option>
	<?php }?>
	</select>
    </fieldset>
    </td>
  </tr>
    <tr>
    <td width="100"><?php _e('Room', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="camera"></label>
	<select id="camera" name="camera" class="camera" style="width:150px;">
	<?php foreach ($comps as $comp) {?>
	<option value="<?php echo $comp['id']?>" <?php if(@$row['camera']==$comp['id']){?> selected="selected"<?php }?>><?php echo $comp['nome']?></option>
	<?php }?>
	</select>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Availability', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="availability"></label>
	<select id="availability" name="availability" style="width:150px;">
	<?php foreach ($disps as $disp) {?>
	<option value="<?php echo $disp?>" <?php if(@$disp==$row['availability']){?> selected="selected"<?php }?>><?php echo $disp?></option>
	<?php }?>
	</select>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('From', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="fascia1">
	<input type="text" name="fascia1" id="date_from" value="<?php echo $row['fascia1'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
    <tr>
    <td width="100"><?php _e('To', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="fascia2">
	<input type="text" name="fascia2" id="date_to" value="<?php echo $row['fascia2'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"></td>
    <td></td>
  </tr>
</tbody>
</table><input type="hidden" name="id" value="<?php echo $row['id'] ?>" />
<input type="hidden" name="user_id" value="<?php echo $row['user_id'] ?>" />
<input id="save-all" class="button-primary savebutton" type="submit" value="Save" name="save"/>
</form>
    <?php
}
}

function wpbooking_availability() {
    global $wpdb, $current_user;
	global $wpbooking_options;
    get_currentuserinfo();

    include(WPBOOKING_PLUGIN_DIR.'/includes/pagination.class.php');

    if (current_user_can('organize_agent')) {
    $agents = " AND user_id=".$current_user->ID."";
    $agents1 = " WHERE user_id=".$current_user->ID."";
    } else {
    $agents = "";
    $agents1 = "";
    }

    $id = @$_GET['idt'];
    if ($id) {
    $where = " WHERE id = ".$id." ".$agents."";
    } else {
    $where = $agents1;
    }
    $table_name = $wpdb->prefix . "booking_availability";
    $items = mysql_num_rows(mysql_query("SELECT * FROM ". $table_name ." ".$where."")); // number of total rows in the database
    if($items > 0) {
    $p = new pagination;
    $p->items($items);
    $p->limit(30); // Limit entries per page
    $p->target("admin.php?page=booking_availability");
    $p->currentPage(isset($_GET['paging'])); // Gets and validates the current page
    $p->calculate(); // Calculates what to show
    $p->parameterName('paging');
    $p->adjacents(1); //No. of page away from the current page
    if(!isset($_GET['paging'])) {
    $p->page = 1;
    } else {
    $p->page = $_GET['paging'];
    }
//Query for limit paging
    $limit = "LIMIT " . ($p->page - 1) * $p->limit . ", " . $p->limit;
} else {
  echo "";
  }
  //echo "SELECT * FROM ". $table_name ." ".$where."";
    //Bulk Delete

if ( (@$_GET['action'] == 'delete') || (@$_GET['action2'] == 'delete')){
$num = 0;
	foreach ($_GET['chk_field'] as $id => $value ){

		if (wpbooking_delete_prezzi($id)){
			$num++;
		} else {
			echo "<div id='media-upload-error'>".wpbooking_delete_prezzi($_GET['id'])."</div>";
			break;
		}
	}
	if ($num > 0) {
		if ($num == 1) echo "<div class='updated'><p><strong>".__('Item deleted', 'wpbooking')."</strong></p></div>";
		else echo "<div class='updated'><p><strong>".$num." ".__('Items deleted', 'wpbooking')."</strong></p></div>";
	}
}

//Delete order

if (@$_GET['action'] == 'delete-field'){

		if (wpbooking_delete_prezzi($_GET['id'])){
			echo "<div class='updated'><p><strong>".__('Selected Items deleted', 'wpbooking')."</strong></p></div>";
		} else {
			echo "<div id='media-upload-error'>".wpbooking_delete_prezzi($_GET['id'])."</div>";
		}

}

if (@$_GET['action'] == 'save'){

    $nome = $_REQUEST['nome'];
    $camera = $_REQUEST['camera'];
    $facia1 = $_REQUEST['fascia1'];
    $facia2 = $_REQUEST['fascia2'];
    $availability = $_REQUEST['availability'];
    $user_id = $_REQUEST['user_id'];
    $hotelid = $_REQUEST['hotelid'];



    /*$name = preg_replace("`[^\w]+`", "", $name);
    $name = str_replace(" ", "-", $name);
    $name = preg_replace('/[^A-Za-z0-9]/', "", $name);*/

    $table_name = $wpdb->prefix . "booking_availability";

    $sql = "INSERT INTO ". $table_name ." (id, nome, camera, fascia1, fascia2, availability, user_id, hotelid) VALUES ('', '".$nome."', '".$camera."', '".$facia1."', '".$facia2."', '".$availability."', '".$user_id."', '".$hotelid."' )";

    mysql_query($sql) or die(mysql_error());

    $last_id = mysql_insert_id();

    $table_name2 = $wpdb->prefix . "booking_calendar";
    $rangedate = dateRange( $facia1, $facia2);
    foreach( $rangedate as $key => $value){

    $sql1 = "INSERT INTO ". $table_name2 ." (id, caldate, status, id_availability, id_camera) VALUES ('', '".$value."', '".$availability."', '".$last_id."', '".$camera."' )";

    $result1 = mysql_query($sql1);

    }

			echo "<div class='updated'><p><strong>".__('New Item created', 'wpbooking')."</strong></p></div>";


}

if (@$_GET['action'] == 'editsave'){

    $nome = $_REQUEST['nome'];
    $camera = $_REQUEST['camera'];
    $fascia1 = $_REQUEST['fascia1'];
    $fascia2 = $_REQUEST['fascia2'];
    $id_save = $_REQUEST['id'];
    $availability = $_REQUEST['availability'];
    $user_id = $_REQUEST['user_id'];
    $hotelid = $_REQUEST['hotelid'];


    /*$name = preg_replace("`[^\w]+`", "", $name);
    $name = str_replace(" ", "-", $name);
    $name = preg_replace('/[^A-Za-z0-9]/', "", $name);*/

    $table_name = $wpdb->prefix . "booking_availability";

    $wheresave = "WHERE id = '".$id_save."'";

    $sql = "UPDATE  ".$table_name." SET fascia1 = '".$fascia1."', fascia2 = '".$fascia2."', nome = '".$nome."', camera = '".$camera."', availability = '".$availability."', hotelid = '".$hotelid."' $wheresave";

    $result = mysql_query($sql);

    $table_name2 = $wpdb->prefix . "booking_calendar";
    $rangedate = dateRange( $fascia1, $fascia2);
    foreach( $rangedate as $key => $value){

    $result_ceck = mysql_query("SELECT id, caldate FROM ".$table_name2." WHERE id_availability = '".$id_save."' AND caldate = '".$value."'");
    $num_rows = mysql_num_rows($result_ceck);
    if ($num_rows == 0) {

    $sql1 = "INSERT INTO ". $table_name2 ." (id, caldate, status, id_availability, id_camera) VALUES ('', '".$value."', '".$availability."', '".$id_save."', '".$camera."' )";

    $result1 = mysql_query($sql1);

    } else {

    $where2 = "WHERE id_availability = '".$id_save."' AND caldate = '".$value."' AND reservation='0'";
    $sql1 = "UPDATE  ".$table_name2." SET caldate = '".$value."', status = '".$availability."', id_availability = '".$id_save."', id_camera = '".$camera."' $where2";

    $result1 = mysql_query($sql1);
    }
    }

			echo "<div class='updated'><p><strong>".__('Item saved', 'wpbooking')."</strong></p></div>";


}

if (@$_GET['action'] == 'new-field'){
?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('New Availability', 'wpbooking'); ?></h2>
<?php
wpbooking_new_prezzi();

} else if (@$_GET['action'] == 'edit'){
?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('Edit Availability', 'wpbooking'); ?></h2>
<?php
$id = $_GET['id'];
wpbooking_edit_prezzi($id);

}

else {

    $i=0;
    $fields = wpbooking_show_prezzi($limit,$where);
    if ($fields){
    ?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<p><?php _e('Here you can setup and manage availability for every rooms. It is necessary to set first of all "available state" for you rooms to make active booking form.', 'wpbooking'); ?></p>
<h2><?php //_e('Manage Availability', 'wpbooking'); ?> <a href="?page=booking_availability&action=new-field" class="button add-new-h2"><?php _e('Add New Availability', 'wpbooking'); ?></a> </h2>
<form method="get" action="" id="posts-filter">
<input type="hidden" value="booking_availability" name="page"/>
<div class="tablenav">
<div class='tablenav-pages'>
<?php
if($items > 1) {
 echo $p->show();
 }  // Echo out the list of paging. ?>
</div>
        <div class="alignleft actions">
        <select name="action">
        <option selected="selected" value="">Bulk Actions</option>
        <option value="delete">Delete</option>
        </select>
        <input type="submit" class="button-secondary action" id="doaction" name="doaction" value="Apply"/>
        </div>

        <br class="clear"/>
        </div>

<table class="widefat">
<thead>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Name', 'wpbooking'); ?></th>
<th><?php _e('Hotel', 'wpbooking'); ?></th>
<th><?php _e('Room', 'wpbooking'); ?></th>
<th><?php _e('From', 'wpbooking'); ?></th>
<th><?php _e('To', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</thead>
<tfoot>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Name', 'wpbooking'); ?></th>
<th><?php _e('Hotel', 'wpbooking'); ?></th>
<th><?php _e('Room', 'wpbooking'); ?></th>
<th><?php _e('From', 'wpbooking'); ?></th>
<th><?php _e('To', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</tfoot>
<tbody>
<?php foreach($fields as $f){  ?>
<tr class="<?php if ($i%2 == 0) echo "alternate";?>" id="prod-<?php echo $i;?>">
<th class="check-column" scope="row">
<input type="checkbox" value="1" id="check_<?php echo $i;?>" name="chk_field[<?php echo $f['id'] ?>]"/>
<input type="hidden" value="<?php echo $f['id'] ?>" name="id[]"/>
</th>
<td><?php echo $f['id']; ?></td>
<td><?php echo $f['nome']; ?></td>
<td><?php echo wpbooking_show_complessoid($f['hotelid']); ?></td>
<td><?php echo wpbooking_show_palazzinaid($f['camera']); ?></td>
<td><?php echo $f['fascia1']; ?></td>
<td><?php echo $f['fascia2']; ?></td>
<td>
<a href="?page=booking_availability&action=edit&id=<?php echo $f['id'] ?>"><strong><?php _e('Edit', 'wpbooking'); ?></strong></a><br />
<a href="?page=booking_availability&action=delete-field&id=<?php echo $f['id'] ?>"><?php _e('Delete', 'wpbooking'); ?></a>
</td>
</tr>
<?php
$i++;
}
?>
</tbody>
</table>
<div class="tablenav">


		<div class="alignleft actions">
		<select name="action2">
		<option selected="selected" value="">Bulk Actions</option>
		<option value="delete">Delete</option>
		</select>
		<input type="submit" class="button-secondary action" id="doaction2" name="doaction2" value="Apply"/>
		</div>

		<br class="clear"/>
		</div>

		<input id="save-all" class="button-primary savebutton" type="submit" value="Save all changes" name="save"/>
</form>
<?php
	} else {

	?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<p><?php _e('Here you can setup and manage availability for every rooms. It is necessary to set first of all "available state" for you rooms to make active booking form.', 'wpbooking'); ?></p>
<h2><?php //_e('Manage Availability', 'wpbooking'); ?> <a href="?page=booking_availability&action=new-field" class="button add-new-h2"><?php _e('Add New Availability', 'wpbooking'); ?></a> </h2>
<form method="get" action="" id="posts-filter">
<input type="hidden" value="booking_availability" name="page"/>
<div class="tablenav">
<div class='tablenav-pages'>
<?php //echo $p->show();  // Echo out the list of paging. ?>
</div>
        <div class="alignleft actions">
        <select name="action">
        <option selected="selected" value="">Bulk Actions</option>
        <option value="delete">Delete</option>
        </select>
        <input type="submit" class="button-secondary action" id="doaction" name="doaction" value="Apply"/>
        </div>

        <br class="clear"/>
        </div>

<table class="widefat">
<thead>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Name', 'wpbooking'); ?></th>
<th><?php _e('Hotel', 'wpbooking'); ?></th>
<th><?php _e('Room', 'wpbooking'); ?></th>
<th><?php _e('From', 'wpbooking'); ?></th>
<th><?php _e('To', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</thead>
<tfoot>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Name', 'wpbooking'); ?></th>
<th><?php _e('Hotel', 'wpbooking'); ?></th>
<th><?php _e('Room', 'wpbooking'); ?></th>
<th><?php _e('From', 'wpbooking'); ?></th>
<th><?php _e('To', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</tfoot>
<tbody>

</tbody>
</table>
<div class="tablenav">


		<div class="alignleft actions">
		<select name="action2">
		<option selected="selected" value="">Bulk Actions</option>
		<option value="delete">Delete</option>
		</select>
		<input type="submit" class="button-secondary action" id="doaction2" name="doaction2" value="Apply"/>
		</div>

		<br class="clear"/>
		</div>

		<input id="save-all" class="button-primary savebutton" type="submit" value="Save all changes" name="save"/>
</form>
    <?php

	}
    ?>
    <?php
}
}

function wpbooking_show_city() {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_city";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." ORDER BY id DESC;";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

function wpbooking_show_cityid($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_city";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = ".$id." ORDER BY id DESC;";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['city'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

function wpbooking_show_city2($limit,$id) {

	global $wpdb;

    if ($id) {
    $where = " WHERE room_id = ".$id."";
    } else {
    $where = "";
    }

   	$table_name = $wpdb->prefix . "booking_city";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." ".$where." ORDER BY id DESC ".$limit.";";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

function wpbooking_delete_city($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_city";

		$delete = "DELETE FROM ". $table_name ." WHERE id = '".$id."';";
		$results = $wpdb->query($delete);
		if($results == 1){
			return true;
		} else {
			return __("OrderDelete Fail.");
		}

}

function wpbooking_new_city() {

	global $wpdb;

    $countrsy = wpbooking_show_country();

   	?>
<script language="JavaScript" type="text/javascript">
/*<![CDATA[*/
jQuery(document).ready(function(){
    jQuery("#formnew").validate();
  });

/*]]>*/
</script>
<form method="POST" id="formnew" action="?page=booking_city&action=save">
 <table class="widefat">
<tbody>
<tr>
    <td width="100"><?php _e('Country', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="country"></label>
	<select id="country" name="country" class="country" style="width:150px;" class="required">
	<?php foreach ($countrsy as $country) {?>
	<option value="<?php echo $country['id']?>"><?php echo $country['country']?></option>
	<?php }?>
	</select>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('City', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="city">
	<input type="text" name="city" id="city" class="required" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"></td>
    <td></td>
  </tr>
</tbody>
</table>
<input id="save-all" class="button-primary savebutton" type="submit" value="Save" name="save"/>
</form>
    <?php

}

function wpbooking_edit_city($id) {

	global $wpdb;
    $countrsy = wpbooking_show_country();

    $table_name = $wpdb->prefix . "booking_city";
    $where = "WHERE id = '".$id."'";
    $sql = "SELECT * FROM ".$table_name." ".$where." LIMIT 1";
	$fields = $wpdb->get_results( $sql,"ARRAY_A");
    foreach($fields as $row){
   	?>
<form method="POST" action="?page=booking_city&action=editsave">
 <table class="widefat">
<tbody>
<tr>
    <td width="100"><?php _e('Country', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="country"></label>
	<select id="country" name="country" class="country" style="width:150px;">
	<?php foreach ($countrsy as $country) {?>
	<option value="<?php echo $country['id']?>" <?php if(@$row['country']==$country['id']){?> selected="selected"<?php }?>><?php echo $country['country']?></option>
	<?php }?>
	</select>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('City', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="city">
	<input type="text" name="city" id="city" value="<?php echo $row['city'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"></td>
    <td></td>
  </tr>
</tbody>
</table><input type="hidden" name="id" value="<?php echo $row['id'] ?>" />
<input id="save-all" class="button-primary savebutton" type="submit" value="Save" name="save"/>
</form>
    <?php
}
}

function wpbooking_city() {
    global $wpdb;
	global $wpbooking_options;

    include(WPBOOKING_PLUGIN_DIR.'/includes/pagination.class.php');

    $id = @$_GET['idt'];
    if ($id) {
    $where = " WHERE id = ".$id."";
    } else {
    $where = "";
    }
    $table_name = $wpdb->prefix . "booking_city";
    $items = mysql_num_rows(mysql_query("SELECT * FROM ". $table_name ." ".$where."")); // number of total rows in the database
    if($items > 0) {
    $p = new pagination;
    $p->items($items);
    $p->limit(30); // Limit entries per page
    $p->target("admin.php?page=booking_city");
    $p->currentPage(isset($_GET['paging'])); // Gets and validates the current page
    $p->calculate(); // Calculates what to show
    $p->parameterName('paging');
    $p->adjacents(1); //No. of page away from the current page
    if(!isset($_GET['paging'])) {
    $p->page = 1;
    } else {
    $p->page = $_GET['paging'];
    }
//Query for limit paging
    $limit = "LIMIT " . ($p->page - 1) * $p->limit . ", " . $p->limit;
} else {
  echo "";
  }
  //echo "SELECT * FROM ". $table_name ." ".$where."";
    //Bulk Delete

if ( (@$_GET['action'] == 'delete') || (@$_GET['action2'] == 'delete')){
$num = 0;
	foreach ($_GET['chk_field'] as $id => $value ){

		if (wpbooking_delete_city($id)){
			$num++;
		} else {
			echo "<div id='media-upload-error'>".wpbooking_delete_city($_GET['id'])."</div>";
			break;
		}
	}
	if ($num > 0) {
		if ($num == 1) echo "<div class='updated'><p><strong>".__('Items deleted', 'wpbooking')."</strong></p></div>";
		else echo "<div class='updated'><p><strong>".$num." ".__('Items deleted', 'wpbooking')."</strong></p></div>";
	}
}

//Delete order

if (@$_GET['action'] == 'delete-field'){

		if (wpbooking_delete_city($_GET['id'])){
			echo "<div class='updated'><p><strong>".__('Selected Items deleted', 'wpbooking')."</strong></p></div>";
		} else {
			echo "<div id='media-upload-error'>".wpbooking_delete_city($_GET['id'])."</div>";
		}

}

if (@$_GET['action'] == 'save'){

    $city = $_REQUEST['city'];
    $country = $_REQUEST['country'];
;


    /*$name = preg_replace("`[^\w]+`", "", $name);
    $name = str_replace(" ", "-", $name);
    $name = preg_replace('/[^A-Za-z0-9]/', "", $name);*/

    $table_name = $wpdb->prefix . "booking_city";

    $sql = "INSERT INTO ". $table_name ." (id, city, country) VALUES ('', '".$city."', '".$country."' )";

    mysql_query($sql) or die(mysql_error());

			echo "<div class='updated'><p><strong>".__('New Item created', 'wpbooking')."</strong></p></div>";


}

if (@$_GET['action'] == 'editsave'){

    $city = $_REQUEST['city'];
    $id_save = $_REQUEST['id'];
    $country = $_REQUEST['country'];


    /*$name = preg_replace("`[^\w]+`", "", $name);
    $name = str_replace(" ", "-", $name);
    $name = preg_replace('/[^A-Za-z0-9]/', "", $name);*/

    $table_name = $wpdb->prefix . "booking_city";

    $where = "WHERE id = '".$id_save."'";

    $sql = "UPDATE  ".$table_name." SET city = '".$city."', country = '".$country."' $where";

    $result = mysql_query($sql);

			echo "<div class='updated'><p><strong>".__('Item saved', 'wpbooking')."</strong></p></div>";


}

if (@$_GET['action'] == 'new-field'){
?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('New City', 'wpbooking'); ?></h2>
<?php
wpbooking_new_city();

} else if (@$_GET['action'] == 'edit'){
?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('Edit City', 'wpbooking'); ?></h2>
<?php
$id = $_GET['id'];
wpbooking_edit_city($id);

}

else {

    $i=0;
    $fields = wpbooking_show_city2($limit,$id);
    if ($fields){
    ?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('Manage City', 'wpbooking'); ?> <a href="?page=booking_city&action=new-field" class="button add-new-h2"><?php _e('New City', 'wpbooking'); ?></a> </h2>
<form method="get" action="" id="posts-filter">
<input type="hidden" value="booking_city" name="page"/>
<div class="tablenav">
<div class='tablenav-pages'>
<?php
if($items > 1) {
 echo $p->show();
 }  // Echo out the list of paging. ?>
</div>
        <div class="alignleft actions">
        <select name="action">
        <option selected="selected" value="">Bulk Actions</option>
        <option value="delete">Delete</option>
        </select>
        <input type="submit" class="button-secondary action" id="doaction" name="doaction" value="Apply"/>
        </div>

        <br class="clear"/>
        </div>

<table class="widefat">
<thead>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('City', 'wpbooking'); ?></th>
<th><?php _e('Country', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</thead>
<tfoot>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('City', 'wpbooking'); ?></th>
<th><?php _e('Country', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</tfoot>
<tbody>
<?php foreach($fields as $f){  ?>
<tr class="<?php if ($i%2 == 0) echo "alternate";?>" id="prod-<?php echo $i;?>">
<th class="check-column" scope="row">
<input type="checkbox" value="1" id="check_<?php echo $i;?>" name="chk_field[<?php echo $f['id'] ?>]"/>
<input type="hidden" value="<?php echo $f['id'] ?>" name="id[]"/>
</th>
<td><?php echo $f['id']; ?></td>
<td><?php echo $f['city']; ?></td>
<td><?php echo wpbooking_show_countryid($f['country']); ?></td>
<td>
<a href="?page=booking_city&action=edit&id=<?php echo $f['id'] ?>"><strong><?php _e('Edit', 'wpbooking'); ?></strong></a><br />
<a href="?page=booking_city&action=delete-field&id=<?php echo $f['id'] ?>"><?php _e('Delete', 'wpbooking'); ?></a>
</td>
</tr>
<?php
$i++;
}
?>
</tbody>
</table>
<div class="tablenav">


		<div class="alignleft actions">
		<select name="action2">
		<option selected="selected" value="">Bulk Actions</option>
		<option value="delete">Delete</option>
		</select>
		<input type="submit" class="button-secondary action" id="doaction2" name="doaction2" value="Apply"/>
		</div>

		<br class="clear"/>
		</div>

		<input id="save-all" class="button-primary savebutton" type="submit" value="Save all changes" name="save"/>
</form>
<?php
	} else {

	?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('Manage City', 'wpbooking'); ?><a href="?page=booking_city&action=new-field" class="button add-new-h2"><?php _e('New City', 'wpbooking'); ?></a> </h2>
<form method="get" action="" id="posts-filter">
<input type="hidden" value="booking_rooms" name="page"/>
<div class="tablenav">
<div class='tablenav-pages'>
<?php //echo $p->show();  // Echo out the list of paging. ?>
</div>
        <div class="alignleft actions">
        <select name="action">
        <option selected="selected" value="">Bulk Actions</option>
        <option value="delete">Delete</option>
        </select>
        <input type="submit" class="button-secondary action" id="doaction" name="doaction" value="Apply"/>
        </div>

        <br class="clear"/>
        </div>

<table class="widefat">
<thead>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('City', 'wpbooking'); ?></th>
<th><?php _e('Country', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</thead>
<tfoot>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('City', 'wpbooking'); ?></th>
<th><?php _e('Country', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</tfoot>
<tbody>

</tbody>
</table>
<div class="tablenav">


		<div class="alignleft actions">
		<select name="action2">
		<option selected="selected" value="">Bulk Actions</option>
		<option value="delete">Delete</option>
		</select>
		<input type="submit" class="button-secondary action" id="doaction2" name="doaction2" value="Apply"/>
		</div>

		<br class="clear"/>
		</div>

		<input id="save-all" class="button-primary savebutton" type="submit" value="Save all changes" name="save"/>
</form>
    <?php

	}
    ?>
    <?php
}
}

function wpbooking_show_coupon() {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_coupon";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." ORDER BY id DESC;";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

function wpbooking_show_couponid($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_coupon";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE localita = ".$id." ORDER BY id DESC ".$limit.";";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['localita'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

function wpbooking_show_coupon2($limit,$where) {

	global $wpdb;

    /*if ($id) {
    $where = " WHERE room_id = ".$id."";
    }*/

   	$table_name = $wpdb->prefix . "booking_coupon";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." ".$where." ORDER BY id DESC ".$limit.";";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

function wpbooking_delete_coupon($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_coupon";

		$delete = "DELETE FROM ". $table_name ." WHERE id = '".$id."';";
		$results = $wpdb->query($delete);
		if($results == 1){
			return true;
		} else {
			return __("OrderDelete Fail.");
		}

}

function wpbooking_new_coupon() {

	global $wpdb, $current_user;
    get_currentuserinfo();
   	?>
<script language="JavaScript" type="text/javascript">
/*<![CDATA[*/
jQuery(document).ready(function(){
    jQuery("#formnew").validate();
  });

/*]]>*/
</script>
<form method="POST" id="formnew" action="?page=booking_coupon&action=save">
 <table class="widefat">
<tbody>
  <tr>
    <td width="100"><?php _e('name', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="name">
	<input type="text" name="name" id="name" class="required" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Coupon', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="coupon">
	<input type="text" name="coupon" id="coupon" class="required" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Discount', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="sconto">
	<input type="text" name="sconto" id="sconto" class="required" /> <?php _e('(e.g 10 $)', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"></td>
    <td></td>
  </tr>
</tbody>
</table><input type="hidden" name="user_id" value="<?php echo $current_user->ID ?>" />
<input id="save-all" class="button-primary savebutton" type="submit" value="Save" name="save"/>
</form>
    <?php

}

function wpbooking_edit_coupon($id) {

	global $wpdb;

    $table_name = $wpdb->prefix . "booking_coupon";
    $where = "WHERE id = '".$id."'";
    $sql = "SELECT * FROM ".$table_name." ".$where." LIMIT 1";
	$fields = $wpdb->get_results( $sql,"ARRAY_A");
    foreach($fields as $row){
   	?>
<form method="POST" action="?page=booking_coupon&action=editsave">
 <table class="widefat">
<tbody>
  <tr>
    <td width="100"><?php _e('Name', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="name">
	<input type="text" name="name" id="name" value="<?php echo $row['name'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Coupon', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="coupon">
	<input type="text" name="coupon" id="coupon" value="<?php echo $row['coupon'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Discount', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="sconto">
	<input type="text" name="sconto" id="sconto" value="<?php echo $row['sconto'] ?>"  /> <?php _e('(e.g 10 $)', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"></td>
    <td></td>
  </tr>
</tbody>
</table><input type="hidden" name="id" value="<?php echo $row['id'] ?>" />
<input type="hidden" name="user_id" value="<?php echo $row['user_id'] ?>" />
<input id="save-all" class="button-primary savebutton" type="submit" value="Save" name="save"/>
</form>
    <?php
}
}

function wpbooking_coupon() {
    global $wpdb, $current_user;
	global $wpbooking_options;
    get_currentuserinfo();

    include(WPBOOKING_PLUGIN_DIR.'/includes/pagination.class.php');

    if (current_user_can('organize_agent')) {
    $agents = " AND user_id=".$current_user->ID."";
    $agents1 = " WHERE user_id=".$current_user->ID."";
    } else {
    $agents = "";
    $agents1 = "";
    }

    $id = @$_GET['idt'];
    if ($id) {
    $where = " WHERE id = ".$id." ".$agents."";
    } else {
    $where = $agents1;
    }
    $table_name = $wpdb->prefix . "booking_coupon";
    $items = mysql_num_rows(mysql_query("SELECT * FROM ". $table_name ." ".$where."")); // number of total rows in the database
    if($items > 0) {
    $p = new pagination;
    $p->items($items);
    $p->limit(30); // Limit entries per page
    $p->target("admin.php?page=booking_coupon");
    $p->currentPage(isset($_GET['paging'])); // Gets and validates the current page
    $p->calculate(); // Calculates what to show
    $p->parameterName('paging');
    $p->adjacents(1); //No. of page away from the current page
    if(!isset($_GET['paging'])) {
    $p->page = 1;
    } else {
    $p->page = $_GET['paging'];
    }
//Query for limit paging
    $limit = "LIMIT " . ($p->page - 1) * $p->limit . ", " . $p->limit;
} else {
  echo "";
  }
  //echo "SELECT * FROM ". $table_name ." ".$where."";
    //Bulk Delete

if ( (@$_GET['action'] == 'delete') || (@$_GET['action2'] == 'delete')){
$num = 0;
	foreach ($_GET['chk_field'] as $id => $value ){

		if (wpbooking_delete_coupon($id)){
			$num++;
		} else {
			echo "<div id='media-upload-error'>".wpbooking_delete_coupon($_GET['id'])."</div>";
			break;
		}
	}
	if ($num > 0) {
		if ($num == 1) echo "<div class='updated'><p><strong>".__('Item deleted', 'wpbooking')."</strong></p></div>";
		else echo "<div class='updated'><p><strong>".$num." ".__('Items deleted', 'wpbooking')."</strong></p></div>";
	}
}

//Delete order

if (@$_GET['action'] == 'delete-field'){

		if (wpbooking_delete_coupon($_GET['id'])){
			echo "<div class='updated'><p><strong>".__('Selected Items deleted', 'wpbooking')."</strong></p></div>";
		} else {
			echo "<div id='media-upload-error'>".wpbooking_delete_coupon($_GET['id'])."</div>";
		}

}

if (@$_GET['action'] == 'save'){

    $coupon = $_REQUEST['coupon'];
    $name = $_REQUEST['name'];
    $sconto = $_REQUEST['sconto'];
    $user_id = $_REQUEST['user_id'];
;


    /*$name = preg_replace("`[^\w]+`", "", $name);
    $name = str_replace(" ", "-", $name);
    $name = preg_replace('/[^A-Za-z0-9]/', "", $name);*/

    $table_name = $wpdb->prefix . "booking_coupon";

    $sql = "INSERT INTO ". $table_name ." (id, coupon, name, sconto,user_id) VALUES ('', '".$coupon."', '".$name."', '".$sconto."', '".$user_id."' )";

    mysql_query($sql) or die(mysql_error());

			echo "<div class='updated'><p><strong>".__('New Item created', 'wpbooking')."</strong></p></div>";


}

if (@$_GET['action'] == 'editsave'){

    $coupon = $_REQUEST['coupon'];
    $id_save = $_REQUEST['id'];
    $name = $_REQUEST['name'];
    $sconto = $_REQUEST['sconto'];
    $user_id = $_REQUEST['user_id'];


    /*$name = preg_replace("`[^\w]+`", "", $name);
    $name = str_replace(" ", "-", $name);
    $name = preg_replace('/[^A-Za-z0-9]/', "", $name);*/

    $table_name = $wpdb->prefix . "booking_coupon";

    $wheresave = "WHERE id = '".$id_save."'";

    $sql = "UPDATE  ".$table_name." SET coupon = '".$coupon."', name = '".$name."', sconto = '".$sconto."' $wheresave";

    $result = mysql_query($sql);

			echo "<div class='updated'><p><strong>".__('Item saved', 'wpbooking')."</strong></p></div>";


}

if (@$_GET['action'] == 'new-field'){
?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('New Coupon', 'wpbooking'); ?></h2>
<?php
wpbooking_new_coupon();

} else if (@$_GET['action'] == 'edit'){
?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('Edit Coupon', 'wpbooking'); ?></h2>
<?php
$id = $_GET['id'];
wpbooking_edit_coupon($id);

}

else {

    $i=0;
    $fields = wpbooking_show_coupon2($limit,$where);
    if ($fields){
    ?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<p><?php _e('Here you can add, edit and manage coupon code that you wish to offer.', 'wpbooking'); ?></p>
<h2><?php //_e('Manage Coupon', 'wpbooking'); ?> <a href="?page=booking_coupon&action=new-field" class="button add-new-h2"><?php _e('Add New Coupon', 'wpbooking'); ?></a> </h2>
<form method="get" action="" id="posts-filter">
<input type="hidden" value="booking_coupon" name="page"/>
<div class="tablenav">
<div class='tablenav-pages'>
<?php
if($items > 1) {
 echo $p->show();
 }  // Echo out the list of paging. ?>
</div>
        <div class="alignleft actions">
        <select name="action">
        <option selected="selected" value="">Bulk Actions</option>
        <option value="delete">Delete</option>
        </select>
        <input type="submit" class="button-secondary action" id="doaction" name="doaction" value="Apply"/>
        </div>

        <br class="clear"/>
        </div>

<table class="widefat">
<thead>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Name', 'wpbooking'); ?></th>
<th><?php _e('Coupon', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</thead>
<tfoot>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Name', 'wpbooking'); ?></th>
<th><?php _e('Coupon', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</tfoot>
<tbody>
<?php foreach($fields as $f){  ?>
<tr class="<?php if ($i%2 == 0) echo "alternate";?>" id="prod-<?php echo $i;?>">
<th class="check-column" scope="row">
<input type="checkbox" value="1" id="check_<?php echo $i;?>" name="chk_field[<?php echo $f['id'] ?>]"/>
<input type="hidden" value="<?php echo $f['id'] ?>" name="id[]"/>
</th>
<td><?php echo $f['id']; ?></td>
<td><?php echo $f['name']; ?></td>
<td><?php echo $f['coupon']; ?></td>
<td>
<a href="?page=booking_coupon&action=edit&id=<?php echo $f['id'] ?>"><strong><?php _e('Edit', 'wpbooking'); ?></strong></a><br />
<a href="?page=booking_coupon&action=delete-field&id=<?php echo $f['id'] ?>"><?php _e('Delete', 'wpbooking'); ?></a>
</td>
</tr>
<?php
$i++;
}
?>
</tbody>
</table>
<div class="tablenav">


		<div class="alignleft actions">
		<select name="action2">
		<option selected="selected" value="">Bulk Actions</option>
		<option value="delete">Delete</option>
		</select>
		<input type="submit" class="button-secondary action" id="doaction2" name="doaction2" value="Apply"/>
		</div>

		<br class="clear"/>
		</div>

		<input id="save-all" class="button-primary savebutton" type="submit" value="Save all changes" name="save"/>
</form>
<?php
	} else {

	?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<p><?php _e('Here you can add, edit and manage coupon code that you wish to offer.', 'wpbooking'); ?></p>
<h2><?php //_e('Manage Coupon', 'wpbooking'); ?> <a href="?page=booking_coupon&action=new-field" class="button add-new-h2"><?php _e('Add New Coupon', 'wpbooking'); ?></a> </h2>
<form method="get" action="" id="posts-filter">
<input type="hidden" value="booking_rooms" name="page"/>
<div class="tablenav">
<div class='tablenav-pages'>
<?php //echo $p->show();  // Echo out the list of paging. ?>
</div>
        <div class="alignleft actions">
        <select name="action">
        <option selected="selected" value="">Bulk Actions</option>
        <option value="delete">Delete</option>
        </select>
        <input type="submit" class="button-secondary action" id="doaction" name="doaction" value="Apply"/>
        </div>

        <br class="clear"/>
        </div>

<table class="widefat">
<thead>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Name', 'wpbooking'); ?></th>
<th><?php _e('Coupon', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</thead>
<tfoot>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Name', 'wpbooking'); ?></th>
<th><?php _e('Coupon', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</tfoot>
<tbody>

</tbody>
</table>
<div class="tablenav">


		<div class="alignleft actions">
		<select name="action2">
		<option selected="selected" value="">Bulk Actions</option>
		<option value="delete">Delete</option>
		</select>
		<input type="submit" class="button-secondary action" id="doaction2" name="doaction2" value="Apply"/>
		</div>

		<br class="clear"/>
		</div>

		<input id="save-all" class="button-primary savebutton" type="submit" value="Save all changes" name="save"/>
</form>
    <?php

	}
    ?>
    <?php
}
}

function wpbooking_show_reservation() {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_bookings";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." ORDER BY id DESC;";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

function wpbooking_show_reservationid($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_bookings";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = ".$id." ORDER BY id DESC ".$limit.";";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['localita'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

function wpbooking_show_reservation2($limit,$id,$agent) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_bookings";
    $table_name2 = $wpdb->prefix . "booking_bookingRooms";

    if ($agent) {
    $agents = " AND ". $table_name .".user_id=".$agent."";
    $agents1 = " WHERE ". $table_name .".user_id=".$agent."";
    } else {
    $agents = "";
    $agents1 = "";
    }

    if ($id) {
    $where = " WHERE ". $table_name2 .".room_id = ".$id."";
    } else {
    $where = $agents1;
    }

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT ". $table_name .".*, ". $table_name2 .".* FROM ". $table_name ." LEFT JOIN ". $table_name2 ." ON ". $table_name .".id = ". $table_name2 .".booking_id  ".$where." ORDER BY ". $table_name .".id DESC ".$limit.";";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

function wpbooking_delete_reservation($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_bookings";
    $table_name2 = $wpdb->prefix . "booking_calendar";
    $table_name3 = $wpdb->prefix . "booking_bookingRooms";

		$delete = "DELETE FROM ". $table_name ." WHERE id = '".$id."';";
		$results = $wpdb->query($delete);
        $sql2 = "UPDATE  ".$table_name2." SET status = 'available', id_booking = '', reservation = '0' WHERE id_booking = '".$id."'";
        $results2 = $wpdb->query($sql2);
        $delete3 = "DELETE FROM ". $table_name3 ." WHERE booking_id = '".$id."';";
		$results3 = $wpdb->query($delete3);
		if($results == 1){
			return true;
		} else {
			return __("OrderDelete Fail.");
		}


}

function wpbooking_new_reservation() {

	global $wpdb;

   	?>
<script language="JavaScript" type="text/javascript">
/*<![CDATA[*/
jQuery(document).ready(function(){
    jQuery("#formnew").validate();
  });

/*]]>*/
</script>
<form method="POST" id="formnew" action="?page=booking_reservation&action=save">
 <table class="widefat">
<tbody>
  <tr>
    <td width="100"><?php _e('firstname', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="firstname">
	<input type="text" name="firstname" id="firstname" class="required" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('lastname', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="lastname">
	<input type="text" name="lastname" id="lastname" class="required" />
	</label>
    </fieldset>
    </td>
  </tr>
    <tr>
    <td width="100"><?php _e('Number Resservation', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="reservation_number">
	<input type="text" name="reservation_number" id="reservation_number" class="required" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Email', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="email">
	<input type="text" name="email" id="email" class="required" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Total', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="amount">
	<input type="text" name="amount" id="amount" class="required" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"></td>
    <td></td>
  </tr>
</tbody>
</table>
<input id="save-all" class="button-primary savebutton" type="submit" value="Save" name="save"/>
</form>
    <?php

}

function wpbooking_edit_reservation($id) {

	global $wpdb, $current_user;

    get_currentuserinfo();
    if (current_user_can('organize_agent')) {
    $agents = " WHERE user_id=".$current_user->ID."";
    $agents1 = " WHERE userid=".$current_user->ID."";
    } else {
    $agents = "";
    $agents1 = "";
    }

    $paids = array('0' => 'No', '1' => 'Yes', '2' =>'Deposit');
    $payments = array('Cash', 'Paypal', 'Moneybookers', 'Google Checkout', 'Authorize');
    $comps = wpbooking_show_palext($agents1);

    $table_name = $wpdb->prefix . "booking_bookings";
    $table_name2 = $wpdb->prefix . "booking_bookingRooms";
    $where = "WHERE ". $table_name .".id = '".$id."'";
    $sql = "SELECT ". $table_name .".*, ". $table_name2 .".* FROM ". $table_name ." LEFT JOIN ". $table_name2 ." ON ". $table_name .".id = ". $table_name2 .".booking_id ".$where." LIMIT 1";
	$fields = $wpdb->get_results( $sql,"ARRAY_A");
    foreach($fields as $row){
   	?>
<form method="POST" action="?page=booking_reservation&action=editsave">
 <table class="widefat">
<tbody>
  <tr>
    <td width="200"><?php _e('title', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="title">
	<input type="text" name="title" id="title" value="<?php echo $row['title'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="200"><?php _e('firstname', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="firstname">
	<input type="text" name="firstname" id="firstname" value="<?php echo $row['firstname'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="200"><?php _e('lastname', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="lastname">
	<input type="text" name="lastname" id="lastname" value="<?php echo $row['lastname'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="200"><?php _e('Email', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="email">
	<input type="text" name="email" id="email" value="<?php echo $row['email'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="200"><?php _e('company', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="company">
	<input type="text" name="company" id="company" value="<?php echo $row['company'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
    <tr>
    <td width="200"><?php _e('address', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="address">
	<input type="text" name="address" id="address" value="<?php echo $row['address'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="200"><?php _e('city', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="city">
	<input type="text" name="city" id="city" value="<?php echo $row['city'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="200"><?php _e('country', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="country_id">
	<input type="text" name="country_id" id="country_id" value="<?php echo $row['country_id'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="200"><?php _e('zip code', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="zip_code">
	<input type="text" name="zip_code" id="zip_code" value="<?php echo $row['zip_code'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="200"><?php _e('phone', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="phone">
	<input type="text" name="phone" id="phone" value="<?php echo $row['phone'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="200"><?php _e('fax', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="fax">
	<input type="text" name="fax" id="fax" value="<?php echo $row['fax'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="200"><?php _e('note', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="comments">
    <textarea name="comments" id="comments" rows="5"><?php echo $row['comments'] ?></textarea>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="200"><?php _e('Total', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="amount">
	<input type="text" name="amount" id="amount" value="<?php echo $row['amount'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="200"><?php _e('Deposit', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="caparra">
	<input type="text" name="caparra" id="caparra" value="<?php echo $row['caparra'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="200"><?php _e('Date and time resservation', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="booking_time">
	<input type="text" name="booking_time" id="booking_time" value="<?php echo $row['booking_time'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="200"><?php _e('Paid', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="is_paid"></label>
	<select id="is_paid" name="is_paid" style="width:150px;">
	<?php foreach ($paids as $paid => $value) {?>
	<option value="<?php echo $paid?>" <?php if(@$paid==$row['is_paid']){?> selected="selected"<?php }?>><?php echo $value?></option>
	<?php }?>
	</select>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="200"><?php _e('Number Transactions', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="trans_id">
	<input type="text" name="trans_id" id="trans_id" value="<?php echo $row['trans_id'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="200"><?php _e('Date Transactions', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="trans_date">
	<input type="text" name="trans_date" id="trans_date" value="<?php echo $row['trans_date'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="200"><?php _e('Type Payments', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="payment_instrument"></label>
	<select id="payment_instrument" name="payment_instrument" style="width:150px;">
	<?php foreach ($payments as $payment) {?>
    <?php
    switch ($row['payment_instrument']) {
    case 1:
        $payment_name = "Cash";
        break;
    case 2:
        $payment_name = "Paypal";
        break;
    case 3:
        $payment_name = "Authorize";
        break;
    case 5:
        $payment_name = "Google Checkout";
        break;
   case 6:
        $payment_name = "Moneybookers";
        break;
}
    ?>
	<option value="<?php echo $payment?>" <?php if(@$payment==$payment_name){?> selected="selected"<?php }?>><?php echo $payment?></option>
	<?php }?>
	</select>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="200"><?php _e('Room', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="room_id">
    <select id="room_id" name="room_id" style="width:150px;">
	<?php foreach ($comps as $comp) {?>
	<option value="<?php echo $comp['id']?>"<?php if(@$row['room_id']==$comp['id']){?> selected="selected"<?php }?>><?php echo $comp['nome']?></option>
	<?php }?>
	</select>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="200"><?php _e('Date Arrival', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="arrival_date">
    <input type="text" name="arrival_date" id="date_from" value="<?php echo $row['arrival_date'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="200"><?php _e('Date Leaving', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="leaving_date">
    <input type="text" name="leaving_date" id="date_to" value="<?php echo $row['leaving_date'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="200"><?php _e('Adults', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="adults_number">
    <input type="text" name="adults_number" id="adults_number" value="<?php echo $row['adults_number'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="200"><?php _e('Reservation number', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="reservation_number">
    <input type="text" name="reservation_number" id="reservation_number" value="<?php echo $row['reservation_number'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="200"><?php _e('Invoice', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="invoice">
	<a href="<?php echo WPBOOKING_PLUGIN_URL ?>/includes/tcpdf/generatepdf.php?invoice=<?php echo $row['invoice'] ?>"><?php echo $row['invoice'] ?></a>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"></td>
    <td></td>
  </tr>
</tbody>
</table><input type="hidden" name="id" value="<?php echo $row['id'] ?>" />
<input id="save-all" class="button-primary savebutton" type="submit" value="Save" name="save"/>
</form>
    <?php
}
}

function wpbooking_reservation() {
    global $wpdb, $current_user;
	global $wpbooking_options;
    get_currentuserinfo();
    if (current_user_can('organize_agent')) {
    $agents = " WHERE user_id=".$current_user->ID."";
    $agents1 = " WHERE user_id=".$current_user->ID."";
    $agents2 = $current_user->ID;
    } else {
    $agents = "";
    $agents1 = "";
    $agents2 = "";
    }

    include(WPBOOKING_PLUGIN_DIR.'/includes/pagination.class.php');

    $id = @$_GET['idt'];
    if ($id) {
    $where = " WHERE id = ".$id." ".$agents."";
    } else {
    $where = $agents1;
    }
    $table_name = $wpdb->prefix . "booking_bookings";
    $items = mysql_num_rows(mysql_query("SELECT * FROM ". $table_name ." ".$where."")); // number of total rows in the database
    if($items > 0) {
    $p = new pagination;
    $p->items($items);
    $p->limit(30); // Limit entries per page
    $p->target("admin.php?page=booking_reservation");
    $p->currentPage(isset($_GET['paging'])); // Gets and validates the current page
    $p->calculate(); // Calculates what to show
    $p->parameterName('paging');
    $p->adjacents(1); //No. of page away from the current page
    if(!isset($_GET['paging'])) {
    $p->page = 1;
    } else {
    $p->page = $_GET['paging'];
    }
//Query for limit paging
    $limit = "LIMIT " . ($p->page - 1) * $p->limit . ", " . $p->limit;
} else {
  echo "";
  }
  //echo "SELECT * FROM ". $table_name ." ".$where."";
    //Bulk Delete

if ( (@$_GET['action'] == 'delete') || (@$_GET['action2'] == 'delete')){
$num = 0;
	foreach ($_GET['chk_field'] as $id => $value ){

		if (wpbooking_delete_reservation($id)){
			$num++;
		} else {
			echo "<div id='media-upload-error'>".wpbooking_delete_reservation($_GET['id'])."</div>";
			break;
		}
	}
	if ($num > 0) {
		if ($num == 1) echo "<div class='updated'><p><strong>".__('Items deleted', 'wpbooking')."</strong></p></div>";
		else echo "<div class='updated'><p><strong>".$num." ".__('Items deleted', 'wpbooking')."</strong></p></div>";
	}
}

//Delete order

if (@$_GET['action'] == 'delete-field'){

		if (wpbooking_delete_reservation($_GET['id'])){
			echo "<div class='updated'><p><strong>".__('Selected Items deleted', 'wpbooking')."</strong></p></div>";
		} else {
			echo "<div id='media-upload-error'>".wpbooking_delete_reservation($_GET['id'])."</div>";
		}

}

if (@$_GET['action'] == 'save'){

    $firstname = $_REQUEST['firstname'];
    $lastname = $_REQUEST['lastname'];
    $reservation_number = $_REQUEST['reservation_number'];
    $email = $_REQUEST['email'];
    $amount = $_REQUEST['amount'];
;


    /*$name = preg_replace("`[^\w]+`", "", $name);
    $name = str_replace(" ", "-", $name);
    $name = preg_replace('/[^A-Za-z0-9]/', "", $name);*/

    $table_name = $wpdb->prefix . "booking_bookings";

    $sql = "INSERT INTO ". $table_name ." (id, lastname, firstname, reservation_number, email, amount) VALUES ('', '".$lastname."', '".$firstname."', '".$reservation_number."', '".$email."', '".$amount."'  )";

    mysql_query($sql) or die(mysql_error());

			echo "<div class='updated'><p><strong>".__('New Item created', 'wpbooking')."</strong></p></div>";


}

if (@$_GET['action'] == 'editsave'){

    $firstname = $_REQUEST['firstname'];
    $lastname = $_REQUEST['lastname'];
    $id_save = $_REQUEST['id'];
    $reservation_number = $_REQUEST['reservation_number'];
    $email = $_REQUEST['email'];
    $amount = $_REQUEST['amount'];

    $title = $_REQUEST['title'];
    $company = $_REQUEST['company'];
    $address = $_REQUEST['address'];
    $city = $_REQUEST['city'];
    $country_id = $_REQUEST['country_id'];
    $zip_code = $_REQUEST['zip_code'];
    $phone = $_REQUEST['phone'];
    $fax = $_REQUEST['fax'];
    $comments = $_REQUEST['comments'];
    $is_paid = $_REQUEST['is_paid'];
    $trans_id = $_REQUEST['trans_id'];
    $trans_date = $_REQUEST['trans_date'];
    $payment_instrument = $_REQUEST['payment_instrument'];
    $caparra = $_REQUEST['caparra'];

    $room_id = $_REQUEST['room_id'];
    $arrival_date = $_REQUEST['arrival_date'];
    $leaving_date = $_REQUEST['leaving_date'];
    $adults_number = $_REQUEST['adults_number'];


    /*$name = preg_replace("`[^\w]+`", "", $name);
    $name = str_replace(" ", "-", $name);
    $name = preg_replace('/[^A-Za-z0-9]/', "", $name);*/

    $table_name = $wpdb->prefix . "booking_bookings";

    $where = "WHERE id = '".$id_save."'";

    $sql = "UPDATE  ".$table_name." SET lastname = '".$lastname."', firstname = '".$firstname."', reservation_number = '".$reservation_number."', email = '".$email."', amount = '".$amount."', title = '".$title."', company = '".$company."', address = '".$address."', city = '".$city."', country_id = '".$country_id."', zip_code = '".$zip_code."', phone = '".$phone."', fax = '".$fax."', comments = '".$comments."', is_paid = '".$is_paid."', trans_id = '".$trans_id."', trans_date = '".$trans_date."', payment_instrument = '".$payment_instrument."', caparra = '".$caparra."' $where";

    $result = mysql_query($sql);

    $table_name2 = $wpdb->prefix . "booking_bookingRooms";

    $where2 = "WHERE booking_id = '".$id_save."'";

    $sql1 = "UPDATE  ".$table_name2." SET room_id = '".$room_id."', arrival_date = '".$arrival_date."', leaving_date = '".$leaving_date."', adults_number = '".$adults_number."' $where2";

    $result1 = mysql_query($sql1);

    $table_name3 = $wpdb->prefix . "booking_calendar";
    $rangedate = dateRange( $arrival_date, $leaving_date);

    $table_name_seasons = $wpdb->prefix . "booking_availability";
    $date_str = strtotime(date("Y-m-d", strtotime($arrival_date)) . " +1 day");
    $date_to = date("Y-m-d", $date_str);
    $result_seasons = mysql_query("SELECT * FROM ".$table_name_seasons." WHERE fascia1>='".$arrival_date."' AND camera = '".$room_id."' LIMIT 1") or die(mysql_error());
    $row_seasons = mysql_fetch_array( $result_seasons );
    $availability = $row_seasons['id'];
    //echo "SELECT * FROM ".$table_name_seasons." WHERE fascia1>='".$arrival_date."' AND camera = '".$room_id."' LIMIT 1";
    foreach( $rangedate as $key => $value){

    $result_ceck = mysql_query("SELECT id, caldate FROM ".$table_name3." WHERE id_camera = '".$room_id."' AND caldate = '".$value."'");
    $num_rows = mysql_num_rows($result_ceck);
    if ($num_rows == 0) {

    $sql3 = "INSERT INTO ". $table_name3 ." (id, caldate, status, id_availability, id_camera, id_booking) VALUES ('', '".$value."', 'booked', '".$availability."', '".$room_id."', '".$id_save."' )";

    $result3 = mysql_query($sql3);

    } else {

    $where3 = "WHERE caldate = '".$value."' AND id_camera = '".$room_id."'";
    $sql3 = "UPDATE  ".$table_name3." SET status = 'booked', id_booking = '".$id_save."', reservation = '1' $where3";
    //echo $sql3;
    $result3 = mysql_query($sql3);
    }
    }

			echo "<div class='updated'><p><strong>".__('Item saved', 'wpbooking')."</strong></p></div>";


}

if (@$_GET['action'] == 'new-field'){
?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('New Resservation', 'wpbooking'); ?></h2>
<?php
wpbooking_new_reservation();

} else if (@$_GET['action'] == 'edit'){
?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('Edit Resservation', 'wpbooking'); ?></h2>
<?php
$id = $_GET['id'];
wpbooking_edit_reservation($id);

}

else {

    $i=0;
    $fields = wpbooking_show_reservation2($limit,$id,$agents2);
    if ($fields){
    ?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<p><?php _e('You can accept, reject and manage bookings requests from here.', 'wpbooking'); ?></p>
<h2><?php //_e('Manage Bookings', 'wpbooking'); ?> <!--<a href="?page=booking_reservation&action=new-field" class="button add-new-h2"><?php _e('New Resservations', 'wpbooking'); ?></a>--> </h2>
<form method="get" action="" id="posts-filter">
<input type="hidden" value="booking_reservation" name="page"/>
<div class="tablenav">
<div class='tablenav-pages'>
<?php
if($items > 1) {
 echo $p->show();
 }  // Echo out the list of paging. ?>
</div>
        <div class="alignleft actions">
        <select name="action">
        <option selected="selected" value="">Bulk Actions</option>
        <option value="delete">Delete</option>
        </select>
        <input type="submit" class="button-secondary action" id="doaction" name="doaction" value="Apply"/>
        </div>

        <br class="clear"/>
        </div>

<table class="widefat">
<thead>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('firstname', 'wpbooking'); ?></th>
<th><?php _e('lastname', 'wpbooking'); ?></th>
<th><?php _e('Number Resservation', 'wpbooking'); ?></th>
<th><?php _e('Hotel', 'wpbooking'); ?></th>
<th><?php _e('Room', 'wpbooking'); ?></th>
<th><?php _e('Total', 'wpbooking'); ?></th>
<th><?php _e('Email', 'wpbooking'); ?></th>
<th><?php _e('Invoice', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</thead>
<tfoot>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('firstname', 'wpbooking'); ?></th>
<th><?php _e('lastname', 'wpbooking'); ?></th>
<th><?php _e('Number Resservation', 'wpbooking'); ?></th>
<th><?php _e('Hotel', 'wpbooking'); ?></th>
<th><?php _e('Room', 'wpbooking'); ?></th>
<th><?php _e('Total', 'wpbooking'); ?></th>
<th><?php _e('Email', 'wpbooking'); ?></th>
<th><?php _e('Invoice', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</tfoot>
<tbody>
<?php foreach($fields as $f){  ?>
<tr class="<?php if ($i%2 == 0) echo "alternate";?>" id="prod-<?php echo $i;?>">
<th class="check-column" scope="row">
<input type="checkbox" value="1" id="check_<?php echo $i;?>" name="chk_field[<?php echo $f['id'] ?>]"/>
<input type="hidden" value="<?php echo $f['id'] ?>" name="id[]"/>
</th>
<td><?php echo $f['id']; ?></td>
<td><?php echo $f['firstname']; ?></td>
<td><?php echo $f['lastname']; ?></td>
<td><?php echo $f['reservation_number']; ?></td>
<td><?php echo wpbooking_show_complessoid(wpbooking_hotelid($f['room_id'])); ?></td>
<td><?php echo wpbooking_show_palazzinaid($f['room_id']); ?></td>
<td><?php echo $f['amount']; ?></td>
<td><?php echo $f['email']; ?></td>
<td><a href="<?php echo WPBOOKING_PLUGIN_URL ?>/includes/tcpdf/generatepdf.php?invoice=<?php echo $f['invoice'] ?>"><?php echo $f['invoice'] ?></a> </td>
<td>
<a href="?page=booking_reservation&action=edit&id=<?php echo $f['id'] ?>"><strong><?php _e('Edit', 'wpbooking'); ?></strong></a><br />
<a href="?page=booking_reservation&action=delete-field&id=<?php echo $f['id'] ?>"><?php _e('Delete', 'wpbooking'); ?></a>
</td>
</tr>
<?php
$i++;
}
?>
</tbody>
</table>
<div class="tablenav">


		<div class="alignleft actions">
		<select name="action2">
		<option selected="selected" value="">Bulk Actions</option>
		<option value="delete">Delete</option>
		</select>
		<input type="submit" class="button-secondary action" id="doaction2" name="doaction2" value="Apply"/>
		</div>

		<br class="clear"/>
		</div>

		<input id="save-all" class="button-primary savebutton" type="submit" value="Save all changes" name="save"/>
</form>
<?php
	} else {

	?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<p><?php _e('You can accept, reject and manage bookings requests from here.', 'wpbooking'); ?></p>
<h2><?php //_e('Manage Bookings', 'wpbooking'); ?> <!--<a href="?page=booking_reservation&action=new-field" class="button add-new-h2"><?php _e('New Resservations', 'wpbooking'); ?></a>--> </h2>
<form method="get" action="" id="posts-filter">
<input type="hidden" value="booking_rooms" name="page"/>
<div class="tablenav">
<div class='tablenav-pages'>
<?php //echo $p->show();  // Echo out the list of paging. ?>
</div>
        <div class="alignleft actions">
        <select name="action">
        <option selected="selected" value="">Bulk Actions</option>
        <option value="delete">Delete</option>
        </select>
        <input type="submit" class="button-secondary action" id="doaction" name="doaction" value="Apply"/>
        </div>

        <br class="clear"/>
        </div>

<table class="widefat">
<thead>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('firstname', 'wpbooking'); ?></th>
<th><?php _e('lastname', 'wpbooking'); ?></th>
<th><?php _e('Number Resservation', 'wpbooking'); ?></th>
<th><?php _e('Hotel', 'wpbooking'); ?></th>
<th><?php _e('Room', 'wpbooking'); ?></th>
<th><?php _e('Total', 'wpbooking'); ?></th>
<th><?php _e('Email', 'wpbooking'); ?></th>
<th><?php _e('Invoice', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</thead>
<tfoot>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('firstname', 'wpbooking'); ?></th>
<th><?php _e('lastname', 'wpbooking'); ?></th>
<th><?php _e('Number Resservation', 'wpbooking'); ?></th>
<th><?php _e('Hotel', 'wpbooking'); ?></th>
<th><?php _e('Room', 'wpbooking'); ?></th>
<th><?php _e('Total', 'wpbooking'); ?></th>
<th><?php _e('Email', 'wpbooking'); ?></th>
<th><?php _e('Invoice', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</tfoot>
<tbody>

</tbody>
</table>
<div class="tablenav">


		<div class="alignleft actions">
		<select name="action2">
		<option selected="selected" value="">Bulk Actions</option>
		<option value="delete">Delete</option>
		</select>
		<input type="submit" class="button-secondary action" id="doaction2" name="doaction2" value="Apply"/>
		</div>

		<br class="clear"/>
		</div>

		<input id="save-all" class="button-primary savebutton" type="submit" value="Save all changes" name="save"/>
</form>
    <?php

	}
    ?>
    <?php
}
}

function wpbooking_newreservation() {
  global $wpdb, $current_user;
    get_currentuserinfo();
    if (current_user_can('organize_agent')) {
    $agents = " WHERE user_id=".$current_user->ID."";
    $agents1 = " WHERE userid=".$current_user->ID."";
    } else {
    $agents = "";
    $agents1 = "";
    }
    $comps = wpbooking_show_palext($agents1);
    $hotels = wpbooking_show_complesso($agents);
?>

<script language="JavaScript" type="text/javascript">
/*<![CDATA[*/
jQuery(document).ready(function(){
		jQuery('#hotelid').change(function(){
			// alert('edit');
			var hotel = jQuery('#hotelid').val();
            <?php
            if (current_user_can('organize_agent')) {  ?>
            var userid = <?php echo $current_user->ID ?>;
            <?php } ?>
            //alert(cat);
			jQuery.ajax({
			   type: "POST",
			   url: "<?php echo WPBOOKING_PLUGIN_URL ?>/includes/search_room.php",
			   data: ({hotel:hotel <?php if (current_user_can('organize_agent')) {  ?>, userid:userid <?php } ?> }),
			   success: function(response){
			     // alert( "Data: " + response );
			     jQuery("#camera").html(response);
			   }
			 });
		});
        	});

/*]]>*/
</script>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('New Reservation', 'wpbooking'); ?></h2>
<?php
if (@$_GET['action'] == 'step1'){
echo wpbooking_AdminStep1();
} else if (@$_GET['action'] == 'step2'){
echo wpbooking_bookformsAdmin();
} else if (@$_GET['action'] == 'step3'){
echo wpbooking_reserveAdmin();
} else {
?>
<form method="post" enctype="multipart/form-data" action="?page=booking_newreservation&action=step1">
<table width="100%" border="0" cellspacing="5" cellpadding="2">
<tr>
    <td width="100"><?php _e('Hotel', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="hotelid"></label>
	<select id="hotelid" name="hotel" style="width:150px;">
	<?php foreach ($hotels as $hotel) {?>
	<option value="<?php echo $hotel['id']?>"><?php echo $hotel['name']?></option>
	<?php }?>
	</select>
    </fieldset>
    </td>
  </tr>
    <tr>
    <td width="100"><?php _e('Room', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="camera"></label>
	<select id="camera" name="rooms" class="camera" style="width:150px;">
	<?php foreach ($comps as $comp) {?>
	<option value="<?php echo $comp['id']?>"><?php echo $comp['nome']?></option>
	<?php }?>
	</select>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Checkin', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="date_from">
	<input type="text" name="date_from" id="date_from" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Checkout', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="date_to">
	<input type="text" name="date_to" id="date_to" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Adults', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="adults">
	<input type="text" name="adults" id="adults" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Childs', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="childs">
	<input type="text" name="childs" id="childs" />
	</label>
    </fieldset>
    </td>
  </tr>
</table>
<input type="hidden" name="user_id" value="<?php echo $current_user->ID ?>" />
<input id="save-all" class="button-primary savebutton" type="submit" value="<?php _e('Continue', 'wpbooking'); ?>" name="save"/>
</form>
<?php
}
}

function wpbooking_show_country() {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_country";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." ORDER BY id DESC;";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

function wpbooking_show_countryid($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_country";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." WHERE id = ".$id." ORDER BY id DESC ".$limit.";";
        $results = $wpdb->get_results( $field_row,"ARRAY_A");
        $complesso = '';
        foreach ($results as $result) {
	    $complesso .= $result['country'];
	    }
	  	return $complesso;

	} else {
	  return false;
	}

	}

function wpbooking_show_country2($limit,$id) {

	global $wpdb;

    if ($id) {
    $where = " WHERE room_id = ".$id."";
    } else {
    $where = "";
    }

   	$table_name = $wpdb->prefix . "booking_country";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {

      $field_row = "SELECT * FROM ". $table_name ." ".$where." ORDER BY id DESC ".$limit.";";
      	if($results = $wpdb->get_results( $field_row,"ARRAY_A")){
	  	return $results;
	  	} else {
	  	return false;
	  	}
	} else {
	  return false;
	}

	}

function wpbooking_delete_country($id) {

	global $wpdb;

   	$table_name = $wpdb->prefix . "booking_country";

		$delete = "DELETE FROM ". $table_name ." WHERE id = '".$id."';";
		$results = $wpdb->query($delete);
		if($results == 1){
			return true;
		} else {
			return __("OrderDelete Fail.");
		}

}

function wpbooking_new_country() {

	global $wpdb;

   	?>
<script language="JavaScript" type="text/javascript">
/*<![CDATA[*/
jQuery(document).ready(function(){
    jQuery("#formnew").validate();
  });

/*]]>*/
</script>
<form method="POST" id="formnew" action="?page=booking_country&action=save">
 <table class="widefat">
<tbody>
  <tr>
    <td width="100"><?php _e('country', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="country">
	<input type="text" name="country" id="country" class="required" /> <?php _e('Write country name (example:Florida)', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"></td>
    <td></td>
  </tr>
</tbody>
</table>
<input id="save-all" class="button-primary savebutton" type="submit" value="Save" name="save"/>
</form>
    <?php

}

function wpbooking_edit_country($id) {

	global $wpdb;

    $table_name = $wpdb->prefix . "booking_country";
    $where = "WHERE id = '".$id."'";
    $sql = "SELECT * FROM ".$table_name." ".$where." LIMIT 1";
	$fields = $wpdb->get_results( $sql,"ARRAY_A");
    foreach($fields as $row){
   	?>
<form method="POST" action="?page=booking_country&action=editsave">
 <table class="widefat">
<tbody>
  <tr>
    <td width="100"><?php _e('country', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="country">
	<input type="text" name="country" id="country" value="<?php echo $row['country'] ?>" /> <?php _e('Write country name (example:Florida)', 'wpbooking'); ?>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"></td>
    <td></td>
  </tr>
</tbody>
</table><input type="hidden" name="id" value="<?php echo $row['id'] ?>" />
<input id="save-all" class="button-primary savebutton" type="submit" value="Save" name="save"/>
</form>
    <?php
}
}

function wpbooking_country() {
    global $wpdb;
	global $wpbooking_options;

    include(WPBOOKING_PLUGIN_DIR.'/includes/pagination.class.php');

    $id = @$_GET['idt'];
    if ($id) {
    $where = " WHERE id = ".$id."";
    } else {
    $where = "";
    }
    $table_name = $wpdb->prefix . "booking_country";
    $items = mysql_num_rows(mysql_query("SELECT * FROM ". $table_name ." ".$where."")); // number of total rows in the database
    if($items > 0) {
    $p = new pagination;
    $p->items($items);
    $p->limit(30); // Limit entries per page
    $p->target("admin.php?page=booking_country");
    $p->currentPage(isset($_GET['paging'])); // Gets and validates the current page
    $p->calculate(); // Calculates what to show
    $p->parameterName('paging');
    $p->adjacents(1); //No. of page away from the current page
    if(!isset($_GET['paging'])) {
    $p->page = 1;
    } else {
    $p->page = $_GET['paging'];
    }
//Query for limit paging
    $limit = "LIMIT " . ($p->page - 1) * $p->limit . ", " . $p->limit;
} else {
  echo "";
  }
  //echo "SELECT * FROM ". $table_name ." ".$where."";
    //Bulk Delete

if ( (@$_GET['action'] == 'delete') || (@$_GET['action2'] == 'delete')){
$num = 0;
	foreach ($_GET['chk_field'] as $id => $value ){

		if (wpbooking_delete_country($id)){
			$num++;
		} else {
			echo "<div id='media-upload-error'>".wpbooking_delete_country($_GET['id'])."</div>";
			break;
		}
	}
	if ($num > 0) {
		if ($num == 1) echo "<div class='updated'><p><strong>".__('Items deleted', 'wpbooking')."</strong></p></div>";
		else echo "<div class='updated'><p><strong>".$num." ".__('Items deleted', 'wpbooking')."</strong></p></div>";
	}
}

//Delete order

if (@$_GET['action'] == 'delete-field'){

		if (wpbooking_delete_country($_GET['id'])){
			echo "<div class='updated'><p><strong>".__('Selected Items deleted', 'wpbooking')."</strong></p></div>";
		} else {
			echo "<div id='media-upload-error'>".wpbooking_delete_country($_GET['id'])."</div>";
		}

}

if (@$_GET['action'] == 'save'){

    $country = $_REQUEST['country'];
;


    /*$name = preg_replace("`[^\w]+`", "", $name);
    $name = str_replace(" ", "-", $name);
    $name = preg_replace('/[^A-Za-z0-9]/', "", $name);*/

    $table_name = $wpdb->prefix . "booking_country";

    $sql = "INSERT INTO ". $table_name ." (id, country) VALUES ('', '".$country."' )";

    mysql_query($sql) or die(mysql_error());

			echo "<div class='updated'><p><strong>".__('New Item created', 'wpbooking')."</strong></p></div>";


}

if (@$_GET['action'] == 'editsave'){

    $country = $_REQUEST['country'];
    $id_save = $_REQUEST['id'];


    /*$name = preg_replace("`[^\w]+`", "", $name);
    $name = str_replace(" ", "-", $name);
    $name = preg_replace('/[^A-Za-z0-9]/', "", $name);*/

    $table_name = $wpdb->prefix . "booking_country";

    $where = "WHERE id = '".$id_save."'";

    $sql = "UPDATE  ".$table_name." SET country = '".$country."' $where";

    $result = mysql_query($sql);

			echo "<div class='updated'><p><strong>".__('Item saved', 'wpbooking')."</strong></p></div>";


}

if (@$_GET['action'] == 'new-field'){
?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('New country', 'wpbooking'); ?></h2>
<?php
wpbooking_new_country();

} else if (@$_GET['action'] == 'edit'){
?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('Edit country', 'wpbooking'); ?></h2>
<?php
$id = $_GET['id'];
wpbooking_edit_country($id);

}

else {

    $i=0;
    $fields = wpbooking_show_country2($limit,$id);
    if ($fields){
    ?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('Manage country', 'wpbooking'); ?> <a href="?page=booking_country&action=new-field" class="button add-new-h2"><?php _e('New country', 'wpbooking'); ?></a> </h2>
<form method="get" action="" id="posts-filter">
<input type="hidden" value="booking_country" name="page"/>
<div class="tablenav">
<div class='tablenav-pages'>
<?php
if($items > 1) {
 echo $p->show();
 }  // Echo out the list of paging. ?>
</div>
        <div class="alignleft actions">
        <select name="action">
        <option selected="selected" value="">Bulk Actions</option>
        <option value="delete">Delete</option>
        </select>
        <input type="submit" class="button-secondary action" id="doaction" name="doaction" value="Apply"/>
        </div>

        <br class="clear"/>
        </div>

<table class="widefat">
<thead>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('country', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</thead>
<tfoot>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('country', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</tfoot>
<tbody>
<?php foreach($fields as $f){  ?>
<tr class="<?php if ($i%2 == 0) echo "alternate";?>" id="prod-<?php echo $i;?>">
<th class="check-column" scope="row">
<input type="checkbox" value="1" id="check_<?php echo $i;?>" name="chk_field[<?php echo $f['id'] ?>]"/>
<input type="hidden" value="<?php echo $f['id'] ?>" name="id[]"/>
</th>
<td><?php echo $f['id']; ?></td>
<td><?php echo $f['country']; ?></td>
<td>
<a href="?page=booking_country&action=edit&id=<?php echo $f['id'] ?>"><strong><?php _e('Edit', 'wpbooking'); ?></strong></a><br />
<a href="?page=booking_country&action=delete-field&id=<?php echo $f['id'] ?>"><?php _e('Delete', 'wpbooking'); ?></a>
</td>
</tr>
<?php
$i++;
}
?>
</tbody>
</table>
<div class="tablenav">


		<div class="alignleft actions">
		<select name="action2">
		<option selected="selected" value="">Bulk Actions</option>
		<option value="delete">Delete</option>
		</select>
		<input type="submit" class="button-secondary action" id="doaction2" name="doaction2" value="Apply"/>
		</div>

		<br class="clear"/>
		</div>

		<input id="save-all" class="button-primary savebutton" type="submit" value="Save all changes" name="save"/>
</form>
<?php
	} else {

	?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('Manage country', 'wpbooking'); ?><a href="?page=booking_country&action=new-field" class="button add-new-h2"><?php _e('New country', 'wpbooking'); ?></a> </h2>
<form method="get" action="" id="posts-filter">
<input type="hidden" value="booking_rooms" name="page"/>
<div class="tablenav">
<div class='tablenav-pages'>
<?php //echo $p->show();  // Echo out the list of paging. ?>
</div>
        <div class="alignleft actions">
        <select name="action">
        <option selected="selected" value="">Bulk Actions</option>
        <option value="delete">Delete</option>
        </select>
        <input type="submit" class="button-secondary action" id="doaction" name="doaction" value="Apply"/>
        </div>

        <br class="clear"/>
        </div>

<table class="widefat">
<thead>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('country', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</thead>
<tfoot>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('country', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</tfoot>
<tbody>

</tbody>
</table>
<div class="tablenav">


		<div class="alignleft actions">
		<select name="action2">
		<option selected="selected" value="">Bulk Actions</option>
		<option value="delete">Delete</option>
		</select>
		<input type="submit" class="button-secondary action" id="doaction2" name="doaction2" value="Apply"/>
		</div>

		<br class="clear"/>
		</div>

		<input id="save-all" class="button-primary savebutton" type="submit" value="Save all changes" name="save"/>
</form>
    <?php

	}
    ?>
    <?php
}
}

/**
 * Admin help.
 *
 */
function wpbooking_help() {
?>
<table width="100%" border="0" cellspacing="5" cellpadding="2">
  <tr>
    <td><div align="center">QUICKSTART</div></td>
  </tr>
  <tr>
    <td><?php _e('If you want to insert sample data and use it as starting point please use the upload button below.', 'wpbooking'); ?>  </td>
  </tr>
</table>
<input type="submit" name="Install" value="Install Demo" onClick="window.open('<?php echo WPBOOKING_PLUGIN_URL ?>/includes/install_demo.php?install=1')" />
<?php _e('Or', 'wpbooking'); ?>
<input type="submit" name="Install" value="Install Demo" onClick="window.open('<?php echo WPBOOKING_PLUGIN_URL ?>/includes/reset.php?install=1')" />
<?php
}

function wpbooking_support() {
  if (@$_GET['action'] == 'send'){

  MailBooking('assistenza@joomlaskin.it',$_REQUEST['title'], $_REQUEST['descriptions']);

  ?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('Tickets sent', 'wpbooking'); ?></h2>
<table width="100%" border="0" cellspacing="5" cellpadding="2">
  <tr>
    <td><div align="center"><?php _e('Thank you for contacting us', 'wpbooking'); ?></div></td>
  </tr>
  <tr>
    <td><?php _e('We will respond to his Tickets, was to verify', 'wpbooking'); ?>, <a href="http://www.joomlaskin.it/support/scp/"><?php _e('click here', 'wpbooking'); ?></a> </td>
  </tr>
</table>
<?php
} else {
?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('Support request', 'wpbooking'); ?></h2>
<div class="supportlink"><a href="http://www.joomlaskin.it/support/" target="_BLANK"><?php _e('Go to support tikets system', 'wpbooking'); ?></a></div>
<form method="POST" action="?page=booking_support&action=send">
 <table class="widefat">
<tbody>
  <tr>
    <td width="100"><?php _e('Title', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="title">
	<input type="text" name="title" id="title" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Descriptions', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="descriptions">
    <textarea name="descriptions" id="descriptions" rows="20" cols="70"></textarea>
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"></td>
    <td></td>
  </tr>
</tbody>
</table>
<input id="save-all" class="button-primary savebutton" type="submit" value="send" name="save"/>
</form>
<?php
}
}

function wpbooking_import() {

if($_REQUEST['action'] == 'import') //form was submitted
{
global $wpdb;

$settings = get_wpbooking_options();
$dir = ABSPATH.$settings['galleries_rootfolder'];
$url = get_bloginfo('url')."/".$settings['galleries_rootfolder']."/";

$target_paths = $dir.'/';

/* Add the original filename to our target path.
Result is "uploads/filename.extension" */
$target_path = $target_paths . basename( $_FILES['file_source']['name']);

if(move_uploaded_file($_FILES['file_source']['tmp_name'], $target_path)) {
    echo "The file ".  basename( $_FILES['file_source']['name']).
    " has been uploaded<br />";
} else{
    echo "There was an error uploading the file, please try again!";
}

$file_name = $target_path;
//echo $file_name;

/*$row = 1;
if (($handle = fopen($file_name, "r")) !== FALSE) {
    while (($data = fgetcsv($handle, 1000, ",")) !== FALSE) {
        $num = count($data);
        echo "<p> $num fields in line $row: <br /></p>\n";
        $row++;
        for ($c=0; $c < $num; $c++) {
            echo $data[$c] . "<br />\n";
        }
    }
    fclose($handle);
}*/

$file_handle = fopen($file_name, "r");

while (!feof($file_handle) ) {

$line_of_text = fgetcsv($file_handle, 1024, ',', '"');

//print $line_of_text[9] . ' ' . $line_of_text[6] . ' ' .  $line_of_text[10]  . ' ' .  "<BR>";

$name = $line_of_text[9];
$localita = $line_of_text[16];
$longitudine = $line_of_text[22];
$latitudine = $line_of_text[23];
$indirizzo = $line_of_text[10];
$address_hotel = $line_of_text[10].' '.$localita;
$gallery =  $line_of_text[6];
$zipcode =  $line_of_text[21];
$country =  $line_of_text[19];
$published =  $line_of_text[36];
$user_id = 1;

$img_file=$gallery;
$img_file=file_get_contents($img_file);
$nameimages = rand(1, 1500);
if (!is_dir($dir.'/'.$nameimages.'/')) {

mkdir($dir.'/'.$nameimages.'/', 0755);
}
$file_loc=$dir.'/'.$nameimages.'/'.$nameimages.'.jpg';
$file_url=$url.''.$nameimages.'.jpg';
$file_zip=$nameimages.'.zip';
$file_handler=fopen($file_loc,'w');
if(fwrite($file_handler,$img_file)==false){
echo 'error';
}

if($gallery){
/*$description_hotel =  '
<a href="'.$file_url.'"><img class="alignleft size-thumbnail wp-image" title="'.$name.'" src="'.$file_url.'" alt="" width="150" height="150" /></a>
';*/
$description_hotel =  '';
} else {
$description_hotel =  '';
}

$query_country = mysql_query("SELECT * FROM ".$wpdb->prefix."booking_country WHERE country = '".$country."'");
$number_country=mysql_num_rows($query_country);

if($number_country >= 1) {

$countrysql = mysql_fetch_array($query_country);

$country_id = $countrysql['id'];

} else{

$sql_country = "INSERT INTO ".$wpdb->prefix."booking_country (id, country) VALUES ('', '".$country."' )";

mysql_query($sql_country) or die(mysql_error());

$country_id = mysql_insert_id();

}

$query_city = mysql_query("SELECT * FROM ".$wpdb->prefix."booking_city WHERE city = '".$localita."'");
$number_city=mysql_num_rows($query_city);

if($number_city >= 1) {

$citysql = mysql_fetch_array($query_city);

$city_id = $citysql['id'];

} else{

$sql_city = "INSERT INTO ".$wpdb->prefix."booking_city (id, city, country) VALUES ('', '".$localita."', '".$country_id."' )";

mysql_query($sql_city) or die(mysql_error());

$city_id = mysql_insert_id();

}

$idquery = mysql_query("SELECT id FROM ".$wpdb->prefix."booking_hoteltemp ORDER BY id DESC LIMIT 1");

$riga = mysql_fetch_array($idquery);

$complessoid = $riga['id']+1;

$my_post = array(
'ID' => '',
'post_title' => $line_of_text[9],
'post_content' => '[hotel id="'.$complessoid.'"]',
//'post_date' => 'Y-m-d H:i:s',
'post_status' => 'publish',
'post_type' => 'reservation',
'post_author' => $user_id,
//'post_category' => array($cats),
);

//echo $cats;

$post_id = wp_insert_post($my_post);
$cat_ids = array( 'hotel' );
wp_set_object_terms(  $post_id, $cat_ids, 'reservations' );

    $table_name = $wpdb->prefix . "booking_hotel";

    $sql = "INSERT INTO ". $table_name ." (id, name, localita, tipoabitazione, postid, longitudine, latitudine, indirizzo, gallery, brochure, user_id, address_hotel, zipcode, email, paypal, paypalactive, description_hotel, is_agent, published, country, stars, image_room, metatitle, metatdesc, metakeywords, featured) VALUES ('', '".$name."', '".$city_id."', '".$tipoabitazione."', '".$post_id."', '".$longitudine."', '".$latitudine."', '".$indirizzo."', '".$file_zip1."' , '".$brochure."', '".$user_id."', '".$address_hotel."', '".$zipcode."', '".$email."', '".$paypal."', '".$paypalactive."', '".$description_hotel."', '".$is_agent."', '".$published."', '".$country_id."', '".$stars."', '".$file_zip."', '".$metatitle."', '".$metatdesc."', '".$metakeywords."', '".$featured."'        )";

    mysql_query($sql) or die(mysql_error());

    $table_name1 = $wpdb->prefix . "booking_hoteltemp";

    $sql1 = "INSERT INTO ". $table_name1 ." (id, name) VALUES ('', '".$name."' )";

    mysql_query($sql1) or die(mysql_error());

}

fclose($file_handle);


} else {
  ?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('Import', 'wpbooking'); ?></h2>
<form method="post" enctype="multipart/form-data" action="?page=booking_import&action=import">
<table width="100%" border="0" cellspacing="5" cellpadding="2">
  <tr>
    <td><div align="center"><?php _e('Import your data', 'wpbooking'); ?></div></td>
  </tr>
  <tr>
  <td>Source CSV file to import:</td>
  <td rowspan="30" width="10px">&nbsp;</td>
  <td><input type="file" name="file_source" id="file_source" class="edt" value=""></td>
  </tr>
  <tr>
  <td colspan="3" align="center"><input type="Submit" name="Go" value="Import it" /> </td>
  </tr>
</table>
</form>
<?php
}
}

/*						Register Hotel Custom Post Types
-----------------------------------------------------------------------------------
*/

function realestateagent_register() {
  global $wpbooking_options;
  $options = $wpbooking_options;
  //$settings = get_wpbooking_options();

  if ($options['wpbooking_menupostype'] == 1) {
  $active = true;
  } else {
  $active = false;
  }

	register_post_type('reservation', array(
		'description' => 'Hotels',
		'show_ui' => true,
        'show_in_menu' => $active,
        'show_in_nav_menus' => true,
		'menu_position' => 5,
		'menu_icon' => WPBOOKING_PLUGIN_URL . '/admin/multihotel.png',
		'exclude_from_search' => false,
		'labels' => array(
			'name' => 'Hotels',
			'singular_name' => 'Hotels Item',
			'add_new' => 'New Hotels Item',
			'add_new_item' => 'Add Hotels Item',
			'edit' => 'Edit Hotels Item',
			'edit_item' => 'Edit Hotels Item',
			'new_item' => 'New Hotels Item',
			'view' => 'View Hotels Item',
			'view_item' => 'View Hotels Item',
			'search_items' => 'Search Hotels Items',
			'not_found' => 'No Hotels Items found',
			'not_found_in_trash' => 'No Hotels Items found in Trash',
			'parent' => 'Parent Hotels Item',
            'menu_name' => 'Hotels',
		),
		'supports' => array('title', 'editor', 'comments', 'excerpt', 'custom-fields', 'revisions', 'thumbnail', 'author', 'page-attributes'),
		'public' => true,
		'capability_type' => 'post',
		'hierarchical' => false,
        'publicly_queryable' => true,
		'query_var' => true,
		//'rewrite' => true,
		'rewrite' => array('slug' => 'hotels/%reservations%', 'with_front' => false),
		'taxonomies' => array( 'post_tag' ),
		)
	);

	register_taxonomy( 'reservations', 'reservation', array( 'hierarchical' => true, 'label' => 'Categories', 'query_var' => true, 'rewrite' => array('slug' => 'hotel', 'with_front' => false), 'show_ui' => true, 'show_in_nav_menus' => true,  ) );

}

add_action('init', 'realestateagent_register');

// Edit Portfolio Custom Type Columns
add_filter("manage_edit-reservation_columns", "realestateagent_edit_columns");
add_action("manage_posts_custom_column",  "realestateagent_custom_columns");

function realestateagent_edit_columns($columns) {

	$columns = array(
		"cb"         => "<input type=\"checkbox\" />",
		"title"      => "Title",
		"author"     => "Author",
		"reservations" => "Category",
		"tags"       => "Tags",
		"comments"   => "<div class='vers'><img src=" . esc_url( admin_url( 'images/comment-grey-bubble.png' ) ) . " alt='Comments'></div>",
		"date"       => "Date",
	);

	return $columns;
}

function realestateagent_custom_columns($column) {
	global $post;
	switch ($column)
	{
		case "reservations":
			echo get_the_term_list($post->ID, 'reservations', '', ', ', '');
			break;
	}
}

/*						Register Rooms Custom Post Types
-----------------------------------------------------------------------------------
*/

function roomsPostType_register() {
  global $wpbooking_options;
  $options = $wpbooking_options;
  //$settings = get_wpbooking_options();

  if ($options['wpbooking_menupostype'] == 1) {
  $active = true;
  } else {
  $active = false;
  }

	register_post_type('roomscustom', array(
		'description' => 'Rooms',
		'show_ui' => true,
        'show_in_menu' => $active,
        'show_in_nav_menus' => true,
		'menu_position' => 6,
		'menu_icon' => WPBOOKING_PLUGIN_URL . '/admin/multihotel.png',
		'exclude_from_search' => false,
		'labels' => array(
			'name' => 'Rooms',
			'singular_name' => 'Rooms Item',
			'add_new' => 'New Rooms Item',
			'add_new_item' => 'Add Rooms Item',
			'edit' => 'Edit Rooms Item',
			'edit_item' => 'Edit Rooms Item',
			'new_item' => 'New Rooms Item',
			'view' => 'View Rooms Item',
			'view_item' => 'View Rooms Item',
			'search_items' => 'Search Rooms Items',
			'not_found' => 'No Rooms Items found',
			'not_found_in_trash' => 'No Rooms Items found in Trash',
			'parent' => 'Parent Rooms Item',
            'menu_name' => 'Rooms',
		),
		'supports' => array('title', 'editor', 'comments', 'excerpt', 'custom-fields', 'revisions', 'thumbnail', 'author', 'page-attributes'),
		'public' => true,
		'capability_type' => 'post',
		'hierarchical' => false,
        'publicly_queryable' => true,
		'query_var' => true,
		//'rewrite' => true,
		'rewrite' => array('slug' => 'room/%roomscustoms%', 'with_front' => false),
		'taxonomies' => array( 'post_tag' ),
		)
	);

	register_taxonomy( 'roomscustoms', 'roomscustom', array( 'hierarchical' => true, 'label' => 'Hotel', 'query_var' => true, 'rewrite' => array('slug' => 'rooms', 'with_front' => false), 'show_ui' => true, 'show_in_nav_menus' => true,  ) );

}

add_action('init', 'roomsPostType_register');

// Edit Portfolio Custom Type Columns
add_filter("manage_edit-roomscustom_columns", "room_edit_columns");
add_action("manage_posts_custom_column",  "room_custom_columns");

function room_edit_columns($columns) {

	$columns = array(
		"cb"         => "<input type=\"checkbox\" />",
		"title"      => "Title",
		"author"     => "Author",
		"roomscustoms" => "Hotel",
		"tags"       => "Tags",
		"comments"   => "<div class='vers'><img src=" . esc_url( admin_url( 'images/comment-grey-bubble.png' ) ) . " alt='Comments'></div>",
		"date"       => "Date",
	);

	return $columns;
}

function room_custom_columns($column) {
	global $post;
	switch ($column)
	{
		case "roomscustoms":
			echo get_the_term_list($post->ID, 'roomscustoms', '', ', ', '');
			break;
	}
}

add_filter('wp_loaded','flushRules');

// Remember to flush_rules() when adding rules
function flushRules(){
	global $wp_rewrite;
   	$wp_rewrite->flush_rules();
}

add_filter('post_type_link', 'realestateagent_permalink', 10, 3);
// Adapted from get_permalink function in wp-includes/link-template.php
function realestateagent_permalink($permalink, $post_id, $leavename) {
	$post = get_post($post_id);
	$rewritecode = array(
		'%year%',
		'%monthnum%',
		'%day%',
		'%hour%',
		'%minute%',
		'%second%',
		$leavename? '' : '%postname%',
		'%post_id%',
		'%reservations%',
        '%roomscustoms%',
		'%author%',
		$leavename? '' : '%pagename%',
	);

	if ( '' != $permalink && !in_array($post->post_status, array('draft', 'pending', 'auto-draft')) ) {
		$unixtime = strtotime($post->post_date);

		$category = '';
		if ( strpos($permalink, '%reservations%') !== false ) {
		   $cats = wp_get_object_terms($post->ID, 'reservations');
			if ( $cats ) {
		   $category = $cats[0]->slug;
		} else {
          $category = "hotel";
        }
        }

        $roomscustoms = '';
		if ( strpos($permalink, '%roomscustoms%') !== false ) {
		   $cats1 = wp_get_object_terms($post->ID, 'roomscustoms');
			if ( $cats1 ) {
		   $roomscustoms = $cats1[0]->slug;
		} else {
          $roomscustoms = "rooms";
        }
        }

		$author = '';
		if ( strpos($permalink, '%author%') !== false ) {
			$authordata = get_userdata($post->post_author);
			$author = $authordata->user_nicename;
		}

		$date = explode(" ",date('Y m d H i s', $unixtime));
		$rewritereplace =
		array(
			$date[0],
			$date[1],
			$date[2],
			$date[3],
			$date[4],
			$date[5],
			$post->post_name,
			$post->ID,
			$category,
            $roomscustoms,
			$author,
			$post->post_name,
		);
		$permalink = str_replace($rewritecode, $rewritereplace, $permalink);
	} else { // if they're not using the fancy permalink option
	}
	return $permalink;
}

function my_template_redirect() {
  global $wp;
  if ( $wp->query_vars['post_type'] == "realestateagent" ) {
    $template = WPBOOKING_PLUGIN_DIR . '/properties.php';
    $templatetheme = ABSPATH . '/wp-content/themes/realestateagent/properties.php';
    if (file_exists( $templatetheme )) {
    include($templatetheme);
    exit;
    } else if (file_exists( $template )) {
    include($template);
    exit;
    }
    }
    if ( $wp->query_vars['realestateagents'] ) {
    $template1 = WPBOOKING_PLUGIN_DIR . '/category.php';
    $templatetheme1 = ABSPATH . '/wp-content/themes/realestateagent/category-properties.php';
    if (file_exists( $templatetheme1 )) {
    include($templatetheme1);
    exit;
    } else
    if (file_exists( $template1 )) {
    include($template1);
    exit;
  }
  }
  if ( is_page(1263) ) {
    $template2 = WPBOOKING_PLUGIN_DIR . '/mappa.php';
    if (file_exists( $template2 )) {
    include($template2);
    exit;
    }
    }
}
//add_action('template_redirect', 'my_template_redirect');

add_action( 'show_user_profile', 'extra_user_profile_fields' );
add_action( 'edit_user_profile', 'extra_user_profile_fields' );

function extra_user_profile_fields( $user ) {
if ( current_user_can( 'organize_agent' ) || current_user_can( 'edit_user' ) ) {
?>

<h3><?php _e("Agent Details", "blank"); ?></h3>

<table class="form-table">
<tr>
<th><label for="address"><?php _e("Address"); ?></label></th>
<td>
<input type="text" name="address" id="address" value="<?php echo esc_attr( get_the_author_meta( 'address', $user->ID ) ); ?>" class="regular-text" /><br />
<span class="description"><?php _e("Please enter your address."); ?></span>
</td>
</tr>
<tr>
<th><label for="city"><?php _e("City"); ?></label></th>
<td>
<input type="text" name="city" id="city" value="<?php echo esc_attr( get_the_author_meta( 'city', $user->ID ) ); ?>" class="regular-text" /><br />
<span class="description"><?php _e("Please enter your city."); ?></span>
</td>
</tr>
<tr>
<th><label for="province"><?php _e("Province"); ?></label></th>
<td>
<input type="text" name="province" id="province" value="<?php echo esc_attr( get_the_author_meta( 'province', $user->ID ) ); ?>" class="regular-text" /><br />
<span class="description"><?php _e("Please enter your province."); ?></span>
</td>
</tr>
<tr>
<th><label for="postalcode"><?php _e("Postal Code"); ?></label></th>
<td>
<input type="text" name="postalcode" id="postalcode" value="<?php echo esc_attr( get_the_author_meta( 'postalcode', $user->ID ) ); ?>" class="regular-text" /><br />
<span class="description"><?php _e("Please enter your postal code."); ?></span>
</td>
</tr>
<tr>
<th><label for="phone"><?php _e("Phone"); ?></label></th>
<td>
<input type="text" name="phone" id="phone" value="<?php echo esc_attr( get_the_author_meta( 'phone', $user->ID ) ); ?>" class="regular-text" /><br />
<span class="description"><?php _e("Please enter your Phone."); ?></span>
</td>
</tr>
</table>
<?php }
 }
add_action( 'personal_options_update', 'save_extra_user_profile_fields' );
add_action( 'edit_user_profile_update', 'save_extra_user_profile_fields' );

function save_extra_user_profile_fields( $user_id ) {

if ( !current_user_can( 'edit_user', $user_id ) ) { return false; }

update_usermeta( $user_id, 'address', $_POST['address'] );
update_usermeta( $user_id, 'city', $_POST['city'] );
update_usermeta( $user_id, 'province', $_POST['province'] );
update_usermeta( $user_id, 'postalcode', $_POST['postalcode'] );
update_usermeta( $user_id, 'phone', $_POST['phone'] );
}

function wpbooking_role(){

$role = get_role( 'author' );
$role->add_cap( 'organize_agent' );
add_role( 'agents', 'Hotel owner', array( 'read' => true, 'organize_agent' => true, 'edit_posts' => true, 'delete_posts' => true, 'edit_published_posts' => true, 'edit_user' => true, 'upload_files' => true,) );

}

add_action('init','wpbooking_role');

//remove_role( 'agents' );


/*function remove_menus () {
  if ( current_user_can( 'organize_agent' ) ) {
global $menu;
	$restricted =  array( __('Posts'), __('Comments'));
	end ($menu);
	while (prev($menu)){
		$value = explode(' ',$menu[key($menu)][0]);
		if(in_array($value[0] != NULL?$value[0]:"" , $restricted)){unset($menu[key($menu)]);}
	}
}
}
add_action('admin_menu', 'remove_menus');
*/

/* New Features */

/* Add a new meta box to the admin menu. */
//add_action( 'admin_menu', 'multihotel_create_meta_box');

/**
 * Function for adding meta boxes to the admin.
 * Separate the post and page meta boxes.
 *
 * @since 2.0
 */
function multihotel_create_meta_box() {
	global $theme_name;

    //if ( $_REQUEST['post_type'] == "roomscustom" ) {

    add_meta_box( 'post-meta-boxes', __('availability room'), 'availability_meta_boxes', 'roomscustom', 'side', 'high' );
    add_meta_box( 'season-meta-boxes', __('Season Manager'), 'season_meta_boxes', 'roomscustom', 'side', 'high' );
    add_meta_box( 'services-meta-boxes', __('Manage Services'), 'services_meta_boxes', 'roomscustom', 'side', 'high' );
    add_meta_box( 'coupon-meta-boxes', __('Manage Coupon'), 'coupon_meta_boxes', 'roomscustom', 'side', 'high' );
    //add_meta_box( 'page-meta-boxes', __('Address'), 'page_meta_boxes', 'realestateagent', 'normal', 'high' );
    //remove_meta_box( 'postcustom' , 'realestateagent' , 'normal' );
    //}
}

function availability_meta_boxes() {
	global $post;
 ?>
 <script type="text/javascript">
 jQuery(document).ready(function(){
 jQuery('body').append('<div id="overlay" class="closepopin_multi"></div>');
 jQuery('.popOpen_multi').click(function(){

		jQuery('.pop_multi').remove();
        jQuery('body').append('<div class="pop_multi" style="display:none;"></div>');
		jQuery('#overlay').fadeIn(700,function(){

			jQuery('.pop_multi').load('<?php echo WPBOOKING_PLUGIN_URL ?>/popup.php?step=availability&postid=<?php echo $post->ID ?>');
			jQuery('.pop_multi').fadeIn();

		});
		return false;
	});

   jQuery('.closepopin_multi').click(function(){
		jQuery('.pop_multi').fadeOut(500,function(){  jQuery('.pop_multi').remove(); jQuery('#overlay').fadeOut(500); });
        return false;
	});

 });
</script>
<div id="multihotel-button">
<a href="<?php echo WPBOOKING_PLUGIN_URL ?>/popup.php?step=availability&postid=<?php echo $post->ID ?>" class="popOpen_multi button-primary"><?php _e('Open availability', 'wpbooking'); ?></a></div>
<div class="clear"></div>

<?php
}

function season_meta_boxes() {
	global $post;
 ?>
 <script type="text/javascript">
 jQuery(document).ready(function(){
 jQuery('.popOpen_multi_season').click(function(){

		jQuery('.pop_multi').remove();
        jQuery('body').append('<div class="pop_multi" style="display:none;"></div>');
		jQuery('#overlay').fadeIn(700,function(){

			jQuery('.pop_multi').load('<?php echo WPBOOKING_PLUGIN_URL ?>/popup.php?step=seaosns&postid=<?php echo $post->ID ?>');
			jQuery('.pop_multi').fadeIn();

		});
		return false;
	});
 jQuery('.popOpen_multi_price').click(function(){

		jQuery('.pop_multi').remove();
        jQuery('body').append('<div class="pop_multi" style="display:none;"></div>');
		jQuery('#overlay').fadeIn(700,function(){

			jQuery('.pop_multi').load('<?php echo WPBOOKING_PLUGIN_URL ?>/popup.php?step=price&postid=<?php echo $post->ID ?>');
			jQuery('.pop_multi').fadeIn();

		});
		return false;
	});

 });
</script>
<div id="multihotel-button">
<p><a href="<?php echo WPBOOKING_PLUGIN_URL ?>/popup.php?step=seaosns&postid=<?php echo $post->ID ?>" class="popOpen_multi_season button-primary"><?php _e('Open Seasons Manager', 'wpbooking'); ?></a></p>
<p><a href="<?php echo WPBOOKING_PLUGIN_URL ?>/popup.php?step=price&postid=<?php echo $post->ID ?>" class="popOpen_multi_price button-primary"><?php _e('Open Price Manager', 'wpbooking'); ?></a></p>
</div>
<div class="clear"></div>

<?php
}

function services_meta_boxes() {
	global $post;
 ?>
 <script type="text/javascript">
 jQuery(document).ready(function(){
 jQuery('.popOpen_multi_services').click(function(){

		jQuery('.pop_multi').remove();
        jQuery('body').append('<div class="pop_multi" style="display:none;"></div>');
		jQuery('#overlay').fadeIn(700,function(){

			jQuery('.pop_multi').load('<?php echo WPBOOKING_PLUGIN_URL ?>/popup.php?step=services&postid=<?php echo $post->ID ?>');
			jQuery('.pop_multi').fadeIn();

		});
		return false;
	});

 });
</script>
<div id="multihotel-button">
<a href="<?php echo WPBOOKING_PLUGIN_URL ?>/popup.php?step=services&postid=<?php echo $post->ID ?>" class="popOpen_multi_services button-primary"><?php _e('Open Services', 'wpbooking'); ?></a></div>
<div class="clear"></div>

<?php
}

function coupon_meta_boxes() {
	global $post;
 ?>
 <script type="text/javascript">
 jQuery(document).ready(function(){
 jQuery('.popOpen_multi_coupon').click(function(){

		jQuery('.pop_multi').remove();
        jQuery('body').append('<div class="pop_multi" style="display:none;"></div>');
		jQuery('#overlay').fadeIn(700,function(){

			jQuery('.pop_multi').load('<?php echo WPBOOKING_PLUGIN_URL ?>/popup.php?step=coupon&postid=<?php echo $post->ID ?>');
			jQuery('.pop_multi').fadeIn();

		});
		return false;
	});

 });
</script>
<div id="multihotel-button">
<a href="<?php echo WPBOOKING_PLUGIN_URL ?>/popup.php?step=coupon&postid=<?php echo $post->ID ?>" class="popOpen_multi_coupon button-primary"><?php _e('Open Coupon', 'wpbooking'); ?></a></div>
<div class="clear"></div>

<?php
}

add_action('wp_footer', 'multihotel_div');

function multihotel_div() {

echo '<div id="overlay" class="closepopin_multi"></div>';

}

function wpbooking_availabilityAjax() {
    global $wpdb, $current_user;
	global $wpbooking_options;
    get_currentuserinfo();

    include(WPBOOKING_PLUGIN_DIR.'/includes/pagination.class.php');

    if (current_user_can('organize_agent')) {
    $agents = " AND user_id=".$current_user->ID."";
    $agents1 = " WHERE user_id=".$current_user->ID."";
    } else {
    $agents = "";
    $agents1 = "";
    }

    $id = @$_GET['idt'];
    if ($id) {
    $where = " WHERE id = ".$id." ".$agents."";
    } else {
    $where = $agents1;
    }
    $table_name = $wpdb->prefix . "booking_availability";
    $items = mysql_num_rows(mysql_query("SELECT * FROM ". $table_name ." ".$where."")); // number of total rows in the database
    if($items > 0) {
    $p = new pagination;
    $p->items($items);
    $p->limit(30); // Limit entries per page
    $p->target("admin.php?page=booking_availability");
    $p->currentPage(isset($_GET['paging'])); // Gets and validates the current page
    $p->calculate(); // Calculates what to show
    $p->parameterName('paging');
    $p->adjacents(1); //No. of page away from the current page
    if(!isset($_GET['paging'])) {
    $p->page = 1;
    } else {
    $p->page = $_GET['paging'];
    }
//Query for limit paging
    $limit = "LIMIT " . ($p->page - 1) * $p->limit . ", " . $p->limit;
} else {
  echo "";
  }
  //echo "SELECT * FROM ". $table_name ." ".$where."";
    //Bulk Delete

if ( (@$_GET['action'] == 'delete') || (@$_GET['action2'] == 'delete')){
$num = 0;
	foreach ($_GET['chk_field'] as $id => $value ){

		if (wpbooking_delete_prezzi($id)){
			$num++;
		} else {
			echo "<div id='media-upload-error'>".wpbooking_delete_prezzi($_GET['id'])."</div>";
			break;
		}
	}
	if ($num > 0) {
		if ($num == 1) echo "<div class='updated'><p><strong>".__('Item deleted', 'wpbooking')."</strong></p></div>";
		else echo "<div class='updated'><p><strong>".$num." ".__('Items deleted', 'wpbooking')."</strong></p></div>";
	}
}

//Delete order

if (@$_GET['action'] == 'delete-field'){

		if (wpbooking_delete_prezzi($_GET['id'])){
			echo "<div class='updated'><p><strong>".__('Selected Items deleted', 'wpbooking')."</strong></p></div>";
		} else {
			echo "<div id='media-upload-error'>".wpbooking_delete_prezzi($_GET['id'])."</div>";
		}

}

if (@$_GET['action'] == 'save'){

    $nome = $_REQUEST['nome'];
    $camera = $_REQUEST['camera'];
    $facia1 = $_REQUEST['fascia1'];
    $facia2 = $_REQUEST['fascia2'];
    $availability = $_REQUEST['availability'];
    $user_id = $_REQUEST['user_id'];
    $hotelid = $_REQUEST['hotelid'];



    /*$name = preg_replace("`[^\w]+`", "", $name);
    $name = str_replace(" ", "-", $name);
    $name = preg_replace('/[^A-Za-z0-9]/', "", $name);*/

    $table_name = $wpdb->prefix . "booking_availability";

    $sql = "INSERT INTO ". $table_name ." (id, nome, camera, fascia1, fascia2, availability, user_id, hotelid) VALUES ('', '".$nome."', '".$camera."', '".$facia1."', '".$facia2."', '".$availability."', '".$user_id."', '".$hotelid."' )";

    mysql_query($sql) or die(mysql_error());

    $last_id = mysql_insert_id();

    $table_name2 = $wpdb->prefix . "booking_calendar";
    $rangedate = dateRange( $facia1, $facia2);
    foreach( $rangedate as $key => $value){

    $sql1 = "INSERT INTO ". $table_name2 ." (id, caldate, status, id_availability, id_camera) VALUES ('', '".$value."', '".$availability."', '".$last_id."', '".$camera."' )";

    $result1 = mysql_query($sql1);

    }

			echo "<div class='updated'><p><strong>".__('New Item created', 'wpbooking')."</strong></p></div>";


}

if (@$_GET['action'] == 'editsave'){

    $nome = $_REQUEST['nome'];
    $camera = $_REQUEST['camera'];
    $fascia1 = $_REQUEST['fascia1'];
    $fascia2 = $_REQUEST['fascia2'];
    $id_save = $_REQUEST['id'];
    $availability = $_REQUEST['availability'];
    $user_id = $_REQUEST['user_id'];
    $hotelid = $_REQUEST['hotelid'];


    /*$name = preg_replace("`[^\w]+`", "", $name);
    $name = str_replace(" ", "-", $name);
    $name = preg_replace('/[^A-Za-z0-9]/', "", $name);*/

    $table_name = $wpdb->prefix . "booking_availability";

    $wheresave = "WHERE id = '".$id_save."'";

    $sql = "UPDATE  ".$table_name." SET fascia1 = '".$fascia1."', fascia2 = '".$fascia2."', nome = '".$nome."', camera = '".$camera."', availability = '".$availability."', hotelid = '".$hotelid."' $wheresave";

    $result = mysql_query($sql);

    $table_name2 = $wpdb->prefix . "booking_calendar";
    $rangedate = dateRange( $fascia1, $fascia2);
    foreach( $rangedate as $key => $value){

    $result_ceck = mysql_query("SELECT id, caldate FROM ".$table_name2." WHERE id_availability = '".$id_save."' AND caldate = '".$value."'");
    $num_rows = mysql_num_rows($result_ceck);
    if ($num_rows == 0) {

    $sql1 = "INSERT INTO ". $table_name2 ." (id, caldate, status, id_availability, id_camera) VALUES ('', '".$value."', '".$availability."', '".$id_save."', '".$camera."' )";

    $result1 = mysql_query($sql1);

    } else {

    $where2 = "WHERE id_availability = '".$id_save."' AND caldate = '".$value."' AND reservation='0'";
    $sql1 = "UPDATE  ".$table_name2." SET caldate = '".$value."', status = '".$availability."', id_availability = '".$id_save."', id_camera = '".$camera."' $where2";

    $result1 = mysql_query($sql1);
    }
    }

			echo "<div class='updated'><p><strong>".__('Item saved', 'wpbooking')."</strong></p></div>";


}

if (@$_GET['action'] == 'new-field'){
?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('New Availability', 'wpbooking'); ?></h2>
<?php
wpbooking_newAjax_prezzi();

} else if (@$_GET['action'] == 'edit'){
?>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<h2><?php _e('Edit Availability', 'wpbooking'); ?></h2>
<?php
$id = $_GET['id'];
wpbooking_editAjax_prezzi($id);

}

else {

    $i=0;
    $fields = wpbooking_show_prezzi($limit,$where);
    if ($fields){
    ?>
<script type="text/javascript">
 jQuery(document).ready(function(){
	var is_chrome = navigator.userAgent.toLowerCase().indexOf('chrome') > -1;
	if (is_chrome){
		jQuery('span#2, span#4').css('margin-left','310px');
	}

    jQuery('.closepopin_multi').click(function(){
		jQuery('.pop_multi').fadeOut(500,function(){  jQuery('.pop_multi').remove(); jQuery('#overlay').fadeOut(500); });
        return false;
	});
	jQuery('.button_avv').click(function(){

			jQuery('.pop_multi').load('<?php echo WPBOOKING_PLUGIN_URL ?>/popup.php?step=availability&postid=<?php echo $post->ID ?>&action=new-field',function(){

		});
        return false;
	});

    jQuery('.editajax').click(function(){
	    var id=jQuery(this).attr('rel');
		jQuery('.pop_multi').load('<?php echo WPBOOKING_PLUGIN_URL ?>/popup.php?step=availability&action=edit&id='+id);
		return false;
     });
   jQuery('.delajax').click(function(){
	    var id=jQuery(this).attr('rel');
		jQuery('.pop_multi').load('<?php echo WPBOOKING_PLUGIN_URL ?>/popup.php?step=availability&action=delete-field&id='+id);
		return false;
     });
   jQuery(".deleteall").submit(function() {
            s = jQuery(this).serialize();
			jQuery.ajax({
				type: "GET", data: s, url: '<?php echo WPBOOKING_PLUGIN_URL ?>/popup.php?step=availability', success: function(retour) {
					jQuery(".pop_multi").empty().append(retour);
					jQuery('#contentPopin_multi').fadeIn();
				}
			});

			return false;
		});
 });
</script>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<p><?php _e('Here you can setup and manage availability for every rooms. It is necessary to set first of all "available state" for you rooms to make active booking form.', 'wpbooking'); ?></p>
<h2><?php //_e('Manage Availability', 'wpbooking'); ?> <a href="<?php echo WPBOOKING_PLUGIN_URL ?>/popup.php?step=availability&postid=<?php echo $post->ID ?>&action=new-field" class="button_avv button add-new-h2"><?php _e('Add New Availability', 'wpbooking'); ?></a> </h2>
<form method="get" action="" id="posts-filter" class="deleteall">
<input type="hidden" value="booking_availability" name="page"/>
<div class="tablenav">
<div class='tablenav-pages'>
<?php
if($items > 1) {
 echo $p->show();
 }  // Echo out the list of paging. ?>
</div>
        <div class="alignleft actions">
        <select name="action">
        <option selected="selected" value="">Bulk Actions</option>
        <option value="delete">Delete</option>
        </select>
        <input type="submit" class="button-secondary action" id="doaction" name="doaction" value="Apply"/>
        </div>

        <br class="clear"/>
        </div>

<table class="widefat">
<thead>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Name', 'wpbooking'); ?></th>
<th><?php _e('Hotel', 'wpbooking'); ?></th>
<th><?php _e('Room', 'wpbooking'); ?></th>
<th><?php _e('From', 'wpbooking'); ?></th>
<th><?php _e('To', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</thead>
<tfoot>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Name', 'wpbooking'); ?></th>
<th><?php _e('Hotel', 'wpbooking'); ?></th>
<th><?php _e('Room', 'wpbooking'); ?></th>
<th><?php _e('From', 'wpbooking'); ?></th>
<th><?php _e('To', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</tfoot>
<tbody>
<?php foreach($fields as $f){  ?>
<tr class="<?php if ($i%2 == 0) echo "alternate";?>" id="prod-<?php echo $i;?>">
<th class="check-column" scope="row">
<input type="checkbox" value="1" id="check_<?php echo $i;?>" name="chk_field[<?php echo $f['id'] ?>]"/>
<input type="hidden" value="<?php echo $f['id'] ?>" name="id[]"/>
</th>
<td><?php echo $f['id']; ?></td>
<td><?php echo $f['nome']; ?></td>
<td><?php echo wpbooking_show_complessoid($f['hotelid']); ?></td>
<td><?php echo wpbooking_show_palazzinaid($f['camera']); ?></td>
<td><?php echo $f['fascia1']; ?></td>
<td><?php echo $f['fascia2']; ?></td>
<td>
<a href="<?php echo WPBOOKING_PLUGIN_URL ?>/popup.php?step=availability&action=edit&id=<?php echo $f['id'] ?>" rel="<?php echo $f['id'] ?>" class="editajax"><strong><?php _e('Edit', 'wpbooking'); ?></strong></a><br />
<a href="<?php echo WPBOOKING_PLUGIN_URL ?>/popup.php?step=availability&action=delete-field&id=<?php echo $f['id'] ?>" rel="<?php echo $f['id'] ?>" class="delajax"><?php _e('Delete', 'wpbooking'); ?></a>
</td>
</tr>
<?php
$i++;
}
?>
</tbody>
</table>
<div class="tablenav">


		<div class="alignleft actions">
		<select name="action2">
		<option selected="selected" value="">Bulk Actions</option>
		<option value="delete">Delete</option>
		</select>
		<input type="submit" class="button-secondary action" id="doaction2" name="doaction2" value="Apply"/>
		</div>

		<br class="clear"/>
		</div>

		<input id="save-all" class="button-primary savebutton" type="submit" value="Save all changes" name="save"/>
</form>
<?php
	} else {

	?>
<script type="text/javascript">
 jQuery(document).ready(function(){
	var is_chrome = navigator.userAgent.toLowerCase().indexOf('chrome') > -1;
	if (is_chrome){
		jQuery('span#2, span#4').css('margin-left','310px');
	}

    jQuery('.closepopin_multi').click(function(){
		jQuery('.pop_multi').fadeOut(500,function(){  jQuery('.pop_multi').remove(); jQuery('#overlay').fadeOut(500); });
        return false;
	});
	jQuery('.button_avv').click(function(){

			jQuery('.pop_multi').load('<?php echo WPBOOKING_PLUGIN_URL ?>/popup.php?step=availability&postid=<?php echo $post->ID ?>&action=new-field',function(){

		});
        return false;
	});

    jQuery(".deleteall").submit(function() {
            s = jQuery(this).serialize();
			jQuery.ajax({
				type: "POST", data: s, url: '<?php echo WPBOOKING_PLUGIN_URL ?>/popup.php?step=availability', success: function(retour) {
					jQuery(".pop_multi").empty().append(retour);
					jQuery('#contentPopin_multi').fadeIn();
				}
			});

			return false;
		});
 });
</script>
<div id="icon-edit" class="icon32 icon32-posts-realestateagent"><br /></div>
<p><?php _e('Here you can setup and manage availability for every rooms. It is necessary to set first of all "available state" for you rooms to make active booking form.', 'wpbooking'); ?></p>
<h2><?php //_e('Manage Availability', 'wpbooking'); ?> <a href="<?php echo WPBOOKING_PLUGIN_URL ?>/popup.php?step=availability&postid=<?php echo $post->ID ?>&action=new-field" class="button_avv button add-new-h2"><?php _e('Add New Availability', 'wpbooking'); ?></a> </h2>
<form method="get" action="'<?php echo WPBOOKING_PLUGIN_URL ?>/popup.php?step=availability" id="posts-filter" class="deleteall">
<input type="hidden" value="booking_availability" name="page"/>
<div class="tablenav">
<div class='tablenav-pages'>
<?php //echo $p->show();  // Echo out the list of paging. ?>
</div>
        <div class="alignleft actions">
        <select name="action">
        <option selected="selected" value="">Bulk Actions</option>
        <option value="delete">Delete</option>
        </select>
        <input type="submit" class="button-secondary action" id="doaction" name="doaction" value="Apply"/>
        </div>

        <br class="clear"/>
        </div>

<table class="widefat">
<thead>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Name', 'wpbooking'); ?></th>
<th><?php _e('Hotel', 'wpbooking'); ?></th>
<th><?php _e('Room', 'wpbooking'); ?></th>
<th><?php _e('From', 'wpbooking'); ?></th>
<th><?php _e('To', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</thead>
<tfoot>
<tr>
<th class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"/></th>
<th>ID</th>
<th><?php _e('Name', 'wpbooking'); ?></th>
<th><?php _e('Hotel', 'wpbooking'); ?></th>
<th><?php _e('Room', 'wpbooking'); ?></th>
<th><?php _e('From', 'wpbooking'); ?></th>
<th><?php _e('To', 'wpbooking'); ?></th>
<th><?php _e('Options', 'wpbooking'); ?></th>
</tr>
</tfoot>
<tbody>

</tbody>
</table>
<div class="tablenav">


		<div class="alignleft actions">
		<select name="action2">
		<option selected="selected" value="">Bulk Actions</option>
		<option value="delete">Delete</option>
		</select>
		<input type="submit" class="button-secondary action" id="doaction2" name="doaction2" value="Apply"/>
		</div>

		<br class="clear"/>
		</div>

		<input id="save-all" class="button-primary savebutton" type="submit" value="Save all changes" name="save"/>
</form>
    <?php

	}
    ?>
    <?php
}
}

function wpbooking_newAjax_prezzi() {

	global $wpdb, $current_user;
    get_currentuserinfo();
    if (current_user_can('organize_agent')) {
    $agents = " WHERE user_id=".$current_user->ID."";
    $agents1 = " WHERE userid=".$current_user->ID."";
    } else {
    $agents = "";
    $agents1 = "";
    }

    $comps = wpbooking_show_palext($agents1);

    $disps = array('available', 'unavailable', 'booked', 'reserved');

    $hotels = wpbooking_show_complesso($agents);

   	?>
<script language="JavaScript" type="text/javascript">
/*<![CDATA[*/
jQuery(document).ready(function(){
    jQuery("#formnew").validate();
    jQuery('#date_from').datepicker({ dateFormat: 'yy-m-d' });
    jQuery('#date_to').datepicker({ dateFormat: 'yy-m-d' });



jQuery("#formnew").submit(function() {
            s = jQuery(this).serialize();
			jQuery.ajax({
				type: "POST", data: s, url: '<?php echo WPBOOKING_PLUGIN_URL ?>/popup.php?step=availability&postid=<?php echo $_REQUEST["postid"] ?>&action=save', success: function(retour) {
					jQuery(".pop_multi").empty().append(retour);
					jQuery('#contentPopin_multi').fadeIn();
				}
			});

			return false;
		});

  });

/*]]>*/
</script>
<script language="JavaScript" type="text/javascript">
/*<![CDATA[*/
jQuery(document).ready(function(){
		jQuery('#hotelid').change(function(){
			// alert('edit');
			var hotel = jQuery('#hotelid').val();
            <?php
            if (current_user_can('organize_agent')) {  ?>
            var userid = <?php echo $current_user->ID ?>;
            <?php } ?>
            //alert(cat);
			jQuery.ajax({
			   type: "POST",
			   url: "<?php echo WPBOOKING_PLUGIN_URL ?>/includes/search_room.php",
			   data: ({hotel:hotel <?php if (current_user_can('organize_agent')) {  ?>, userid:userid <?php } ?> }),
			   success: function(response){
			     // alert( "Data: " + response );
			     jQuery("select.camera").html(response);
			   }
			 });
		});
        	});

/*]]>*/
</script>
<form method="POST" id="formnew" action="<?php echo WPBOOKING_PLUGIN_URL ?>/popup.php?step=availability&postid=<?php echo $_REQUEST["postid"] ?>&action=save">
 <table class="widefat">
<tbody>
  <tr>
    <td width="100"><?php _e('Name', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="nome">
	<input type="text" name="nome" id="nome" value="" class="required" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Hotel', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="hotelid"></label>
	<select id="hotelid" name="hotelid" style="width:150px;">
	<?php foreach ($hotels as $hotel) {?>
	<option value="<?php echo $hotel['id']?>"><?php echo $hotel['name']?></option>
	<?php }?>
	</select>
    </fieldset>
    </td>
  </tr>
    <tr>
    <td width="100"><?php _e('Room', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="camera"></label>
	<select id="camera" name="camera" class="camera" style="width:150px;">
	<?php foreach ($comps as $comp) {?>
	<option value="<?php echo $comp['id']?>"><?php echo $comp['nome']?></option>
	<?php }?>
	</select>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Availability', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="availability"></label>
	<select id="availability" name="availability" style="width:150px;">
	<?php foreach ($disps as $disp) {?>
	<option value="<?php echo $disp?>"><?php echo $disp?></option>
	<?php }?>
	</select>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('From', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="fascia1">
	<input type="text" name="fascia1" id="date_from" class="required" />
	</label>
    </fieldset>
    </td>
  </tr>
    <tr>
    <td width="100"><?php _e('To', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="fascia2">
	<input type="text" name="fascia2" id="date_to" class="required" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"></td>
    <td></td>
  </tr>
</tbody>
</table><input type="hidden" name="user_id" id="user_id" value="<?php echo $current_user->ID ?>" />

<input id="save-all" class="save_multi button-primary savebutton" type="submit" value="Save" name="save"/>
</form>
    <?php

}

function wpbooking_editAjax_prezzi($id) {

	global $wpdb, $current_user;
    get_currentuserinfo();
    if (current_user_can('organize_agent')) {
    $agents = " WHERE user_id=".$current_user->ID."";
    $agents1 = " WHERE userid=".$current_user->ID."";
    } else {
    $agents = "";
    $agents1 = "";
    }

    $comps = wpbooking_show_palext($agents1);
    $disps = array('available', 'unavailable', 'booked', 'reserved');
    $hotels = wpbooking_show_complesso($agents);

    $table_name = $wpdb->prefix . "booking_availability";
    $where = "WHERE id = '".$id."'";
    $sql = "SELECT * FROM ".$table_name." ".$where." LIMIT 1";
	$fields = $wpdb->get_results( $sql,"ARRAY_A");
    foreach($fields as $row){
   	?>
<script language="JavaScript" type="text/javascript">
/*<![CDATA[*/
jQuery(document).ready(function(){

jQuery("#formnew").submit(function() {
            s = jQuery(this).serialize();
			jQuery.ajax({
				type: "POST", data: s, url: '<?php echo WPBOOKING_PLUGIN_URL ?>/popup.php?step=availability&postid=<?php echo $_REQUEST["postid"] ?>&action=editsave', success: function(retour) {
					jQuery(".pop_multi").empty().append(retour);
					jQuery('#contentPopin_multi').fadeIn();
				}
			});

			return false;
		});

		jQuery('#hotelid').change(function(){
			// alert('edit');
			var hotel = jQuery('#hotelid').val();
            <?php
            if (current_user_can('organize_agent')) {  ?>
            var userid = <?php echo $current_user->ID ?>;
            <?php } ?>
            //alert(cat);
			jQuery.ajax({
			   type: "POST",
			   url: "<?php echo WPBOOKING_PLUGIN_URL ?>/includes/search_room.php",
			   data: ({hotel:hotel <?php if (current_user_can('organize_agent')) {  ?>, userid:userid <?php } ?> }),
			   success: function(response){
			     // alert( "Data: " + response );
			     jQuery("select.camera").html(response);
			   }
			 });
		});
        	});

/*]]>*/
</script>
<form method="POST" id="formnew" action="<?php echo WPBOOKING_PLUGIN_URL ?>/popup.php?step=availability&postid=<?php echo $_REQUEST["postid"] ?>&action=editsave">
 <table class="widefat">
<tbody>
  <tr>
    <td width="100"><?php _e('Name', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="nome">
	<input type="text" name="nome" id="nome" value="<?php echo $row['nome'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Hotel', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="hotelid"></label>
	<select id="hotelid" name="hotelid" style="width:150px;">
	<?php foreach ($hotels as $hotel) {?>
	<option value="<?php echo $hotel['id']?>"<?php if(@$row['hotelid']==$hotel['id']){?> selected="selected"<?php }?>><?php echo $hotel['name']?></option>
	<?php }?>
	</select>
    </fieldset>
    </td>
  </tr>
    <tr>
    <td width="100"><?php _e('Room', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="camera"></label>
	<select id="camera" name="camera" class="camera" style="width:150px;">
	<?php foreach ($comps as $comp) {?>
	<option value="<?php echo $comp['id']?>" <?php if(@$row['camera']==$comp['id']){?> selected="selected"<?php }?>><?php echo $comp['nome']?></option>
	<?php }?>
	</select>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('Availability', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="availability"></label>
	<select id="availability" name="availability" style="width:150px;">
	<?php foreach ($disps as $disp) {?>
	<option value="<?php echo $disp?>" <?php if(@$disp==$row['availability']){?> selected="selected"<?php }?>><?php echo $disp?></option>
	<?php }?>
	</select>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"><?php _e('From', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="fascia1">
	<input type="text" name="fascia1" id="date_from" value="<?php echo $row['fascia1'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
    <tr>
    <td width="100"><?php _e('To', 'wpbooking'); ?></td>
    <td>
    <fieldset>
    <label for="fascia2">
	<input type="text" name="fascia2" id="date_to" value="<?php echo $row['fascia2'] ?>" />
	</label>
    </fieldset>
    </td>
  </tr>
  <tr>
    <td width="100"></td>
    <td></td>
  </tr>
</tbody>
</table><input type="hidden" name="id" value="<?php echo $row['id'] ?>" />
<input type="hidden" name="user_id" value="<?php echo $row['user_id'] ?>" />
<input id="save-all" class="button-primary savebutton" type="submit" value="Save" name="save"/>
</form>
    <?php
}
}


?>